import{S as gz,i as _z,s as bz,e as r,k as c,w as v,t as o,M as kz,c as a,d as t,m as p,a as i,x as T,h as n,b as u,N as fz,G as e,g,y as w,q as $,o as A,B as F,v as yz,L as Ie}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ue}from"../../chunks/Tip-hf-doc-builder.js";import{D as N}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Ne}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Re}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Oe}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function vz(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AlbertConfig, AlbertModel

# Initializing an ALBERT-xxlarge style configuration
albert_xxlarge_configuration = AlbertConfig()

# Initializing an ALBERT-base style configuration
albert_base_configuration = AlbertConfig(
    hidden_size=768,
    num_attention_heads=12,
    intermediate_size=3072,
)

# Initializing a model (with random weights) from the ALBERT-base style configuration
model = AlbertModel(albert_xxlarge_configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlbertConfig, AlbertModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing an ALBERT-xxlarge style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>albert_xxlarge_configuration = AlbertConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing an ALBERT-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>albert_base_configuration = AlbertConfig(
<span class="hljs-meta">... </span>    hidden_size=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    num_attention_heads=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    intermediate_size=<span class="hljs-number">3072</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the ALBERT-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertModel(albert_xxlarge_configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=r("p"),k=o("Examples:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Examples:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Tz(E){let d,k,m,f,_;return f=new Ne({props:{code:`0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1
| first sequence    | second sequence |`,highlighted:`0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1 1
| first sequence    | second sequence |`}}),{c(){d=r("p"),k=o("sequence pair mask has the following format:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"sequence pair mask has the following format:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function wz(E){let d,k,m,f,_;return f=new Ne({props:{code:`0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1
| first sequence    | second sequence |`,highlighted:`0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1 1
| first sequence    | second sequence |`}}),{c(){d=r("p"),k=o("sequence pair mask has the following format:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"sequence pair mask has the following format:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function $z(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function Az(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertModel
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertModel.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertModel.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Fz(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function xz(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForPreTraining
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForPreTraining.from_pretrained("albert-base-v2")

input_ids = torch.tensor(tokenizer.encode("Hello, my dog is cute", add_special_tokens=True)).unsqueeze(0)
# Batch size 1
outputs = model(input_ids)

prediction_logits = outputs.prediction_logits
sop_logits = outputs.sop_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForPreTraining
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForPreTraining.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = torch.tensor(tokenizer.encode(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, add_special_tokens=<span class="hljs-literal">True</span>)).unsqueeze(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.prediction_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>sop_logits = outputs.sop_logits`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Ez(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function Mz(E){let d,k,m,f,_;return f=new Ne({props:{code:`import torch
from transformers import AutoTokenizer, AlbertForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForMaskedLM.from_pretrained("albert-base-v2")

# add mask_token
inputs = tokenizer("The capital of [MASK] is Paris.", return_tensors="pt")
with torch.no_grad():
    logits = model(**inputs).logits

# retrieve index of [MASK]
mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[0].nonzero(as_tuple=True)[0]
predicted_token_id = logits[0, mask_token_index].argmax(axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForMaskedLM.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># add mask_token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of [MASK] is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of [MASK]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>].nonzero(as_tuple=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = logits[<span class="hljs-number">0</span>, mask_token_index].argmax(axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27;france&#x27;</span>`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function zz(E){let d,k;return d=new Ne({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="pt")["input_ids"]
labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)
outputs = model(**inputs, labels=labels)
round(outputs.loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(outputs.loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.81</span>`}}),{c(){v(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),k=!0},p:Ie,i(m){k||($(d.$$.fragment,m),k=!0)},o(m){A(d.$$.fragment,m),k=!1},d(m){F(d,m)}}}function jz(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function qz(E){let d,k,m,f,_;return f=new Ne({props:{code:`import torch
from transformers import AutoTokenizer, AlbertForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("textattack/albert-base-v2-imdb")
model = AlbertForSequenceClassification.from_pretrained("textattack/albert-base-v2-imdb")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
model.config.id2label[predicted_class_id]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = AlbertForSequenceClassification.from_pretrained("textattack/albert-base-v2-imdb", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;LABEL_1&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.12</span>`}}),{c(){d=r("p"),k=o("Example of single-label classification:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example of single-label classification:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Pz(E){let d,k,m,f,_;return f=new Ne({props:{code:`import torch
from transformers import AutoTokenizer, AlbertForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("textattack/albert-base-v2-imdb")
model = AlbertForSequenceClassification.from_pretrained("textattack/albert-base-v2-imdb", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = AlbertForSequenceClassification.from_pretrained(
    "textattack/albert-base-v2-imdb", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=r("p"),k=o("Example of multi-label classification:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example of multi-label classification:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Cz(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function Lz(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForMultipleChoice
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForMultipleChoice.from_pretrained("albert-base-v2")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."
labels = torch.tensor(0).unsqueeze(0)  # choice0 is correct (according to Wikipedia ;)), batch size 1

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="pt", padding=True)
outputs = model(**{k: v.unsqueeze(0) for k, v in encoding.items()}, labels=labels)  # batch size is 1

# the linear classifier still needs to be trained
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">0</span>).unsqueeze(<span class="hljs-number">0</span>)  <span class="hljs-comment"># choice0 is correct (according to Wikipedia ;)), batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v.unsqueeze(<span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}, labels=labels)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Oz(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function Iz(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForTokenClassification.from_pretrained("albert-base-v2")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForTokenClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Nz(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function Dz(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("twmkn9/albert-base-v2-squad2")
model = AlbertForQuestionAnswering.from_pretrained("twmkn9/albert-base-v2-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens, skip_special_tokens=True)

# target is "nice puppet"
target_start_index = torch.tensor([12])
target_end_index = torch.tensor([13])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;twmkn9/albert-base-v2-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;twmkn9/albert-base-v2-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-string">&#x27;a nice puppet&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">12</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">13</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">7.36</span>`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Sz(E){let d,k,m,f,_,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ye,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ve,P,qe,G,pe,me,Y,Te,he,D,we,I,ue,te,L,fe,O,Pe,ge;return{c(){d=r("p"),k=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=c(),h=r("ul"),M=r("li"),$e=o("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=r("li"),de=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=r("p"),Ae=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=r("code"),ce=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=r("code"),se=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=r("code"),ie=o("fit()"),Fe=o(" and "),Q=r("code"),xe=o("predict()"),ye=o(`, such as when creating your own layers or models with
the Keras `),B=r("code"),Ee=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=r("ul"),C=r("li"),ae=o("a single Tensor with "),K=r("code"),Me=o("input_ids"),ze=o(" only and nothing else: "),V=r("code"),je=o("model(input_ids)"),ve=c(),P=r("li"),qe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),pe=o("model([input_ids, attention_mask])"),me=o(" or "),Y=r("code"),Te=o("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=r("li"),we=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=r("code"),ue=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=r("p"),fe=o(`Note that when creating models and layers with
`),O=r("a"),Pe=o("subclassing"),ge=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var z=i(d);k=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var He=i(m);f=n(He,"transformers"),He.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=p(y),h=a(y,"UL",{});var oe=i(h);M=a(oe,"LI",{});var Ke=i(M);$e=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=a(oe,"LI",{});var _e=i(W);de=n(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(y),x=a(y,"P",{});var j=i(x);Ae=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=a(j,"CODE",{});var Se=i(R);ce=n(Se,"model.fit()"),Se.forEach(t),Ce=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=a(j,"CODE",{});var Ve=i(J);se=n(Ve,"model.fit()"),Ve.forEach(t),re=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=a(j,"CODE",{});var Je=i(H);ie=n(Je,"fit()"),Je.forEach(t),Fe=n(j," and "),Q=a(j,"CODE",{});var We=i(Q);xe=n(We,"predict()"),We.forEach(t),ye=n(j,`, such as when creating your own layers or models with
the Keras `),B=a(j,"CODE",{});var Ge=i(B);Ee=n(Ge,"Functional"),Ge.forEach(t),le=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(y),q=a(y,"UL",{});var S=i(q);C=a(S,"LI",{});var U=i(C);ae=n(U,"a single Tensor with "),K=a(U,"CODE",{});var Xe=i(K);Me=n(Xe,"input_ids"),Xe.forEach(t),ze=n(U," only and nothing else: "),V=a(U,"CODE",{});var Ye=i(V);je=n(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ve=p(S),P=a(S,"LI",{});var X=i(P);qe=n(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(X,"CODE",{});var Le=i(G);pe=n(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=n(X," or "),Y=a(X,"CODE",{});var De=i(Y);Te=n(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=a(S,"LI",{});var be=i(D);we=n(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=a(be,"CODE",{});var Be=i(I);ue=n(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(y),L=a(y,"P",{});var ne=i(L);fe=n(ne,`Note that when creating models and layers with
`),O=a(ne,"A",{href:!0,rel:!0});var Qe=i(O);Pe=n(Qe,"subclassing"),Qe.forEach(t),ge=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(O,"rel","nofollow")},m(y,z){g(y,d,z),e(d,k),e(d,m),e(m,f),e(d,_),g(y,l,z),g(y,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(y,Z,z),g(y,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ye),e(x,B),e(B,Ee),e(x,le),g(y,ee,z),g(y,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ve),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,I),e(I,ue),g(y,te,z),g(y,L,z),e(L,fe),e(L,O),e(O,Pe),e(L,ge)},d(y){y&&t(d),y&&t(l),y&&t(h),y&&t(Z),y&&t(x),y&&t(ee),y&&t(q),y&&t(te),y&&t(L)}}}function Wz(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function Bz(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertModel.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertModel.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Uz(E){let d,k,m,f,_,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ye,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ve,P,qe,G,pe,me,Y,Te,he,D,we,I,ue,te,L,fe,O,Pe,ge;return{c(){d=r("p"),k=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=c(),h=r("ul"),M=r("li"),$e=o("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=r("li"),de=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=r("p"),Ae=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=r("code"),ce=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=r("code"),se=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=r("code"),ie=o("fit()"),Fe=o(" and "),Q=r("code"),xe=o("predict()"),ye=o(`, such as when creating your own layers or models with
the Keras `),B=r("code"),Ee=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=r("ul"),C=r("li"),ae=o("a single Tensor with "),K=r("code"),Me=o("input_ids"),ze=o(" only and nothing else: "),V=r("code"),je=o("model(input_ids)"),ve=c(),P=r("li"),qe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),pe=o("model([input_ids, attention_mask])"),me=o(" or "),Y=r("code"),Te=o("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=r("li"),we=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=r("code"),ue=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=r("p"),fe=o(`Note that when creating models and layers with
`),O=r("a"),Pe=o("subclassing"),ge=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var z=i(d);k=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var He=i(m);f=n(He,"transformers"),He.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=p(y),h=a(y,"UL",{});var oe=i(h);M=a(oe,"LI",{});var Ke=i(M);$e=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=a(oe,"LI",{});var _e=i(W);de=n(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(y),x=a(y,"P",{});var j=i(x);Ae=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=a(j,"CODE",{});var Se=i(R);ce=n(Se,"model.fit()"),Se.forEach(t),Ce=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=a(j,"CODE",{});var Ve=i(J);se=n(Ve,"model.fit()"),Ve.forEach(t),re=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=a(j,"CODE",{});var Je=i(H);ie=n(Je,"fit()"),Je.forEach(t),Fe=n(j," and "),Q=a(j,"CODE",{});var We=i(Q);xe=n(We,"predict()"),We.forEach(t),ye=n(j,`, such as when creating your own layers or models with
the Keras `),B=a(j,"CODE",{});var Ge=i(B);Ee=n(Ge,"Functional"),Ge.forEach(t),le=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(y),q=a(y,"UL",{});var S=i(q);C=a(S,"LI",{});var U=i(C);ae=n(U,"a single Tensor with "),K=a(U,"CODE",{});var Xe=i(K);Me=n(Xe,"input_ids"),Xe.forEach(t),ze=n(U," only and nothing else: "),V=a(U,"CODE",{});var Ye=i(V);je=n(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ve=p(S),P=a(S,"LI",{});var X=i(P);qe=n(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(X,"CODE",{});var Le=i(G);pe=n(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=n(X," or "),Y=a(X,"CODE",{});var De=i(Y);Te=n(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=a(S,"LI",{});var be=i(D);we=n(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=a(be,"CODE",{});var Be=i(I);ue=n(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(y),L=a(y,"P",{});var ne=i(L);fe=n(ne,`Note that when creating models and layers with
`),O=a(ne,"A",{href:!0,rel:!0});var Qe=i(O);Pe=n(Qe,"subclassing"),Qe.forEach(t),ge=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(O,"rel","nofollow")},m(y,z){g(y,d,z),e(d,k),e(d,m),e(m,f),e(d,_),g(y,l,z),g(y,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(y,Z,z),g(y,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ye),e(x,B),e(B,Ee),e(x,le),g(y,ee,z),g(y,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ve),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,I),e(I,ue),g(y,te,z),g(y,L,z),e(L,fe),e(L,O),e(O,Pe),e(L,ge)},d(y){y&&t(d),y&&t(l),y&&t(h),y&&t(Z),y&&t(x),y&&t(ee),y&&t(q),y&&t(te),y&&t(L)}}}function Rz(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function Hz(E){let d,k,m,f,_;return f=new Ne({props:{code:`import tensorflow as tf
from transformers import AutoTokenizer, TFAlbertForPreTraining

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForPreTraining.from_pretrained("albert-base-v2")

input_ids = tf.constant(tokenizer.encode("Hello, my dog is cute", add_special_tokens=True))[None, :]
# Batch size 1
outputs = model(input_ids)

prediction_logits = outputs.prediction_logits
sop_logits = outputs.sop_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForPreTraining

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForPreTraining.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tf.constant(tokenizer.encode(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, add_special_tokens=<span class="hljs-literal">True</span>))[<span class="hljs-literal">None</span>, :]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.prediction_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>sop_logits = outputs.sop_logits`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Qz(E){let d,k,m,f,_,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ye,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ve,P,qe,G,pe,me,Y,Te,he,D,we,I,ue,te,L,fe,O,Pe,ge;return{c(){d=r("p"),k=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=c(),h=r("ul"),M=r("li"),$e=o("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=r("li"),de=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=r("p"),Ae=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=r("code"),ce=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=r("code"),se=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=r("code"),ie=o("fit()"),Fe=o(" and "),Q=r("code"),xe=o("predict()"),ye=o(`, such as when creating your own layers or models with
the Keras `),B=r("code"),Ee=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=r("ul"),C=r("li"),ae=o("a single Tensor with "),K=r("code"),Me=o("input_ids"),ze=o(" only and nothing else: "),V=r("code"),je=o("model(input_ids)"),ve=c(),P=r("li"),qe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),pe=o("model([input_ids, attention_mask])"),me=o(" or "),Y=r("code"),Te=o("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=r("li"),we=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=r("code"),ue=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=r("p"),fe=o(`Note that when creating models and layers with
`),O=r("a"),Pe=o("subclassing"),ge=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var z=i(d);k=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var He=i(m);f=n(He,"transformers"),He.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=p(y),h=a(y,"UL",{});var oe=i(h);M=a(oe,"LI",{});var Ke=i(M);$e=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=a(oe,"LI",{});var _e=i(W);de=n(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(y),x=a(y,"P",{});var j=i(x);Ae=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=a(j,"CODE",{});var Se=i(R);ce=n(Se,"model.fit()"),Se.forEach(t),Ce=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=a(j,"CODE",{});var Ve=i(J);se=n(Ve,"model.fit()"),Ve.forEach(t),re=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=a(j,"CODE",{});var Je=i(H);ie=n(Je,"fit()"),Je.forEach(t),Fe=n(j," and "),Q=a(j,"CODE",{});var We=i(Q);xe=n(We,"predict()"),We.forEach(t),ye=n(j,`, such as when creating your own layers or models with
the Keras `),B=a(j,"CODE",{});var Ge=i(B);Ee=n(Ge,"Functional"),Ge.forEach(t),le=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(y),q=a(y,"UL",{});var S=i(q);C=a(S,"LI",{});var U=i(C);ae=n(U,"a single Tensor with "),K=a(U,"CODE",{});var Xe=i(K);Me=n(Xe,"input_ids"),Xe.forEach(t),ze=n(U," only and nothing else: "),V=a(U,"CODE",{});var Ye=i(V);je=n(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ve=p(S),P=a(S,"LI",{});var X=i(P);qe=n(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(X,"CODE",{});var Le=i(G);pe=n(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=n(X," or "),Y=a(X,"CODE",{});var De=i(Y);Te=n(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=a(S,"LI",{});var be=i(D);we=n(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=a(be,"CODE",{});var Be=i(I);ue=n(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(y),L=a(y,"P",{});var ne=i(L);fe=n(ne,`Note that when creating models and layers with
`),O=a(ne,"A",{href:!0,rel:!0});var Qe=i(O);Pe=n(Qe,"subclassing"),Qe.forEach(t),ge=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(O,"rel","nofollow")},m(y,z){g(y,d,z),e(d,k),e(d,m),e(m,f),e(d,_),g(y,l,z),g(y,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(y,Z,z),g(y,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ye),e(x,B),e(B,Ee),e(x,le),g(y,ee,z),g(y,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ve),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,I),e(I,ue),g(y,te,z),g(y,L,z),e(L,fe),e(L,O),e(O,Pe),e(L,ge)},d(y){y&&t(d),y&&t(l),y&&t(h),y&&t(Z),y&&t(x),y&&t(ee),y&&t(q),y&&t(te),y&&t(L)}}}function Kz(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function Vz(E){let d,k,m,f,_;return f=new Ne({props:{code:`import tensorflow as tf
from transformers import AutoTokenizer, TFAlbertForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForMaskedLM.from_pretrained("albert-base-v2")

# add mask_token
inputs = tokenizer(f"The capital of [MASK] is Paris.", return_tensors="tf")
logits = model(**inputs).logits

# retrieve index of [MASK]
mask_token_index = tf.where(inputs.input_ids == tokenizer.mask_token_id)[0][1]
predicted_token_id = tf.math.argmax(logits[0, mask_token_index], axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForMaskedLM.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># add mask_token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">f&quot;The capital of [MASK] is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of [MASK]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = tf.where(inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>][<span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = tf.math.argmax(logits[<span class="hljs-number">0</span>, mask_token_index], axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27;france&#x27;</span>`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Jz(E){let d,k;return d=new Ne({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="tf")["input_ids"]
labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)
outputs = model(**inputs, labels=labels)
round(float(outputs.loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(outputs.loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.81</span>`}}),{c(){v(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),k=!0},p:Ie,i(m){k||($(d.$$.fragment,m),k=!0)},o(m){A(d.$$.fragment,m),k=!1},d(m){F(d,m)}}}function Gz(E){let d,k,m,f,_,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ye,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ve,P,qe,G,pe,me,Y,Te,he,D,we,I,ue,te,L,fe,O,Pe,ge;return{c(){d=r("p"),k=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=c(),h=r("ul"),M=r("li"),$e=o("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=r("li"),de=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=r("p"),Ae=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=r("code"),ce=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=r("code"),se=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=r("code"),ie=o("fit()"),Fe=o(" and "),Q=r("code"),xe=o("predict()"),ye=o(`, such as when creating your own layers or models with
the Keras `),B=r("code"),Ee=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=r("ul"),C=r("li"),ae=o("a single Tensor with "),K=r("code"),Me=o("input_ids"),ze=o(" only and nothing else: "),V=r("code"),je=o("model(input_ids)"),ve=c(),P=r("li"),qe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),pe=o("model([input_ids, attention_mask])"),me=o(" or "),Y=r("code"),Te=o("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=r("li"),we=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=r("code"),ue=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=r("p"),fe=o(`Note that when creating models and layers with
`),O=r("a"),Pe=o("subclassing"),ge=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var z=i(d);k=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var He=i(m);f=n(He,"transformers"),He.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=p(y),h=a(y,"UL",{});var oe=i(h);M=a(oe,"LI",{});var Ke=i(M);$e=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=a(oe,"LI",{});var _e=i(W);de=n(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(y),x=a(y,"P",{});var j=i(x);Ae=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=a(j,"CODE",{});var Se=i(R);ce=n(Se,"model.fit()"),Se.forEach(t),Ce=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=a(j,"CODE",{});var Ve=i(J);se=n(Ve,"model.fit()"),Ve.forEach(t),re=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=a(j,"CODE",{});var Je=i(H);ie=n(Je,"fit()"),Je.forEach(t),Fe=n(j," and "),Q=a(j,"CODE",{});var We=i(Q);xe=n(We,"predict()"),We.forEach(t),ye=n(j,`, such as when creating your own layers or models with
the Keras `),B=a(j,"CODE",{});var Ge=i(B);Ee=n(Ge,"Functional"),Ge.forEach(t),le=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(y),q=a(y,"UL",{});var S=i(q);C=a(S,"LI",{});var U=i(C);ae=n(U,"a single Tensor with "),K=a(U,"CODE",{});var Xe=i(K);Me=n(Xe,"input_ids"),Xe.forEach(t),ze=n(U," only and nothing else: "),V=a(U,"CODE",{});var Ye=i(V);je=n(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ve=p(S),P=a(S,"LI",{});var X=i(P);qe=n(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(X,"CODE",{});var Le=i(G);pe=n(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=n(X," or "),Y=a(X,"CODE",{});var De=i(Y);Te=n(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=a(S,"LI",{});var be=i(D);we=n(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=a(be,"CODE",{});var Be=i(I);ue=n(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(y),L=a(y,"P",{});var ne=i(L);fe=n(ne,`Note that when creating models and layers with
`),O=a(ne,"A",{href:!0,rel:!0});var Qe=i(O);Pe=n(Qe,"subclassing"),Qe.forEach(t),ge=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(O,"rel","nofollow")},m(y,z){g(y,d,z),e(d,k),e(d,m),e(m,f),e(d,_),g(y,l,z),g(y,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(y,Z,z),g(y,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ye),e(x,B),e(B,Ee),e(x,le),g(y,ee,z),g(y,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ve),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,I),e(I,ue),g(y,te,z),g(y,L,z),e(L,fe),e(L,O),e(O,Pe),e(L,ge)},d(y){y&&t(d),y&&t(l),y&&t(h),y&&t(Z),y&&t(x),y&&t(ee),y&&t(q),y&&t(te),y&&t(L)}}}function Xz(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function Yz(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForSequenceClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("vumichien/albert-base-v2-imdb")
model = TFAlbertForSequenceClassification.from_pretrained("vumichien/albert-base-v2-imdb")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")

logits = model(**inputs).logits

predicted_class_id = int(tf.math.argmax(logits, axis=-1)[0])
model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-imdb&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-imdb&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;LABEL_1&#x27;</span>`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function Zz(E){let d,k;return d=new Ne({props:{code:'# To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`\nnum_labels = len(model.config.id2label)\nmodel = TFAlbertForSequenceClassification.from_pretrained("vumichien/albert-base-v2-imdb", num_labels=num_labels)\n\nlabels = tf.constant(1)\nloss = model(**inputs, labels=labels).loss\nround(float(loss), 2)',highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-imdb&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.constant(<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.12</span>`}}),{c(){v(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),k=!0},p:Ie,i(m){k||($(d.$$.fragment,m),k=!0)},o(m){A(d.$$.fragment,m),k=!1},d(m){F(d,m)}}}function e4(E){let d,k,m,f,_,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ye,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ve,P,qe,G,pe,me,Y,Te,he,D,we,I,ue,te,L,fe,O,Pe,ge;return{c(){d=r("p"),k=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=c(),h=r("ul"),M=r("li"),$e=o("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=r("li"),de=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=r("p"),Ae=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=r("code"),ce=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=r("code"),se=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=r("code"),ie=o("fit()"),Fe=o(" and "),Q=r("code"),xe=o("predict()"),ye=o(`, such as when creating your own layers or models with
the Keras `),B=r("code"),Ee=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=r("ul"),C=r("li"),ae=o("a single Tensor with "),K=r("code"),Me=o("input_ids"),ze=o(" only and nothing else: "),V=r("code"),je=o("model(input_ids)"),ve=c(),P=r("li"),qe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),pe=o("model([input_ids, attention_mask])"),me=o(" or "),Y=r("code"),Te=o("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=r("li"),we=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=r("code"),ue=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=r("p"),fe=o(`Note that when creating models and layers with
`),O=r("a"),Pe=o("subclassing"),ge=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var z=i(d);k=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var He=i(m);f=n(He,"transformers"),He.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=p(y),h=a(y,"UL",{});var oe=i(h);M=a(oe,"LI",{});var Ke=i(M);$e=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=a(oe,"LI",{});var _e=i(W);de=n(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(y),x=a(y,"P",{});var j=i(x);Ae=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=a(j,"CODE",{});var Se=i(R);ce=n(Se,"model.fit()"),Se.forEach(t),Ce=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=a(j,"CODE",{});var Ve=i(J);se=n(Ve,"model.fit()"),Ve.forEach(t),re=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=a(j,"CODE",{});var Je=i(H);ie=n(Je,"fit()"),Je.forEach(t),Fe=n(j," and "),Q=a(j,"CODE",{});var We=i(Q);xe=n(We,"predict()"),We.forEach(t),ye=n(j,`, such as when creating your own layers or models with
the Keras `),B=a(j,"CODE",{});var Ge=i(B);Ee=n(Ge,"Functional"),Ge.forEach(t),le=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(y),q=a(y,"UL",{});var S=i(q);C=a(S,"LI",{});var U=i(C);ae=n(U,"a single Tensor with "),K=a(U,"CODE",{});var Xe=i(K);Me=n(Xe,"input_ids"),Xe.forEach(t),ze=n(U," only and nothing else: "),V=a(U,"CODE",{});var Ye=i(V);je=n(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ve=p(S),P=a(S,"LI",{});var X=i(P);qe=n(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(X,"CODE",{});var Le=i(G);pe=n(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=n(X," or "),Y=a(X,"CODE",{});var De=i(Y);Te=n(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=a(S,"LI",{});var be=i(D);we=n(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=a(be,"CODE",{});var Be=i(I);ue=n(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(y),L=a(y,"P",{});var ne=i(L);fe=n(ne,`Note that when creating models and layers with
`),O=a(ne,"A",{href:!0,rel:!0});var Qe=i(O);Pe=n(Qe,"subclassing"),Qe.forEach(t),ge=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(O,"rel","nofollow")},m(y,z){g(y,d,z),e(d,k),e(d,m),e(m,f),e(d,_),g(y,l,z),g(y,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(y,Z,z),g(y,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ye),e(x,B),e(B,Ee),e(x,le),g(y,ee,z),g(y,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ve),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,I),e(I,ue),g(y,te,z),g(y,L,z),e(L,fe),e(L,O),e(O,Pe),e(L,ge)},d(y){y&&t(d),y&&t(l),y&&t(h),y&&t(Z),y&&t(x),y&&t(ee),y&&t(q),y&&t(te),y&&t(L)}}}function t4(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function o4(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForMultipleChoice
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForMultipleChoice.from_pretrained("albert-base-v2")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="tf", padding=True)
inputs = {k: tf.expand_dims(v, 0) for k, v in encoding.items()}
outputs = model(inputs)  # batch size is 1

# the linear classifier still needs to be trained
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = {k: tf.expand_dims(v, <span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function n4(E){let d,k,m,f,_,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ye,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ve,P,qe,G,pe,me,Y,Te,he,D,we,I,ue,te,L,fe,O,Pe,ge;return{c(){d=r("p"),k=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=c(),h=r("ul"),M=r("li"),$e=o("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=r("li"),de=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=r("p"),Ae=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=r("code"),ce=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=r("code"),se=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=r("code"),ie=o("fit()"),Fe=o(" and "),Q=r("code"),xe=o("predict()"),ye=o(`, such as when creating your own layers or models with
the Keras `),B=r("code"),Ee=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=r("ul"),C=r("li"),ae=o("a single Tensor with "),K=r("code"),Me=o("input_ids"),ze=o(" only and nothing else: "),V=r("code"),je=o("model(input_ids)"),ve=c(),P=r("li"),qe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),pe=o("model([input_ids, attention_mask])"),me=o(" or "),Y=r("code"),Te=o("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=r("li"),we=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=r("code"),ue=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=r("p"),fe=o(`Note that when creating models and layers with
`),O=r("a"),Pe=o("subclassing"),ge=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var z=i(d);k=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var He=i(m);f=n(He,"transformers"),He.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=p(y),h=a(y,"UL",{});var oe=i(h);M=a(oe,"LI",{});var Ke=i(M);$e=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=a(oe,"LI",{});var _e=i(W);de=n(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(y),x=a(y,"P",{});var j=i(x);Ae=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=a(j,"CODE",{});var Se=i(R);ce=n(Se,"model.fit()"),Se.forEach(t),Ce=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=a(j,"CODE",{});var Ve=i(J);se=n(Ve,"model.fit()"),Ve.forEach(t),re=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=a(j,"CODE",{});var Je=i(H);ie=n(Je,"fit()"),Je.forEach(t),Fe=n(j," and "),Q=a(j,"CODE",{});var We=i(Q);xe=n(We,"predict()"),We.forEach(t),ye=n(j,`, such as when creating your own layers or models with
the Keras `),B=a(j,"CODE",{});var Ge=i(B);Ee=n(Ge,"Functional"),Ge.forEach(t),le=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(y),q=a(y,"UL",{});var S=i(q);C=a(S,"LI",{});var U=i(C);ae=n(U,"a single Tensor with "),K=a(U,"CODE",{});var Xe=i(K);Me=n(Xe,"input_ids"),Xe.forEach(t),ze=n(U," only and nothing else: "),V=a(U,"CODE",{});var Ye=i(V);je=n(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ve=p(S),P=a(S,"LI",{});var X=i(P);qe=n(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(X,"CODE",{});var Le=i(G);pe=n(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=n(X," or "),Y=a(X,"CODE",{});var De=i(Y);Te=n(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=a(S,"LI",{});var be=i(D);we=n(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=a(be,"CODE",{});var Be=i(I);ue=n(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(y),L=a(y,"P",{});var ne=i(L);fe=n(ne,`Note that when creating models and layers with
`),O=a(ne,"A",{href:!0,rel:!0});var Qe=i(O);Pe=n(Qe,"subclassing"),Qe.forEach(t),ge=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(O,"rel","nofollow")},m(y,z){g(y,d,z),e(d,k),e(d,m),e(m,f),e(d,_),g(y,l,z),g(y,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(y,Z,z),g(y,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ye),e(x,B),e(B,Ee),e(x,le),g(y,ee,z),g(y,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ve),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,I),e(I,ue),g(y,te,z),g(y,L,z),e(L,fe),e(L,O),e(O,Pe),e(L,ge)},d(y){y&&t(d),y&&t(l),y&&t(h),y&&t(Z),y&&t(x),y&&t(ee),y&&t(q),y&&t(te),y&&t(L)}}}function s4(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function r4(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForTokenClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForTokenClassification.from_pretrained("albert-base-v2")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="tf"
)

logits = model(**inputs).logits
predicted_token_class_ids = tf.math.argmax(logits, axis=-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t] for t in predicted_token_class_ids[0].numpy().tolist()]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForTokenClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>].numpy().tolist()]`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function a4(E){let d,k;return d=new Ne({props:{code:`labels = predicted_token_class_ids
loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)`}}),{c(){v(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),k=!0},p:Ie,i(m){k||($(d.$$.fragment,m),k=!0)},o(m){A(d.$$.fragment,m),k=!1},d(m){F(d,m)}}}function i4(E){let d,k,m,f,_,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ye,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ve,P,qe,G,pe,me,Y,Te,he,D,we,I,ue,te,L,fe,O,Pe,ge;return{c(){d=r("p"),k=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=c(),h=r("ul"),M=r("li"),$e=o("having all inputs as keyword arguments (like PyTorch models), or"),ke=c(),W=r("li"),de=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=c(),x=r("p"),Ae=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=r("code"),ce=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=r("code"),se=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),H=r("code"),ie=o("fit()"),Fe=o(" and "),Q=r("code"),xe=o("predict()"),ye=o(`, such as when creating your own layers or models with
the Keras `),B=r("code"),Ee=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),ee=c(),q=r("ul"),C=r("li"),ae=o("a single Tensor with "),K=r("code"),Me=o("input_ids"),ze=o(" only and nothing else: "),V=r("code"),je=o("model(input_ids)"),ve=c(),P=r("li"),qe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=r("code"),pe=o("model([input_ids, attention_mask])"),me=o(" or "),Y=r("code"),Te=o("model([input_ids, attention_mask, token_type_ids])"),he=c(),D=r("li"),we=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=r("code"),ue=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),te=c(),L=r("p"),fe=o(`Note that when creating models and layers with
`),O=r("a"),Pe=o("subclassing"),ge=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var z=i(d);k=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var He=i(m);f=n(He,"transformers"),He.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=p(y),h=a(y,"UL",{});var oe=i(h);M=a(oe,"LI",{});var Ke=i(M);$e=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),ke=p(oe),W=a(oe,"LI",{});var _e=i(W);de=n(_e,"having all inputs as a list, tuple or dict in the first positional argument."),_e.forEach(t),oe.forEach(t),Z=p(y),x=a(y,"P",{});var j=i(x);Ae=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=a(j,"CODE",{});var Se=i(R);ce=n(Se,"model.fit()"),Se.forEach(t),Ce=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),J=a(j,"CODE",{});var Ve=i(J);se=n(Ve,"model.fit()"),Ve.forEach(t),re=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),H=a(j,"CODE",{});var Je=i(H);ie=n(Je,"fit()"),Je.forEach(t),Fe=n(j," and "),Q=a(j,"CODE",{});var We=i(Q);xe=n(We,"predict()"),We.forEach(t),ye=n(j,`, such as when creating your own layers or models with
the Keras `),B=a(j,"CODE",{});var Ge=i(B);Ee=n(Ge,"Functional"),Ge.forEach(t),le=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),ee=p(y),q=a(y,"UL",{});var S=i(q);C=a(S,"LI",{});var U=i(C);ae=n(U,"a single Tensor with "),K=a(U,"CODE",{});var Xe=i(K);Me=n(Xe,"input_ids"),Xe.forEach(t),ze=n(U," only and nothing else: "),V=a(U,"CODE",{});var Ye=i(V);je=n(Ye,"model(input_ids)"),Ye.forEach(t),U.forEach(t),ve=p(S),P=a(S,"LI",{});var X=i(P);qe=n(X,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),G=a(X,"CODE",{});var Le=i(G);pe=n(Le,"model([input_ids, attention_mask])"),Le.forEach(t),me=n(X," or "),Y=a(X,"CODE",{});var De=i(Y);Te=n(De,"model([input_ids, attention_mask, token_type_ids])"),De.forEach(t),X.forEach(t),he=p(S),D=a(S,"LI",{});var be=i(D);we=n(be,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=a(be,"CODE",{});var Be=i(I);ue=n(Be,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Be.forEach(t),be.forEach(t),S.forEach(t),te=p(y),L=a(y,"P",{});var ne=i(L);fe=n(ne,`Note that when creating models and layers with
`),O=a(ne,"A",{href:!0,rel:!0});var Qe=i(O);Pe=n(Qe,"subclassing"),Qe.forEach(t),ge=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){u(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(O,"rel","nofollow")},m(y,z){g(y,d,z),e(d,k),e(d,m),e(m,f),e(d,_),g(y,l,z),g(y,h,z),e(h,M),e(M,$e),e(h,ke),e(h,W),e(W,de),g(y,Z,z),g(y,x,z),e(x,Ae),e(x,R),e(R,ce),e(x,Ce),e(x,J),e(J,se),e(x,re),e(x,H),e(H,ie),e(x,Fe),e(x,Q),e(Q,xe),e(x,ye),e(x,B),e(B,Ee),e(x,le),g(y,ee,z),g(y,q,z),e(q,C),e(C,ae),e(C,K),e(K,Me),e(C,ze),e(C,V),e(V,je),e(q,ve),e(q,P),e(P,qe),e(P,G),e(G,pe),e(P,me),e(P,Y),e(Y,Te),e(q,he),e(q,D),e(D,we),e(D,I),e(I,ue),g(y,te,z),g(y,L,z),e(L,fe),e(L,O),e(O,Pe),e(L,ge)},d(y){y&&t(d),y&&t(l),y&&t(h),y&&t(Z),y&&t(x),y&&t(ee),y&&t(q),y&&t(te),y&&t(L)}}}function l4(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function d4(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForQuestionAnswering
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("vumichien/albert-base-v2-squad2")
model = TFAlbertForQuestionAnswering.from_pretrained("vumichien/albert-base-v2-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="tf")
outputs = model(**inputs)

answer_start_index = int(tf.math.argmax(outputs.start_logits, axis=-1)[0])
answer_end_index = int(tf.math.argmax(outputs.end_logits, axis=-1)[0])

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.start_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.end_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens)
<span class="hljs-string">&#x27;a nice puppet&#x27;</span>`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function c4(E){let d,k;return d=new Ne({props:{code:`# target is "nice puppet"
target_start_index = tf.constant([12])
target_end_index = tf.constant([13])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = tf.math.reduce_mean(outputs.loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = tf.constant([<span class="hljs-number">12</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = tf.constant([<span class="hljs-number">13</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(outputs.loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">7.36</span>`}}),{c(){v(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),k=!0},p:Ie,i(m){k||($(d.$$.fragment,m),k=!0)},o(m){A(d.$$.fragment,m),k=!1},d(m){F(d,m)}}}function p4(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function h4(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertModel

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertModel.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertModel.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function m4(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function u4(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForPreTraining

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForPreTraining.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")
outputs = model(**inputs)

prediction_logits = outputs.prediction_logits
seq_relationship_logits = outputs.sop_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForPreTraining

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForPreTraining.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.prediction_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>seq_relationship_logits = outputs.sop_logits`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function f4(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function g4(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForMaskedLM.from_pretrained("albert-base-v2")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForMaskedLM.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function _4(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function b4(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForSequenceClassification.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function k4(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function y4(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForMultipleChoice.from_pretrained("albert-base-v2")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="jax", padding=True)
outputs = model(**{k: v[None, :] for k, v in encoding.items()})

logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;jax&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v[<span class="hljs-literal">None</span>, :] <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()})

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function v4(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function T4(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForTokenClassification.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForTokenClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function w4(E){let d,k,m,f,_;return{c(){d=r("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(h,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(l,h){g(l,d,h),e(d,k),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function $4(E){let d,k,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForQuestionAnswering.from_pretrained("albert-base-v2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="jax")

outputs = model(**inputs)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){d=r("p"),k=o("Example:"),m=c(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var h=i(d);k=n(h,"Example:"),h.forEach(t),m=p(l),T(f.$$.fragment,l)},m(l,h){g(l,d,h),e(d,k),g(l,m,h),w(f,l,h),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function A4(E){let d,k,m,f,_,l,h,M,$e,ke,W,de,Z,x,Ae,R,ce,Ce,J,se,re,H,ie,Fe,Q,xe,ye,B,Ee,le,ee,q,C,ae,K,Me,ze,V,je,ve,P,qe,G,pe,me,Y,Te,he,D,we,I,ue,te,L,fe,O,Pe,ge,y,z,He,oe,Ke,_e,j,Se,Ve,Je,We,Ge,S,U,Xe,Ye,X,Le,De,be,Be,ne,Qe,Pg,fu,Lt,Wr,Cg,io,Lg,_d,Og,Ig,bd,Ng,Dg,Br,Sg,Wg,Bg,Oo,Ug,kd,Rg,Hg,yd,Qg,Kg,Vg,Sn,gu,Io,Wn,Bc,Ur,Jg,Uc,Gg,_u,Ze,Rr,Xg,Hr,Yg,Qr,Zg,e_,t_,Kr,o_,vd,n_,s_,r_,vo,Vr,a_,Rc,i_,l_,Jr,Td,d_,Hc,c_,p_,wd,h_,Qc,m_,u_,Bn,Gr,f_,Xr,g_,Kc,__,b_,k_,It,Yr,y_,Vc,v_,T_,Un,w_,No,$_,Jc,A_,F_,Gc,x_,E_,M_,$d,Zr,bu,Do,Rn,Xc,ea,z_,Yc,j_,ku,Ot,ta,q_,lo,P_,Zc,C_,L_,oa,O_,I_,Ad,N_,D_,S_,To,na,W_,ep,B_,U_,sa,Fd,R_,tp,H_,Q_,xd,K_,op,V_,J_,Nt,ra,G_,np,X_,Y_,Hn,Z_,sp,eb,yu,So,Qn,rp,aa,tb,ap,ob,vu,Wo,ia,nb,la,sb,Ed,rb,ab,Tu,Bo,da,ib,ca,lb,Md,db,cb,wu,Uo,Kn,ip,pa,pb,lp,hb,$u,ft,ha,mb,dp,ub,fb,ma,gb,zd,_b,bb,kb,ua,yb,fa,vb,Tb,wb,Dt,ga,$b,Ro,Ab,jd,Fb,xb,cp,Eb,Mb,zb,Vn,jb,Jn,Au,Ho,Gn,pp,_a,qb,hp,Pb,Fu,gt,ba,Cb,Qo,Lb,mp,Ob,Ib,up,Nb,Db,Sb,ka,Wb,qd,Bb,Ub,Rb,ya,Hb,va,Qb,Kb,Vb,St,Ta,Jb,Ko,Gb,Pd,Xb,Yb,fp,Zb,ek,tk,Xn,ok,Yn,xu,Vo,Zn,gp,wa,nk,_p,sk,Eu,_t,$a,rk,Aa,ak,bp,ik,lk,dk,Fa,ck,Cd,pk,hk,mk,xa,uk,Ea,fk,gk,_k,Tt,Ma,bk,Jo,kk,Ld,yk,vk,kp,Tk,wk,$k,es,Ak,ts,Fk,os,Mu,Go,ns,yp,za,xk,vp,Ek,zu,bt,ja,Mk,Tp,zk,jk,qa,qk,Od,Pk,Ck,Lk,Pa,Ok,Ca,Ik,Nk,Dk,wt,La,Sk,Xo,Wk,Id,Bk,Uk,wp,Rk,Hk,Qk,ss,Kk,rs,Vk,as,ju,Yo,is,$p,Oa,Jk,Ap,Gk,qu,kt,Ia,Xk,Fp,Yk,Zk,Na,ey,Nd,ty,oy,ny,Da,sy,Sa,ry,ay,iy,Wt,Wa,ly,Zo,dy,Dd,cy,py,xp,hy,my,uy,ls,fy,ds,Pu,en,cs,Ep,Ba,gy,Mp,_y,Cu,yt,Ua,by,zp,ky,yy,Ra,vy,Sd,Ty,wy,$y,Ha,Ay,Qa,Fy,xy,Ey,Bt,Ka,My,tn,zy,Wd,jy,qy,jp,Py,Cy,Ly,ps,Oy,hs,Lu,on,ms,qp,Va,Iy,Pp,Ny,Ou,vt,Ja,Dy,nn,Sy,Cp,Wy,By,Lp,Uy,Ry,Hy,Ga,Qy,Bd,Ky,Vy,Jy,Xa,Gy,Ya,Xy,Yy,Zy,Ut,Za,ev,sn,tv,Ud,ov,nv,Op,sv,rv,av,us,iv,fs,Iu,rn,gs,Ip,ei,lv,Np,dv,Nu,it,ti,cv,Dp,pv,hv,oi,mv,Rd,uv,fv,gv,ni,_v,si,bv,kv,yv,_s,vv,Rt,ri,Tv,an,wv,Hd,$v,Av,Sp,Fv,xv,Ev,bs,Mv,ks,Du,ln,ys,Wp,ai,zv,Bp,jv,Su,lt,ii,qv,dn,Pv,Up,Cv,Lv,Rp,Ov,Iv,Nv,li,Dv,Qd,Sv,Wv,Bv,di,Uv,ci,Rv,Hv,Qv,vs,Kv,Ht,pi,Vv,cn,Jv,Kd,Gv,Xv,Hp,Yv,Zv,eT,Ts,tT,ws,Wu,pn,$s,Qp,hi,oT,Kp,nT,Bu,dt,mi,sT,ui,rT,Vp,aT,iT,lT,fi,dT,Vd,cT,pT,hT,gi,mT,_i,uT,fT,gT,As,_T,$t,bi,bT,hn,kT,Jd,yT,vT,Jp,TT,wT,$T,Fs,AT,xs,FT,Es,Uu,mn,Ms,Gp,ki,xT,Xp,ET,Ru,ct,yi,MT,Yp,zT,jT,vi,qT,Gd,PT,CT,LT,Ti,OT,wi,IT,NT,DT,zs,ST,At,$i,WT,un,BT,Xd,UT,RT,Zp,HT,QT,KT,js,VT,qs,JT,Ps,Hu,fn,Cs,eh,Ai,GT,th,XT,Qu,pt,Fi,YT,oh,ZT,ew,xi,tw,Yd,ow,nw,sw,Ei,rw,Mi,aw,iw,lw,Ls,dw,Qt,zi,cw,gn,pw,Zd,hw,mw,nh,uw,fw,gw,Os,_w,Is,Ku,_n,Ns,sh,ji,bw,rh,kw,Vu,ht,qi,yw,ah,vw,Tw,Pi,ww,ec,$w,Aw,Fw,Ci,xw,Li,Ew,Mw,zw,Ds,jw,Ft,Oi,qw,bn,Pw,tc,Cw,Lw,ih,Ow,Iw,Nw,Ss,Dw,Ws,Sw,Bs,Ju,kn,Us,lh,Ii,Ww,dh,Bw,Gu,mt,Ni,Uw,yn,Rw,ch,Hw,Qw,ph,Kw,Vw,Jw,Di,Gw,oc,Xw,Yw,Zw,Si,e$,Wi,t$,o$,n$,Rs,s$,xt,Bi,r$,vn,a$,nc,i$,l$,hh,d$,c$,p$,Hs,h$,Qs,m$,Ks,Xu,Tn,Vs,mh,Ui,u$,uh,f$,Yu,et,Ri,g$,fh,_$,b$,Hi,k$,sc,y$,v$,T$,Qi,w$,Ki,$$,A$,F$,gh,x$,E$,co,_h,Vi,M$,z$,bh,Ji,j$,q$,kh,Gi,P$,C$,yh,Xi,L$,O$,Kt,Yi,I$,wn,N$,vh,D$,S$,Th,W$,B$,U$,Js,R$,Gs,Zu,$n,Xs,wh,Zi,H$,$h,Q$,ef,tt,el,K$,An,V$,Ah,J$,G$,Fh,X$,Y$,Z$,tl,e1,rc,t1,o1,n1,ol,s1,nl,r1,a1,i1,xh,l1,d1,po,Eh,sl,c1,p1,Mh,rl,h1,m1,zh,al,u1,f1,jh,il,g1,_1,Vt,ll,b1,Fn,k1,qh,y1,v1,Ph,T1,w1,$1,Ys,A1,Zs,tf,xn,er,Ch,dl,F1,Lh,x1,of,ot,cl,E1,pl,M1,Oh,z1,j1,q1,hl,P1,ac,C1,L1,O1,ml,I1,ul,N1,D1,S1,Ih,W1,B1,ho,Nh,fl,U1,R1,Dh,gl,H1,Q1,Sh,_l,K1,V1,Wh,bl,J1,G1,Jt,kl,X1,En,Y1,Bh,Z1,e2,Uh,t2,o2,n2,tr,s2,or,nf,Mn,nr,Rh,yl,r2,Hh,a2,sf,nt,vl,i2,Qh,l2,d2,Tl,c2,ic,p2,h2,m2,wl,u2,$l,f2,g2,_2,Kh,b2,k2,mo,Vh,Al,y2,v2,Jh,Fl,T2,w2,Gh,xl,$2,A2,Xh,El,F2,x2,Gt,Ml,E2,zn,M2,Yh,z2,j2,Zh,q2,P2,C2,sr,L2,rr,rf,jn,ar,em,zl,O2,tm,I2,af,st,jl,N2,om,D2,S2,ql,W2,lc,B2,U2,R2,Pl,H2,Cl,Q2,K2,V2,nm,J2,G2,uo,sm,Ll,X2,Y2,rm,Ol,Z2,eA,am,Il,tA,oA,im,Nl,nA,sA,Xt,Dl,rA,qn,aA,lm,iA,lA,dm,dA,cA,pA,ir,hA,lr,lf,Pn,dr,cm,Sl,mA,pm,uA,df,rt,Wl,fA,hm,gA,_A,Bl,bA,dc,kA,yA,vA,Ul,TA,Rl,wA,$A,AA,mm,FA,xA,fo,um,Hl,EA,MA,fm,Ql,zA,jA,gm,Kl,qA,PA,_m,Vl,CA,LA,Yt,Jl,OA,Cn,IA,bm,NA,DA,km,SA,WA,BA,cr,UA,pr,cf,Ln,hr,ym,Gl,RA,vm,HA,pf,at,Xl,QA,On,KA,Tm,VA,JA,wm,GA,XA,YA,Yl,ZA,cc,eF,tF,oF,Zl,nF,ed,sF,rF,aF,$m,iF,lF,go,Am,td,dF,cF,Fm,od,pF,hF,xm,nd,mF,uF,Em,sd,fF,gF,Zt,rd,_F,In,bF,Mm,kF,yF,zm,vF,TF,wF,mr,$F,ur,hf;return l=new Re({}),ie=new Re({}),Be=new Re({}),Wr=new N({props:{name:"class transformers.AlbertConfig",anchor:"transformers.AlbertConfig",parameters:[{name:"vocab_size",val:" = 30000"},{name:"embedding_size",val:" = 128"},{name:"hidden_size",val:" = 4096"},{name:"num_hidden_layers",val:" = 12"},{name:"num_hidden_groups",val:" = 1"},{name:"num_attention_heads",val:" = 64"},{name:"intermediate_size",val:" = 16384"},{name:"inner_group_num",val:" = 1"},{name:"hidden_act",val:" = 'gelu_new'"},{name:"hidden_dropout_prob",val:" = 0"},{name:"attention_probs_dropout_prob",val:" = 0"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"classifier_dropout_prob",val:" = 0.1"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"pad_token_id",val:" = 0"},{name:"bos_token_id",val:" = 2"},{name:"eos_token_id",val:" = 3"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlbertConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30000) &#x2014;
Vocabulary size of the ALBERT model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertModel">AlbertModel</a> or <a href="/docs/transformers/main/en/model_doc/albert#transformers.TFAlbertModel">TFAlbertModel</a>.`,name:"vocab_size"},{anchor:"transformers.AlbertConfig.embedding_size",description:`<strong>embedding_size</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
Dimensionality of vocabulary embeddings.`,name:"embedding_size"},{anchor:"transformers.AlbertConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.AlbertConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.AlbertConfig.num_hidden_groups",description:`<strong>num_hidden_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Number of groups for the hidden layers, parameters in the same group are shared.`,name:"num_hidden_groups"},{anchor:"transformers.AlbertConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.AlbertConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16384) &#x2014;
The dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.AlbertConfig.inner_group_num",description:`<strong>inner_group_num</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of inner repetition of attention and ffn.`,name:"inner_group_num"},{anchor:"transformers.AlbertConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu_new&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.AlbertConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.AlbertConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.AlbertConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
(e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.AlbertConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertModel">AlbertModel</a> or <a href="/docs/transformers/main/en/model_doc/albert#transformers.TFAlbertModel">TFAlbertModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.AlbertConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.AlbertConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.AlbertConfig.classifier_dropout_prob",description:`<strong>classifier_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for attached classifiers.`,name:"classifier_dropout_prob"},{anchor:"transformers.AlbertConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/configuration_albert.py#L36"}}),Sn=new Oe({props:{anchor:"transformers.AlbertConfig.example",$$slots:{default:[vz]},$$scope:{ctx:E}}}),Ur=new Re({}),Rr=new N({props:{name:"class transformers.AlbertTokenizer",anchor:"transformers.AlbertTokenizer",parameters:[{name:"vocab_file",val:""},{name:"do_lower_case",val:" = True"},{name:"remove_space",val:" = True"},{name:"keep_accents",val:" = False"},{name:"bos_token",val:" = '[CLS]'"},{name:"eos_token",val:" = '[SEP]'"},{name:"unk_token",val:" = '<unk>'"},{name:"sep_token",val:" = '[SEP]'"},{name:"pad_token",val:" = '<pad>'"},{name:"cls_token",val:" = '[CLS]'"},{name:"mask_token",val:" = '[MASK]'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.AlbertTokenizer.do_lower_case",description:`<strong>do_lower_case</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to lowercase the input when tokenizing.`,name:"do_lower_case"},{anchor:"transformers.AlbertTokenizer.remove_space",description:`<strong>remove_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to strip the text when tokenizing (removing excess spaces before and after the string).`,name:"remove_space"},{anchor:"transformers.AlbertTokenizer.keep_accents",description:`<strong>keep_accents</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to keep accents when tokenizing.`,name:"keep_accents"},{anchor:"transformers.AlbertTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.AlbertTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.AlbertTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.AlbertTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.AlbertTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.AlbertTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.AlbertTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[MASK]&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.AlbertTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.AlbertTokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/tokenization_albert.py#L59"}}),Vr=new N({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.AlbertTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/tokenization_albert.py#L271",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Gr=new N({props:{name:"get_special_tokens_mask",anchor:"transformers.AlbertTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.AlbertTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/tokenization_albert.py#L296",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Yr=new N({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/tokenization_albert.py#L324",returnDescription:`
<p>List of <a href="../glossary#token-type-ids">token type IDs</a> according to the given sequence(s).</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Un=new Oe({props:{anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences.example",$$slots:{default:[Tz]},$$scope:{ctx:E}}}),Zr=new N({props:{name:"save_vocabulary",anchor:"transformers.AlbertTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/tokenization_albert.py#L354"}}),ea=new Re({}),ta=new N({props:{name:"class transformers.AlbertTokenizerFast",anchor:"transformers.AlbertTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"do_lower_case",val:" = True"},{name:"remove_space",val:" = True"},{name:"keep_accents",val:" = False"},{name:"bos_token",val:" = '[CLS]'"},{name:"eos_token",val:" = '[SEP]'"},{name:"unk_token",val:" = '<unk>'"},{name:"sep_token",val:" = '[SEP]'"},{name:"pad_token",val:" = '<pad>'"},{name:"cls_token",val:" = '[CLS]'"},{name:"mask_token",val:" = '[MASK]'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlbertTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.AlbertTokenizerFast.do_lower_case",description:`<strong>do_lower_case</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to lowercase the input when tokenizing.`,name:"do_lower_case"},{anchor:"transformers.AlbertTokenizerFast.remove_space",description:`<strong>remove_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to strip the text when tokenizing (removing excess spaces before and after the string).`,name:"remove_space"},{anchor:"transformers.AlbertTokenizerFast.keep_accents",description:`<strong>keep_accents</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to keep accents when tokenizing.`,name:"keep_accents"},{anchor:"transformers.AlbertTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.AlbertTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The end of sequence token. .. note:: When building a sequence using special tokens, this is not the token
that is used for the end of sequence. The token used is the <code>sep_token</code>.`,name:"eos_token"},{anchor:"transformers.AlbertTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.AlbertTokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.AlbertTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.AlbertTokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.AlbertTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[MASK]&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/tokenization_albert_fast.py#L72"}}),na=new N({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.AlbertTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/tokenization_albert_fast.py#L170",returnDescription:`
<p>list of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ra=new N({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of ids.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/tokenization_albert_fast.py#L195",returnDescription:`
<p>List of <a href="../glossary#token-type-ids">token type IDs</a> according to the given sequence(s).</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Hn=new Oe({props:{anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences.example",$$slots:{default:[wz]},$$scope:{ctx:E}}}),aa=new Re({}),ia=new N({props:{name:"class transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput",anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput",parameters:[{name:"loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prediction_logits",val:": FloatTensor = None"},{name:"sop_logits",val:": FloatTensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"}],parametersDescription:[{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.loss",description:`<strong>loss</strong> (<em>optional</em>, returned when <code>labels</code> is provided, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
Total loss as the sum of the masked language modeling loss and the next sequence prediction
(classification) loss.`,name:"loss"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.prediction_logits",description:`<strong>prediction_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) &#x2014;
Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).`,name:"prediction_logits"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.sop_logits",description:`<strong>sop_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, 2)</code>) &#x2014;
Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).`,name:"sop_logits"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L530"}}),da=new N({props:{name:"class transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput",anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput",parameters:[{name:"loss",val:": Tensor = None"},{name:"prediction_logits",val:": Tensor = None"},{name:"sop_logits",val:": Tensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"}],parametersDescription:[{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.prediction_logits",description:`<strong>prediction_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) &#x2014;
Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).`,name:"prediction_logits"},{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.sop_logits",description:`<strong>sop_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, 2)</code>) &#x2014;
Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).`,name:"sop_logits"},{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L662"}}),pa=new Re({}),ha=new N({props:{name:"class transformers.AlbertModel",anchor:"transformers.AlbertModel",parameters:[{name:"config",val:": AlbertConfig"},{name:"add_pooling_layer",val:": bool = True"}],parametersDescription:[{anchor:"transformers.AlbertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L633"}}),ga=new N({props:{name:"forward",anchor:"transformers.AlbertModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": NoneType = None"},{name:"output_hidden_states",val:": NoneType = None"},{name:"return_dict",val:": NoneType = None"}],parametersDescription:[{anchor:"transformers.AlbertModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L676",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Vn=new Ue({props:{$$slots:{default:[$z]},$$scope:{ctx:E}}}),Jn=new Oe({props:{anchor:"transformers.AlbertModel.forward.example",$$slots:{default:[Az]},$$scope:{ctx:E}}}),_a=new Re({}),ba=new N({props:{name:"class transformers.AlbertForPreTraining",anchor:"transformers.AlbertForPreTraining",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L761"}}),Ta=new N({props:{name:"forward",anchor:"transformers.AlbertForPreTraining.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"sentence_order_label",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForPreTraining.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForPreTraining.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForPreTraining.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForPreTraining.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForPreTraining.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForPreTraining.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForPreTraining.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForPreTraining.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForPreTraining.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForPreTraining.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.AlbertForPreTraining.forward.sentence_order_label",description:`<strong>sentence_order_label</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the next sequence prediction (classification) loss. Input should be a sequence pair
(see <code>input_ids</code> docstring) Indices should be in <code>[0, 1]</code>. <code>0</code> indicates original order (sequence A, then
sequence B), <code>1</code> indicates switched order (sequence B, then sequence A).`,name:"sentence_order_label"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L787",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/model_doc/albert#transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"
>transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<em>optional</em>, returned when <code>labels</code> is provided, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 Total loss as the sum of the masked language modeling loss and the next sequence prediction
(classification) loss.</p>
</li>
<li>
<p><strong>prediction_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>sop_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, 2)</code>) \u2014 Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/model_doc/albert#transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"
>transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xn=new Ue({props:{$$slots:{default:[Fz]},$$scope:{ctx:E}}}),Yn=new Oe({props:{anchor:"transformers.AlbertForPreTraining.forward.example",$$slots:{default:[xz]},$$scope:{ctx:E}}}),wa=new Re({}),$a=new N({props:{name:"class transformers.AlbertForMaskedLM",anchor:"transformers.AlbertForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.AlbertForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L913"}}),Ma=new N({props:{name:"forward",anchor:"transformers.AlbertForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L939",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),es=new Ue({props:{$$slots:{default:[Ez]},$$scope:{ctx:E}}}),ts=new Oe({props:{anchor:"transformers.AlbertForMaskedLM.forward.example",$$slots:{default:[Mz]},$$scope:{ctx:E}}}),os=new Oe({props:{anchor:"transformers.AlbertForMaskedLM.forward.example-2",$$slots:{default:[zz]},$$scope:{ctx:E}}}),za=new Re({}),ja=new N({props:{name:"class transformers.AlbertForSequenceClassification",anchor:"transformers.AlbertForSequenceClassification",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L1032"}}),La=new N({props:{name:"forward",anchor:"transformers.AlbertForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L1045",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ss=new Ue({props:{$$slots:{default:[jz]},$$scope:{ctx:E}}}),rs=new Oe({props:{anchor:"transformers.AlbertForSequenceClassification.forward.example",$$slots:{default:[qz]},$$scope:{ctx:E}}}),as=new Oe({props:{anchor:"transformers.AlbertForSequenceClassification.forward.example-2",$$slots:{default:[Pz]},$$scope:{ctx:E}}}),Oa=new Re({}),Ia=new N({props:{name:"class transformers.AlbertForMultipleChoice",anchor:"transformers.AlbertForMultipleChoice",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L1323"}}),Wa=new N({props:{name:"forward",anchor:"transformers.AlbertForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForMultipleChoice.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForMultipleChoice.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForMultipleChoice.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForMultipleChoice.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForMultipleChoice.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForMultipleChoice.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForMultipleChoice.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices-1]</code> where <em>num_choices</em> is the size of the second dimension of the input tensors. (see
<em>input_ids</em> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L1334",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <em>(1,)</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ls=new Ue({props:{$$slots:{default:[Cz]},$$scope:{ctx:E}}}),ds=new Oe({props:{anchor:"transformers.AlbertForMultipleChoice.forward.example",$$slots:{default:[Lz]},$$scope:{ctx:E}}}),Ba=new Re({}),Ua=new N({props:{name:"class transformers.AlbertForTokenClassification",anchor:"transformers.AlbertForTokenClassification",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L1133"}}),Ka=new N({props:{name:"forward",anchor:"transformers.AlbertForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L1152",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ps=new Ue({props:{$$slots:{default:[Oz]},$$scope:{ctx:E}}}),hs=new Oe({props:{anchor:"transformers.AlbertForTokenClassification.forward.example",$$slots:{default:[Iz]},$$scope:{ctx:E}}}),Va=new Re({}),Ja=new N({props:{name:"class transformers.AlbertForQuestionAnswering",anchor:"transformers.AlbertForQuestionAnswering",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L1218"}}),Za=new N({props:{name:"forward",anchor:"transformers.AlbertForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.AlbertForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_albert.py#L1231",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),us=new Ue({props:{$$slots:{default:[Nz]},$$scope:{ctx:E}}}),fs=new Oe({props:{anchor:"transformers.AlbertForQuestionAnswering.forward.example",$$slots:{default:[Dz]},$$scope:{ctx:E}}}),ei=new Re({}),ti=new N({props:{name:"class transformers.TFAlbertModel",anchor:"transformers.TFAlbertModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L794"}}),_s=new Ue({props:{$$slots:{default:[Sz]},$$scope:{ctx:E}}}),ri=new N({props:{name:"call",anchor:"transformers.TFAlbertModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertModel.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertModel.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertModel.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L800",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or <code>tuple(tf.Tensor)</code></p>
`}}),bs=new Ue({props:{$$slots:{default:[Wz]},$$scope:{ctx:E}}}),ks=new Oe({props:{anchor:"transformers.TFAlbertModel.call.example",$$slots:{default:[Bz]},$$scope:{ctx:E}}}),ai=new Re({}),ii=new N({props:{name:"class transformers.TFAlbertForPreTraining",anchor:"transformers.TFAlbertForPreTraining",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L854"}}),vs=new Ue({props:{$$slots:{default:[Uz]},$$scope:{ctx:E}}}),pi=new N({props:{name:"call",anchor:"transformers.TFAlbertForPreTraining.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"sentence_order_label",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForPreTraining.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForPreTraining.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForPreTraining.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForPreTraining.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForPreTraining.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForPreTraining.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForPreTraining.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForPreTraining.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForPreTraining.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForPreTraining.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L870",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/model_doc/albert#transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput"
>transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>prediction_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>sop_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, 2)</code>) \u2014 Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/model_doc/albert#transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput"
>transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ts=new Ue({props:{$$slots:{default:[Rz]},$$scope:{ctx:E}}}),ws=new Oe({props:{anchor:"transformers.TFAlbertForPreTraining.call.example",$$slots:{default:[Hz]},$$scope:{ctx:E}}}),hi=new Re({}),mi=new N({props:{name:"class transformers.TFAlbertForMaskedLM",anchor:"transformers.TFAlbertForMaskedLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L973"}}),As=new Ue({props:{$$slots:{default:[Qz]},$$scope:{ctx:E}}}),bi=new N({props:{name:"call",anchor:"transformers.TFAlbertForMaskedLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForMaskedLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForMaskedLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForMaskedLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForMaskedLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForMaskedLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForMaskedLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForMaskedLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForMaskedLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForMaskedLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForMaskedLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForMaskedLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L986",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Fs=new Ue({props:{$$slots:{default:[Kz]},$$scope:{ctx:E}}}),xs=new Oe({props:{anchor:"transformers.TFAlbertForMaskedLM.call.example",$$slots:{default:[Vz]},$$scope:{ctx:E}}}),Es=new Oe({props:{anchor:"transformers.TFAlbertForMaskedLM.call.example-2",$$slots:{default:[Jz]},$$scope:{ctx:E}}}),ki=new Re({}),yi=new N({props:{name:"class transformers.TFAlbertForSequenceClassification",anchor:"transformers.TFAlbertForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L1082"}}),zs=new Ue({props:{$$slots:{default:[Gz]},$$scope:{ctx:E}}}),$i=new N({props:{name:"call",anchor:"transformers.TFAlbertForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForSequenceClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForSequenceClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForSequenceClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L1098",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),js=new Ue({props:{$$slots:{default:[Xz]},$$scope:{ctx:E}}}),qs=new Oe({props:{anchor:"transformers.TFAlbertForSequenceClassification.call.example",$$slots:{default:[Yz]},$$scope:{ctx:E}}}),Ps=new Oe({props:{anchor:"transformers.TFAlbertForSequenceClassification.call.example-2",$$slots:{default:[Zz]},$$scope:{ctx:E}}}),Ai=new Re({}),Fi=new N({props:{name:"class transformers.TFAlbertForMultipleChoice",anchor:"transformers.TFAlbertForMultipleChoice",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L1365"}}),Ls=new Ue({props:{$$slots:{default:[e4]},$$scope:{ctx:E}}}),zi=new N({props:{name:"call",anchor:"transformers.TFAlbertForMultipleChoice.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForMultipleChoice.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForMultipleChoice.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForMultipleChoice.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForMultipleChoice.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForMultipleChoice.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForMultipleChoice.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForMultipleChoice.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForMultipleChoice.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForMultipleChoice.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForMultipleChoice.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForMultipleChoice.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices]</code>
where <code>num_choices</code> is the size of the second dimension of the input tensors. (See <code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L1389",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <em>(batch_size, )</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Os=new Ue({props:{$$slots:{default:[t4]},$$scope:{ctx:E}}}),Is=new Oe({props:{anchor:"transformers.TFAlbertForMultipleChoice.call.example",$$slots:{default:[o4]},$$scope:{ctx:E}}}),ji=new Re({}),qi=new N({props:{name:"class transformers.TFAlbertForTokenClassification",anchor:"transformers.TFAlbertForTokenClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L1171"}}),Ds=new Ue({props:{$$slots:{default:[n4]},$$scope:{ctx:E}}}),Oi=new N({props:{name:"call",anchor:"transformers.TFAlbertForTokenClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForTokenClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForTokenClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForTokenClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForTokenClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForTokenClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForTokenClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForTokenClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForTokenClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForTokenClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForTokenClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForTokenClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L1192",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of unmasked labels, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ss=new Ue({props:{$$slots:{default:[s4]},$$scope:{ctx:E}}}),Ws=new Oe({props:{anchor:"transformers.TFAlbertForTokenClassification.call.example",$$slots:{default:[r4]},$$scope:{ctx:E}}}),Bs=new Oe({props:{anchor:"transformers.TFAlbertForTokenClassification.call.example-2",$$slots:{default:[a4]},$$scope:{ctx:E}}}),Ii=new Re({}),Ni=new N({props:{name:"class transformers.TFAlbertForQuestionAnswering",anchor:"transformers.TFAlbertForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L1261"}}),Rs=new Ue({props:{$$slots:{default:[i4]},$$scope:{ctx:E}}}),Bi=new N({props:{name:"call",anchor:"transformers.TFAlbertForQuestionAnswering.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"start_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"end_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForQuestionAnswering.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.start_positions",description:`<strong>start_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.end_positions",description:`<strong>end_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_tf_albert.py#L1275",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>start_positions</code> and <code>end_positions</code> are provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Hs=new Ue({props:{$$slots:{default:[l4]},$$scope:{ctx:E}}}),Qs=new Oe({props:{anchor:"transformers.TFAlbertForQuestionAnswering.call.example",$$slots:{default:[d4]},$$scope:{ctx:E}}}),Ks=new Oe({props:{anchor:"transformers.TFAlbertForQuestionAnswering.call.example-2",$$slots:{default:[c4]},$$scope:{ctx:E}}}),Ui=new Re({}),Ri=new N({props:{name:"class transformers.FlaxAlbertModel",anchor:"transformers.FlaxAlbertModel",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L677"}}),Yi=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertModel.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertModel.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Js=new Ue({props:{$$slots:{default:[p4]},$$scope:{ctx:E}}}),Gs=new Oe({props:{anchor:"transformers.FlaxAlbertModel.__call__.example",$$slots:{default:[h4]},$$scope:{ctx:E}}}),Zi=new Re({}),el=new N({props:{name:"class transformers.FlaxAlbertForPreTraining",anchor:"transformers.FlaxAlbertForPreTraining",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForPreTraining.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L745"}}),ll=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForPreTraining.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForPreTraining.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <code>transformers.models.albert.modeling_flax_albert.FlaxAlbertForPreTrainingOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>prediction_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>sop_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, 2)</code>) \u2014 Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.models.albert.modeling_flax_albert.FlaxAlbertForPreTrainingOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ys=new Ue({props:{$$slots:{default:[m4]},$$scope:{ctx:E}}}),Zs=new Oe({props:{anchor:"transformers.FlaxAlbertForPreTraining.__call__.example",$$slots:{default:[u4]},$$scope:{ctx:E}}}),dl=new Re({}),cl=new N({props:{name:"class transformers.FlaxAlbertForMaskedLM",anchor:"transformers.FlaxAlbertForMaskedLM",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForMaskedLM.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L828"}}),kl=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForMaskedLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),tr=new Ue({props:{$$slots:{default:[f4]},$$scope:{ctx:E}}}),or=new Oe({props:{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.example",$$slots:{default:[g4]},$$scope:{ctx:E}}}),yl=new Re({}),vl=new N({props:{name:"class transformers.FlaxAlbertForSequenceClassification",anchor:"transformers.FlaxAlbertForSequenceClassification",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForSequenceClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L896"}}),Ml=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForSequenceClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),sr=new Ue({props:{$$slots:{default:[_4]},$$scope:{ctx:E}}}),rr=new Oe({props:{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.example",$$slots:{default:[b4]},$$scope:{ctx:E}}}),zl=new Re({}),jl=new N({props:{name:"class transformers.FlaxAlbertForMultipleChoice",anchor:"transformers.FlaxAlbertForMultipleChoice",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForMultipleChoice.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L969"}}),Dl=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForMultipleChoice.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ir=new Ue({props:{$$slots:{default:[k4]},$$scope:{ctx:E}}}),lr=new Oe({props:{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.example",$$slots:{default:[y4]},$$scope:{ctx:E}}}),Sl=new Re({}),Wl=new N({props:{name:"class transformers.FlaxAlbertForTokenClassification",anchor:"transformers.FlaxAlbertForTokenClassification",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForTokenClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L1042"}}),Jl=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForTokenClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),cr=new Ue({props:{$$slots:{default:[v4]},$$scope:{ctx:E}}}),pr=new Oe({props:{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.example",$$slots:{default:[T4]},$$scope:{ctx:E}}}),Gl=new Re({}),Xl=new N({props:{name:"class transformers.FlaxAlbertForQuestionAnswering",anchor:"transformers.FlaxAlbertForQuestionAnswering",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L1110"}}),rd=new N({props:{name:"__call__",anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/albert/modeling_flax_albert.py#L554",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>start_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),mr=new Ue({props:{$$slots:{default:[w4]},$$scope:{ctx:E}}}),ur=new Oe({props:{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.example",$$slots:{default:[$4]},$$scope:{ctx:E}}}),{c(){d=r("meta"),k=c(),m=r("h1"),f=r("a"),_=r("span"),v(l.$$.fragment),h=c(),M=r("span"),$e=o("ALBERT"),ke=c(),W=r("div"),de=r("a"),Z=r("img"),Ae=c(),R=r("a"),ce=r("img"),J=c(),se=r("h2"),re=r("a"),H=r("span"),v(ie.$$.fragment),Fe=c(),Q=r("span"),xe=o("Overview"),ye=c(),B=r("p"),Ee=o("The ALBERT model was proposed in "),le=r("a"),ee=o("ALBERT: A Lite BERT for Self-supervised Learning of Language Representations"),q=o(` by Zhenzhong Lan, Mingda Chen, Sebastian Goodman, Kevin Gimpel, Piyush Sharma,
Radu Soricut. It presents two parameter-reduction techniques to lower memory consumption and increase the training
speed of BERT:`),C=c(),ae=r("ul"),K=r("li"),Me=o("Splitting the embedding matrix into two smaller matrices."),ze=c(),V=r("li"),je=o("Using repeating layers split among groups."),ve=c(),P=r("p"),qe=o("The abstract from the paper is the following:"),G=c(),pe=r("p"),me=r("em"),Y=o(`Increasing model size when pretraining natural language representations often results in improved performance on
downstream tasks. However, at some point further model increases become harder due to GPU/TPU memory limitations,
longer training times, and unexpected model degradation. To address these problems, we present two parameter-reduction
techniques to lower memory consumption and increase the training speed of BERT. Comprehensive empirical evidence shows
that our proposed methods lead to models that scale much better compared to the original BERT. We also use a
self-supervised loss that focuses on modeling inter-sentence coherence, and show it consistently helps downstream tasks
with multi-sentence inputs. As a result, our best model establishes new state-of-the-art results on the GLUE, RACE, and
SQuAD benchmarks while having fewer parameters compared to BERT-large.`),Te=c(),he=r("p"),D=o("Tips:"),we=c(),I=r("ul"),ue=r("li"),te=o(`ALBERT is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather
than the left.`),L=c(),fe=r("li"),O=o(`ALBERT uses repeating layers which results in a small memory footprint, however the computational cost remains
similar to a BERT-like architecture with the same number of hidden layers as it has to iterate through the same
number of (repeating) layers.`),Pe=c(),ge=r("li"),y=o("Embedding size E is different from hidden size H justified because the embeddings are context independent (one embedding vector represents one token), whereas hidden states are context dependent (one hidden state represents a sequence of tokens) so it\u2019s more logical to have H >> E. Also, the embedding matrix is large since it\u2019s V x E (V being the vocab size). If E < H, it has less parameters."),z=c(),He=r("li"),oe=o(`Layers are split in groups that share parameters (to save memory).
Next sentence prediction is replaced by a sentence ordering prediction: in the inputs, we have two sentences A and B (that are consecutive) and we either feed A followed by B or B followed by A. The model must predict if they have been swapped or not.`),Ke=c(),_e=r("p"),j=o("This model was contributed by "),Se=r("a"),Ve=o("lysandre"),Je=o(`. This model jax version was contributed by
`),We=r("a"),Ge=o("kamalkraj"),S=o(". The original code can be found "),U=r("a"),Xe=o("here"),Ye=o("."),X=c(),Le=r("h2"),De=r("a"),be=r("span"),v(Be.$$.fragment),ne=c(),Qe=r("span"),Pg=o("AlbertConfig"),fu=c(),Lt=r("div"),v(Wr.$$.fragment),Cg=c(),io=r("p"),Lg=o("This is the configuration class to store the configuration of a "),_d=r("a"),Og=o("AlbertModel"),Ig=o(" or a "),bd=r("a"),Ng=o("TFAlbertModel"),Dg=o(`. It is used
to instantiate an ALBERT model according to the specified arguments, defining the model architecture. Instantiating
a configuration with the defaults will yield a similar configuration to that of the ALBERT
`),Br=r("a"),Sg=o("albert-xxlarge-v2"),Wg=o(" architecture."),Bg=c(),Oo=r("p"),Ug=o("Configuration objects inherit from "),kd=r("a"),Rg=o("PretrainedConfig"),Hg=o(` and can be used to control the model outputs. Read the
documentation from `),yd=r("a"),Qg=o("PretrainedConfig"),Kg=o(" for more information."),Vg=c(),v(Sn.$$.fragment),gu=c(),Io=r("h2"),Wn=r("a"),Bc=r("span"),v(Ur.$$.fragment),Jg=c(),Uc=r("span"),Gg=o("AlbertTokenizer"),_u=c(),Ze=r("div"),v(Rr.$$.fragment),Xg=c(),Hr=r("p"),Yg=o("Construct an ALBERT tokenizer. Based on "),Qr=r("a"),Zg=o("SentencePiece"),e_=o("."),t_=c(),Kr=r("p"),o_=o("This tokenizer inherits from "),vd=r("a"),n_=o("PreTrainedTokenizer"),s_=o(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),r_=c(),vo=r("div"),v(Vr.$$.fragment),a_=c(),Rc=r("p"),i_=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),l_=c(),Jr=r("ul"),Td=r("li"),d_=o("single sequence: "),Hc=r("code"),c_=o("[CLS] X [SEP]"),p_=c(),wd=r("li"),h_=o("pair of sequences: "),Qc=r("code"),m_=o("[CLS] A [SEP] B [SEP]"),u_=c(),Bn=r("div"),v(Gr.$$.fragment),f_=c(),Xr=r("p"),g_=o(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Kc=r("code"),__=o("prepare_for_model"),b_=o(" method."),k_=c(),It=r("div"),v(Yr.$$.fragment),y_=c(),Vc=r("p"),v_=o("Create a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),T_=c(),v(Un.$$.fragment),w_=c(),No=r("p"),$_=o("If "),Jc=r("code"),A_=o("token_ids_1"),F_=o(" is "),Gc=r("code"),x_=o("None"),E_=o(", this method only returns the first portion of the mask (0s)."),M_=c(),$d=r("div"),v(Zr.$$.fragment),bu=c(),Do=r("h2"),Rn=r("a"),Xc=r("span"),v(ea.$$.fragment),z_=c(),Yc=r("span"),j_=o("AlbertTokenizerFast"),ku=c(),Ot=r("div"),v(ta.$$.fragment),q_=c(),lo=r("p"),P_=o("Construct a \u201Cfast\u201D ALBERT tokenizer (backed by HuggingFace\u2019s "),Zc=r("em"),C_=o("tokenizers"),L_=o(` library). Based on
`),oa=r("a"),O_=o("Unigram"),I_=o(`. This
tokenizer inherits from `),Ad=r("a"),N_=o("PreTrainedTokenizerFast"),D_=o(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods`),S_=c(),To=r("div"),v(na.$$.fragment),W_=c(),ep=r("p"),B_=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),U_=c(),sa=r("ul"),Fd=r("li"),R_=o("single sequence: "),tp=r("code"),H_=o("[CLS] X [SEP]"),Q_=c(),xd=r("li"),K_=o("pair of sequences: "),op=r("code"),V_=o("[CLS] A [SEP] B [SEP]"),J_=c(),Nt=r("div"),v(ra.$$.fragment),G_=c(),np=r("p"),X_=o("Creates a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),Y_=c(),v(Hn.$$.fragment),Z_=c(),sp=r("p"),eb=o("if token_ids_1 is None, only returns the first portion of the mask (0s)."),yu=c(),So=r("h2"),Qn=r("a"),rp=r("span"),v(aa.$$.fragment),tb=c(),ap=r("span"),ob=o("Albert specific outputs"),vu=c(),Wo=r("div"),v(ia.$$.fragment),nb=c(),la=r("p"),sb=o("Output type of "),Ed=r("a"),rb=o("AlbertForPreTraining"),ab=o("."),Tu=c(),Bo=r("div"),v(da.$$.fragment),ib=c(),ca=r("p"),lb=o("Output type of "),Md=r("a"),db=o("TFAlbertForPreTraining"),cb=o("."),wu=c(),Uo=r("h2"),Kn=r("a"),ip=r("span"),v(pa.$$.fragment),pb=c(),lp=r("span"),hb=o("AlbertModel"),$u=c(),ft=r("div"),v(ha.$$.fragment),mb=c(),dp=r("p"),ub=o("The bare ALBERT Model transformer outputting raw hidden-states without any specific head on top."),fb=c(),ma=r("p"),gb=o("This model inherits from "),zd=r("a"),_b=o("PreTrainedModel"),bb=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),kb=c(),ua=r("p"),yb=o("This model is also a PyTorch "),fa=r("a"),vb=o("torch.nn.Module"),Tb=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),wb=c(),Dt=r("div"),v(ga.$$.fragment),$b=c(),Ro=r("p"),Ab=o("The "),jd=r("a"),Fb=o("AlbertModel"),xb=o(" forward method, overrides the "),cp=r("code"),Eb=o("__call__"),Mb=o(" special method."),zb=c(),v(Vn.$$.fragment),jb=c(),v(Jn.$$.fragment),Au=c(),Ho=r("h2"),Gn=r("a"),pp=r("span"),v(_a.$$.fragment),qb=c(),hp=r("span"),Pb=o("AlbertForPreTraining"),Fu=c(),gt=r("div"),v(ba.$$.fragment),Cb=c(),Qo=r("p"),Lb=o("Albert Model with two heads on top as done during the pretraining: a "),mp=r("code"),Ob=o("masked language modeling"),Ib=o(` head and a
`),up=r("code"),Nb=o("sentence order prediction (classification)"),Db=o(" head."),Sb=c(),ka=r("p"),Wb=o("This model inherits from "),qd=r("a"),Bb=o("PreTrainedModel"),Ub=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Rb=c(),ya=r("p"),Hb=o("This model is also a PyTorch "),va=r("a"),Qb=o("torch.nn.Module"),Kb=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Vb=c(),St=r("div"),v(Ta.$$.fragment),Jb=c(),Ko=r("p"),Gb=o("The "),Pd=r("a"),Xb=o("AlbertForPreTraining"),Yb=o(" forward method, overrides the "),fp=r("code"),Zb=o("__call__"),ek=o(" special method."),tk=c(),v(Xn.$$.fragment),ok=c(),v(Yn.$$.fragment),xu=c(),Vo=r("h2"),Zn=r("a"),gp=r("span"),v(wa.$$.fragment),nk=c(),_p=r("span"),sk=o("AlbertForMaskedLM"),Eu=c(),_t=r("div"),v($a.$$.fragment),rk=c(),Aa=r("p"),ak=o("Albert Model with a "),bp=r("code"),ik=o("language modeling"),lk=o(" head on top."),dk=c(),Fa=r("p"),ck=o("This model inherits from "),Cd=r("a"),pk=o("PreTrainedModel"),hk=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),mk=c(),xa=r("p"),uk=o("This model is also a PyTorch "),Ea=r("a"),fk=o("torch.nn.Module"),gk=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),_k=c(),Tt=r("div"),v(Ma.$$.fragment),bk=c(),Jo=r("p"),kk=o("The "),Ld=r("a"),yk=o("AlbertForMaskedLM"),vk=o(" forward method, overrides the "),kp=r("code"),Tk=o("__call__"),wk=o(" special method."),$k=c(),v(es.$$.fragment),Ak=c(),v(ts.$$.fragment),Fk=c(),v(os.$$.fragment),Mu=c(),Go=r("h2"),ns=r("a"),yp=r("span"),v(za.$$.fragment),xk=c(),vp=r("span"),Ek=o("AlbertForSequenceClassification"),zu=c(),bt=r("div"),v(ja.$$.fragment),Mk=c(),Tp=r("p"),zk=o(`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),jk=c(),qa=r("p"),qk=o("This model inherits from "),Od=r("a"),Pk=o("PreTrainedModel"),Ck=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lk=c(),Pa=r("p"),Ok=o("This model is also a PyTorch "),Ca=r("a"),Ik=o("torch.nn.Module"),Nk=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Dk=c(),wt=r("div"),v(La.$$.fragment),Sk=c(),Xo=r("p"),Wk=o("The "),Id=r("a"),Bk=o("AlbertForSequenceClassification"),Uk=o(" forward method, overrides the "),wp=r("code"),Rk=o("__call__"),Hk=o(" special method."),Qk=c(),v(ss.$$.fragment),Kk=c(),v(rs.$$.fragment),Vk=c(),v(as.$$.fragment),ju=c(),Yo=r("h2"),is=r("a"),$p=r("span"),v(Oa.$$.fragment),Jk=c(),Ap=r("span"),Gk=o("AlbertForMultipleChoice"),qu=c(),kt=r("div"),v(Ia.$$.fragment),Xk=c(),Fp=r("p"),Yk=o(`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Zk=c(),Na=r("p"),ey=o("This model inherits from "),Nd=r("a"),ty=o("PreTrainedModel"),oy=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ny=c(),Da=r("p"),sy=o("This model is also a PyTorch "),Sa=r("a"),ry=o("torch.nn.Module"),ay=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),iy=c(),Wt=r("div"),v(Wa.$$.fragment),ly=c(),Zo=r("p"),dy=o("The "),Dd=r("a"),cy=o("AlbertForMultipleChoice"),py=o(" forward method, overrides the "),xp=r("code"),hy=o("__call__"),my=o(" special method."),uy=c(),v(ls.$$.fragment),fy=c(),v(ds.$$.fragment),Pu=c(),en=r("h2"),cs=r("a"),Ep=r("span"),v(Ba.$$.fragment),gy=c(),Mp=r("span"),_y=o("AlbertForTokenClassification"),Cu=c(),yt=r("div"),v(Ua.$$.fragment),by=c(),zp=r("p"),ky=o(`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),yy=c(),Ra=r("p"),vy=o("This model inherits from "),Sd=r("a"),Ty=o("PreTrainedModel"),wy=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$y=c(),Ha=r("p"),Ay=o("This model is also a PyTorch "),Qa=r("a"),Fy=o("torch.nn.Module"),xy=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ey=c(),Bt=r("div"),v(Ka.$$.fragment),My=c(),tn=r("p"),zy=o("The "),Wd=r("a"),jy=o("AlbertForTokenClassification"),qy=o(" forward method, overrides the "),jp=r("code"),Py=o("__call__"),Cy=o(" special method."),Ly=c(),v(ps.$$.fragment),Oy=c(),v(hs.$$.fragment),Lu=c(),on=r("h2"),ms=r("a"),qp=r("span"),v(Va.$$.fragment),Iy=c(),Pp=r("span"),Ny=o("AlbertForQuestionAnswering"),Ou=c(),vt=r("div"),v(Ja.$$.fragment),Dy=c(),nn=r("p"),Sy=o(`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Cp=r("code"),Wy=o("span start logits"),By=o(" and "),Lp=r("code"),Uy=o("span end logits"),Ry=o(")."),Hy=c(),Ga=r("p"),Qy=o("This model inherits from "),Bd=r("a"),Ky=o("PreTrainedModel"),Vy=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Jy=c(),Xa=r("p"),Gy=o("This model is also a PyTorch "),Ya=r("a"),Xy=o("torch.nn.Module"),Yy=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Zy=c(),Ut=r("div"),v(Za.$$.fragment),ev=c(),sn=r("p"),tv=o("The "),Ud=r("a"),ov=o("AlbertForQuestionAnswering"),nv=o(" forward method, overrides the "),Op=r("code"),sv=o("__call__"),rv=o(" special method."),av=c(),v(us.$$.fragment),iv=c(),v(fs.$$.fragment),Iu=c(),rn=r("h2"),gs=r("a"),Ip=r("span"),v(ei.$$.fragment),lv=c(),Np=r("span"),dv=o("TFAlbertModel"),Nu=c(),it=r("div"),v(ti.$$.fragment),cv=c(),Dp=r("p"),pv=o("The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),hv=c(),oi=r("p"),mv=o("This model inherits from "),Rd=r("a"),uv=o("TFPreTrainedModel"),fv=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),gv=c(),ni=r("p"),_v=o("This model is also a "),si=r("a"),bv=o("tf.keras.Model"),kv=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),yv=c(),v(_s.$$.fragment),vv=c(),Rt=r("div"),v(ri.$$.fragment),Tv=c(),an=r("p"),wv=o("The "),Hd=r("a"),$v=o("TFAlbertModel"),Av=o(" forward method, overrides the "),Sp=r("code"),Fv=o("__call__"),xv=o(" special method."),Ev=c(),v(bs.$$.fragment),Mv=c(),v(ks.$$.fragment),Du=c(),ln=r("h2"),ys=r("a"),Wp=r("span"),v(ai.$$.fragment),zv=c(),Bp=r("span"),jv=o("TFAlbertForPreTraining"),Su=c(),lt=r("div"),v(ii.$$.fragment),qv=c(),dn=r("p"),Pv=o("Albert Model with two heads on top for pretraining: a "),Up=r("code"),Cv=o("masked language modeling"),Lv=o(" head and a "),Rp=r("code"),Ov=o("sentence order prediction"),Iv=o(" (classification) head."),Nv=c(),li=r("p"),Dv=o("This model inherits from "),Qd=r("a"),Sv=o("TFPreTrainedModel"),Wv=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Bv=c(),di=r("p"),Uv=o("This model is also a "),ci=r("a"),Rv=o("tf.keras.Model"),Hv=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Qv=c(),v(vs.$$.fragment),Kv=c(),Ht=r("div"),v(pi.$$.fragment),Vv=c(),cn=r("p"),Jv=o("The "),Kd=r("a"),Gv=o("TFAlbertForPreTraining"),Xv=o(" forward method, overrides the "),Hp=r("code"),Yv=o("__call__"),Zv=o(" special method."),eT=c(),v(Ts.$$.fragment),tT=c(),v(ws.$$.fragment),Wu=c(),pn=r("h2"),$s=r("a"),Qp=r("span"),v(hi.$$.fragment),oT=c(),Kp=r("span"),nT=o("TFAlbertForMaskedLM"),Bu=c(),dt=r("div"),v(mi.$$.fragment),sT=c(),ui=r("p"),rT=o("Albert Model with a "),Vp=r("code"),aT=o("language modeling"),iT=o(" head on top."),lT=c(),fi=r("p"),dT=o("This model inherits from "),Vd=r("a"),cT=o("TFPreTrainedModel"),pT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),hT=c(),gi=r("p"),mT=o("This model is also a "),_i=r("a"),uT=o("tf.keras.Model"),fT=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),gT=c(),v(As.$$.fragment),_T=c(),$t=r("div"),v(bi.$$.fragment),bT=c(),hn=r("p"),kT=o("The "),Jd=r("a"),yT=o("TFAlbertForMaskedLM"),vT=o(" forward method, overrides the "),Jp=r("code"),TT=o("__call__"),wT=o(" special method."),$T=c(),v(Fs.$$.fragment),AT=c(),v(xs.$$.fragment),FT=c(),v(Es.$$.fragment),Uu=c(),mn=r("h2"),Ms=r("a"),Gp=r("span"),v(ki.$$.fragment),xT=c(),Xp=r("span"),ET=o("TFAlbertForSequenceClassification"),Ru=c(),ct=r("div"),v(yi.$$.fragment),MT=c(),Yp=r("p"),zT=o(`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),jT=c(),vi=r("p"),qT=o("This model inherits from "),Gd=r("a"),PT=o("TFPreTrainedModel"),CT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),LT=c(),Ti=r("p"),OT=o("This model is also a "),wi=r("a"),IT=o("tf.keras.Model"),NT=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),DT=c(),v(zs.$$.fragment),ST=c(),At=r("div"),v($i.$$.fragment),WT=c(),un=r("p"),BT=o("The "),Xd=r("a"),UT=o("TFAlbertForSequenceClassification"),RT=o(" forward method, overrides the "),Zp=r("code"),HT=o("__call__"),QT=o(" special method."),KT=c(),v(js.$$.fragment),VT=c(),v(qs.$$.fragment),JT=c(),v(Ps.$$.fragment),Hu=c(),fn=r("h2"),Cs=r("a"),eh=r("span"),v(Ai.$$.fragment),GT=c(),th=r("span"),XT=o("TFAlbertForMultipleChoice"),Qu=c(),pt=r("div"),v(Fi.$$.fragment),YT=c(),oh=r("p"),ZT=o(`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),ew=c(),xi=r("p"),tw=o("This model inherits from "),Yd=r("a"),ow=o("TFPreTrainedModel"),nw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),sw=c(),Ei=r("p"),rw=o("This model is also a "),Mi=r("a"),aw=o("tf.keras.Model"),iw=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),lw=c(),v(Ls.$$.fragment),dw=c(),Qt=r("div"),v(zi.$$.fragment),cw=c(),gn=r("p"),pw=o("The "),Zd=r("a"),hw=o("TFAlbertForMultipleChoice"),mw=o(" forward method, overrides the "),nh=r("code"),uw=o("__call__"),fw=o(" special method."),gw=c(),v(Os.$$.fragment),_w=c(),v(Is.$$.fragment),Ku=c(),_n=r("h2"),Ns=r("a"),sh=r("span"),v(ji.$$.fragment),bw=c(),rh=r("span"),kw=o("TFAlbertForTokenClassification"),Vu=c(),ht=r("div"),v(qi.$$.fragment),yw=c(),ah=r("p"),vw=o(`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),Tw=c(),Pi=r("p"),ww=o("This model inherits from "),ec=r("a"),$w=o("TFPreTrainedModel"),Aw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Fw=c(),Ci=r("p"),xw=o("This model is also a "),Li=r("a"),Ew=o("tf.keras.Model"),Mw=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),zw=c(),v(Ds.$$.fragment),jw=c(),Ft=r("div"),v(Oi.$$.fragment),qw=c(),bn=r("p"),Pw=o("The "),tc=r("a"),Cw=o("TFAlbertForTokenClassification"),Lw=o(" forward method, overrides the "),ih=r("code"),Ow=o("__call__"),Iw=o(" special method."),Nw=c(),v(Ss.$$.fragment),Dw=c(),v(Ws.$$.fragment),Sw=c(),v(Bs.$$.fragment),Ju=c(),kn=r("h2"),Us=r("a"),lh=r("span"),v(Ii.$$.fragment),Ww=c(),dh=r("span"),Bw=o("TFAlbertForQuestionAnswering"),Gu=c(),mt=r("div"),v(Ni.$$.fragment),Uw=c(),yn=r("p"),Rw=o(`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),ch=r("code"),Hw=o("span start logits"),Qw=o(" and "),ph=r("code"),Kw=o("span end logits"),Vw=o(")."),Jw=c(),Di=r("p"),Gw=o("This model inherits from "),oc=r("a"),Xw=o("TFPreTrainedModel"),Yw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Zw=c(),Si=r("p"),e$=o("This model is also a "),Wi=r("a"),t$=o("tf.keras.Model"),o$=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),n$=c(),v(Rs.$$.fragment),s$=c(),xt=r("div"),v(Bi.$$.fragment),r$=c(),vn=r("p"),a$=o("The "),nc=r("a"),i$=o("TFAlbertForQuestionAnswering"),l$=o(" forward method, overrides the "),hh=r("code"),d$=o("__call__"),c$=o(" special method."),p$=c(),v(Hs.$$.fragment),h$=c(),v(Qs.$$.fragment),m$=c(),v(Ks.$$.fragment),Xu=c(),Tn=r("h2"),Vs=r("a"),mh=r("span"),v(Ui.$$.fragment),u$=c(),uh=r("span"),f$=o("FlaxAlbertModel"),Yu=c(),et=r("div"),v(Ri.$$.fragment),g$=c(),fh=r("p"),_$=o("The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),b$=c(),Hi=r("p"),k$=o("This model inherits from "),sc=r("a"),y$=o("FlaxPreTrainedModel"),v$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),T$=c(),Qi=r("p"),w$=o("This model is also a Flax Linen "),Ki=r("a"),$$=o("flax.linen.Module"),A$=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),F$=c(),gh=r("p"),x$=o("Finally, this model supports inherent JAX features such as:"),E$=c(),co=r("ul"),_h=r("li"),Vi=r("a"),M$=o("Just-In-Time (JIT) compilation"),z$=c(),bh=r("li"),Ji=r("a"),j$=o("Automatic Differentiation"),q$=c(),kh=r("li"),Gi=r("a"),P$=o("Vectorization"),C$=c(),yh=r("li"),Xi=r("a"),L$=o("Parallelization"),O$=c(),Kt=r("div"),v(Yi.$$.fragment),I$=c(),wn=r("p"),N$=o("The "),vh=r("code"),D$=o("FlaxAlbertPreTrainedModel"),S$=o(" forward method, overrides the "),Th=r("code"),W$=o("__call__"),B$=o(" special method."),U$=c(),v(Js.$$.fragment),R$=c(),v(Gs.$$.fragment),Zu=c(),$n=r("h2"),Xs=r("a"),wh=r("span"),v(Zi.$$.fragment),H$=c(),$h=r("span"),Q$=o("FlaxAlbertForPreTraining"),ef=c(),tt=r("div"),v(el.$$.fragment),K$=c(),An=r("p"),V$=o("Albert Model with two heads on top as done during the pretraining: a "),Ah=r("code"),J$=o("masked language modeling"),G$=o(` head and a
`),Fh=r("code"),X$=o("sentence order prediction (classification)"),Y$=o(" head."),Z$=c(),tl=r("p"),e1=o("This model inherits from "),rc=r("a"),t1=o("FlaxPreTrainedModel"),o1=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),n1=c(),ol=r("p"),s1=o("This model is also a Flax Linen "),nl=r("a"),r1=o("flax.linen.Module"),a1=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),i1=c(),xh=r("p"),l1=o("Finally, this model supports inherent JAX features such as:"),d1=c(),po=r("ul"),Eh=r("li"),sl=r("a"),c1=o("Just-In-Time (JIT) compilation"),p1=c(),Mh=r("li"),rl=r("a"),h1=o("Automatic Differentiation"),m1=c(),zh=r("li"),al=r("a"),u1=o("Vectorization"),f1=c(),jh=r("li"),il=r("a"),g1=o("Parallelization"),_1=c(),Vt=r("div"),v(ll.$$.fragment),b1=c(),Fn=r("p"),k1=o("The "),qh=r("code"),y1=o("FlaxAlbertPreTrainedModel"),v1=o(" forward method, overrides the "),Ph=r("code"),T1=o("__call__"),w1=o(" special method."),$1=c(),v(Ys.$$.fragment),A1=c(),v(Zs.$$.fragment),tf=c(),xn=r("h2"),er=r("a"),Ch=r("span"),v(dl.$$.fragment),F1=c(),Lh=r("span"),x1=o("FlaxAlbertForMaskedLM"),of=c(),ot=r("div"),v(cl.$$.fragment),E1=c(),pl=r("p"),M1=o("Albert Model with a "),Oh=r("code"),z1=o("language modeling"),j1=o(" head on top."),q1=c(),hl=r("p"),P1=o("This model inherits from "),ac=r("a"),C1=o("FlaxPreTrainedModel"),L1=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),O1=c(),ml=r("p"),I1=o("This model is also a Flax Linen "),ul=r("a"),N1=o("flax.linen.Module"),D1=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),S1=c(),Ih=r("p"),W1=o("Finally, this model supports inherent JAX features such as:"),B1=c(),ho=r("ul"),Nh=r("li"),fl=r("a"),U1=o("Just-In-Time (JIT) compilation"),R1=c(),Dh=r("li"),gl=r("a"),H1=o("Automatic Differentiation"),Q1=c(),Sh=r("li"),_l=r("a"),K1=o("Vectorization"),V1=c(),Wh=r("li"),bl=r("a"),J1=o("Parallelization"),G1=c(),Jt=r("div"),v(kl.$$.fragment),X1=c(),En=r("p"),Y1=o("The "),Bh=r("code"),Z1=o("FlaxAlbertPreTrainedModel"),e2=o(" forward method, overrides the "),Uh=r("code"),t2=o("__call__"),o2=o(" special method."),n2=c(),v(tr.$$.fragment),s2=c(),v(or.$$.fragment),nf=c(),Mn=r("h2"),nr=r("a"),Rh=r("span"),v(yl.$$.fragment),r2=c(),Hh=r("span"),a2=o("FlaxAlbertForSequenceClassification"),sf=c(),nt=r("div"),v(vl.$$.fragment),i2=c(),Qh=r("p"),l2=o(`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),d2=c(),Tl=r("p"),c2=o("This model inherits from "),ic=r("a"),p2=o("FlaxPreTrainedModel"),h2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),m2=c(),wl=r("p"),u2=o("This model is also a Flax Linen "),$l=r("a"),f2=o("flax.linen.Module"),g2=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),_2=c(),Kh=r("p"),b2=o("Finally, this model supports inherent JAX features such as:"),k2=c(),mo=r("ul"),Vh=r("li"),Al=r("a"),y2=o("Just-In-Time (JIT) compilation"),v2=c(),Jh=r("li"),Fl=r("a"),T2=o("Automatic Differentiation"),w2=c(),Gh=r("li"),xl=r("a"),$2=o("Vectorization"),A2=c(),Xh=r("li"),El=r("a"),F2=o("Parallelization"),x2=c(),Gt=r("div"),v(Ml.$$.fragment),E2=c(),zn=r("p"),M2=o("The "),Yh=r("code"),z2=o("FlaxAlbertPreTrainedModel"),j2=o(" forward method, overrides the "),Zh=r("code"),q2=o("__call__"),P2=o(" special method."),C2=c(),v(sr.$$.fragment),L2=c(),v(rr.$$.fragment),rf=c(),jn=r("h2"),ar=r("a"),em=r("span"),v(zl.$$.fragment),O2=c(),tm=r("span"),I2=o("FlaxAlbertForMultipleChoice"),af=c(),st=r("div"),v(jl.$$.fragment),N2=c(),om=r("p"),D2=o(`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),S2=c(),ql=r("p"),W2=o("This model inherits from "),lc=r("a"),B2=o("FlaxPreTrainedModel"),U2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),R2=c(),Pl=r("p"),H2=o("This model is also a Flax Linen "),Cl=r("a"),Q2=o("flax.linen.Module"),K2=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),V2=c(),nm=r("p"),J2=o("Finally, this model supports inherent JAX features such as:"),G2=c(),uo=r("ul"),sm=r("li"),Ll=r("a"),X2=o("Just-In-Time (JIT) compilation"),Y2=c(),rm=r("li"),Ol=r("a"),Z2=o("Automatic Differentiation"),eA=c(),am=r("li"),Il=r("a"),tA=o("Vectorization"),oA=c(),im=r("li"),Nl=r("a"),nA=o("Parallelization"),sA=c(),Xt=r("div"),v(Dl.$$.fragment),rA=c(),qn=r("p"),aA=o("The "),lm=r("code"),iA=o("FlaxAlbertPreTrainedModel"),lA=o(" forward method, overrides the "),dm=r("code"),dA=o("__call__"),cA=o(" special method."),pA=c(),v(ir.$$.fragment),hA=c(),v(lr.$$.fragment),lf=c(),Pn=r("h2"),dr=r("a"),cm=r("span"),v(Sl.$$.fragment),mA=c(),pm=r("span"),uA=o("FlaxAlbertForTokenClassification"),df=c(),rt=r("div"),v(Wl.$$.fragment),fA=c(),hm=r("p"),gA=o(`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),_A=c(),Bl=r("p"),bA=o("This model inherits from "),dc=r("a"),kA=o("FlaxPreTrainedModel"),yA=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),vA=c(),Ul=r("p"),TA=o("This model is also a Flax Linen "),Rl=r("a"),wA=o("flax.linen.Module"),$A=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),AA=c(),mm=r("p"),FA=o("Finally, this model supports inherent JAX features such as:"),xA=c(),fo=r("ul"),um=r("li"),Hl=r("a"),EA=o("Just-In-Time (JIT) compilation"),MA=c(),fm=r("li"),Ql=r("a"),zA=o("Automatic Differentiation"),jA=c(),gm=r("li"),Kl=r("a"),qA=o("Vectorization"),PA=c(),_m=r("li"),Vl=r("a"),CA=o("Parallelization"),LA=c(),Yt=r("div"),v(Jl.$$.fragment),OA=c(),Cn=r("p"),IA=o("The "),bm=r("code"),NA=o("FlaxAlbertPreTrainedModel"),DA=o(" forward method, overrides the "),km=r("code"),SA=o("__call__"),WA=o(" special method."),BA=c(),v(cr.$$.fragment),UA=c(),v(pr.$$.fragment),cf=c(),Ln=r("h2"),hr=r("a"),ym=r("span"),v(Gl.$$.fragment),RA=c(),vm=r("span"),HA=o("FlaxAlbertForQuestionAnswering"),pf=c(),at=r("div"),v(Xl.$$.fragment),QA=c(),On=r("p"),KA=o(`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Tm=r("code"),VA=o("span start logits"),JA=o(" and "),wm=r("code"),GA=o("span end logits"),XA=o(")."),YA=c(),Yl=r("p"),ZA=o("This model inherits from "),cc=r("a"),eF=o("FlaxPreTrainedModel"),tF=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),oF=c(),Zl=r("p"),nF=o("This model is also a Flax Linen "),ed=r("a"),sF=o("flax.linen.Module"),rF=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),aF=c(),$m=r("p"),iF=o("Finally, this model supports inherent JAX features such as:"),lF=c(),go=r("ul"),Am=r("li"),td=r("a"),dF=o("Just-In-Time (JIT) compilation"),cF=c(),Fm=r("li"),od=r("a"),pF=o("Automatic Differentiation"),hF=c(),xm=r("li"),nd=r("a"),mF=o("Vectorization"),uF=c(),Em=r("li"),sd=r("a"),fF=o("Parallelization"),gF=c(),Zt=r("div"),v(rd.$$.fragment),_F=c(),In=r("p"),bF=o("The "),Mm=r("code"),kF=o("FlaxAlbertPreTrainedModel"),yF=o(" forward method, overrides the "),zm=r("code"),vF=o("__call__"),TF=o(" special method."),wF=c(),v(mr.$$.fragment),$F=c(),v(ur.$$.fragment),this.h()},l(s){const b=kz('[data-svelte="svelte-1phssyn"]',document.head);d=a(b,"META",{name:!0,content:!0}),b.forEach(t),k=p(s),m=a(s,"H1",{class:!0});var ad=i(m);f=a(ad,"A",{id:!0,class:!0,href:!0});var jm=i(f);_=a(jm,"SPAN",{});var qm=i(_);T(l.$$.fragment,qm),qm.forEach(t),jm.forEach(t),h=p(ad),M=a(ad,"SPAN",{});var Pm=i(M);$e=n(Pm,"ALBERT"),Pm.forEach(t),ad.forEach(t),ke=p(s),W=a(s,"DIV",{class:!0});var id=i(W);de=a(id,"A",{href:!0});var Cm=i(de);Z=a(Cm,"IMG",{alt:!0,src:!0}),Cm.forEach(t),Ae=p(id),R=a(id,"A",{href:!0});var Lm=i(R);ce=a(Lm,"IMG",{alt:!0,src:!0}),Lm.forEach(t),id.forEach(t),J=p(s),se=a(s,"H2",{class:!0});var ld=i(se);re=a(ld,"A",{id:!0,class:!0,href:!0});var Om=i(re);H=a(Om,"SPAN",{});var Im=i(H);T(ie.$$.fragment,Im),Im.forEach(t),Om.forEach(t),Fe=p(ld),Q=a(ld,"SPAN",{});var Nm=i(Q);xe=n(Nm,"Overview"),Nm.forEach(t),ld.forEach(t),ye=p(s),B=a(s,"P",{});var dd=i(B);Ee=n(dd,"The ALBERT model was proposed in "),le=a(dd,"A",{href:!0,rel:!0});var Dm=i(le);ee=n(Dm,"ALBERT: A Lite BERT for Self-supervised Learning of Language Representations"),Dm.forEach(t),q=n(dd,` by Zhenzhong Lan, Mingda Chen, Sebastian Goodman, Kevin Gimpel, Piyush Sharma,
Radu Soricut. It presents two parameter-reduction techniques to lower memory consumption and increase the training
speed of BERT:`),dd.forEach(t),C=p(s),ae=a(s,"UL",{});var cd=i(ae);K=a(cd,"LI",{});var Sm=i(K);Me=n(Sm,"Splitting the embedding matrix into two smaller matrices."),Sm.forEach(t),ze=p(cd),V=a(cd,"LI",{});var Wm=i(V);je=n(Wm,"Using repeating layers split among groups."),Wm.forEach(t),cd.forEach(t),ve=p(s),P=a(s,"P",{});var Bm=i(P);qe=n(Bm,"The abstract from the paper is the following:"),Bm.forEach(t),G=p(s),pe=a(s,"P",{});var Um=i(pe);me=a(Um,"EM",{});var Rm=i(me);Y=n(Rm,`Increasing model size when pretraining natural language representations often results in improved performance on
downstream tasks. However, at some point further model increases become harder due to GPU/TPU memory limitations,
longer training times, and unexpected model degradation. To address these problems, we present two parameter-reduction
techniques to lower memory consumption and increase the training speed of BERT. Comprehensive empirical evidence shows
that our proposed methods lead to models that scale much better compared to the original BERT. We also use a
self-supervised loss that focuses on modeling inter-sentence coherence, and show it consistently helps downstream tasks
with multi-sentence inputs. As a result, our best model establishes new state-of-the-art results on the GLUE, RACE, and
SQuAD benchmarks while having fewer parameters compared to BERT-large.`),Rm.forEach(t),Um.forEach(t),Te=p(s),he=a(s,"P",{});var Hm=i(he);D=n(Hm,"Tips:"),Hm.forEach(t),we=p(s),I=a(s,"UL",{});var _o=i(I);ue=a(_o,"LI",{});var Qm=i(ue);te=n(Qm,`ALBERT is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather
than the left.`),Qm.forEach(t),L=p(_o),fe=a(_o,"LI",{});var Km=i(fe);O=n(Km,`ALBERT uses repeating layers which results in a small memory footprint, however the computational cost remains
similar to a BERT-like architecture with the same number of hidden layers as it has to iterate through the same
number of (repeating) layers.`),Km.forEach(t),Pe=p(_o),ge=a(_o,"LI",{});var Vm=i(ge);y=n(Vm,"Embedding size E is different from hidden size H justified because the embeddings are context independent (one embedding vector represents one token), whereas hidden states are context dependent (one hidden state represents a sequence of tokens) so it\u2019s more logical to have H >> E. Also, the embedding matrix is large since it\u2019s V x E (V being the vocab size). If E < H, it has less parameters."),Vm.forEach(t),z=p(_o),He=a(_o,"LI",{});var Jm=i(He);oe=n(Jm,`Layers are split in groups that share parameters (to save memory).
Next sentence prediction is replaced by a sentence ordering prediction: in the inputs, we have two sentences A and B (that are consecutive) and we either feed A followed by B or B followed by A. The model must predict if they have been swapped or not.`),Jm.forEach(t),_o.forEach(t),Ke=p(s),_e=a(s,"P",{});var bo=i(_e);j=n(bo,"This model was contributed by "),Se=a(bo,"A",{href:!0,rel:!0});var Gm=i(Se);Ve=n(Gm,"lysandre"),Gm.forEach(t),Je=n(bo,`. This model jax version was contributed by
`),We=a(bo,"A",{href:!0,rel:!0});var Xm=i(We);Ge=n(Xm,"kamalkraj"),Xm.forEach(t),S=n(bo,". The original code can be found "),U=a(bo,"A",{href:!0,rel:!0});var Ym=i(U);Xe=n(Ym,"here"),Ym.forEach(t),Ye=n(bo,"."),bo.forEach(t),X=p(s),Le=a(s,"H2",{class:!0});var pd=i(Le);De=a(pd,"A",{id:!0,class:!0,href:!0});var Zm=i(De);be=a(Zm,"SPAN",{});var eu=i(be);T(Be.$$.fragment,eu),eu.forEach(t),Zm.forEach(t),ne=p(pd),Qe=a(pd,"SPAN",{});var tu=i(Qe);Pg=n(tu,"AlbertConfig"),tu.forEach(t),pd.forEach(t),fu=p(s),Lt=a(s,"DIV",{class:!0});var ko=i(Lt);T(Wr.$$.fragment,ko),Cg=p(ko),io=a(ko,"P",{});var yo=i(io);Lg=n(yo,"This is the configuration class to store the configuration of a "),_d=a(yo,"A",{href:!0});var ou=i(_d);Og=n(ou,"AlbertModel"),ou.forEach(t),Ig=n(yo," or a "),bd=a(yo,"A",{href:!0});var nu=i(bd);Ng=n(nu,"TFAlbertModel"),nu.forEach(t),Dg=n(yo,`. It is used
to instantiate an ALBERT model according to the specified arguments, defining the model architecture. Instantiating
a configuration with the defaults will yield a similar configuration to that of the ALBERT
`),Br=a(yo,"A",{href:!0,rel:!0});var su=i(Br);Sg=n(su,"albert-xxlarge-v2"),su.forEach(t),Wg=n(yo," architecture."),yo.forEach(t),Bg=p(ko),Oo=a(ko,"P",{});var Nn=i(Oo);Ug=n(Nn,"Configuration objects inherit from "),kd=a(Nn,"A",{href:!0});var ru=i(kd);Rg=n(ru,"PretrainedConfig"),ru.forEach(t),Hg=n(Nn,` and can be used to control the model outputs. Read the
documentation from `),yd=a(Nn,"A",{href:!0});var au=i(yd);Qg=n(au,"PretrainedConfig"),au.forEach(t),Kg=n(Nn," for more information."),Nn.forEach(t),Vg=p(ko),T(Sn.$$.fragment,ko),ko.forEach(t),gu=p(s),Io=a(s,"H2",{class:!0});var hd=i(Io);Wn=a(hd,"A",{id:!0,class:!0,href:!0});var iu=i(Wn);Bc=a(iu,"SPAN",{});var lu=i(Bc);T(Ur.$$.fragment,lu),lu.forEach(t),iu.forEach(t),Jg=p(hd),Uc=a(hd,"SPAN",{});var du=i(Uc);Gg=n(du,"AlbertTokenizer"),du.forEach(t),hd.forEach(t),_u=p(s),Ze=a(s,"DIV",{class:!0});var ut=i(Ze);T(Rr.$$.fragment,ut),Xg=p(ut),Hr=a(ut,"P",{});var md=i(Hr);Yg=n(md,"Construct an ALBERT tokenizer. Based on "),Qr=a(md,"A",{href:!0,rel:!0});var cu=i(Qr);Zg=n(cu,"SentencePiece"),cu.forEach(t),e_=n(md,"."),md.forEach(t),t_=p(ut),Kr=a(ut,"P",{});var ud=i(Kr);o_=n(ud,"This tokenizer inherits from "),vd=a(ud,"A",{href:!0});var pu=i(vd);n_=n(pu,"PreTrainedTokenizer"),pu.forEach(t),s_=n(ud,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),ud.forEach(t),r_=p(ut),vo=a(ut,"DIV",{class:!0});var Dn=i(vo);T(Vr.$$.fragment,Dn),a_=p(Dn),Rc=a(Dn,"P",{});var hu=i(Rc);i_=n(hu,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),hu.forEach(t),l_=p(Dn),Jr=a(Dn,"UL",{});var fd=i(Jr);Td=a(fd,"LI",{});var pc=i(Td);d_=n(pc,"single sequence: "),Hc=a(pc,"CODE",{});var mu=i(Hc);c_=n(mu,"[CLS] X [SEP]"),mu.forEach(t),pc.forEach(t),p_=p(fd),wd=a(fd,"LI",{});var hc=i(wd);h_=n(hc,"pair of sequences: "),Qc=a(hc,"CODE",{});var uu=i(Qc);m_=n(uu,"[CLS] A [SEP] B [SEP]"),uu.forEach(t),hc.forEach(t),fd.forEach(t),Dn.forEach(t),u_=p(ut),Bn=a(ut,"DIV",{class:!0});var gd=i(Bn);T(Gr.$$.fragment,gd),f_=p(gd),Xr=a(gd,"P",{});var mf=i(Xr);g_=n(mf,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Kc=a(mf,"CODE",{});var xF=i(Kc);__=n(xF,"prepare_for_model"),xF.forEach(t),b_=n(mf," method."),mf.forEach(t),gd.forEach(t),k_=p(ut),It=a(ut,"DIV",{class:!0});var fr=i(It);T(Yr.$$.fragment,fr),y_=p(fr),Vc=a(fr,"P",{});var EF=i(Vc);v_=n(EF,"Create a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),EF.forEach(t),T_=p(fr),T(Un.$$.fragment,fr),w_=p(fr),No=a(fr,"P",{});var mc=i(No);$_=n(mc,"If "),Jc=a(mc,"CODE",{});var MF=i(Jc);A_=n(MF,"token_ids_1"),MF.forEach(t),F_=n(mc," is "),Gc=a(mc,"CODE",{});var zF=i(Gc);x_=n(zF,"None"),zF.forEach(t),E_=n(mc,", this method only returns the first portion of the mask (0s)."),mc.forEach(t),fr.forEach(t),M_=p(ut),$d=a(ut,"DIV",{class:!0});var jF=i($d);T(Zr.$$.fragment,jF),jF.forEach(t),ut.forEach(t),bu=p(s),Do=a(s,"H2",{class:!0});var uf=i(Do);Rn=a(uf,"A",{id:!0,class:!0,href:!0});var qF=i(Rn);Xc=a(qF,"SPAN",{});var PF=i(Xc);T(ea.$$.fragment,PF),PF.forEach(t),qF.forEach(t),z_=p(uf),Yc=a(uf,"SPAN",{});var CF=i(Yc);j_=n(CF,"AlbertTokenizerFast"),CF.forEach(t),uf.forEach(t),ku=p(s),Ot=a(s,"DIV",{class:!0});var gr=i(Ot);T(ta.$$.fragment,gr),q_=p(gr),lo=a(gr,"P",{});var _r=i(lo);P_=n(_r,"Construct a \u201Cfast\u201D ALBERT tokenizer (backed by HuggingFace\u2019s "),Zc=a(_r,"EM",{});var LF=i(Zc);C_=n(LF,"tokenizers"),LF.forEach(t),L_=n(_r,` library). Based on
`),oa=a(_r,"A",{href:!0,rel:!0});var OF=i(oa);O_=n(OF,"Unigram"),OF.forEach(t),I_=n(_r,`. This
tokenizer inherits from `),Ad=a(_r,"A",{href:!0});var IF=i(Ad);N_=n(IF,"PreTrainedTokenizerFast"),IF.forEach(t),D_=n(_r,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods`),_r.forEach(t),S_=p(gr),To=a(gr,"DIV",{class:!0});var uc=i(To);T(na.$$.fragment,uc),W_=p(uc),ep=a(uc,"P",{});var NF=i(ep);B_=n(NF,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),NF.forEach(t),U_=p(uc),sa=a(uc,"UL",{});var ff=i(sa);Fd=a(ff,"LI",{});var AF=i(Fd);R_=n(AF,"single sequence: "),tp=a(AF,"CODE",{});var DF=i(tp);H_=n(DF,"[CLS] X [SEP]"),DF.forEach(t),AF.forEach(t),Q_=p(ff),xd=a(ff,"LI",{});var FF=i(xd);K_=n(FF,"pair of sequences: "),op=a(FF,"CODE",{});var SF=i(op);V_=n(SF,"[CLS] A [SEP] B [SEP]"),SF.forEach(t),FF.forEach(t),ff.forEach(t),uc.forEach(t),J_=p(gr),Nt=a(gr,"DIV",{class:!0});var br=i(Nt);T(ra.$$.fragment,br),G_=p(br),np=a(br,"P",{});var WF=i(np);X_=n(WF,"Creates a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),WF.forEach(t),Y_=p(br),T(Hn.$$.fragment,br),Z_=p(br),sp=a(br,"P",{});var BF=i(sp);eb=n(BF,"if token_ids_1 is None, only returns the first portion of the mask (0s)."),BF.forEach(t),br.forEach(t),gr.forEach(t),yu=p(s),So=a(s,"H2",{class:!0});var gf=i(So);Qn=a(gf,"A",{id:!0,class:!0,href:!0});var UF=i(Qn);rp=a(UF,"SPAN",{});var RF=i(rp);T(aa.$$.fragment,RF),RF.forEach(t),UF.forEach(t),tb=p(gf),ap=a(gf,"SPAN",{});var HF=i(ap);ob=n(HF,"Albert specific outputs"),HF.forEach(t),gf.forEach(t),vu=p(s),Wo=a(s,"DIV",{class:!0});var _f=i(Wo);T(ia.$$.fragment,_f),nb=p(_f),la=a(_f,"P",{});var bf=i(la);sb=n(bf,"Output type of "),Ed=a(bf,"A",{href:!0});var QF=i(Ed);rb=n(QF,"AlbertForPreTraining"),QF.forEach(t),ab=n(bf,"."),bf.forEach(t),_f.forEach(t),Tu=p(s),Bo=a(s,"DIV",{class:!0});var kf=i(Bo);T(da.$$.fragment,kf),ib=p(kf),ca=a(kf,"P",{});var yf=i(ca);lb=n(yf,"Output type of "),Md=a(yf,"A",{href:!0});var KF=i(Md);db=n(KF,"TFAlbertForPreTraining"),KF.forEach(t),cb=n(yf,"."),yf.forEach(t),kf.forEach(t),wu=p(s),Uo=a(s,"H2",{class:!0});var vf=i(Uo);Kn=a(vf,"A",{id:!0,class:!0,href:!0});var VF=i(Kn);ip=a(VF,"SPAN",{});var JF=i(ip);T(pa.$$.fragment,JF),JF.forEach(t),VF.forEach(t),pb=p(vf),lp=a(vf,"SPAN",{});var GF=i(lp);hb=n(GF,"AlbertModel"),GF.forEach(t),vf.forEach(t),$u=p(s),ft=a(s,"DIV",{class:!0});var wo=i(ft);T(ha.$$.fragment,wo),mb=p(wo),dp=a(wo,"P",{});var XF=i(dp);ub=n(XF,"The bare ALBERT Model transformer outputting raw hidden-states without any specific head on top."),XF.forEach(t),fb=p(wo),ma=a(wo,"P",{});var Tf=i(ma);gb=n(Tf,"This model inherits from "),zd=a(Tf,"A",{href:!0});var YF=i(zd);_b=n(YF,"PreTrainedModel"),YF.forEach(t),bb=n(Tf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Tf.forEach(t),kb=p(wo),ua=a(wo,"P",{});var wf=i(ua);yb=n(wf,"This model is also a PyTorch "),fa=a(wf,"A",{href:!0,rel:!0});var ZF=i(fa);vb=n(ZF,"torch.nn.Module"),ZF.forEach(t),Tb=n(wf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),wf.forEach(t),wb=p(wo),Dt=a(wo,"DIV",{class:!0});var kr=i(Dt);T(ga.$$.fragment,kr),$b=p(kr),Ro=a(kr,"P",{});var fc=i(Ro);Ab=n(fc,"The "),jd=a(fc,"A",{href:!0});var e0=i(jd);Fb=n(e0,"AlbertModel"),e0.forEach(t),xb=n(fc," forward method, overrides the "),cp=a(fc,"CODE",{});var t0=i(cp);Eb=n(t0,"__call__"),t0.forEach(t),Mb=n(fc," special method."),fc.forEach(t),zb=p(kr),T(Vn.$$.fragment,kr),jb=p(kr),T(Jn.$$.fragment,kr),kr.forEach(t),wo.forEach(t),Au=p(s),Ho=a(s,"H2",{class:!0});var $f=i(Ho);Gn=a($f,"A",{id:!0,class:!0,href:!0});var o0=i(Gn);pp=a(o0,"SPAN",{});var n0=i(pp);T(_a.$$.fragment,n0),n0.forEach(t),o0.forEach(t),qb=p($f),hp=a($f,"SPAN",{});var s0=i(hp);Pb=n(s0,"AlbertForPreTraining"),s0.forEach(t),$f.forEach(t),Fu=p(s),gt=a(s,"DIV",{class:!0});var $o=i(gt);T(ba.$$.fragment,$o),Cb=p($o),Qo=a($o,"P",{});var gc=i(Qo);Lb=n(gc,"Albert Model with two heads on top as done during the pretraining: a "),mp=a(gc,"CODE",{});var r0=i(mp);Ob=n(r0,"masked language modeling"),r0.forEach(t),Ib=n(gc,` head and a
`),up=a(gc,"CODE",{});var a0=i(up);Nb=n(a0,"sentence order prediction (classification)"),a0.forEach(t),Db=n(gc," head."),gc.forEach(t),Sb=p($o),ka=a($o,"P",{});var Af=i(ka);Wb=n(Af,"This model inherits from "),qd=a(Af,"A",{href:!0});var i0=i(qd);Bb=n(i0,"PreTrainedModel"),i0.forEach(t),Ub=n(Af,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Af.forEach(t),Rb=p($o),ya=a($o,"P",{});var Ff=i(ya);Hb=n(Ff,"This model is also a PyTorch "),va=a(Ff,"A",{href:!0,rel:!0});var l0=i(va);Qb=n(l0,"torch.nn.Module"),l0.forEach(t),Kb=n(Ff,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ff.forEach(t),Vb=p($o),St=a($o,"DIV",{class:!0});var yr=i(St);T(Ta.$$.fragment,yr),Jb=p(yr),Ko=a(yr,"P",{});var _c=i(Ko);Gb=n(_c,"The "),Pd=a(_c,"A",{href:!0});var d0=i(Pd);Xb=n(d0,"AlbertForPreTraining"),d0.forEach(t),Yb=n(_c," forward method, overrides the "),fp=a(_c,"CODE",{});var c0=i(fp);Zb=n(c0,"__call__"),c0.forEach(t),ek=n(_c," special method."),_c.forEach(t),tk=p(yr),T(Xn.$$.fragment,yr),ok=p(yr),T(Yn.$$.fragment,yr),yr.forEach(t),$o.forEach(t),xu=p(s),Vo=a(s,"H2",{class:!0});var xf=i(Vo);Zn=a(xf,"A",{id:!0,class:!0,href:!0});var p0=i(Zn);gp=a(p0,"SPAN",{});var h0=i(gp);T(wa.$$.fragment,h0),h0.forEach(t),p0.forEach(t),nk=p(xf),_p=a(xf,"SPAN",{});var m0=i(_p);sk=n(m0,"AlbertForMaskedLM"),m0.forEach(t),xf.forEach(t),Eu=p(s),_t=a(s,"DIV",{class:!0});var Ao=i(_t);T($a.$$.fragment,Ao),rk=p(Ao),Aa=a(Ao,"P",{});var Ef=i(Aa);ak=n(Ef,"Albert Model with a "),bp=a(Ef,"CODE",{});var u0=i(bp);ik=n(u0,"language modeling"),u0.forEach(t),lk=n(Ef," head on top."),Ef.forEach(t),dk=p(Ao),Fa=a(Ao,"P",{});var Mf=i(Fa);ck=n(Mf,"This model inherits from "),Cd=a(Mf,"A",{href:!0});var f0=i(Cd);pk=n(f0,"PreTrainedModel"),f0.forEach(t),hk=n(Mf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Mf.forEach(t),mk=p(Ao),xa=a(Ao,"P",{});var zf=i(xa);uk=n(zf,"This model is also a PyTorch "),Ea=a(zf,"A",{href:!0,rel:!0});var g0=i(Ea);fk=n(g0,"torch.nn.Module"),g0.forEach(t),gk=n(zf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),zf.forEach(t),_k=p(Ao),Tt=a(Ao,"DIV",{class:!0});var Fo=i(Tt);T(Ma.$$.fragment,Fo),bk=p(Fo),Jo=a(Fo,"P",{});var bc=i(Jo);kk=n(bc,"The "),Ld=a(bc,"A",{href:!0});var _0=i(Ld);yk=n(_0,"AlbertForMaskedLM"),_0.forEach(t),vk=n(bc," forward method, overrides the "),kp=a(bc,"CODE",{});var b0=i(kp);Tk=n(b0,"__call__"),b0.forEach(t),wk=n(bc," special method."),bc.forEach(t),$k=p(Fo),T(es.$$.fragment,Fo),Ak=p(Fo),T(ts.$$.fragment,Fo),Fk=p(Fo),T(os.$$.fragment,Fo),Fo.forEach(t),Ao.forEach(t),Mu=p(s),Go=a(s,"H2",{class:!0});var jf=i(Go);ns=a(jf,"A",{id:!0,class:!0,href:!0});var k0=i(ns);yp=a(k0,"SPAN",{});var y0=i(yp);T(za.$$.fragment,y0),y0.forEach(t),k0.forEach(t),xk=p(jf),vp=a(jf,"SPAN",{});var v0=i(vp);Ek=n(v0,"AlbertForSequenceClassification"),v0.forEach(t),jf.forEach(t),zu=p(s),bt=a(s,"DIV",{class:!0});var xo=i(bt);T(ja.$$.fragment,xo),Mk=p(xo),Tp=a(xo,"P",{});var T0=i(Tp);zk=n(T0,`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),T0.forEach(t),jk=p(xo),qa=a(xo,"P",{});var qf=i(qa);qk=n(qf,"This model inherits from "),Od=a(qf,"A",{href:!0});var w0=i(Od);Pk=n(w0,"PreTrainedModel"),w0.forEach(t),Ck=n(qf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qf.forEach(t),Lk=p(xo),Pa=a(xo,"P",{});var Pf=i(Pa);Ok=n(Pf,"This model is also a PyTorch "),Ca=a(Pf,"A",{href:!0,rel:!0});var $0=i(Ca);Ik=n($0,"torch.nn.Module"),$0.forEach(t),Nk=n(Pf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Pf.forEach(t),Dk=p(xo),wt=a(xo,"DIV",{class:!0});var Eo=i(wt);T(La.$$.fragment,Eo),Sk=p(Eo),Xo=a(Eo,"P",{});var kc=i(Xo);Wk=n(kc,"The "),Id=a(kc,"A",{href:!0});var A0=i(Id);Bk=n(A0,"AlbertForSequenceClassification"),A0.forEach(t),Uk=n(kc," forward method, overrides the "),wp=a(kc,"CODE",{});var F0=i(wp);Rk=n(F0,"__call__"),F0.forEach(t),Hk=n(kc," special method."),kc.forEach(t),Qk=p(Eo),T(ss.$$.fragment,Eo),Kk=p(Eo),T(rs.$$.fragment,Eo),Vk=p(Eo),T(as.$$.fragment,Eo),Eo.forEach(t),xo.forEach(t),ju=p(s),Yo=a(s,"H2",{class:!0});var Cf=i(Yo);is=a(Cf,"A",{id:!0,class:!0,href:!0});var x0=i(is);$p=a(x0,"SPAN",{});var E0=i($p);T(Oa.$$.fragment,E0),E0.forEach(t),x0.forEach(t),Jk=p(Cf),Ap=a(Cf,"SPAN",{});var M0=i(Ap);Gk=n(M0,"AlbertForMultipleChoice"),M0.forEach(t),Cf.forEach(t),qu=p(s),kt=a(s,"DIV",{class:!0});var Mo=i(kt);T(Ia.$$.fragment,Mo),Xk=p(Mo),Fp=a(Mo,"P",{});var z0=i(Fp);Yk=n(z0,`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),z0.forEach(t),Zk=p(Mo),Na=a(Mo,"P",{});var Lf=i(Na);ey=n(Lf,"This model inherits from "),Nd=a(Lf,"A",{href:!0});var j0=i(Nd);ty=n(j0,"PreTrainedModel"),j0.forEach(t),oy=n(Lf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lf.forEach(t),ny=p(Mo),Da=a(Mo,"P",{});var Of=i(Da);sy=n(Of,"This model is also a PyTorch "),Sa=a(Of,"A",{href:!0,rel:!0});var q0=i(Sa);ry=n(q0,"torch.nn.Module"),q0.forEach(t),ay=n(Of,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Of.forEach(t),iy=p(Mo),Wt=a(Mo,"DIV",{class:!0});var vr=i(Wt);T(Wa.$$.fragment,vr),ly=p(vr),Zo=a(vr,"P",{});var yc=i(Zo);dy=n(yc,"The "),Dd=a(yc,"A",{href:!0});var P0=i(Dd);cy=n(P0,"AlbertForMultipleChoice"),P0.forEach(t),py=n(yc," forward method, overrides the "),xp=a(yc,"CODE",{});var C0=i(xp);hy=n(C0,"__call__"),C0.forEach(t),my=n(yc," special method."),yc.forEach(t),uy=p(vr),T(ls.$$.fragment,vr),fy=p(vr),T(ds.$$.fragment,vr),vr.forEach(t),Mo.forEach(t),Pu=p(s),en=a(s,"H2",{class:!0});var If=i(en);cs=a(If,"A",{id:!0,class:!0,href:!0});var L0=i(cs);Ep=a(L0,"SPAN",{});var O0=i(Ep);T(Ba.$$.fragment,O0),O0.forEach(t),L0.forEach(t),gy=p(If),Mp=a(If,"SPAN",{});var I0=i(Mp);_y=n(I0,"AlbertForTokenClassification"),I0.forEach(t),If.forEach(t),Cu=p(s),yt=a(s,"DIV",{class:!0});var zo=i(yt);T(Ua.$$.fragment,zo),by=p(zo),zp=a(zo,"P",{});var N0=i(zp);ky=n(N0,`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),N0.forEach(t),yy=p(zo),Ra=a(zo,"P",{});var Nf=i(Ra);vy=n(Nf,"This model inherits from "),Sd=a(Nf,"A",{href:!0});var D0=i(Sd);Ty=n(D0,"PreTrainedModel"),D0.forEach(t),wy=n(Nf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Nf.forEach(t),$y=p(zo),Ha=a(zo,"P",{});var Df=i(Ha);Ay=n(Df,"This model is also a PyTorch "),Qa=a(Df,"A",{href:!0,rel:!0});var S0=i(Qa);Fy=n(S0,"torch.nn.Module"),S0.forEach(t),xy=n(Df,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Df.forEach(t),Ey=p(zo),Bt=a(zo,"DIV",{class:!0});var Tr=i(Bt);T(Ka.$$.fragment,Tr),My=p(Tr),tn=a(Tr,"P",{});var vc=i(tn);zy=n(vc,"The "),Wd=a(vc,"A",{href:!0});var W0=i(Wd);jy=n(W0,"AlbertForTokenClassification"),W0.forEach(t),qy=n(vc," forward method, overrides the "),jp=a(vc,"CODE",{});var B0=i(jp);Py=n(B0,"__call__"),B0.forEach(t),Cy=n(vc," special method."),vc.forEach(t),Ly=p(Tr),T(ps.$$.fragment,Tr),Oy=p(Tr),T(hs.$$.fragment,Tr),Tr.forEach(t),zo.forEach(t),Lu=p(s),on=a(s,"H2",{class:!0});var Sf=i(on);ms=a(Sf,"A",{id:!0,class:!0,href:!0});var U0=i(ms);qp=a(U0,"SPAN",{});var R0=i(qp);T(Va.$$.fragment,R0),R0.forEach(t),U0.forEach(t),Iy=p(Sf),Pp=a(Sf,"SPAN",{});var H0=i(Pp);Ny=n(H0,"AlbertForQuestionAnswering"),H0.forEach(t),Sf.forEach(t),Ou=p(s),vt=a(s,"DIV",{class:!0});var jo=i(vt);T(Ja.$$.fragment,jo),Dy=p(jo),nn=a(jo,"P",{});var Tc=i(nn);Sy=n(Tc,`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Cp=a(Tc,"CODE",{});var Q0=i(Cp);Wy=n(Q0,"span start logits"),Q0.forEach(t),By=n(Tc," and "),Lp=a(Tc,"CODE",{});var K0=i(Lp);Uy=n(K0,"span end logits"),K0.forEach(t),Ry=n(Tc,")."),Tc.forEach(t),Hy=p(jo),Ga=a(jo,"P",{});var Wf=i(Ga);Qy=n(Wf,"This model inherits from "),Bd=a(Wf,"A",{href:!0});var V0=i(Bd);Ky=n(V0,"PreTrainedModel"),V0.forEach(t),Vy=n(Wf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Wf.forEach(t),Jy=p(jo),Xa=a(jo,"P",{});var Bf=i(Xa);Gy=n(Bf,"This model is also a PyTorch "),Ya=a(Bf,"A",{href:!0,rel:!0});var J0=i(Ya);Xy=n(J0,"torch.nn.Module"),J0.forEach(t),Yy=n(Bf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Bf.forEach(t),Zy=p(jo),Ut=a(jo,"DIV",{class:!0});var wr=i(Ut);T(Za.$$.fragment,wr),ev=p(wr),sn=a(wr,"P",{});var wc=i(sn);tv=n(wc,"The "),Ud=a(wc,"A",{href:!0});var G0=i(Ud);ov=n(G0,"AlbertForQuestionAnswering"),G0.forEach(t),nv=n(wc," forward method, overrides the "),Op=a(wc,"CODE",{});var X0=i(Op);sv=n(X0,"__call__"),X0.forEach(t),rv=n(wc," special method."),wc.forEach(t),av=p(wr),T(us.$$.fragment,wr),iv=p(wr),T(fs.$$.fragment,wr),wr.forEach(t),jo.forEach(t),Iu=p(s),rn=a(s,"H2",{class:!0});var Uf=i(rn);gs=a(Uf,"A",{id:!0,class:!0,href:!0});var Y0=i(gs);Ip=a(Y0,"SPAN",{});var Z0=i(Ip);T(ei.$$.fragment,Z0),Z0.forEach(t),Y0.forEach(t),lv=p(Uf),Np=a(Uf,"SPAN",{});var ex=i(Np);dv=n(ex,"TFAlbertModel"),ex.forEach(t),Uf.forEach(t),Nu=p(s),it=a(s,"DIV",{class:!0});var eo=i(it);T(ti.$$.fragment,eo),cv=p(eo),Dp=a(eo,"P",{});var tx=i(Dp);pv=n(tx,"The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),tx.forEach(t),hv=p(eo),oi=a(eo,"P",{});var Rf=i(oi);mv=n(Rf,"This model inherits from "),Rd=a(Rf,"A",{href:!0});var ox=i(Rd);uv=n(ox,"TFPreTrainedModel"),ox.forEach(t),fv=n(Rf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Rf.forEach(t),gv=p(eo),ni=a(eo,"P",{});var Hf=i(ni);_v=n(Hf,"This model is also a "),si=a(Hf,"A",{href:!0,rel:!0});var nx=i(si);bv=n(nx,"tf.keras.Model"),nx.forEach(t),kv=n(Hf,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Hf.forEach(t),yv=p(eo),T(_s.$$.fragment,eo),vv=p(eo),Rt=a(eo,"DIV",{class:!0});var $r=i(Rt);T(ri.$$.fragment,$r),Tv=p($r),an=a($r,"P",{});var $c=i(an);wv=n($c,"The "),Hd=a($c,"A",{href:!0});var sx=i(Hd);$v=n(sx,"TFAlbertModel"),sx.forEach(t),Av=n($c," forward method, overrides the "),Sp=a($c,"CODE",{});var rx=i(Sp);Fv=n(rx,"__call__"),rx.forEach(t),xv=n($c," special method."),$c.forEach(t),Ev=p($r),T(bs.$$.fragment,$r),Mv=p($r),T(ks.$$.fragment,$r),$r.forEach(t),eo.forEach(t),Du=p(s),ln=a(s,"H2",{class:!0});var Qf=i(ln);ys=a(Qf,"A",{id:!0,class:!0,href:!0});var ax=i(ys);Wp=a(ax,"SPAN",{});var ix=i(Wp);T(ai.$$.fragment,ix),ix.forEach(t),ax.forEach(t),zv=p(Qf),Bp=a(Qf,"SPAN",{});var lx=i(Bp);jv=n(lx,"TFAlbertForPreTraining"),lx.forEach(t),Qf.forEach(t),Su=p(s),lt=a(s,"DIV",{class:!0});var to=i(lt);T(ii.$$.fragment,to),qv=p(to),dn=a(to,"P",{});var Ac=i(dn);Pv=n(Ac,"Albert Model with two heads on top for pretraining: a "),Up=a(Ac,"CODE",{});var dx=i(Up);Cv=n(dx,"masked language modeling"),dx.forEach(t),Lv=n(Ac," head and a "),Rp=a(Ac,"CODE",{});var cx=i(Rp);Ov=n(cx,"sentence order prediction"),cx.forEach(t),Iv=n(Ac," (classification) head."),Ac.forEach(t),Nv=p(to),li=a(to,"P",{});var Kf=i(li);Dv=n(Kf,"This model inherits from "),Qd=a(Kf,"A",{href:!0});var px=i(Qd);Sv=n(px,"TFPreTrainedModel"),px.forEach(t),Wv=n(Kf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Kf.forEach(t),Bv=p(to),di=a(to,"P",{});var Vf=i(di);Uv=n(Vf,"This model is also a "),ci=a(Vf,"A",{href:!0,rel:!0});var hx=i(ci);Rv=n(hx,"tf.keras.Model"),hx.forEach(t),Hv=n(Vf,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Vf.forEach(t),Qv=p(to),T(vs.$$.fragment,to),Kv=p(to),Ht=a(to,"DIV",{class:!0});var Ar=i(Ht);T(pi.$$.fragment,Ar),Vv=p(Ar),cn=a(Ar,"P",{});var Fc=i(cn);Jv=n(Fc,"The "),Kd=a(Fc,"A",{href:!0});var mx=i(Kd);Gv=n(mx,"TFAlbertForPreTraining"),mx.forEach(t),Xv=n(Fc," forward method, overrides the "),Hp=a(Fc,"CODE",{});var ux=i(Hp);Yv=n(ux,"__call__"),ux.forEach(t),Zv=n(Fc," special method."),Fc.forEach(t),eT=p(Ar),T(Ts.$$.fragment,Ar),tT=p(Ar),T(ws.$$.fragment,Ar),Ar.forEach(t),to.forEach(t),Wu=p(s),pn=a(s,"H2",{class:!0});var Jf=i(pn);$s=a(Jf,"A",{id:!0,class:!0,href:!0});var fx=i($s);Qp=a(fx,"SPAN",{});var gx=i(Qp);T(hi.$$.fragment,gx),gx.forEach(t),fx.forEach(t),oT=p(Jf),Kp=a(Jf,"SPAN",{});var _x=i(Kp);nT=n(_x,"TFAlbertForMaskedLM"),_x.forEach(t),Jf.forEach(t),Bu=p(s),dt=a(s,"DIV",{class:!0});var oo=i(dt);T(mi.$$.fragment,oo),sT=p(oo),ui=a(oo,"P",{});var Gf=i(ui);rT=n(Gf,"Albert Model with a "),Vp=a(Gf,"CODE",{});var bx=i(Vp);aT=n(bx,"language modeling"),bx.forEach(t),iT=n(Gf," head on top."),Gf.forEach(t),lT=p(oo),fi=a(oo,"P",{});var Xf=i(fi);dT=n(Xf,"This model inherits from "),Vd=a(Xf,"A",{href:!0});var kx=i(Vd);cT=n(kx,"TFPreTrainedModel"),kx.forEach(t),pT=n(Xf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Xf.forEach(t),hT=p(oo),gi=a(oo,"P",{});var Yf=i(gi);mT=n(Yf,"This model is also a "),_i=a(Yf,"A",{href:!0,rel:!0});var yx=i(_i);uT=n(yx,"tf.keras.Model"),yx.forEach(t),fT=n(Yf,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Yf.forEach(t),gT=p(oo),T(As.$$.fragment,oo),_T=p(oo),$t=a(oo,"DIV",{class:!0});var qo=i($t);T(bi.$$.fragment,qo),bT=p(qo),hn=a(qo,"P",{});var xc=i(hn);kT=n(xc,"The "),Jd=a(xc,"A",{href:!0});var vx=i(Jd);yT=n(vx,"TFAlbertForMaskedLM"),vx.forEach(t),vT=n(xc," forward method, overrides the "),Jp=a(xc,"CODE",{});var Tx=i(Jp);TT=n(Tx,"__call__"),Tx.forEach(t),wT=n(xc," special method."),xc.forEach(t),$T=p(qo),T(Fs.$$.fragment,qo),AT=p(qo),T(xs.$$.fragment,qo),FT=p(qo),T(Es.$$.fragment,qo),qo.forEach(t),oo.forEach(t),Uu=p(s),mn=a(s,"H2",{class:!0});var Zf=i(mn);Ms=a(Zf,"A",{id:!0,class:!0,href:!0});var wx=i(Ms);Gp=a(wx,"SPAN",{});var $x=i(Gp);T(ki.$$.fragment,$x),$x.forEach(t),wx.forEach(t),xT=p(Zf),Xp=a(Zf,"SPAN",{});var Ax=i(Xp);ET=n(Ax,"TFAlbertForSequenceClassification"),Ax.forEach(t),Zf.forEach(t),Ru=p(s),ct=a(s,"DIV",{class:!0});var no=i(ct);T(yi.$$.fragment,no),MT=p(no),Yp=a(no,"P",{});var Fx=i(Yp);zT=n(Fx,`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),Fx.forEach(t),jT=p(no),vi=a(no,"P",{});var eg=i(vi);qT=n(eg,"This model inherits from "),Gd=a(eg,"A",{href:!0});var xx=i(Gd);PT=n(xx,"TFPreTrainedModel"),xx.forEach(t),CT=n(eg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),eg.forEach(t),LT=p(no),Ti=a(no,"P",{});var tg=i(Ti);OT=n(tg,"This model is also a "),wi=a(tg,"A",{href:!0,rel:!0});var Ex=i(wi);IT=n(Ex,"tf.keras.Model"),Ex.forEach(t),NT=n(tg,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),tg.forEach(t),DT=p(no),T(zs.$$.fragment,no),ST=p(no),At=a(no,"DIV",{class:!0});var Po=i(At);T($i.$$.fragment,Po),WT=p(Po),un=a(Po,"P",{});var Ec=i(un);BT=n(Ec,"The "),Xd=a(Ec,"A",{href:!0});var Mx=i(Xd);UT=n(Mx,"TFAlbertForSequenceClassification"),Mx.forEach(t),RT=n(Ec," forward method, overrides the "),Zp=a(Ec,"CODE",{});var zx=i(Zp);HT=n(zx,"__call__"),zx.forEach(t),QT=n(Ec," special method."),Ec.forEach(t),KT=p(Po),T(js.$$.fragment,Po),VT=p(Po),T(qs.$$.fragment,Po),JT=p(Po),T(Ps.$$.fragment,Po),Po.forEach(t),no.forEach(t),Hu=p(s),fn=a(s,"H2",{class:!0});var og=i(fn);Cs=a(og,"A",{id:!0,class:!0,href:!0});var jx=i(Cs);eh=a(jx,"SPAN",{});var qx=i(eh);T(Ai.$$.fragment,qx),qx.forEach(t),jx.forEach(t),GT=p(og),th=a(og,"SPAN",{});var Px=i(th);XT=n(Px,"TFAlbertForMultipleChoice"),Px.forEach(t),og.forEach(t),Qu=p(s),pt=a(s,"DIV",{class:!0});var so=i(pt);T(Fi.$$.fragment,so),YT=p(so),oh=a(so,"P",{});var Cx=i(oh);ZT=n(Cx,`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Cx.forEach(t),ew=p(so),xi=a(so,"P",{});var ng=i(xi);tw=n(ng,"This model inherits from "),Yd=a(ng,"A",{href:!0});var Lx=i(Yd);ow=n(Lx,"TFPreTrainedModel"),Lx.forEach(t),nw=n(ng,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ng.forEach(t),sw=p(so),Ei=a(so,"P",{});var sg=i(Ei);rw=n(sg,"This model is also a "),Mi=a(sg,"A",{href:!0,rel:!0});var Ox=i(Mi);aw=n(Ox,"tf.keras.Model"),Ox.forEach(t),iw=n(sg,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),sg.forEach(t),lw=p(so),T(Ls.$$.fragment,so),dw=p(so),Qt=a(so,"DIV",{class:!0});var Fr=i(Qt);T(zi.$$.fragment,Fr),cw=p(Fr),gn=a(Fr,"P",{});var Mc=i(gn);pw=n(Mc,"The "),Zd=a(Mc,"A",{href:!0});var Ix=i(Zd);hw=n(Ix,"TFAlbertForMultipleChoice"),Ix.forEach(t),mw=n(Mc," forward method, overrides the "),nh=a(Mc,"CODE",{});var Nx=i(nh);uw=n(Nx,"__call__"),Nx.forEach(t),fw=n(Mc," special method."),Mc.forEach(t),gw=p(Fr),T(Os.$$.fragment,Fr),_w=p(Fr),T(Is.$$.fragment,Fr),Fr.forEach(t),so.forEach(t),Ku=p(s),_n=a(s,"H2",{class:!0});var rg=i(_n);Ns=a(rg,"A",{id:!0,class:!0,href:!0});var Dx=i(Ns);sh=a(Dx,"SPAN",{});var Sx=i(sh);T(ji.$$.fragment,Sx),Sx.forEach(t),Dx.forEach(t),bw=p(rg),rh=a(rg,"SPAN",{});var Wx=i(rh);kw=n(Wx,"TFAlbertForTokenClassification"),Wx.forEach(t),rg.forEach(t),Vu=p(s),ht=a(s,"DIV",{class:!0});var ro=i(ht);T(qi.$$.fragment,ro),yw=p(ro),ah=a(ro,"P",{});var Bx=i(ah);vw=n(Bx,`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),Bx.forEach(t),Tw=p(ro),Pi=a(ro,"P",{});var ag=i(Pi);ww=n(ag,"This model inherits from "),ec=a(ag,"A",{href:!0});var Ux=i(ec);$w=n(Ux,"TFPreTrainedModel"),Ux.forEach(t),Aw=n(ag,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ag.forEach(t),Fw=p(ro),Ci=a(ro,"P",{});var ig=i(Ci);xw=n(ig,"This model is also a "),Li=a(ig,"A",{href:!0,rel:!0});var Rx=i(Li);Ew=n(Rx,"tf.keras.Model"),Rx.forEach(t),Mw=n(ig,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ig.forEach(t),zw=p(ro),T(Ds.$$.fragment,ro),jw=p(ro),Ft=a(ro,"DIV",{class:!0});var Co=i(Ft);T(Oi.$$.fragment,Co),qw=p(Co),bn=a(Co,"P",{});var zc=i(bn);Pw=n(zc,"The "),tc=a(zc,"A",{href:!0});var Hx=i(tc);Cw=n(Hx,"TFAlbertForTokenClassification"),Hx.forEach(t),Lw=n(zc," forward method, overrides the "),ih=a(zc,"CODE",{});var Qx=i(ih);Ow=n(Qx,"__call__"),Qx.forEach(t),Iw=n(zc," special method."),zc.forEach(t),Nw=p(Co),T(Ss.$$.fragment,Co),Dw=p(Co),T(Ws.$$.fragment,Co),Sw=p(Co),T(Bs.$$.fragment,Co),Co.forEach(t),ro.forEach(t),Ju=p(s),kn=a(s,"H2",{class:!0});var lg=i(kn);Us=a(lg,"A",{id:!0,class:!0,href:!0});var Kx=i(Us);lh=a(Kx,"SPAN",{});var Vx=i(lh);T(Ii.$$.fragment,Vx),Vx.forEach(t),Kx.forEach(t),Ww=p(lg),dh=a(lg,"SPAN",{});var Jx=i(dh);Bw=n(Jx,"TFAlbertForQuestionAnswering"),Jx.forEach(t),lg.forEach(t),Gu=p(s),mt=a(s,"DIV",{class:!0});var ao=i(mt);T(Ni.$$.fragment,ao),Uw=p(ao),yn=a(ao,"P",{});var jc=i(yn);Rw=n(jc,`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),ch=a(jc,"CODE",{});var Gx=i(ch);Hw=n(Gx,"span start logits"),Gx.forEach(t),Qw=n(jc," and "),ph=a(jc,"CODE",{});var Xx=i(ph);Kw=n(Xx,"span end logits"),Xx.forEach(t),Vw=n(jc,")."),jc.forEach(t),Jw=p(ao),Di=a(ao,"P",{});var dg=i(Di);Gw=n(dg,"This model inherits from "),oc=a(dg,"A",{href:!0});var Yx=i(oc);Xw=n(Yx,"TFPreTrainedModel"),Yx.forEach(t),Yw=n(dg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),dg.forEach(t),Zw=p(ao),Si=a(ao,"P",{});var cg=i(Si);e$=n(cg,"This model is also a "),Wi=a(cg,"A",{href:!0,rel:!0});var Zx=i(Wi);t$=n(Zx,"tf.keras.Model"),Zx.forEach(t),o$=n(cg,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),cg.forEach(t),n$=p(ao),T(Rs.$$.fragment,ao),s$=p(ao),xt=a(ao,"DIV",{class:!0});var Lo=i(xt);T(Bi.$$.fragment,Lo),r$=p(Lo),vn=a(Lo,"P",{});var qc=i(vn);a$=n(qc,"The "),nc=a(qc,"A",{href:!0});var eE=i(nc);i$=n(eE,"TFAlbertForQuestionAnswering"),eE.forEach(t),l$=n(qc," forward method, overrides the "),hh=a(qc,"CODE",{});var tE=i(hh);d$=n(tE,"__call__"),tE.forEach(t),c$=n(qc," special method."),qc.forEach(t),p$=p(Lo),T(Hs.$$.fragment,Lo),h$=p(Lo),T(Qs.$$.fragment,Lo),m$=p(Lo),T(Ks.$$.fragment,Lo),Lo.forEach(t),ao.forEach(t),Xu=p(s),Tn=a(s,"H2",{class:!0});var pg=i(Tn);Vs=a(pg,"A",{id:!0,class:!0,href:!0});var oE=i(Vs);mh=a(oE,"SPAN",{});var nE=i(mh);T(Ui.$$.fragment,nE),nE.forEach(t),oE.forEach(t),u$=p(pg),uh=a(pg,"SPAN",{});var sE=i(uh);f$=n(sE,"FlaxAlbertModel"),sE.forEach(t),pg.forEach(t),Yu=p(s),et=a(s,"DIV",{class:!0});var Et=i(et);T(Ri.$$.fragment,Et),g$=p(Et),fh=a(Et,"P",{});var rE=i(fh);_$=n(rE,"The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),rE.forEach(t),b$=p(Et),Hi=a(Et,"P",{});var hg=i(Hi);k$=n(hg,"This model inherits from "),sc=a(hg,"A",{href:!0});var aE=i(sc);y$=n(aE,"FlaxPreTrainedModel"),aE.forEach(t),v$=n(hg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),hg.forEach(t),T$=p(Et),Qi=a(Et,"P",{});var mg=i(Qi);w$=n(mg,"This model is also a Flax Linen "),Ki=a(mg,"A",{href:!0,rel:!0});var iE=i(Ki);$$=n(iE,"flax.linen.Module"),iE.forEach(t),A$=n(mg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),mg.forEach(t),F$=p(Et),gh=a(Et,"P",{});var lE=i(gh);x$=n(lE,"Finally, this model supports inherent JAX features such as:"),lE.forEach(t),E$=p(Et),co=a(Et,"UL",{});var xr=i(co);_h=a(xr,"LI",{});var dE=i(_h);Vi=a(dE,"A",{href:!0,rel:!0});var cE=i(Vi);M$=n(cE,"Just-In-Time (JIT) compilation"),cE.forEach(t),dE.forEach(t),z$=p(xr),bh=a(xr,"LI",{});var pE=i(bh);Ji=a(pE,"A",{href:!0,rel:!0});var hE=i(Ji);j$=n(hE,"Automatic Differentiation"),hE.forEach(t),pE.forEach(t),q$=p(xr),kh=a(xr,"LI",{});var mE=i(kh);Gi=a(mE,"A",{href:!0,rel:!0});var uE=i(Gi);P$=n(uE,"Vectorization"),uE.forEach(t),mE.forEach(t),C$=p(xr),yh=a(xr,"LI",{});var fE=i(yh);Xi=a(fE,"A",{href:!0,rel:!0});var gE=i(Xi);L$=n(gE,"Parallelization"),gE.forEach(t),fE.forEach(t),xr.forEach(t),O$=p(Et),Kt=a(Et,"DIV",{class:!0});var Er=i(Kt);T(Yi.$$.fragment,Er),I$=p(Er),wn=a(Er,"P",{});var Pc=i(wn);N$=n(Pc,"The "),vh=a(Pc,"CODE",{});var _E=i(vh);D$=n(_E,"FlaxAlbertPreTrainedModel"),_E.forEach(t),S$=n(Pc," forward method, overrides the "),Th=a(Pc,"CODE",{});var bE=i(Th);W$=n(bE,"__call__"),bE.forEach(t),B$=n(Pc," special method."),Pc.forEach(t),U$=p(Er),T(Js.$$.fragment,Er),R$=p(Er),T(Gs.$$.fragment,Er),Er.forEach(t),Et.forEach(t),Zu=p(s),$n=a(s,"H2",{class:!0});var ug=i($n);Xs=a(ug,"A",{id:!0,class:!0,href:!0});var kE=i(Xs);wh=a(kE,"SPAN",{});var yE=i(wh);T(Zi.$$.fragment,yE),yE.forEach(t),kE.forEach(t),H$=p(ug),$h=a(ug,"SPAN",{});var vE=i($h);Q$=n(vE,"FlaxAlbertForPreTraining"),vE.forEach(t),ug.forEach(t),ef=p(s),tt=a(s,"DIV",{class:!0});var Mt=i(tt);T(el.$$.fragment,Mt),K$=p(Mt),An=a(Mt,"P",{});var Cc=i(An);V$=n(Cc,"Albert Model with two heads on top as done during the pretraining: a "),Ah=a(Cc,"CODE",{});var TE=i(Ah);J$=n(TE,"masked language modeling"),TE.forEach(t),G$=n(Cc,` head and a
`),Fh=a(Cc,"CODE",{});var wE=i(Fh);X$=n(wE,"sentence order prediction (classification)"),wE.forEach(t),Y$=n(Cc," head."),Cc.forEach(t),Z$=p(Mt),tl=a(Mt,"P",{});var fg=i(tl);e1=n(fg,"This model inherits from "),rc=a(fg,"A",{href:!0});var $E=i(rc);t1=n($E,"FlaxPreTrainedModel"),$E.forEach(t),o1=n(fg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),fg.forEach(t),n1=p(Mt),ol=a(Mt,"P",{});var gg=i(ol);s1=n(gg,"This model is also a Flax Linen "),nl=a(gg,"A",{href:!0,rel:!0});var AE=i(nl);r1=n(AE,"flax.linen.Module"),AE.forEach(t),a1=n(gg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),gg.forEach(t),i1=p(Mt),xh=a(Mt,"P",{});var FE=i(xh);l1=n(FE,"Finally, this model supports inherent JAX features such as:"),FE.forEach(t),d1=p(Mt),po=a(Mt,"UL",{});var Mr=i(po);Eh=a(Mr,"LI",{});var xE=i(Eh);sl=a(xE,"A",{href:!0,rel:!0});var EE=i(sl);c1=n(EE,"Just-In-Time (JIT) compilation"),EE.forEach(t),xE.forEach(t),p1=p(Mr),Mh=a(Mr,"LI",{});var ME=i(Mh);rl=a(ME,"A",{href:!0,rel:!0});var zE=i(rl);h1=n(zE,"Automatic Differentiation"),zE.forEach(t),ME.forEach(t),m1=p(Mr),zh=a(Mr,"LI",{});var jE=i(zh);al=a(jE,"A",{href:!0,rel:!0});var qE=i(al);u1=n(qE,"Vectorization"),qE.forEach(t),jE.forEach(t),f1=p(Mr),jh=a(Mr,"LI",{});var PE=i(jh);il=a(PE,"A",{href:!0,rel:!0});var CE=i(il);g1=n(CE,"Parallelization"),CE.forEach(t),PE.forEach(t),Mr.forEach(t),_1=p(Mt),Vt=a(Mt,"DIV",{class:!0});var zr=i(Vt);T(ll.$$.fragment,zr),b1=p(zr),Fn=a(zr,"P",{});var Lc=i(Fn);k1=n(Lc,"The "),qh=a(Lc,"CODE",{});var LE=i(qh);y1=n(LE,"FlaxAlbertPreTrainedModel"),LE.forEach(t),v1=n(Lc," forward method, overrides the "),Ph=a(Lc,"CODE",{});var OE=i(Ph);T1=n(OE,"__call__"),OE.forEach(t),w1=n(Lc," special method."),Lc.forEach(t),$1=p(zr),T(Ys.$$.fragment,zr),A1=p(zr),T(Zs.$$.fragment,zr),zr.forEach(t),Mt.forEach(t),tf=p(s),xn=a(s,"H2",{class:!0});var _g=i(xn);er=a(_g,"A",{id:!0,class:!0,href:!0});var IE=i(er);Ch=a(IE,"SPAN",{});var NE=i(Ch);T(dl.$$.fragment,NE),NE.forEach(t),IE.forEach(t),F1=p(_g),Lh=a(_g,"SPAN",{});var DE=i(Lh);x1=n(DE,"FlaxAlbertForMaskedLM"),DE.forEach(t),_g.forEach(t),of=p(s),ot=a(s,"DIV",{class:!0});var zt=i(ot);T(cl.$$.fragment,zt),E1=p(zt),pl=a(zt,"P",{});var bg=i(pl);M1=n(bg,"Albert Model with a "),Oh=a(bg,"CODE",{});var SE=i(Oh);z1=n(SE,"language modeling"),SE.forEach(t),j1=n(bg," head on top."),bg.forEach(t),q1=p(zt),hl=a(zt,"P",{});var kg=i(hl);P1=n(kg,"This model inherits from "),ac=a(kg,"A",{href:!0});var WE=i(ac);C1=n(WE,"FlaxPreTrainedModel"),WE.forEach(t),L1=n(kg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),kg.forEach(t),O1=p(zt),ml=a(zt,"P",{});var yg=i(ml);I1=n(yg,"This model is also a Flax Linen "),ul=a(yg,"A",{href:!0,rel:!0});var BE=i(ul);N1=n(BE,"flax.linen.Module"),BE.forEach(t),D1=n(yg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),yg.forEach(t),S1=p(zt),Ih=a(zt,"P",{});var UE=i(Ih);W1=n(UE,"Finally, this model supports inherent JAX features such as:"),UE.forEach(t),B1=p(zt),ho=a(zt,"UL",{});var jr=i(ho);Nh=a(jr,"LI",{});var RE=i(Nh);fl=a(RE,"A",{href:!0,rel:!0});var HE=i(fl);U1=n(HE,"Just-In-Time (JIT) compilation"),HE.forEach(t),RE.forEach(t),R1=p(jr),Dh=a(jr,"LI",{});var QE=i(Dh);gl=a(QE,"A",{href:!0,rel:!0});var KE=i(gl);H1=n(KE,"Automatic Differentiation"),KE.forEach(t),QE.forEach(t),Q1=p(jr),Sh=a(jr,"LI",{});var VE=i(Sh);_l=a(VE,"A",{href:!0,rel:!0});var JE=i(_l);K1=n(JE,"Vectorization"),JE.forEach(t),VE.forEach(t),V1=p(jr),Wh=a(jr,"LI",{});var GE=i(Wh);bl=a(GE,"A",{href:!0,rel:!0});var XE=i(bl);J1=n(XE,"Parallelization"),XE.forEach(t),GE.forEach(t),jr.forEach(t),G1=p(zt),Jt=a(zt,"DIV",{class:!0});var qr=i(Jt);T(kl.$$.fragment,qr),X1=p(qr),En=a(qr,"P",{});var Oc=i(En);Y1=n(Oc,"The "),Bh=a(Oc,"CODE",{});var YE=i(Bh);Z1=n(YE,"FlaxAlbertPreTrainedModel"),YE.forEach(t),e2=n(Oc," forward method, overrides the "),Uh=a(Oc,"CODE",{});var ZE=i(Uh);t2=n(ZE,"__call__"),ZE.forEach(t),o2=n(Oc," special method."),Oc.forEach(t),n2=p(qr),T(tr.$$.fragment,qr),s2=p(qr),T(or.$$.fragment,qr),qr.forEach(t),zt.forEach(t),nf=p(s),Mn=a(s,"H2",{class:!0});var vg=i(Mn);nr=a(vg,"A",{id:!0,class:!0,href:!0});var eM=i(nr);Rh=a(eM,"SPAN",{});var tM=i(Rh);T(yl.$$.fragment,tM),tM.forEach(t),eM.forEach(t),r2=p(vg),Hh=a(vg,"SPAN",{});var oM=i(Hh);a2=n(oM,"FlaxAlbertForSequenceClassification"),oM.forEach(t),vg.forEach(t),sf=p(s),nt=a(s,"DIV",{class:!0});var jt=i(nt);T(vl.$$.fragment,jt),i2=p(jt),Qh=a(jt,"P",{});var nM=i(Qh);l2=n(nM,`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),nM.forEach(t),d2=p(jt),Tl=a(jt,"P",{});var Tg=i(Tl);c2=n(Tg,"This model inherits from "),ic=a(Tg,"A",{href:!0});var sM=i(ic);p2=n(sM,"FlaxPreTrainedModel"),sM.forEach(t),h2=n(Tg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Tg.forEach(t),m2=p(jt),wl=a(jt,"P",{});var wg=i(wl);u2=n(wg,"This model is also a Flax Linen "),$l=a(wg,"A",{href:!0,rel:!0});var rM=i($l);f2=n(rM,"flax.linen.Module"),rM.forEach(t),g2=n(wg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),wg.forEach(t),_2=p(jt),Kh=a(jt,"P",{});var aM=i(Kh);b2=n(aM,"Finally, this model supports inherent JAX features such as:"),aM.forEach(t),k2=p(jt),mo=a(jt,"UL",{});var Pr=i(mo);Vh=a(Pr,"LI",{});var iM=i(Vh);Al=a(iM,"A",{href:!0,rel:!0});var lM=i(Al);y2=n(lM,"Just-In-Time (JIT) compilation"),lM.forEach(t),iM.forEach(t),v2=p(Pr),Jh=a(Pr,"LI",{});var dM=i(Jh);Fl=a(dM,"A",{href:!0,rel:!0});var cM=i(Fl);T2=n(cM,"Automatic Differentiation"),cM.forEach(t),dM.forEach(t),w2=p(Pr),Gh=a(Pr,"LI",{});var pM=i(Gh);xl=a(pM,"A",{href:!0,rel:!0});var hM=i(xl);$2=n(hM,"Vectorization"),hM.forEach(t),pM.forEach(t),A2=p(Pr),Xh=a(Pr,"LI",{});var mM=i(Xh);El=a(mM,"A",{href:!0,rel:!0});var uM=i(El);F2=n(uM,"Parallelization"),uM.forEach(t),mM.forEach(t),Pr.forEach(t),x2=p(jt),Gt=a(jt,"DIV",{class:!0});var Cr=i(Gt);T(Ml.$$.fragment,Cr),E2=p(Cr),zn=a(Cr,"P",{});var Ic=i(zn);M2=n(Ic,"The "),Yh=a(Ic,"CODE",{});var fM=i(Yh);z2=n(fM,"FlaxAlbertPreTrainedModel"),fM.forEach(t),j2=n(Ic," forward method, overrides the "),Zh=a(Ic,"CODE",{});var gM=i(Zh);q2=n(gM,"__call__"),gM.forEach(t),P2=n(Ic," special method."),Ic.forEach(t),C2=p(Cr),T(sr.$$.fragment,Cr),L2=p(Cr),T(rr.$$.fragment,Cr),Cr.forEach(t),jt.forEach(t),rf=p(s),jn=a(s,"H2",{class:!0});var $g=i(jn);ar=a($g,"A",{id:!0,class:!0,href:!0});var _M=i(ar);em=a(_M,"SPAN",{});var bM=i(em);T(zl.$$.fragment,bM),bM.forEach(t),_M.forEach(t),O2=p($g),tm=a($g,"SPAN",{});var kM=i(tm);I2=n(kM,"FlaxAlbertForMultipleChoice"),kM.forEach(t),$g.forEach(t),af=p(s),st=a(s,"DIV",{class:!0});var qt=i(st);T(jl.$$.fragment,qt),N2=p(qt),om=a(qt,"P",{});var yM=i(om);D2=n(yM,`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),yM.forEach(t),S2=p(qt),ql=a(qt,"P",{});var Ag=i(ql);W2=n(Ag,"This model inherits from "),lc=a(Ag,"A",{href:!0});var vM=i(lc);B2=n(vM,"FlaxPreTrainedModel"),vM.forEach(t),U2=n(Ag,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Ag.forEach(t),R2=p(qt),Pl=a(qt,"P",{});var Fg=i(Pl);H2=n(Fg,"This model is also a Flax Linen "),Cl=a(Fg,"A",{href:!0,rel:!0});var TM=i(Cl);Q2=n(TM,"flax.linen.Module"),TM.forEach(t),K2=n(Fg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Fg.forEach(t),V2=p(qt),nm=a(qt,"P",{});var wM=i(nm);J2=n(wM,"Finally, this model supports inherent JAX features such as:"),wM.forEach(t),G2=p(qt),uo=a(qt,"UL",{});var Lr=i(uo);sm=a(Lr,"LI",{});var $M=i(sm);Ll=a($M,"A",{href:!0,rel:!0});var AM=i(Ll);X2=n(AM,"Just-In-Time (JIT) compilation"),AM.forEach(t),$M.forEach(t),Y2=p(Lr),rm=a(Lr,"LI",{});var FM=i(rm);Ol=a(FM,"A",{href:!0,rel:!0});var xM=i(Ol);Z2=n(xM,"Automatic Differentiation"),xM.forEach(t),FM.forEach(t),eA=p(Lr),am=a(Lr,"LI",{});var EM=i(am);Il=a(EM,"A",{href:!0,rel:!0});var MM=i(Il);tA=n(MM,"Vectorization"),MM.forEach(t),EM.forEach(t),oA=p(Lr),im=a(Lr,"LI",{});var zM=i(im);Nl=a(zM,"A",{href:!0,rel:!0});var jM=i(Nl);nA=n(jM,"Parallelization"),jM.forEach(t),zM.forEach(t),Lr.forEach(t),sA=p(qt),Xt=a(qt,"DIV",{class:!0});var Or=i(Xt);T(Dl.$$.fragment,Or),rA=p(Or),qn=a(Or,"P",{});var Nc=i(qn);aA=n(Nc,"The "),lm=a(Nc,"CODE",{});var qM=i(lm);iA=n(qM,"FlaxAlbertPreTrainedModel"),qM.forEach(t),lA=n(Nc," forward method, overrides the "),dm=a(Nc,"CODE",{});var PM=i(dm);dA=n(PM,"__call__"),PM.forEach(t),cA=n(Nc," special method."),Nc.forEach(t),pA=p(Or),T(ir.$$.fragment,Or),hA=p(Or),T(lr.$$.fragment,Or),Or.forEach(t),qt.forEach(t),lf=p(s),Pn=a(s,"H2",{class:!0});var xg=i(Pn);dr=a(xg,"A",{id:!0,class:!0,href:!0});var CM=i(dr);cm=a(CM,"SPAN",{});var LM=i(cm);T(Sl.$$.fragment,LM),LM.forEach(t),CM.forEach(t),mA=p(xg),pm=a(xg,"SPAN",{});var OM=i(pm);uA=n(OM,"FlaxAlbertForTokenClassification"),OM.forEach(t),xg.forEach(t),df=p(s),rt=a(s,"DIV",{class:!0});var Pt=i(rt);T(Wl.$$.fragment,Pt),fA=p(Pt),hm=a(Pt,"P",{});var IM=i(hm);gA=n(IM,`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),IM.forEach(t),_A=p(Pt),Bl=a(Pt,"P",{});var Eg=i(Bl);bA=n(Eg,"This model inherits from "),dc=a(Eg,"A",{href:!0});var NM=i(dc);kA=n(NM,"FlaxPreTrainedModel"),NM.forEach(t),yA=n(Eg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Eg.forEach(t),vA=p(Pt),Ul=a(Pt,"P",{});var Mg=i(Ul);TA=n(Mg,"This model is also a Flax Linen "),Rl=a(Mg,"A",{href:!0,rel:!0});var DM=i(Rl);wA=n(DM,"flax.linen.Module"),DM.forEach(t),$A=n(Mg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Mg.forEach(t),AA=p(Pt),mm=a(Pt,"P",{});var SM=i(mm);FA=n(SM,"Finally, this model supports inherent JAX features such as:"),SM.forEach(t),xA=p(Pt),fo=a(Pt,"UL",{});var Ir=i(fo);um=a(Ir,"LI",{});var WM=i(um);Hl=a(WM,"A",{href:!0,rel:!0});var BM=i(Hl);EA=n(BM,"Just-In-Time (JIT) compilation"),BM.forEach(t),WM.forEach(t),MA=p(Ir),fm=a(Ir,"LI",{});var UM=i(fm);Ql=a(UM,"A",{href:!0,rel:!0});var RM=i(Ql);zA=n(RM,"Automatic Differentiation"),RM.forEach(t),UM.forEach(t),jA=p(Ir),gm=a(Ir,"LI",{});var HM=i(gm);Kl=a(HM,"A",{href:!0,rel:!0});var QM=i(Kl);qA=n(QM,"Vectorization"),QM.forEach(t),HM.forEach(t),PA=p(Ir),_m=a(Ir,"LI",{});var KM=i(_m);Vl=a(KM,"A",{href:!0,rel:!0});var VM=i(Vl);CA=n(VM,"Parallelization"),VM.forEach(t),KM.forEach(t),Ir.forEach(t),LA=p(Pt),Yt=a(Pt,"DIV",{class:!0});var Nr=i(Yt);T(Jl.$$.fragment,Nr),OA=p(Nr),Cn=a(Nr,"P",{});var Dc=i(Cn);IA=n(Dc,"The "),bm=a(Dc,"CODE",{});var JM=i(bm);NA=n(JM,"FlaxAlbertPreTrainedModel"),JM.forEach(t),DA=n(Dc," forward method, overrides the "),km=a(Dc,"CODE",{});var GM=i(km);SA=n(GM,"__call__"),GM.forEach(t),WA=n(Dc," special method."),Dc.forEach(t),BA=p(Nr),T(cr.$$.fragment,Nr),UA=p(Nr),T(pr.$$.fragment,Nr),Nr.forEach(t),Pt.forEach(t),cf=p(s),Ln=a(s,"H2",{class:!0});var zg=i(Ln);hr=a(zg,"A",{id:!0,class:!0,href:!0});var XM=i(hr);ym=a(XM,"SPAN",{});var YM=i(ym);T(Gl.$$.fragment,YM),YM.forEach(t),XM.forEach(t),RA=p(zg),vm=a(zg,"SPAN",{});var ZM=i(vm);HA=n(ZM,"FlaxAlbertForQuestionAnswering"),ZM.forEach(t),zg.forEach(t),pf=p(s),at=a(s,"DIV",{class:!0});var Ct=i(at);T(Xl.$$.fragment,Ct),QA=p(Ct),On=a(Ct,"P",{});var Sc=i(On);KA=n(Sc,`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Tm=a(Sc,"CODE",{});var ez=i(Tm);VA=n(ez,"span start logits"),ez.forEach(t),JA=n(Sc," and "),wm=a(Sc,"CODE",{});var tz=i(wm);GA=n(tz,"span end logits"),tz.forEach(t),XA=n(Sc,")."),Sc.forEach(t),YA=p(Ct),Yl=a(Ct,"P",{});var jg=i(Yl);ZA=n(jg,"This model inherits from "),cc=a(jg,"A",{href:!0});var oz=i(cc);eF=n(oz,"FlaxPreTrainedModel"),oz.forEach(t),tF=n(jg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),jg.forEach(t),oF=p(Ct),Zl=a(Ct,"P",{});var qg=i(Zl);nF=n(qg,"This model is also a Flax Linen "),ed=a(qg,"A",{href:!0,rel:!0});var nz=i(ed);sF=n(nz,"flax.linen.Module"),nz.forEach(t),rF=n(qg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),qg.forEach(t),aF=p(Ct),$m=a(Ct,"P",{});var sz=i($m);iF=n(sz,"Finally, this model supports inherent JAX features such as:"),sz.forEach(t),lF=p(Ct),go=a(Ct,"UL",{});var Dr=i(go);Am=a(Dr,"LI",{});var rz=i(Am);td=a(rz,"A",{href:!0,rel:!0});var az=i(td);dF=n(az,"Just-In-Time (JIT) compilation"),az.forEach(t),rz.forEach(t),cF=p(Dr),Fm=a(Dr,"LI",{});var iz=i(Fm);od=a(iz,"A",{href:!0,rel:!0});var lz=i(od);pF=n(lz,"Automatic Differentiation"),lz.forEach(t),iz.forEach(t),hF=p(Dr),xm=a(Dr,"LI",{});var dz=i(xm);nd=a(dz,"A",{href:!0,rel:!0});var cz=i(nd);mF=n(cz,"Vectorization"),cz.forEach(t),dz.forEach(t),uF=p(Dr),Em=a(Dr,"LI",{});var pz=i(Em);sd=a(pz,"A",{href:!0,rel:!0});var hz=i(sd);fF=n(hz,"Parallelization"),hz.forEach(t),pz.forEach(t),Dr.forEach(t),gF=p(Ct),Zt=a(Ct,"DIV",{class:!0});var Sr=i(Zt);T(rd.$$.fragment,Sr),_F=p(Sr),In=a(Sr,"P",{});var Wc=i(In);bF=n(Wc,"The "),Mm=a(Wc,"CODE",{});var mz=i(Mm);kF=n(mz,"FlaxAlbertPreTrainedModel"),mz.forEach(t),yF=n(Wc," forward method, overrides the "),zm=a(Wc,"CODE",{});var uz=i(zm);vF=n(uz,"__call__"),uz.forEach(t),TF=n(Wc," special method."),Wc.forEach(t),wF=p(Sr),T(mr.$$.fragment,Sr),$F=p(Sr),T(ur.$$.fragment,Sr),Sr.forEach(t),Ct.forEach(t),this.h()},h(){u(d,"name","hf:doc:metadata"),u(d,"content",JSON.stringify(F4)),u(f,"id","albert"),u(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(f,"href","#albert"),u(m,"class","relative group"),u(Z,"alt","Models"),fz(Z.src,x="https://img.shields.io/badge/All_model_pages-albert-blueviolet")||u(Z,"src",x),u(de,"href","https://huggingface.co/models?filter=albert"),u(ce,"alt","Spaces"),fz(ce.src,Ce="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||u(ce,"src",Ce),u(R,"href","https://huggingface.co/spaces/docs-demos/albert-base-v2"),u(W,"class","flex flex-wrap space-x-1"),u(re,"id","overview"),u(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(re,"href","#overview"),u(se,"class","relative group"),u(le,"href","https://arxiv.org/abs/1909.11942"),u(le,"rel","nofollow"),u(Se,"href","https://huggingface.co/lysandre"),u(Se,"rel","nofollow"),u(We,"href","https://huggingface.co/kamalkraj"),u(We,"rel","nofollow"),u(U,"href","https://github.com/google-research/ALBERT"),u(U,"rel","nofollow"),u(De,"id","transformers.AlbertConfig"),u(De,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(De,"href","#transformers.AlbertConfig"),u(Le,"class","relative group"),u(_d,"href","/docs/transformers/main/en/model_doc/albert#transformers.AlbertModel"),u(bd,"href","/docs/transformers/main/en/model_doc/albert#transformers.TFAlbertModel"),u(Br,"href","https://huggingface.co/albert-xxlarge-v2"),u(Br,"rel","nofollow"),u(kd,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),u(yd,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),u(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Wn,"id","transformers.AlbertTokenizer"),u(Wn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Wn,"href","#transformers.AlbertTokenizer"),u(Io,"class","relative group"),u(Qr,"href","https://github.com/google/sentencepiece"),u(Qr,"rel","nofollow"),u(vd,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),u(vo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Bn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(It,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u($d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Rn,"id","transformers.AlbertTokenizerFast"),u(Rn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Rn,"href","#transformers.AlbertTokenizerFast"),u(Do,"class","relative group"),u(oa,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=unigram#models"),u(oa,"rel","nofollow"),u(Ad,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),u(To,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Qn,"id","transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"),u(Qn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Qn,"href","#transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"),u(So,"class","relative group"),u(Ed,"href","/docs/transformers/main/en/model_doc/albert#transformers.AlbertForPreTraining"),u(Wo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Md,"href","/docs/transformers/main/en/model_doc/albert#transformers.TFAlbertForPreTraining"),u(Bo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Kn,"id","transformers.AlbertModel"),u(Kn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Kn,"href","#transformers.AlbertModel"),u(Uo,"class","relative group"),u(zd,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),u(fa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(fa,"rel","nofollow"),u(jd,"href","/docs/transformers/main/en/model_doc/albert#transformers.AlbertModel"),u(Dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Gn,"id","transformers.AlbertForPreTraining"),u(Gn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Gn,"href","#transformers.AlbertForPreTraining"),u(Ho,"class","relative group"),u(qd,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),u(va,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(va,"rel","nofollow"),u(Pd,"href","/docs/transformers/main/en/model_doc/albert#transformers.AlbertForPreTraining"),u(St,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Zn,"id","transformers.AlbertForMaskedLM"),u(Zn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Zn,"href","#transformers.AlbertForMaskedLM"),u(Vo,"class","relative group"),u(Cd,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),u(Ea,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Ea,"rel","nofollow"),u(Ld,"href","/docs/transformers/main/en/model_doc/albert#transformers.AlbertForMaskedLM"),u(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ns,"id","transformers.AlbertForSequenceClassification"),u(ns,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ns,"href","#transformers.AlbertForSequenceClassification"),u(Go,"class","relative group"),u(Od,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),u(Ca,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Ca,"rel","nofollow"),u(Id,"href","/docs/transformers/main/en/model_doc/albert#transformers.AlbertForSequenceClassification"),u(wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(is,"id","transformers.AlbertForMultipleChoice"),u(is,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(is,"href","#transformers.AlbertForMultipleChoice"),u(Yo,"class","relative group"),u(Nd,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),u(Sa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Sa,"rel","nofollow"),u(Dd,"href","/docs/transformers/main/en/model_doc/albert#transformers.AlbertForMultipleChoice"),u(Wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(cs,"id","transformers.AlbertForTokenClassification"),u(cs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(cs,"href","#transformers.AlbertForTokenClassification"),u(en,"class","relative group"),u(Sd,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),u(Qa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Qa,"rel","nofollow"),u(Wd,"href","/docs/transformers/main/en/model_doc/albert#transformers.AlbertForTokenClassification"),u(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ms,"id","transformers.AlbertForQuestionAnswering"),u(ms,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ms,"href","#transformers.AlbertForQuestionAnswering"),u(on,"class","relative group"),u(Bd,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),u(Ya,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Ya,"rel","nofollow"),u(Ud,"href","/docs/transformers/main/en/model_doc/albert#transformers.AlbertForQuestionAnswering"),u(Ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(gs,"id","transformers.TFAlbertModel"),u(gs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(gs,"href","#transformers.TFAlbertModel"),u(rn,"class","relative group"),u(Rd,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),u(si,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(si,"rel","nofollow"),u(Hd,"href","/docs/transformers/main/en/model_doc/albert#transformers.TFAlbertModel"),u(Rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ys,"id","transformers.TFAlbertForPreTraining"),u(ys,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ys,"href","#transformers.TFAlbertForPreTraining"),u(ln,"class","relative group"),u(Qd,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),u(ci,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(ci,"rel","nofollow"),u(Kd,"href","/docs/transformers/main/en/model_doc/albert#transformers.TFAlbertForPreTraining"),u(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u($s,"id","transformers.TFAlbertForMaskedLM"),u($s,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u($s,"href","#transformers.TFAlbertForMaskedLM"),u(pn,"class","relative group"),u(Vd,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),u(_i,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(_i,"rel","nofollow"),u(Jd,"href","/docs/transformers/main/en/model_doc/albert#transformers.TFAlbertForMaskedLM"),u($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ms,"id","transformers.TFAlbertForSequenceClassification"),u(Ms,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Ms,"href","#transformers.TFAlbertForSequenceClassification"),u(mn,"class","relative group"),u(Gd,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),u(wi,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(wi,"rel","nofollow"),u(Xd,"href","/docs/transformers/main/en/model_doc/albert#transformers.TFAlbertForSequenceClassification"),u(At,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Cs,"id","transformers.TFAlbertForMultipleChoice"),u(Cs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Cs,"href","#transformers.TFAlbertForMultipleChoice"),u(fn,"class","relative group"),u(Yd,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),u(Mi,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(Mi,"rel","nofollow"),u(Zd,"href","/docs/transformers/main/en/model_doc/albert#transformers.TFAlbertForMultipleChoice"),u(Qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ns,"id","transformers.TFAlbertForTokenClassification"),u(Ns,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Ns,"href","#transformers.TFAlbertForTokenClassification"),u(_n,"class","relative group"),u(ec,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),u(Li,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(Li,"rel","nofollow"),u(tc,"href","/docs/transformers/main/en/model_doc/albert#transformers.TFAlbertForTokenClassification"),u(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Us,"id","transformers.TFAlbertForQuestionAnswering"),u(Us,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Us,"href","#transformers.TFAlbertForQuestionAnswering"),u(kn,"class","relative group"),u(oc,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),u(Wi,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(Wi,"rel","nofollow"),u(nc,"href","/docs/transformers/main/en/model_doc/albert#transformers.TFAlbertForQuestionAnswering"),u(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Vs,"id","transformers.FlaxAlbertModel"),u(Vs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Vs,"href","#transformers.FlaxAlbertModel"),u(Tn,"class","relative group"),u(sc,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(Ki,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(Ki,"rel","nofollow"),u(Vi,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(Vi,"rel","nofollow"),u(Ji,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(Ji,"rel","nofollow"),u(Gi,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(Gi,"rel","nofollow"),u(Xi,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(Xi,"rel","nofollow"),u(Kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Xs,"id","transformers.FlaxAlbertForPreTraining"),u(Xs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Xs,"href","#transformers.FlaxAlbertForPreTraining"),u($n,"class","relative group"),u(rc,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(nl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(nl,"rel","nofollow"),u(sl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(sl,"rel","nofollow"),u(rl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(rl,"rel","nofollow"),u(al,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(al,"rel","nofollow"),u(il,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(il,"rel","nofollow"),u(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(er,"id","transformers.FlaxAlbertForMaskedLM"),u(er,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(er,"href","#transformers.FlaxAlbertForMaskedLM"),u(xn,"class","relative group"),u(ac,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(ul,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(ul,"rel","nofollow"),u(fl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(fl,"rel","nofollow"),u(gl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(gl,"rel","nofollow"),u(_l,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(_l,"rel","nofollow"),u(bl,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(bl,"rel","nofollow"),u(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(nr,"id","transformers.FlaxAlbertForSequenceClassification"),u(nr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(nr,"href","#transformers.FlaxAlbertForSequenceClassification"),u(Mn,"class","relative group"),u(ic,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),u($l,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u($l,"rel","nofollow"),u(Al,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(Al,"rel","nofollow"),u(Fl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(Fl,"rel","nofollow"),u(xl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(xl,"rel","nofollow"),u(El,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(El,"rel","nofollow"),u(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ar,"id","transformers.FlaxAlbertForMultipleChoice"),u(ar,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ar,"href","#transformers.FlaxAlbertForMultipleChoice"),u(jn,"class","relative group"),u(lc,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(Cl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(Cl,"rel","nofollow"),u(Ll,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(Ll,"rel","nofollow"),u(Ol,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(Ol,"rel","nofollow"),u(Il,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(Il,"rel","nofollow"),u(Nl,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(Nl,"rel","nofollow"),u(Xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(dr,"id","transformers.FlaxAlbertForTokenClassification"),u(dr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(dr,"href","#transformers.FlaxAlbertForTokenClassification"),u(Pn,"class","relative group"),u(dc,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(Rl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(Rl,"rel","nofollow"),u(Hl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(Hl,"rel","nofollow"),u(Ql,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(Ql,"rel","nofollow"),u(Kl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(Kl,"rel","nofollow"),u(Vl,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(Vl,"rel","nofollow"),u(Yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(hr,"id","transformers.FlaxAlbertForQuestionAnswering"),u(hr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(hr,"href","#transformers.FlaxAlbertForQuestionAnswering"),u(Ln,"class","relative group"),u(cc,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(ed,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(ed,"rel","nofollow"),u(td,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(td,"rel","nofollow"),u(od,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(od,"rel","nofollow"),u(nd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(nd,"rel","nofollow"),u(sd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(sd,"rel","nofollow"),u(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(s,b){e(document.head,d),g(s,k,b),g(s,m,b),e(m,f),e(f,_),w(l,_,null),e(m,h),e(m,M),e(M,$e),g(s,ke,b),g(s,W,b),e(W,de),e(de,Z),e(W,Ae),e(W,R),e(R,ce),g(s,J,b),g(s,se,b),e(se,re),e(re,H),w(ie,H,null),e(se,Fe),e(se,Q),e(Q,xe),g(s,ye,b),g(s,B,b),e(B,Ee),e(B,le),e(le,ee),e(B,q),g(s,C,b),g(s,ae,b),e(ae,K),e(K,Me),e(ae,ze),e(ae,V),e(V,je),g(s,ve,b),g(s,P,b),e(P,qe),g(s,G,b),g(s,pe,b),e(pe,me),e(me,Y),g(s,Te,b),g(s,he,b),e(he,D),g(s,we,b),g(s,I,b),e(I,ue),e(ue,te),e(I,L),e(I,fe),e(fe,O),e(I,Pe),e(I,ge),e(ge,y),e(I,z),e(I,He),e(He,oe),g(s,Ke,b),g(s,_e,b),e(_e,j),e(_e,Se),e(Se,Ve),e(_e,Je),e(_e,We),e(We,Ge),e(_e,S),e(_e,U),e(U,Xe),e(_e,Ye),g(s,X,b),g(s,Le,b),e(Le,De),e(De,be),w(Be,be,null),e(Le,ne),e(Le,Qe),e(Qe,Pg),g(s,fu,b),g(s,Lt,b),w(Wr,Lt,null),e(Lt,Cg),e(Lt,io),e(io,Lg),e(io,_d),e(_d,Og),e(io,Ig),e(io,bd),e(bd,Ng),e(io,Dg),e(io,Br),e(Br,Sg),e(io,Wg),e(Lt,Bg),e(Lt,Oo),e(Oo,Ug),e(Oo,kd),e(kd,Rg),e(Oo,Hg),e(Oo,yd),e(yd,Qg),e(Oo,Kg),e(Lt,Vg),w(Sn,Lt,null),g(s,gu,b),g(s,Io,b),e(Io,Wn),e(Wn,Bc),w(Ur,Bc,null),e(Io,Jg),e(Io,Uc),e(Uc,Gg),g(s,_u,b),g(s,Ze,b),w(Rr,Ze,null),e(Ze,Xg),e(Ze,Hr),e(Hr,Yg),e(Hr,Qr),e(Qr,Zg),e(Hr,e_),e(Ze,t_),e(Ze,Kr),e(Kr,o_),e(Kr,vd),e(vd,n_),e(Kr,s_),e(Ze,r_),e(Ze,vo),w(Vr,vo,null),e(vo,a_),e(vo,Rc),e(Rc,i_),e(vo,l_),e(vo,Jr),e(Jr,Td),e(Td,d_),e(Td,Hc),e(Hc,c_),e(Jr,p_),e(Jr,wd),e(wd,h_),e(wd,Qc),e(Qc,m_),e(Ze,u_),e(Ze,Bn),w(Gr,Bn,null),e(Bn,f_),e(Bn,Xr),e(Xr,g_),e(Xr,Kc),e(Kc,__),e(Xr,b_),e(Ze,k_),e(Ze,It),w(Yr,It,null),e(It,y_),e(It,Vc),e(Vc,v_),e(It,T_),w(Un,It,null),e(It,w_),e(It,No),e(No,$_),e(No,Jc),e(Jc,A_),e(No,F_),e(No,Gc),e(Gc,x_),e(No,E_),e(Ze,M_),e(Ze,$d),w(Zr,$d,null),g(s,bu,b),g(s,Do,b),e(Do,Rn),e(Rn,Xc),w(ea,Xc,null),e(Do,z_),e(Do,Yc),e(Yc,j_),g(s,ku,b),g(s,Ot,b),w(ta,Ot,null),e(Ot,q_),e(Ot,lo),e(lo,P_),e(lo,Zc),e(Zc,C_),e(lo,L_),e(lo,oa),e(oa,O_),e(lo,I_),e(lo,Ad),e(Ad,N_),e(lo,D_),e(Ot,S_),e(Ot,To),w(na,To,null),e(To,W_),e(To,ep),e(ep,B_),e(To,U_),e(To,sa),e(sa,Fd),e(Fd,R_),e(Fd,tp),e(tp,H_),e(sa,Q_),e(sa,xd),e(xd,K_),e(xd,op),e(op,V_),e(Ot,J_),e(Ot,Nt),w(ra,Nt,null),e(Nt,G_),e(Nt,np),e(np,X_),e(Nt,Y_),w(Hn,Nt,null),e(Nt,Z_),e(Nt,sp),e(sp,eb),g(s,yu,b),g(s,So,b),e(So,Qn),e(Qn,rp),w(aa,rp,null),e(So,tb),e(So,ap),e(ap,ob),g(s,vu,b),g(s,Wo,b),w(ia,Wo,null),e(Wo,nb),e(Wo,la),e(la,sb),e(la,Ed),e(Ed,rb),e(la,ab),g(s,Tu,b),g(s,Bo,b),w(da,Bo,null),e(Bo,ib),e(Bo,ca),e(ca,lb),e(ca,Md),e(Md,db),e(ca,cb),g(s,wu,b),g(s,Uo,b),e(Uo,Kn),e(Kn,ip),w(pa,ip,null),e(Uo,pb),e(Uo,lp),e(lp,hb),g(s,$u,b),g(s,ft,b),w(ha,ft,null),e(ft,mb),e(ft,dp),e(dp,ub),e(ft,fb),e(ft,ma),e(ma,gb),e(ma,zd),e(zd,_b),e(ma,bb),e(ft,kb),e(ft,ua),e(ua,yb),e(ua,fa),e(fa,vb),e(ua,Tb),e(ft,wb),e(ft,Dt),w(ga,Dt,null),e(Dt,$b),e(Dt,Ro),e(Ro,Ab),e(Ro,jd),e(jd,Fb),e(Ro,xb),e(Ro,cp),e(cp,Eb),e(Ro,Mb),e(Dt,zb),w(Vn,Dt,null),e(Dt,jb),w(Jn,Dt,null),g(s,Au,b),g(s,Ho,b),e(Ho,Gn),e(Gn,pp),w(_a,pp,null),e(Ho,qb),e(Ho,hp),e(hp,Pb),g(s,Fu,b),g(s,gt,b),w(ba,gt,null),e(gt,Cb),e(gt,Qo),e(Qo,Lb),e(Qo,mp),e(mp,Ob),e(Qo,Ib),e(Qo,up),e(up,Nb),e(Qo,Db),e(gt,Sb),e(gt,ka),e(ka,Wb),e(ka,qd),e(qd,Bb),e(ka,Ub),e(gt,Rb),e(gt,ya),e(ya,Hb),e(ya,va),e(va,Qb),e(ya,Kb),e(gt,Vb),e(gt,St),w(Ta,St,null),e(St,Jb),e(St,Ko),e(Ko,Gb),e(Ko,Pd),e(Pd,Xb),e(Ko,Yb),e(Ko,fp),e(fp,Zb),e(Ko,ek),e(St,tk),w(Xn,St,null),e(St,ok),w(Yn,St,null),g(s,xu,b),g(s,Vo,b),e(Vo,Zn),e(Zn,gp),w(wa,gp,null),e(Vo,nk),e(Vo,_p),e(_p,sk),g(s,Eu,b),g(s,_t,b),w($a,_t,null),e(_t,rk),e(_t,Aa),e(Aa,ak),e(Aa,bp),e(bp,ik),e(Aa,lk),e(_t,dk),e(_t,Fa),e(Fa,ck),e(Fa,Cd),e(Cd,pk),e(Fa,hk),e(_t,mk),e(_t,xa),e(xa,uk),e(xa,Ea),e(Ea,fk),e(xa,gk),e(_t,_k),e(_t,Tt),w(Ma,Tt,null),e(Tt,bk),e(Tt,Jo),e(Jo,kk),e(Jo,Ld),e(Ld,yk),e(Jo,vk),e(Jo,kp),e(kp,Tk),e(Jo,wk),e(Tt,$k),w(es,Tt,null),e(Tt,Ak),w(ts,Tt,null),e(Tt,Fk),w(os,Tt,null),g(s,Mu,b),g(s,Go,b),e(Go,ns),e(ns,yp),w(za,yp,null),e(Go,xk),e(Go,vp),e(vp,Ek),g(s,zu,b),g(s,bt,b),w(ja,bt,null),e(bt,Mk),e(bt,Tp),e(Tp,zk),e(bt,jk),e(bt,qa),e(qa,qk),e(qa,Od),e(Od,Pk),e(qa,Ck),e(bt,Lk),e(bt,Pa),e(Pa,Ok),e(Pa,Ca),e(Ca,Ik),e(Pa,Nk),e(bt,Dk),e(bt,wt),w(La,wt,null),e(wt,Sk),e(wt,Xo),e(Xo,Wk),e(Xo,Id),e(Id,Bk),e(Xo,Uk),e(Xo,wp),e(wp,Rk),e(Xo,Hk),e(wt,Qk),w(ss,wt,null),e(wt,Kk),w(rs,wt,null),e(wt,Vk),w(as,wt,null),g(s,ju,b),g(s,Yo,b),e(Yo,is),e(is,$p),w(Oa,$p,null),e(Yo,Jk),e(Yo,Ap),e(Ap,Gk),g(s,qu,b),g(s,kt,b),w(Ia,kt,null),e(kt,Xk),e(kt,Fp),e(Fp,Yk),e(kt,Zk),e(kt,Na),e(Na,ey),e(Na,Nd),e(Nd,ty),e(Na,oy),e(kt,ny),e(kt,Da),e(Da,sy),e(Da,Sa),e(Sa,ry),e(Da,ay),e(kt,iy),e(kt,Wt),w(Wa,Wt,null),e(Wt,ly),e(Wt,Zo),e(Zo,dy),e(Zo,Dd),e(Dd,cy),e(Zo,py),e(Zo,xp),e(xp,hy),e(Zo,my),e(Wt,uy),w(ls,Wt,null),e(Wt,fy),w(ds,Wt,null),g(s,Pu,b),g(s,en,b),e(en,cs),e(cs,Ep),w(Ba,Ep,null),e(en,gy),e(en,Mp),e(Mp,_y),g(s,Cu,b),g(s,yt,b),w(Ua,yt,null),e(yt,by),e(yt,zp),e(zp,ky),e(yt,yy),e(yt,Ra),e(Ra,vy),e(Ra,Sd),e(Sd,Ty),e(Ra,wy),e(yt,$y),e(yt,Ha),e(Ha,Ay),e(Ha,Qa),e(Qa,Fy),e(Ha,xy),e(yt,Ey),e(yt,Bt),w(Ka,Bt,null),e(Bt,My),e(Bt,tn),e(tn,zy),e(tn,Wd),e(Wd,jy),e(tn,qy),e(tn,jp),e(jp,Py),e(tn,Cy),e(Bt,Ly),w(ps,Bt,null),e(Bt,Oy),w(hs,Bt,null),g(s,Lu,b),g(s,on,b),e(on,ms),e(ms,qp),w(Va,qp,null),e(on,Iy),e(on,Pp),e(Pp,Ny),g(s,Ou,b),g(s,vt,b),w(Ja,vt,null),e(vt,Dy),e(vt,nn),e(nn,Sy),e(nn,Cp),e(Cp,Wy),e(nn,By),e(nn,Lp),e(Lp,Uy),e(nn,Ry),e(vt,Hy),e(vt,Ga),e(Ga,Qy),e(Ga,Bd),e(Bd,Ky),e(Ga,Vy),e(vt,Jy),e(vt,Xa),e(Xa,Gy),e(Xa,Ya),e(Ya,Xy),e(Xa,Yy),e(vt,Zy),e(vt,Ut),w(Za,Ut,null),e(Ut,ev),e(Ut,sn),e(sn,tv),e(sn,Ud),e(Ud,ov),e(sn,nv),e(sn,Op),e(Op,sv),e(sn,rv),e(Ut,av),w(us,Ut,null),e(Ut,iv),w(fs,Ut,null),g(s,Iu,b),g(s,rn,b),e(rn,gs),e(gs,Ip),w(ei,Ip,null),e(rn,lv),e(rn,Np),e(Np,dv),g(s,Nu,b),g(s,it,b),w(ti,it,null),e(it,cv),e(it,Dp),e(Dp,pv),e(it,hv),e(it,oi),e(oi,mv),e(oi,Rd),e(Rd,uv),e(oi,fv),e(it,gv),e(it,ni),e(ni,_v),e(ni,si),e(si,bv),e(ni,kv),e(it,yv),w(_s,it,null),e(it,vv),e(it,Rt),w(ri,Rt,null),e(Rt,Tv),e(Rt,an),e(an,wv),e(an,Hd),e(Hd,$v),e(an,Av),e(an,Sp),e(Sp,Fv),e(an,xv),e(Rt,Ev),w(bs,Rt,null),e(Rt,Mv),w(ks,Rt,null),g(s,Du,b),g(s,ln,b),e(ln,ys),e(ys,Wp),w(ai,Wp,null),e(ln,zv),e(ln,Bp),e(Bp,jv),g(s,Su,b),g(s,lt,b),w(ii,lt,null),e(lt,qv),e(lt,dn),e(dn,Pv),e(dn,Up),e(Up,Cv),e(dn,Lv),e(dn,Rp),e(Rp,Ov),e(dn,Iv),e(lt,Nv),e(lt,li),e(li,Dv),e(li,Qd),e(Qd,Sv),e(li,Wv),e(lt,Bv),e(lt,di),e(di,Uv),e(di,ci),e(ci,Rv),e(di,Hv),e(lt,Qv),w(vs,lt,null),e(lt,Kv),e(lt,Ht),w(pi,Ht,null),e(Ht,Vv),e(Ht,cn),e(cn,Jv),e(cn,Kd),e(Kd,Gv),e(cn,Xv),e(cn,Hp),e(Hp,Yv),e(cn,Zv),e(Ht,eT),w(Ts,Ht,null),e(Ht,tT),w(ws,Ht,null),g(s,Wu,b),g(s,pn,b),e(pn,$s),e($s,Qp),w(hi,Qp,null),e(pn,oT),e(pn,Kp),e(Kp,nT),g(s,Bu,b),g(s,dt,b),w(mi,dt,null),e(dt,sT),e(dt,ui),e(ui,rT),e(ui,Vp),e(Vp,aT),e(ui,iT),e(dt,lT),e(dt,fi),e(fi,dT),e(fi,Vd),e(Vd,cT),e(fi,pT),e(dt,hT),e(dt,gi),e(gi,mT),e(gi,_i),e(_i,uT),e(gi,fT),e(dt,gT),w(As,dt,null),e(dt,_T),e(dt,$t),w(bi,$t,null),e($t,bT),e($t,hn),e(hn,kT),e(hn,Jd),e(Jd,yT),e(hn,vT),e(hn,Jp),e(Jp,TT),e(hn,wT),e($t,$T),w(Fs,$t,null),e($t,AT),w(xs,$t,null),e($t,FT),w(Es,$t,null),g(s,Uu,b),g(s,mn,b),e(mn,Ms),e(Ms,Gp),w(ki,Gp,null),e(mn,xT),e(mn,Xp),e(Xp,ET),g(s,Ru,b),g(s,ct,b),w(yi,ct,null),e(ct,MT),e(ct,Yp),e(Yp,zT),e(ct,jT),e(ct,vi),e(vi,qT),e(vi,Gd),e(Gd,PT),e(vi,CT),e(ct,LT),e(ct,Ti),e(Ti,OT),e(Ti,wi),e(wi,IT),e(Ti,NT),e(ct,DT),w(zs,ct,null),e(ct,ST),e(ct,At),w($i,At,null),e(At,WT),e(At,un),e(un,BT),e(un,Xd),e(Xd,UT),e(un,RT),e(un,Zp),e(Zp,HT),e(un,QT),e(At,KT),w(js,At,null),e(At,VT),w(qs,At,null),e(At,JT),w(Ps,At,null),g(s,Hu,b),g(s,fn,b),e(fn,Cs),e(Cs,eh),w(Ai,eh,null),e(fn,GT),e(fn,th),e(th,XT),g(s,Qu,b),g(s,pt,b),w(Fi,pt,null),e(pt,YT),e(pt,oh),e(oh,ZT),e(pt,ew),e(pt,xi),e(xi,tw),e(xi,Yd),e(Yd,ow),e(xi,nw),e(pt,sw),e(pt,Ei),e(Ei,rw),e(Ei,Mi),e(Mi,aw),e(Ei,iw),e(pt,lw),w(Ls,pt,null),e(pt,dw),e(pt,Qt),w(zi,Qt,null),e(Qt,cw),e(Qt,gn),e(gn,pw),e(gn,Zd),e(Zd,hw),e(gn,mw),e(gn,nh),e(nh,uw),e(gn,fw),e(Qt,gw),w(Os,Qt,null),e(Qt,_w),w(Is,Qt,null),g(s,Ku,b),g(s,_n,b),e(_n,Ns),e(Ns,sh),w(ji,sh,null),e(_n,bw),e(_n,rh),e(rh,kw),g(s,Vu,b),g(s,ht,b),w(qi,ht,null),e(ht,yw),e(ht,ah),e(ah,vw),e(ht,Tw),e(ht,Pi),e(Pi,ww),e(Pi,ec),e(ec,$w),e(Pi,Aw),e(ht,Fw),e(ht,Ci),e(Ci,xw),e(Ci,Li),e(Li,Ew),e(Ci,Mw),e(ht,zw),w(Ds,ht,null),e(ht,jw),e(ht,Ft),w(Oi,Ft,null),e(Ft,qw),e(Ft,bn),e(bn,Pw),e(bn,tc),e(tc,Cw),e(bn,Lw),e(bn,ih),e(ih,Ow),e(bn,Iw),e(Ft,Nw),w(Ss,Ft,null),e(Ft,Dw),w(Ws,Ft,null),e(Ft,Sw),w(Bs,Ft,null),g(s,Ju,b),g(s,kn,b),e(kn,Us),e(Us,lh),w(Ii,lh,null),e(kn,Ww),e(kn,dh),e(dh,Bw),g(s,Gu,b),g(s,mt,b),w(Ni,mt,null),e(mt,Uw),e(mt,yn),e(yn,Rw),e(yn,ch),e(ch,Hw),e(yn,Qw),e(yn,ph),e(ph,Kw),e(yn,Vw),e(mt,Jw),e(mt,Di),e(Di,Gw),e(Di,oc),e(oc,Xw),e(Di,Yw),e(mt,Zw),e(mt,Si),e(Si,e$),e(Si,Wi),e(Wi,t$),e(Si,o$),e(mt,n$),w(Rs,mt,null),e(mt,s$),e(mt,xt),w(Bi,xt,null),e(xt,r$),e(xt,vn),e(vn,a$),e(vn,nc),e(nc,i$),e(vn,l$),e(vn,hh),e(hh,d$),e(vn,c$),e(xt,p$),w(Hs,xt,null),e(xt,h$),w(Qs,xt,null),e(xt,m$),w(Ks,xt,null),g(s,Xu,b),g(s,Tn,b),e(Tn,Vs),e(Vs,mh),w(Ui,mh,null),e(Tn,u$),e(Tn,uh),e(uh,f$),g(s,Yu,b),g(s,et,b),w(Ri,et,null),e(et,g$),e(et,fh),e(fh,_$),e(et,b$),e(et,Hi),e(Hi,k$),e(Hi,sc),e(sc,y$),e(Hi,v$),e(et,T$),e(et,Qi),e(Qi,w$),e(Qi,Ki),e(Ki,$$),e(Qi,A$),e(et,F$),e(et,gh),e(gh,x$),e(et,E$),e(et,co),e(co,_h),e(_h,Vi),e(Vi,M$),e(co,z$),e(co,bh),e(bh,Ji),e(Ji,j$),e(co,q$),e(co,kh),e(kh,Gi),e(Gi,P$),e(co,C$),e(co,yh),e(yh,Xi),e(Xi,L$),e(et,O$),e(et,Kt),w(Yi,Kt,null),e(Kt,I$),e(Kt,wn),e(wn,N$),e(wn,vh),e(vh,D$),e(wn,S$),e(wn,Th),e(Th,W$),e(wn,B$),e(Kt,U$),w(Js,Kt,null),e(Kt,R$),w(Gs,Kt,null),g(s,Zu,b),g(s,$n,b),e($n,Xs),e(Xs,wh),w(Zi,wh,null),e($n,H$),e($n,$h),e($h,Q$),g(s,ef,b),g(s,tt,b),w(el,tt,null),e(tt,K$),e(tt,An),e(An,V$),e(An,Ah),e(Ah,J$),e(An,G$),e(An,Fh),e(Fh,X$),e(An,Y$),e(tt,Z$),e(tt,tl),e(tl,e1),e(tl,rc),e(rc,t1),e(tl,o1),e(tt,n1),e(tt,ol),e(ol,s1),e(ol,nl),e(nl,r1),e(ol,a1),e(tt,i1),e(tt,xh),e(xh,l1),e(tt,d1),e(tt,po),e(po,Eh),e(Eh,sl),e(sl,c1),e(po,p1),e(po,Mh),e(Mh,rl),e(rl,h1),e(po,m1),e(po,zh),e(zh,al),e(al,u1),e(po,f1),e(po,jh),e(jh,il),e(il,g1),e(tt,_1),e(tt,Vt),w(ll,Vt,null),e(Vt,b1),e(Vt,Fn),e(Fn,k1),e(Fn,qh),e(qh,y1),e(Fn,v1),e(Fn,Ph),e(Ph,T1),e(Fn,w1),e(Vt,$1),w(Ys,Vt,null),e(Vt,A1),w(Zs,Vt,null),g(s,tf,b),g(s,xn,b),e(xn,er),e(er,Ch),w(dl,Ch,null),e(xn,F1),e(xn,Lh),e(Lh,x1),g(s,of,b),g(s,ot,b),w(cl,ot,null),e(ot,E1),e(ot,pl),e(pl,M1),e(pl,Oh),e(Oh,z1),e(pl,j1),e(ot,q1),e(ot,hl),e(hl,P1),e(hl,ac),e(ac,C1),e(hl,L1),e(ot,O1),e(ot,ml),e(ml,I1),e(ml,ul),e(ul,N1),e(ml,D1),e(ot,S1),e(ot,Ih),e(Ih,W1),e(ot,B1),e(ot,ho),e(ho,Nh),e(Nh,fl),e(fl,U1),e(ho,R1),e(ho,Dh),e(Dh,gl),e(gl,H1),e(ho,Q1),e(ho,Sh),e(Sh,_l),e(_l,K1),e(ho,V1),e(ho,Wh),e(Wh,bl),e(bl,J1),e(ot,G1),e(ot,Jt),w(kl,Jt,null),e(Jt,X1),e(Jt,En),e(En,Y1),e(En,Bh),e(Bh,Z1),e(En,e2),e(En,Uh),e(Uh,t2),e(En,o2),e(Jt,n2),w(tr,Jt,null),e(Jt,s2),w(or,Jt,null),g(s,nf,b),g(s,Mn,b),e(Mn,nr),e(nr,Rh),w(yl,Rh,null),e(Mn,r2),e(Mn,Hh),e(Hh,a2),g(s,sf,b),g(s,nt,b),w(vl,nt,null),e(nt,i2),e(nt,Qh),e(Qh,l2),e(nt,d2),e(nt,Tl),e(Tl,c2),e(Tl,ic),e(ic,p2),e(Tl,h2),e(nt,m2),e(nt,wl),e(wl,u2),e(wl,$l),e($l,f2),e(wl,g2),e(nt,_2),e(nt,Kh),e(Kh,b2),e(nt,k2),e(nt,mo),e(mo,Vh),e(Vh,Al),e(Al,y2),e(mo,v2),e(mo,Jh),e(Jh,Fl),e(Fl,T2),e(mo,w2),e(mo,Gh),e(Gh,xl),e(xl,$2),e(mo,A2),e(mo,Xh),e(Xh,El),e(El,F2),e(nt,x2),e(nt,Gt),w(Ml,Gt,null),e(Gt,E2),e(Gt,zn),e(zn,M2),e(zn,Yh),e(Yh,z2),e(zn,j2),e(zn,Zh),e(Zh,q2),e(zn,P2),e(Gt,C2),w(sr,Gt,null),e(Gt,L2),w(rr,Gt,null),g(s,rf,b),g(s,jn,b),e(jn,ar),e(ar,em),w(zl,em,null),e(jn,O2),e(jn,tm),e(tm,I2),g(s,af,b),g(s,st,b),w(jl,st,null),e(st,N2),e(st,om),e(om,D2),e(st,S2),e(st,ql),e(ql,W2),e(ql,lc),e(lc,B2),e(ql,U2),e(st,R2),e(st,Pl),e(Pl,H2),e(Pl,Cl),e(Cl,Q2),e(Pl,K2),e(st,V2),e(st,nm),e(nm,J2),e(st,G2),e(st,uo),e(uo,sm),e(sm,Ll),e(Ll,X2),e(uo,Y2),e(uo,rm),e(rm,Ol),e(Ol,Z2),e(uo,eA),e(uo,am),e(am,Il),e(Il,tA),e(uo,oA),e(uo,im),e(im,Nl),e(Nl,nA),e(st,sA),e(st,Xt),w(Dl,Xt,null),e(Xt,rA),e(Xt,qn),e(qn,aA),e(qn,lm),e(lm,iA),e(qn,lA),e(qn,dm),e(dm,dA),e(qn,cA),e(Xt,pA),w(ir,Xt,null),e(Xt,hA),w(lr,Xt,null),g(s,lf,b),g(s,Pn,b),e(Pn,dr),e(dr,cm),w(Sl,cm,null),e(Pn,mA),e(Pn,pm),e(pm,uA),g(s,df,b),g(s,rt,b),w(Wl,rt,null),e(rt,fA),e(rt,hm),e(hm,gA),e(rt,_A),e(rt,Bl),e(Bl,bA),e(Bl,dc),e(dc,kA),e(Bl,yA),e(rt,vA),e(rt,Ul),e(Ul,TA),e(Ul,Rl),e(Rl,wA),e(Ul,$A),e(rt,AA),e(rt,mm),e(mm,FA),e(rt,xA),e(rt,fo),e(fo,um),e(um,Hl),e(Hl,EA),e(fo,MA),e(fo,fm),e(fm,Ql),e(Ql,zA),e(fo,jA),e(fo,gm),e(gm,Kl),e(Kl,qA),e(fo,PA),e(fo,_m),e(_m,Vl),e(Vl,CA),e(rt,LA),e(rt,Yt),w(Jl,Yt,null),e(Yt,OA),e(Yt,Cn),e(Cn,IA),e(Cn,bm),e(bm,NA),e(Cn,DA),e(Cn,km),e(km,SA),e(Cn,WA),e(Yt,BA),w(cr,Yt,null),e(Yt,UA),w(pr,Yt,null),g(s,cf,b),g(s,Ln,b),e(Ln,hr),e(hr,ym),w(Gl,ym,null),e(Ln,RA),e(Ln,vm),e(vm,HA),g(s,pf,b),g(s,at,b),w(Xl,at,null),e(at,QA),e(at,On),e(On,KA),e(On,Tm),e(Tm,VA),e(On,JA),e(On,wm),e(wm,GA),e(On,XA),e(at,YA),e(at,Yl),e(Yl,ZA),e(Yl,cc),e(cc,eF),e(Yl,tF),e(at,oF),e(at,Zl),e(Zl,nF),e(Zl,ed),e(ed,sF),e(Zl,rF),e(at,aF),e(at,$m),e($m,iF),e(at,lF),e(at,go),e(go,Am),e(Am,td),e(td,dF),e(go,cF),e(go,Fm),e(Fm,od),e(od,pF),e(go,hF),e(go,xm),e(xm,nd),e(nd,mF),e(go,uF),e(go,Em),e(Em,sd),e(sd,fF),e(at,gF),e(at,Zt),w(rd,Zt,null),e(Zt,_F),e(Zt,In),e(In,bF),e(In,Mm),e(Mm,kF),e(In,yF),e(In,zm),e(zm,vF),e(In,TF),e(Zt,wF),w(mr,Zt,null),e(Zt,$F),w(ur,Zt,null),hf=!0},p(s,[b]){const ad={};b&2&&(ad.$$scope={dirty:b,ctx:s}),Sn.$set(ad);const jm={};b&2&&(jm.$$scope={dirty:b,ctx:s}),Un.$set(jm);const qm={};b&2&&(qm.$$scope={dirty:b,ctx:s}),Hn.$set(qm);const Pm={};b&2&&(Pm.$$scope={dirty:b,ctx:s}),Vn.$set(Pm);const id={};b&2&&(id.$$scope={dirty:b,ctx:s}),Jn.$set(id);const Cm={};b&2&&(Cm.$$scope={dirty:b,ctx:s}),Xn.$set(Cm);const Lm={};b&2&&(Lm.$$scope={dirty:b,ctx:s}),Yn.$set(Lm);const ld={};b&2&&(ld.$$scope={dirty:b,ctx:s}),es.$set(ld);const Om={};b&2&&(Om.$$scope={dirty:b,ctx:s}),ts.$set(Om);const Im={};b&2&&(Im.$$scope={dirty:b,ctx:s}),os.$set(Im);const Nm={};b&2&&(Nm.$$scope={dirty:b,ctx:s}),ss.$set(Nm);const dd={};b&2&&(dd.$$scope={dirty:b,ctx:s}),rs.$set(dd);const Dm={};b&2&&(Dm.$$scope={dirty:b,ctx:s}),as.$set(Dm);const cd={};b&2&&(cd.$$scope={dirty:b,ctx:s}),ls.$set(cd);const Sm={};b&2&&(Sm.$$scope={dirty:b,ctx:s}),ds.$set(Sm);const Wm={};b&2&&(Wm.$$scope={dirty:b,ctx:s}),ps.$set(Wm);const Bm={};b&2&&(Bm.$$scope={dirty:b,ctx:s}),hs.$set(Bm);const Um={};b&2&&(Um.$$scope={dirty:b,ctx:s}),us.$set(Um);const Rm={};b&2&&(Rm.$$scope={dirty:b,ctx:s}),fs.$set(Rm);const Hm={};b&2&&(Hm.$$scope={dirty:b,ctx:s}),_s.$set(Hm);const _o={};b&2&&(_o.$$scope={dirty:b,ctx:s}),bs.$set(_o);const Qm={};b&2&&(Qm.$$scope={dirty:b,ctx:s}),ks.$set(Qm);const Km={};b&2&&(Km.$$scope={dirty:b,ctx:s}),vs.$set(Km);const Vm={};b&2&&(Vm.$$scope={dirty:b,ctx:s}),Ts.$set(Vm);const Jm={};b&2&&(Jm.$$scope={dirty:b,ctx:s}),ws.$set(Jm);const bo={};b&2&&(bo.$$scope={dirty:b,ctx:s}),As.$set(bo);const Gm={};b&2&&(Gm.$$scope={dirty:b,ctx:s}),Fs.$set(Gm);const Xm={};b&2&&(Xm.$$scope={dirty:b,ctx:s}),xs.$set(Xm);const Ym={};b&2&&(Ym.$$scope={dirty:b,ctx:s}),Es.$set(Ym);const pd={};b&2&&(pd.$$scope={dirty:b,ctx:s}),zs.$set(pd);const Zm={};b&2&&(Zm.$$scope={dirty:b,ctx:s}),js.$set(Zm);const eu={};b&2&&(eu.$$scope={dirty:b,ctx:s}),qs.$set(eu);const tu={};b&2&&(tu.$$scope={dirty:b,ctx:s}),Ps.$set(tu);const ko={};b&2&&(ko.$$scope={dirty:b,ctx:s}),Ls.$set(ko);const yo={};b&2&&(yo.$$scope={dirty:b,ctx:s}),Os.$set(yo);const ou={};b&2&&(ou.$$scope={dirty:b,ctx:s}),Is.$set(ou);const nu={};b&2&&(nu.$$scope={dirty:b,ctx:s}),Ds.$set(nu);const su={};b&2&&(su.$$scope={dirty:b,ctx:s}),Ss.$set(su);const Nn={};b&2&&(Nn.$$scope={dirty:b,ctx:s}),Ws.$set(Nn);const ru={};b&2&&(ru.$$scope={dirty:b,ctx:s}),Bs.$set(ru);const au={};b&2&&(au.$$scope={dirty:b,ctx:s}),Rs.$set(au);const hd={};b&2&&(hd.$$scope={dirty:b,ctx:s}),Hs.$set(hd);const iu={};b&2&&(iu.$$scope={dirty:b,ctx:s}),Qs.$set(iu);const lu={};b&2&&(lu.$$scope={dirty:b,ctx:s}),Ks.$set(lu);const du={};b&2&&(du.$$scope={dirty:b,ctx:s}),Js.$set(du);const ut={};b&2&&(ut.$$scope={dirty:b,ctx:s}),Gs.$set(ut);const md={};b&2&&(md.$$scope={dirty:b,ctx:s}),Ys.$set(md);const cu={};b&2&&(cu.$$scope={dirty:b,ctx:s}),Zs.$set(cu);const ud={};b&2&&(ud.$$scope={dirty:b,ctx:s}),tr.$set(ud);const pu={};b&2&&(pu.$$scope={dirty:b,ctx:s}),or.$set(pu);const Dn={};b&2&&(Dn.$$scope={dirty:b,ctx:s}),sr.$set(Dn);const hu={};b&2&&(hu.$$scope={dirty:b,ctx:s}),rr.$set(hu);const fd={};b&2&&(fd.$$scope={dirty:b,ctx:s}),ir.$set(fd);const pc={};b&2&&(pc.$$scope={dirty:b,ctx:s}),lr.$set(pc);const mu={};b&2&&(mu.$$scope={dirty:b,ctx:s}),cr.$set(mu);const hc={};b&2&&(hc.$$scope={dirty:b,ctx:s}),pr.$set(hc);const uu={};b&2&&(uu.$$scope={dirty:b,ctx:s}),mr.$set(uu);const gd={};b&2&&(gd.$$scope={dirty:b,ctx:s}),ur.$set(gd)},i(s){hf||($(l.$$.fragment,s),$(ie.$$.fragment,s),$(Be.$$.fragment,s),$(Wr.$$.fragment,s),$(Sn.$$.fragment,s),$(Ur.$$.fragment,s),$(Rr.$$.fragment,s),$(Vr.$$.fragment,s),$(Gr.$$.fragment,s),$(Yr.$$.fragment,s),$(Un.$$.fragment,s),$(Zr.$$.fragment,s),$(ea.$$.fragment,s),$(ta.$$.fragment,s),$(na.$$.fragment,s),$(ra.$$.fragment,s),$(Hn.$$.fragment,s),$(aa.$$.fragment,s),$(ia.$$.fragment,s),$(da.$$.fragment,s),$(pa.$$.fragment,s),$(ha.$$.fragment,s),$(ga.$$.fragment,s),$(Vn.$$.fragment,s),$(Jn.$$.fragment,s),$(_a.$$.fragment,s),$(ba.$$.fragment,s),$(Ta.$$.fragment,s),$(Xn.$$.fragment,s),$(Yn.$$.fragment,s),$(wa.$$.fragment,s),$($a.$$.fragment,s),$(Ma.$$.fragment,s),$(es.$$.fragment,s),$(ts.$$.fragment,s),$(os.$$.fragment,s),$(za.$$.fragment,s),$(ja.$$.fragment,s),$(La.$$.fragment,s),$(ss.$$.fragment,s),$(rs.$$.fragment,s),$(as.$$.fragment,s),$(Oa.$$.fragment,s),$(Ia.$$.fragment,s),$(Wa.$$.fragment,s),$(ls.$$.fragment,s),$(ds.$$.fragment,s),$(Ba.$$.fragment,s),$(Ua.$$.fragment,s),$(Ka.$$.fragment,s),$(ps.$$.fragment,s),$(hs.$$.fragment,s),$(Va.$$.fragment,s),$(Ja.$$.fragment,s),$(Za.$$.fragment,s),$(us.$$.fragment,s),$(fs.$$.fragment,s),$(ei.$$.fragment,s),$(ti.$$.fragment,s),$(_s.$$.fragment,s),$(ri.$$.fragment,s),$(bs.$$.fragment,s),$(ks.$$.fragment,s),$(ai.$$.fragment,s),$(ii.$$.fragment,s),$(vs.$$.fragment,s),$(pi.$$.fragment,s),$(Ts.$$.fragment,s),$(ws.$$.fragment,s),$(hi.$$.fragment,s),$(mi.$$.fragment,s),$(As.$$.fragment,s),$(bi.$$.fragment,s),$(Fs.$$.fragment,s),$(xs.$$.fragment,s),$(Es.$$.fragment,s),$(ki.$$.fragment,s),$(yi.$$.fragment,s),$(zs.$$.fragment,s),$($i.$$.fragment,s),$(js.$$.fragment,s),$(qs.$$.fragment,s),$(Ps.$$.fragment,s),$(Ai.$$.fragment,s),$(Fi.$$.fragment,s),$(Ls.$$.fragment,s),$(zi.$$.fragment,s),$(Os.$$.fragment,s),$(Is.$$.fragment,s),$(ji.$$.fragment,s),$(qi.$$.fragment,s),$(Ds.$$.fragment,s),$(Oi.$$.fragment,s),$(Ss.$$.fragment,s),$(Ws.$$.fragment,s),$(Bs.$$.fragment,s),$(Ii.$$.fragment,s),$(Ni.$$.fragment,s),$(Rs.$$.fragment,s),$(Bi.$$.fragment,s),$(Hs.$$.fragment,s),$(Qs.$$.fragment,s),$(Ks.$$.fragment,s),$(Ui.$$.fragment,s),$(Ri.$$.fragment,s),$(Yi.$$.fragment,s),$(Js.$$.fragment,s),$(Gs.$$.fragment,s),$(Zi.$$.fragment,s),$(el.$$.fragment,s),$(ll.$$.fragment,s),$(Ys.$$.fragment,s),$(Zs.$$.fragment,s),$(dl.$$.fragment,s),$(cl.$$.fragment,s),$(kl.$$.fragment,s),$(tr.$$.fragment,s),$(or.$$.fragment,s),$(yl.$$.fragment,s),$(vl.$$.fragment,s),$(Ml.$$.fragment,s),$(sr.$$.fragment,s),$(rr.$$.fragment,s),$(zl.$$.fragment,s),$(jl.$$.fragment,s),$(Dl.$$.fragment,s),$(ir.$$.fragment,s),$(lr.$$.fragment,s),$(Sl.$$.fragment,s),$(Wl.$$.fragment,s),$(Jl.$$.fragment,s),$(cr.$$.fragment,s),$(pr.$$.fragment,s),$(Gl.$$.fragment,s),$(Xl.$$.fragment,s),$(rd.$$.fragment,s),$(mr.$$.fragment,s),$(ur.$$.fragment,s),hf=!0)},o(s){A(l.$$.fragment,s),A(ie.$$.fragment,s),A(Be.$$.fragment,s),A(Wr.$$.fragment,s),A(Sn.$$.fragment,s),A(Ur.$$.fragment,s),A(Rr.$$.fragment,s),A(Vr.$$.fragment,s),A(Gr.$$.fragment,s),A(Yr.$$.fragment,s),A(Un.$$.fragment,s),A(Zr.$$.fragment,s),A(ea.$$.fragment,s),A(ta.$$.fragment,s),A(na.$$.fragment,s),A(ra.$$.fragment,s),A(Hn.$$.fragment,s),A(aa.$$.fragment,s),A(ia.$$.fragment,s),A(da.$$.fragment,s),A(pa.$$.fragment,s),A(ha.$$.fragment,s),A(ga.$$.fragment,s),A(Vn.$$.fragment,s),A(Jn.$$.fragment,s),A(_a.$$.fragment,s),A(ba.$$.fragment,s),A(Ta.$$.fragment,s),A(Xn.$$.fragment,s),A(Yn.$$.fragment,s),A(wa.$$.fragment,s),A($a.$$.fragment,s),A(Ma.$$.fragment,s),A(es.$$.fragment,s),A(ts.$$.fragment,s),A(os.$$.fragment,s),A(za.$$.fragment,s),A(ja.$$.fragment,s),A(La.$$.fragment,s),A(ss.$$.fragment,s),A(rs.$$.fragment,s),A(as.$$.fragment,s),A(Oa.$$.fragment,s),A(Ia.$$.fragment,s),A(Wa.$$.fragment,s),A(ls.$$.fragment,s),A(ds.$$.fragment,s),A(Ba.$$.fragment,s),A(Ua.$$.fragment,s),A(Ka.$$.fragment,s),A(ps.$$.fragment,s),A(hs.$$.fragment,s),A(Va.$$.fragment,s),A(Ja.$$.fragment,s),A(Za.$$.fragment,s),A(us.$$.fragment,s),A(fs.$$.fragment,s),A(ei.$$.fragment,s),A(ti.$$.fragment,s),A(_s.$$.fragment,s),A(ri.$$.fragment,s),A(bs.$$.fragment,s),A(ks.$$.fragment,s),A(ai.$$.fragment,s),A(ii.$$.fragment,s),A(vs.$$.fragment,s),A(pi.$$.fragment,s),A(Ts.$$.fragment,s),A(ws.$$.fragment,s),A(hi.$$.fragment,s),A(mi.$$.fragment,s),A(As.$$.fragment,s),A(bi.$$.fragment,s),A(Fs.$$.fragment,s),A(xs.$$.fragment,s),A(Es.$$.fragment,s),A(ki.$$.fragment,s),A(yi.$$.fragment,s),A(zs.$$.fragment,s),A($i.$$.fragment,s),A(js.$$.fragment,s),A(qs.$$.fragment,s),A(Ps.$$.fragment,s),A(Ai.$$.fragment,s),A(Fi.$$.fragment,s),A(Ls.$$.fragment,s),A(zi.$$.fragment,s),A(Os.$$.fragment,s),A(Is.$$.fragment,s),A(ji.$$.fragment,s),A(qi.$$.fragment,s),A(Ds.$$.fragment,s),A(Oi.$$.fragment,s),A(Ss.$$.fragment,s),A(Ws.$$.fragment,s),A(Bs.$$.fragment,s),A(Ii.$$.fragment,s),A(Ni.$$.fragment,s),A(Rs.$$.fragment,s),A(Bi.$$.fragment,s),A(Hs.$$.fragment,s),A(Qs.$$.fragment,s),A(Ks.$$.fragment,s),A(Ui.$$.fragment,s),A(Ri.$$.fragment,s),A(Yi.$$.fragment,s),A(Js.$$.fragment,s),A(Gs.$$.fragment,s),A(Zi.$$.fragment,s),A(el.$$.fragment,s),A(ll.$$.fragment,s),A(Ys.$$.fragment,s),A(Zs.$$.fragment,s),A(dl.$$.fragment,s),A(cl.$$.fragment,s),A(kl.$$.fragment,s),A(tr.$$.fragment,s),A(or.$$.fragment,s),A(yl.$$.fragment,s),A(vl.$$.fragment,s),A(Ml.$$.fragment,s),A(sr.$$.fragment,s),A(rr.$$.fragment,s),A(zl.$$.fragment,s),A(jl.$$.fragment,s),A(Dl.$$.fragment,s),A(ir.$$.fragment,s),A(lr.$$.fragment,s),A(Sl.$$.fragment,s),A(Wl.$$.fragment,s),A(Jl.$$.fragment,s),A(cr.$$.fragment,s),A(pr.$$.fragment,s),A(Gl.$$.fragment,s),A(Xl.$$.fragment,s),A(rd.$$.fragment,s),A(mr.$$.fragment,s),A(ur.$$.fragment,s),hf=!1},d(s){t(d),s&&t(k),s&&t(m),F(l),s&&t(ke),s&&t(W),s&&t(J),s&&t(se),F(ie),s&&t(ye),s&&t(B),s&&t(C),s&&t(ae),s&&t(ve),s&&t(P),s&&t(G),s&&t(pe),s&&t(Te),s&&t(he),s&&t(we),s&&t(I),s&&t(Ke),s&&t(_e),s&&t(X),s&&t(Le),F(Be),s&&t(fu),s&&t(Lt),F(Wr),F(Sn),s&&t(gu),s&&t(Io),F(Ur),s&&t(_u),s&&t(Ze),F(Rr),F(Vr),F(Gr),F(Yr),F(Un),F(Zr),s&&t(bu),s&&t(Do),F(ea),s&&t(ku),s&&t(Ot),F(ta),F(na),F(ra),F(Hn),s&&t(yu),s&&t(So),F(aa),s&&t(vu),s&&t(Wo),F(ia),s&&t(Tu),s&&t(Bo),F(da),s&&t(wu),s&&t(Uo),F(pa),s&&t($u),s&&t(ft),F(ha),F(ga),F(Vn),F(Jn),s&&t(Au),s&&t(Ho),F(_a),s&&t(Fu),s&&t(gt),F(ba),F(Ta),F(Xn),F(Yn),s&&t(xu),s&&t(Vo),F(wa),s&&t(Eu),s&&t(_t),F($a),F(Ma),F(es),F(ts),F(os),s&&t(Mu),s&&t(Go),F(za),s&&t(zu),s&&t(bt),F(ja),F(La),F(ss),F(rs),F(as),s&&t(ju),s&&t(Yo),F(Oa),s&&t(qu),s&&t(kt),F(Ia),F(Wa),F(ls),F(ds),s&&t(Pu),s&&t(en),F(Ba),s&&t(Cu),s&&t(yt),F(Ua),F(Ka),F(ps),F(hs),s&&t(Lu),s&&t(on),F(Va),s&&t(Ou),s&&t(vt),F(Ja),F(Za),F(us),F(fs),s&&t(Iu),s&&t(rn),F(ei),s&&t(Nu),s&&t(it),F(ti),F(_s),F(ri),F(bs),F(ks),s&&t(Du),s&&t(ln),F(ai),s&&t(Su),s&&t(lt),F(ii),F(vs),F(pi),F(Ts),F(ws),s&&t(Wu),s&&t(pn),F(hi),s&&t(Bu),s&&t(dt),F(mi),F(As),F(bi),F(Fs),F(xs),F(Es),s&&t(Uu),s&&t(mn),F(ki),s&&t(Ru),s&&t(ct),F(yi),F(zs),F($i),F(js),F(qs),F(Ps),s&&t(Hu),s&&t(fn),F(Ai),s&&t(Qu),s&&t(pt),F(Fi),F(Ls),F(zi),F(Os),F(Is),s&&t(Ku),s&&t(_n),F(ji),s&&t(Vu),s&&t(ht),F(qi),F(Ds),F(Oi),F(Ss),F(Ws),F(Bs),s&&t(Ju),s&&t(kn),F(Ii),s&&t(Gu),s&&t(mt),F(Ni),F(Rs),F(Bi),F(Hs),F(Qs),F(Ks),s&&t(Xu),s&&t(Tn),F(Ui),s&&t(Yu),s&&t(et),F(Ri),F(Yi),F(Js),F(Gs),s&&t(Zu),s&&t($n),F(Zi),s&&t(ef),s&&t(tt),F(el),F(ll),F(Ys),F(Zs),s&&t(tf),s&&t(xn),F(dl),s&&t(of),s&&t(ot),F(cl),F(kl),F(tr),F(or),s&&t(nf),s&&t(Mn),F(yl),s&&t(sf),s&&t(nt),F(vl),F(Ml),F(sr),F(rr),s&&t(rf),s&&t(jn),F(zl),s&&t(af),s&&t(st),F(jl),F(Dl),F(ir),F(lr),s&&t(lf),s&&t(Pn),F(Sl),s&&t(df),s&&t(rt),F(Wl),F(Jl),F(cr),F(pr),s&&t(cf),s&&t(Ln),F(Gl),s&&t(pf),s&&t(at),F(Xl),F(rd),F(mr),F(ur)}}}const F4={local:"albert",sections:[{local:"overview",title:"Overview"},{local:"transformers.AlbertConfig",title:"AlbertConfig"},{local:"transformers.AlbertTokenizer",title:"AlbertTokenizer"},{local:"transformers.AlbertTokenizerFast",title:"AlbertTokenizerFast"},{local:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput",title:"Albert specific outputs"},{local:"transformers.AlbertModel",title:"AlbertModel"},{local:"transformers.AlbertForPreTraining",title:"AlbertForPreTraining"},{local:"transformers.AlbertForMaskedLM",title:"AlbertForMaskedLM"},{local:"transformers.AlbertForSequenceClassification",title:"AlbertForSequenceClassification"},{local:"transformers.AlbertForMultipleChoice",title:"AlbertForMultipleChoice"},{local:"transformers.AlbertForTokenClassification",title:"AlbertForTokenClassification"},{local:"transformers.AlbertForQuestionAnswering",title:"AlbertForQuestionAnswering"},{local:"transformers.TFAlbertModel",title:"TFAlbertModel"},{local:"transformers.TFAlbertForPreTraining",title:"TFAlbertForPreTraining"},{local:"transformers.TFAlbertForMaskedLM",title:"TFAlbertForMaskedLM"},{local:"transformers.TFAlbertForSequenceClassification",title:"TFAlbertForSequenceClassification"},{local:"transformers.TFAlbertForMultipleChoice",title:"TFAlbertForMultipleChoice"},{local:"transformers.TFAlbertForTokenClassification",title:"TFAlbertForTokenClassification"},{local:"transformers.TFAlbertForQuestionAnswering",title:"TFAlbertForQuestionAnswering"},{local:"transformers.FlaxAlbertModel",title:"FlaxAlbertModel"},{local:"transformers.FlaxAlbertForPreTraining",title:"FlaxAlbertForPreTraining"},{local:"transformers.FlaxAlbertForMaskedLM",title:"FlaxAlbertForMaskedLM"},{local:"transformers.FlaxAlbertForSequenceClassification",title:"FlaxAlbertForSequenceClassification"},{local:"transformers.FlaxAlbertForMultipleChoice",title:"FlaxAlbertForMultipleChoice"},{local:"transformers.FlaxAlbertForTokenClassification",title:"FlaxAlbertForTokenClassification"},{local:"transformers.FlaxAlbertForQuestionAnswering",title:"FlaxAlbertForQuestionAnswering"}],title:"ALBERT"};function x4(E){return yz(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class C4 extends gz{constructor(d){super();_z(this,d,x4,A4,bz,{})}}export{C4 as default,F4 as metadata};
