import{S as Yu,i as Zu,s as sf,e as o,k as c,w as y,t,Y as M,M as ef,c as r,d as a,m as h,a as i,x as k,h as n,Z as R,b as l,N as wu,G as s,g,y as w,q as x,o as z,B as T,v as af,L as Ce}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ht}from"../../chunks/Tip-hf-doc-builder.js";import{D as U}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Xs}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as X}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Pe}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function tf($){let d,v,u,f,b;return f=new Xs({props:{code:`from transformers import ReformerConfig, ReformerModel

# Initializing a Reformer configuration
configuration = ReformerConfig()

# Initializing a Reformer model (with random weights)
model = ReformerModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> ReformerConfig, ReformerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Reformer configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = ReformerConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Reformer model (with random weights)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ReformerModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=o("p"),v=t("Examples:"),u=c(),y(f.$$.fragment)},l(m){d=r(m,"P",{});var _=i(d);v=n(_,"Examples:"),_.forEach(a),u=h(m),k(f.$$.fragment,m)},m(m,_){g(m,d,_),s(d,v),g(m,u,_),w(f,m,_),b=!0},p:Ce,i(m){b||(x(f.$$.fragment,m),b=!0)},o(m){z(f.$$.fragment,m),b=!1},d(m){m&&a(d),m&&a(u),T(f,m)}}}function nf($){let d,v,u,f,b;return{c(){d=o("p"),v=t("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=o("code"),f=t("Module"),b=t(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(m){d=r(m,"P",{});var _=i(d);v=n(_,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=r(_,"CODE",{});var A=i(u);f=n(A,"Module"),A.forEach(a),b=n(_,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),_.forEach(a)},m(m,_){g(m,d,_),s(d,v),s(d,u),s(u,f),s(d,b)},d(m){m&&a(d)}}}function of($){let d,v,u,f,b;return f=new Xs({props:{code:`from transformers import AutoTokenizer, ReformerModel
import torch

tokenizer = AutoTokenizer.from_pretrained("google/reformer-crime-and-punishment")
model = ReformerModel.from_pretrained("google/reformer-crime-and-punishment")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, ReformerModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/reformer-crime-and-punishment&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ReformerModel.from_pretrained(<span class="hljs-string">&quot;google/reformer-crime-and-punishment&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=o("p"),v=t("Example:"),u=c(),y(f.$$.fragment)},l(m){d=r(m,"P",{});var _=i(d);v=n(_,"Example:"),_.forEach(a),u=h(m),k(f.$$.fragment,m)},m(m,_){g(m,d,_),s(d,v),g(m,u,_),w(f,m,_),b=!0},p:Ce,i(m){b||(x(f.$$.fragment,m),b=!0)},o(m){z(f.$$.fragment,m),b=!1},d(m){m&&a(d),m&&a(u),T(f,m)}}}function rf($){let d,v,u,f,b;return{c(){d=o("p"),v=t("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=o("code"),f=t("Module"),b=t(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(m){d=r(m,"P",{});var _=i(d);v=n(_,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=r(_,"CODE",{});var A=i(u);f=n(A,"Module"),A.forEach(a),b=n(_,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),_.forEach(a)},m(m,_){g(m,d,_),s(d,v),s(d,u),s(u,f),s(d,b)},d(m){m&&a(d)}}}function lf($){let d,v,u,f,b;return f=new Xs({props:{code:`import torch
from transformers import AutoTokenizer, ReformerModelWithLMHead

tokenizer = AutoTokenizer.from_pretrained("google/reformer-crime-and-punishment")
model = ReformerModelWithLMHead.from_pretrained("google/reformer-crime-and-punishment")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs, labels=inputs["input_ids"])
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, ReformerModelWithLMHead

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/reformer-crime-and-punishment&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ReformerModelWithLMHead.from_pretrained(<span class="hljs-string">&quot;google/reformer-crime-and-punishment&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=inputs[<span class="hljs-string">&quot;input_ids&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=o("p"),v=t("Example:"),u=c(),y(f.$$.fragment)},l(m){d=r(m,"P",{});var _=i(d);v=n(_,"Example:"),_.forEach(a),u=h(m),k(f.$$.fragment,m)},m(m,_){g(m,d,_),s(d,v),g(m,u,_),w(f,m,_),b=!0},p:Ce,i(m){b||(x(f.$$.fragment,m),b=!0)},o(m){z(f.$$.fragment,m),b=!1},d(m){m&&a(d),m&&a(u),T(f,m)}}}function mf($){let d,v,u,f,b;return{c(){d=o("p"),v=t("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=o("code"),f=t("Module"),b=t(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(m){d=r(m,"P",{});var _=i(d);v=n(_,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=r(_,"CODE",{});var A=i(u);f=n(A,"Module"),A.forEach(a),b=n(_,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),_.forEach(a)},m(m,_){g(m,d,_),s(d,v),s(d,u),s(u,f),s(d,b)},d(m){m&&a(d)}}}function pf($){let d,v;return{c(){d=o("p"),v=t(`This example uses a false checkpoint since we don\u2019t have any available pretrained model for the masked language
modeling task with the Reformer architecture.`)},l(u){d=r(u,"P",{});var f=i(d);v=n(f,`This example uses a false checkpoint since we don\u2019t have any available pretrained model for the masked language
modeling task with the Reformer architecture.`),f.forEach(a)},m(u,f){g(u,d,f),s(d,v)},d(u){u&&a(d)}}}function cf($){let d,v,u,f,b;return f=new Xs({props:{code:`import torch
from transformers import AutoTokenizer, ReformerForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("hf-internal-testing/tiny-random-reformer")
model = ReformerForMaskedLM.from_pretrained("hf-internal-testing/tiny-random-reformer")

# add mask_token
tokenizer.add_special_tokens({"mask_token": "[MASK]"})
inputs = tokenizer("The capital of France is [MASK].", return_tensors="pt")

# resize model's embedding matrix
model.resize_token_embeddings(new_num_tokens=model.config.vocab_size + 1)
with torch.no_grad():
    logits = model(**inputs).logits

# retrieve index of [MASK]
mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[0].nonzero(as_tuple=True)[0]

predicted_token_id = logits[0, mask_token_index].argmax(axis=-1)
predicted_token = tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, ReformerForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;hf-internal-testing/tiny-random-reformer&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ReformerForMaskedLM.from_pretrained(<span class="hljs-string">&quot;hf-internal-testing/tiny-random-reformer&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># add mask_token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.add_special_tokens({<span class="hljs-string">&quot;mask_token&quot;</span>: <span class="hljs-string">&quot;[MASK]&quot;</span>})
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># resize model&#x27;s embedding matrix</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model.resize_token_embeddings(new_num_tokens=model.config.vocab_size + <span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of [MASK]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>].nonzero(as_tuple=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = logits[<span class="hljs-number">0</span>, mask_token_index].argmax(axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token = tokenizer.decode(predicted_token_id)`}}),{c(){d=o("p"),v=t("Example:"),u=c(),y(f.$$.fragment)},l(m){d=r(m,"P",{});var _=i(d);v=n(_,"Example:"),_.forEach(a),u=h(m),k(f.$$.fragment,m)},m(m,_){g(m,d,_),s(d,v),g(m,u,_),w(f,m,_),b=!0},p:Ce,i(m){b||(x(f.$$.fragment,m),b=!0)},o(m){z(f.$$.fragment,m),b=!1},d(m){m&&a(d),m&&a(u),T(f,m)}}}function hf($){let d,v;return d=new Xs({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="pt")["input_ids"]
# mask labels of non-[MASK] tokens
labels = torch.where(
    inputs.input_ids == tokenizer.mask_token_id, labels[:, : inputs["input_ids"].shape[-1]], -100
)

outputs = model(**inputs, labels=labels)
loss = round(outputs.loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-[MASK] tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.where(
<span class="hljs-meta">... </span>    inputs.input_ids == tokenizer.mask_token_id, labels[:, : inputs[<span class="hljs-string">&quot;input_ids&quot;</span>].shape[-<span class="hljs-number">1</span>]], -<span class="hljs-number">100</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = <span class="hljs-built_in">round</span>(outputs.loss.item(), <span class="hljs-number">2</span>)`}}),{c(){y(d.$$.fragment)},l(u){k(d.$$.fragment,u)},m(u,f){w(d,u,f),v=!0},p:Ce,i(u){v||(x(d.$$.fragment,u),v=!0)},o(u){z(d.$$.fragment,u),v=!1},d(u){T(d,u)}}}function df($){let d,v,u,f,b;return{c(){d=o("p"),v=t("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=o("code"),f=t("Module"),b=t(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(m){d=r(m,"P",{});var _=i(d);v=n(_,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=r(_,"CODE",{});var A=i(u);f=n(A,"Module"),A.forEach(a),b=n(_,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),_.forEach(a)},m(m,_){g(m,d,_),s(d,v),s(d,u),s(u,f),s(d,b)},d(m){m&&a(d)}}}function gf($){let d,v,u,f,b;return f=new Xs({props:{code:`import torch
from transformers import AutoTokenizer, ReformerForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("google/reformer-crime-and-punishment")
model = ReformerForSequenceClassification.from_pretrained("google/reformer-crime-and-punishment")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
label = model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, ReformerForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/reformer-crime-and-punishment&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ReformerForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;google/reformer-crime-and-punishment&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>label = model.config.id2label[predicted_class_id]`}}),{c(){d=o("p"),v=t("Example of single-label classification:"),u=c(),y(f.$$.fragment)},l(m){d=r(m,"P",{});var _=i(d);v=n(_,"Example of single-label classification:"),_.forEach(a),u=h(m),k(f.$$.fragment,m)},m(m,_){g(m,d,_),s(d,v),g(m,u,_),w(f,m,_),b=!0},p:Ce,i(m){b||(x(f.$$.fragment,m),b=!0)},o(m){z(f.$$.fragment,m),b=!1},d(m){m&&a(d),m&&a(u),T(f,m)}}}function uf($){let d,v;return d=new Xs({props:{code:`# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = ReformerForSequenceClassification.from_pretrained(
    "google/reformer-crime-and-punishment", num_labels=num_labels
)

labels = torch.tensor(1)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ReformerForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;google/reformer-crime-and-punishment&quot;</span>, num_labels=num_labels
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){y(d.$$.fragment)},l(u){k(d.$$.fragment,u)},m(u,f){w(d,u,f),v=!0},p:Ce,i(u){v||(x(d.$$.fragment,u),v=!0)},o(u){z(d.$$.fragment,u),v=!1},d(u){T(d,u)}}}function ff($){let d,v,u,f,b;return{c(){d=o("p"),v=t("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=o("code"),f=t("Module"),b=t(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(m){d=r(m,"P",{});var _=i(d);v=n(_,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=r(_,"CODE",{});var A=i(u);f=n(A,"Module"),A.forEach(a),b=n(_,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),_.forEach(a)},m(m,_){g(m,d,_),s(d,v),s(d,u),s(u,f),s(d,b)},d(m){m&&a(d)}}}function _f($){let d,v,u,f,b;return f=new Xs({props:{code:`from transformers import AutoTokenizer, ReformerForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("google/reformer-crime-and-punishment")
model = ReformerForQuestionAnswering.from_pretrained("google/reformer-crime-and-punishment")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]

# target is "nice puppet"
target_start_index = torch.tensor([14])
target_end_index = torch.tensor([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, ReformerForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/reformer-crime-and-punishment&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ReformerForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;google/reformer-crime-and-punishment&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss`}}),{c(){d=o("p"),v=t("Example:"),u=c(),y(f.$$.fragment)},l(m){d=r(m,"P",{});var _=i(d);v=n(_,"Example:"),_.forEach(a),u=h(m),k(f.$$.fragment,m)},m(m,_){g(m,d,_),s(d,v),g(m,u,_),w(f,m,_),b=!0},p:Ce,i(m){b||(x(f.$$.fragment,m),b=!0)},o(m){z(f.$$.fragment,m),b=!1},d(m){m&&a(d),m&&a(u),T(f,m)}}}function vf($){let d,v,u,f,b,m,_,A,Hi,_o,ys,st,et,ld,Ii,at,tt,md,vo,ks,It,Wi,Qi,je,Ki,Ui,bo,ws,Bs,Wt,Se,Xi,Qt,Bi,yo,Vs,Vi,Oe,Gi,Ji,ko,nt,Yi,wo,ot,Kt,Zi,xo,ms,sl,Ne,el,al,De,tl,nl,zo,rt,ol,To,I,is,rl,Ut,il,ll,Xt,ml,pl,He,cl,hl,dl,Bt,gl,ul,Vt,fl,_l,Gt,vl,bl,Jt,yl,$o,xs,Gs,Yt,Ie,kl,Zt,wl,Mo,q,xl,We,zl,Tl,Ro,xu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mi>d</mi></mrow><annotation encoding="application/x-tex">d</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.6944em;"></span><span class="mord mathnormal">d</span></span></span></span>',qo,sn,$l,Ml,Eo,zu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mi>i</mi><mo separator="true">,</mo><mo>\u2026</mo><mo separator="true">,</mo><msub><mi>n</mi><mi>s</mi></msub></mrow><annotation encoding="application/x-tex">i, \\ldots, n_s</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.854em;vertical-align:-0.1944em;"></span><span class="mord mathnormal">i</span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="minner">\u2026</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span></span></span></span>',Lo,Ao,Tu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><msub><mi>n</mi><mi>s</mi></msub></mrow><annotation encoding="application/x-tex">n_s</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.5806em;vertical-align:-0.15em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span></span></span></span>',Fo,en,Rl,ql,Po,$u='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><msub><mi>n</mi><mi>s</mi></msub><mo>=</mo><msup><mn>2</mn><mn>19</mn></msup><mo>\u2248</mo><mn>0.5</mn><mi>M</mi></mrow><annotation encoding="application/x-tex">n_s = 2^{19} \\approx 0.5M</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.5806em;vertical-align:-0.15em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:0.8141em;"></span><span class="mord"><span class="mord">2</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">19</span></span></span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">\u2248</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:0.6833em;"></span><span class="mord">0.5</span><span class="mord mathnormal" style="margin-right:0.10903em;">M</span></span></span></span>',Co,an,El,Ll,jo,Mu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mi>d</mi><mo>=</mo><msup><mn>2</mn><mn>10</mn></msup><mo>\u2248</mo><mn>1000</mn></mrow><annotation encoding="application/x-tex">d = 2^{10} \\approx 1000</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.6944em;"></span><span class="mord mathnormal">d</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:0.8141em;"></span><span class="mord"><span class="mord">2</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">10</span></span></span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">\u2248</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:0.6444em;"></span><span class="mord">1000</span></span></span></span>',So,Oo,Ru='<span class="katex-display"><span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML" display="block"><semantics><mrow><msub><mi>X</mi><mrow><mi>i</mi><mo separator="true">,</mo><mi>j</mi></mrow></msub><mo separator="true">,</mo><mtext>\xA0with\xA0</mtext><mi>i</mi><mo>\u2208</mo><mrow><mo fence="true">[</mo><mn>1</mn><mo separator="true">,</mo><mo>\u2026</mo><mo separator="true">,</mo><mi>d</mi><mo fence="true">]</mo></mrow><mtext>\xA0and\xA0</mtext><mi>j</mi><mo>\u2208</mo><mrow><mo fence="true">[</mo><mn>1</mn><mo separator="true">,</mo><mo>\u2026</mo><mo separator="true">,</mo><msub><mi>n</mi><mi>s</mi></msub><mo fence="true">]</mo></mrow></mrow><annotation encoding="application/x-tex">X_{i,j}, \\text{ with } i \\in \\left[1,\\ldots, d\\right] \\text{ and } j \\in \\left[1,\\ldots, n_s\\right]</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.9805em;vertical-align:-0.2861em;"></span><span class="mord"><span class="mord mathnormal" style="margin-right:0.07847em;">X</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.3117em;"><span style="top:-2.55em;margin-left:-0.0785em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight">i</span><span class="mpunct mtight">,</span><span class="mord mathnormal mtight" style="margin-right:0.05724em;">j</span></span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.2861em;"><span></span></span></span></span></span></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord text"><span class="mord">\xA0with\xA0</span></span><span class="mord mathnormal">i</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">\u2208</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="minner"><span class="mopen delimcenter" style="top:0em;">[</span><span class="mord">1</span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="minner">\u2026</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord mathnormal">d</span><span class="mclose delimcenter" style="top:0em;">]</span></span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord text"><span class="mord">\xA0and\xA0</span></span><span class="mord mathnormal" style="margin-right:0.05724em;">j</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">\u2208</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="minner"><span class="mopen delimcenter" style="top:0em;">[</span><span class="mord">1</span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="minner">\u2026</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mclose delimcenter" style="top:0em;">]</span></span></span></span></span></span>',No,zs,Al,Do,qu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><msub><mi>X</mi><mrow><mi>i</mi><mo separator="true">,</mo><mi>j</mi></mrow></msub></mrow><annotation encoding="application/x-tex">X_{i,j}</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.9694em;vertical-align:-0.2861em;"></span><span class="mord"><span class="mord mathnormal" style="margin-right:0.07847em;">X</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.3117em;"><span style="top:-2.55em;margin-left:-0.0785em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight">i</span><span class="mpunct mtight">,</span><span class="mord mathnormal mtight" style="margin-right:0.05724em;">j</span></span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.2861em;"><span></span></span></span></span></span></span></span></span></span>',Ho,Io,Eu='<span class="katex-display"><span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML" display="block"><semantics><mrow><msubsup><mi>X</mi><mrow><mi>i</mi><mo separator="true">,</mo><mi>j</mi></mrow><mn>1</mn></msubsup><mo separator="true">,</mo><mtext>\xA0with\xA0</mtext><mi>i</mi><mo>\u2208</mo><mrow><mo fence="true">[</mo><mn>1</mn><mo separator="true">,</mo><mo>\u2026</mo><mo separator="true">,</mo><msup><mi>d</mi><mn>1</mn></msup><mo fence="true">]</mo></mrow><mtext>\xA0and\xA0</mtext><mi>j</mi><mo>\u2208</mo><mrow><mo fence="true">[</mo><mn>1</mn><mo separator="true">,</mo><mo>\u2026</mo><mo separator="true">,</mo><msubsup><mi>n</mi><mi>s</mi><mn>1</mn></msubsup><mo fence="true">]</mo></mrow></mrow><annotation encoding="application/x-tex">X^{1}_{i,j}, \\text{ with } i \\in \\left[1,\\ldots, d^1\\right] \\text{ and } j \\in \\left[1,\\ldots, n_s^1\\right]</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1.2472em;vertical-align:-0.3831em;"></span><span class="mord"><span class="mord mathnormal" style="margin-right:0.07847em;">X</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8641em;"><span style="top:-2.453em;margin-left:-0.0785em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight">i</span><span class="mpunct mtight">,</span><span class="mord mathnormal mtight" style="margin-right:0.05724em;">j</span></span></span></span><span style="top:-3.113em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">1</span></span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.3831em;"><span></span></span></span></span></span></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord text"><span class="mord">\xA0with\xA0</span></span><span class="mord mathnormal">i</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">\u2208</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:1.2141em;vertical-align:-0.35em;"></span><span class="minner"><span class="mopen delimcenter" style="top:0em;"><span class="delimsizing size1">[</span></span><span class="mord">1</span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="minner">\u2026</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">d</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8641em;"><span style="top:-3.113em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span></span></span></span></span><span class="mclose delimcenter" style="top:0em;"><span class="delimsizing size1">]</span></span></span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord text"><span class="mord">\xA0and\xA0</span></span><span class="mord mathnormal" style="margin-right:0.05724em;">j</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">\u2208</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:1.2141em;vertical-align:-0.35em;"></span><span class="minner"><span class="mopen delimcenter" style="top:0em;"><span class="delimsizing size1">[</span></span><span class="mord">1</span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="minner">\u2026</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8641em;"><span style="top:-2.453em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span><span style="top:-3.113em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.247em;"><span></span></span></span></span></span></span><span class="mclose delimcenter" style="top:0em;"><span class="delimsizing size1">]</span></span></span></span></span></span></span>',Wo,Qe,Fl,Qo,Lu='<span class="katex-display"><span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML" display="block"><semantics><mrow><msubsup><mi>X</mi><mrow><mi>i</mi><mo separator="true">,</mo><mi>j</mi></mrow><mn>2</mn></msubsup><mo separator="true">,</mo><mtext>\xA0with\xA0</mtext><mi>i</mi><mo>\u2208</mo><mrow><mo fence="true">[</mo><mn>1</mn><mo separator="true">,</mo><mo>\u2026</mo><mo separator="true">,</mo><msup><mi>d</mi><mn>2</mn></msup><mo fence="true">]</mo></mrow><mtext>\xA0and\xA0</mtext><mi>j</mi><mo>\u2208</mo><mrow><mo fence="true">[</mo><mn>1</mn><mo separator="true">,</mo><mo>\u2026</mo><mo separator="true">,</mo><msubsup><mi>n</mi><mi>s</mi><mn>2</mn></msubsup><mo fence="true">]</mo></mrow></mrow><annotation encoding="application/x-tex">X^{2}_{i,j}, \\text{ with } i \\in \\left[1,\\ldots, d^2\\right] \\text{ and } j \\in \\left[1,\\ldots, n_s^2\\right]</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1.2472em;vertical-align:-0.3831em;"></span><span class="mord"><span class="mord mathnormal" style="margin-right:0.07847em;">X</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8641em;"><span style="top:-2.453em;margin-left:-0.0785em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight">i</span><span class="mpunct mtight">,</span><span class="mord mathnormal mtight" style="margin-right:0.05724em;">j</span></span></span></span><span style="top:-3.113em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">2</span></span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.3831em;"><span></span></span></span></span></span></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord text"><span class="mord">\xA0with\xA0</span></span><span class="mord mathnormal">i</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">\u2208</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:1.2141em;vertical-align:-0.35em;"></span><span class="minner"><span class="mopen delimcenter" style="top:0em;"><span class="delimsizing size1">[</span></span><span class="mord">1</span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="minner">\u2026</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">d</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8641em;"><span style="top:-3.113em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span></span></span></span></span><span class="mclose delimcenter" style="top:0em;"><span class="delimsizing size1">]</span></span></span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord text"><span class="mord">\xA0and\xA0</span></span><span class="mord mathnormal" style="margin-right:0.05724em;">j</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">\u2208</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:1.2141em;vertical-align:-0.35em;"></span><span class="minner"><span class="mopen delimcenter" style="top:0em;"><span class="delimsizing size1">[</span></span><span class="mord">1</span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="minner">\u2026</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8641em;"><span style="top:-2.453em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span><span style="top:-3.113em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.247em;"><span></span></span></span></span></span></span><span class="mclose delimcenter" style="top:0em;"><span class="delimsizing size1">]</span></span></span></span></span></span></span>',Ko,Ke,Pl,Uo,Au='<span class="katex-display"><span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML" display="block"><semantics><mrow><mi>d</mi><mo>=</mo><msup><mi>d</mi><mn>1</mn></msup><mo>+</mo><msup><mi>d</mi><mn>2</mn></msup><mtext>\xA0and\xA0</mtext><msub><mi>n</mi><mi>s</mi></msub><mo>=</mo><msubsup><mi>n</mi><mi>s</mi><mn>1</mn></msubsup><mo>\xD7</mo><msubsup><mi>n</mi><mi>s</mi><mn>2</mn></msubsup><mi mathvariant="normal">.</mi></mrow><annotation encoding="application/x-tex">d = d^1 + d^2 \\text{ and } n_s = n_s^1 \\times n_s^2 .</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.6944em;"></span><span class="mord mathnormal">d</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:0.9474em;vertical-align:-0.0833em;"></span><span class="mord"><span class="mord mathnormal">d</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8641em;"><span style="top:-3.113em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">+</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:1.0141em;vertical-align:-0.15em;"></span><span class="mord"><span class="mord mathnormal">d</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8641em;"><span style="top:-3.113em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span></span></span></span></span><span class="mord text"><span class="mord">\xA0and\xA0</span></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:1.1111em;vertical-align:-0.247em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8641em;"><span style="top:-2.453em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span><span style="top:-3.113em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.247em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">\xD7</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:1.1111em;vertical-align:-0.247em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8641em;"><span style="top:-2.453em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span><span style="top:-3.113em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.247em;"><span></span></span></span></span></span></span><span class="mord">.</span></span></span></span></span>',Xo,Ue,Cl,Bo,Fu=`<span class="katex-display"><span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML" display="block"><semantics><mrow><msub><mi>X</mi><mrow><mi>i</mi><mo separator="true">,</mo><mi>j</mi></mrow></msub><mo>=</mo><mrow><mo fence="true">{</mo><mtable rowspacing="0.36em" columnalign="left left" columnspacing="1em"><mtr><mtd><mstyle scriptlevel="0" displaystyle="false"><mrow><msubsup><mi>X</mi><mrow><mi>i</mi><mo separator="true">,</mo><mi>k</mi></mrow><mn>1</mn></msubsup><mo separator="true">,</mo></mrow></mstyle></mtd><mtd><mstyle scriptlevel="0" displaystyle="false"><mrow><mtext>if\xA0\xA0</mtext><mi>i</mi><mo>&lt;</mo><msup><mi>d</mi><mn>1</mn></msup><mtext>\xA0with\xA0</mtext><mi>k</mi><mo>=</mo><mi>j</mi><mspace></mspace><mspace width="0.6667em"/><mrow><mi mathvariant="normal">m</mi><mi mathvariant="normal">o</mi><mi mathvariant="normal">d</mi></mrow><mtext>\u2009</mtext><mtext>\u2009</mtext><msubsup><mi>n</mi><mi>s</mi><mn>1</mn></msubsup></mrow></mstyle></mtd></mtr><mtr><mtd><mstyle scriptlevel="0" displaystyle="false"><mrow><msubsup><mi>X</mi><mrow><mi>i</mi><mo>\u2212</mo><msup><mi>d</mi><mn>1</mn></msup><mo separator="true">,</mo><mi>l</mi></mrow><mn>2</mn></msubsup><mo separator="true">,</mo></mrow></mstyle></mtd><mtd><mstyle scriptlevel="0" displaystyle="false"><mrow><mtext>if\xA0</mtext><mi>i</mi><mo>\u2265</mo><msup><mi>d</mi><mn>1</mn></msup><mtext>\xA0with\xA0</mtext><mi>l</mi><mo>=</mo><mo stretchy="false">\u230A</mo><mfrac><mi>j</mi><msubsup><mi>n</mi><mi>s</mi><mn>1</mn></msubsup></mfrac><mo stretchy="false">\u230B</mo></mrow></mstyle></mtd></mtr></mtable></mrow></mrow><annotation encoding="application/x-tex">X_{i,j} = \\begin{cases}
X^{1}_{i, k}, &amp; \\text{if }\\ i &lt; d^1 \\text{ with } k = j \\mod n_s^1 \\\\
X^{2}_{i - d^1, l}, &amp; \\text{if } i \\ge d^1 \\text{ with } l = \\lfloor\\frac{j}{n_s^1}\\rfloor
\\end{cases}</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.9694em;vertical-align:-0.2861em;"></span><span class="mord"><span class="mord mathnormal" style="margin-right:0.07847em;">X</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.3117em;"><span style="top:-2.55em;margin-left:-0.0785em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight">i</span><span class="mpunct mtight">,</span><span class="mord mathnormal mtight" style="margin-right:0.05724em;">j</span></span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.2861em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:3em;vertical-align:-1.25em;"></span><span class="minner"><span class="mopen delimcenter" style="top:0em;"><span class="delimsizing size4">{</span></span><span class="mord"><span class="mtable"><span class="col-align-l"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:1.7466em;"><span style="top:-3.7466em;"><span class="pstrut" style="height:3.008em;"></span><span class="mord"><span class="mord"><span class="mord mathnormal" style="margin-right:0.07847em;">X</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.4169em;margin-left:-0.0785em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight">i</span><span class="mpunct mtight">,</span><span class="mord mathnormal mtight" style="margin-right:0.03148em;">k</span></span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">1</span></span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.4192em;"><span></span></span></span></span></span></span><span class="mpunct">,</span></span></span><span style="top:-2.3066em;"><span class="pstrut" style="height:3.008em;"></span><span class="mord"><span class="mord"><span class="mord mathnormal" style="margin-right:0.07847em;">X</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.3806em;margin-left:-0.0785em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight">i</span><span class="mbin mtight">\u2212</span><span class="mord mtight"><span class="mord mathnormal mtight">d</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.7463em;"><span style="top:-2.786em;margin-right:0.0714em;"><span class="pstrut" style="height:2.5em;"></span><span class="sizing reset-size3 size1 mtight"><span class="mord mtight">1</span></span></span></span></span></span></span></span><span class="mpunct mtight">,</span><span class="mord mathnormal mtight" style="margin-right:0.01968em;">l</span></span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">2</span></span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.4555em;"><span></span></span></span></span></span></span><span class="mpunct">,</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:1.2466em;"><span></span></span></span></span></span><span class="arraycolsep" style="width:1em;"></span><span class="col-align-l"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:1.7466em;"><span style="top:-3.7466em;"><span class="pstrut" style="height:3.008em;"></span><span class="mord"><span class="mord text"><span class="mord">if\xA0</span></span><span class="mspace">\xA0</span><span class="mord mathnormal">i</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">&lt;</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mord"><span class="mord mathnormal">d</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span></span></span></span></span><span class="mord text"><span class="mord">\xA0with\xA0</span></span><span class="mord mathnormal" style="margin-right:0.03148em;">k</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mord mathnormal" style="margin-right:0.05724em;">j</span><span class="mspace allowbreak"></span><span class="mspace" style="margin-right:0.6667em;"></span><span class="mord"><span class="mord"><span class="mord mathrm">mod</span></span></span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.453em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.247em;"><span></span></span></span></span></span></span></span></span><span style="top:-2.3066em;"><span class="pstrut" style="height:3.008em;"></span><span class="mord"><span class="mord text"><span class="mord">if\xA0</span></span><span class="mord mathnormal">i</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">\u2265</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mord"><span class="mord mathnormal">d</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span></span></span></span></span><span class="mord text"><span class="mord">\xA0with\xA0</span></span><span class="mord mathnormal" style="margin-right:0.01968em;">l</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mopen">\u230A</span><span class="mord"><span class="mopen nulldelimiter"></span><span class="mfrac"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.9078em;"><span style="top:-2.655em;"><span class="pstrut" style="height:3em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight"><span class="mord mathnormal mtight">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.7463em;"><span style="top:-2.214em;margin-left:0em;margin-right:0.0714em;"><span class="pstrut" style="height:2.5em;"></span><span class="sizing reset-size3 size1 mtight"><span class="mord mathnormal mtight">s</span></span></span><span style="top:-2.786em;margin-right:0.0714em;"><span class="pstrut" style="height:2.5em;"></span><span class="sizing reset-size3 size1 mtight"><span class="mord mtight">1</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.286em;"><span></span></span></span></span></span></span></span></span></span><span style="top:-3.23em;"><span class="pstrut" style="height:3em;"></span><span class="frac-line" style="border-bottom-width:0.04em;"></span></span><span style="top:-3.4461em;"><span class="pstrut" style="height:3em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight" style="margin-right:0.05724em;">j</span></span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.5452em;"><span></span></span></span></span></span><span class="mclose nulldelimiter"></span></span><span class="mclose">\u230B</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:1.2466em;"><span></span></span></span></span></span></span></span><span class="mclose nulldelimiter"></span></span></span></span></span></span>`,Vo,F,jl,Go,Pu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><msub><mi>x</mi><mi>j</mi></msub><mo>\u2208</mo><msup><mi mathvariant="double-struck">R</mi><mi>d</mi></msup></mrow><annotation encoding="application/x-tex">x_j \\in \\mathbb{R}^{d}</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.8252em;vertical-align:-0.2861em;"></span><span class="mord"><span class="mord mathnormal">x</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.3117em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight" style="margin-right:0.05724em;">j</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.2861em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">\u2208</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:0.8491em;"></span><span class="mord"><span class="mord mathbb">R</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8491em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight">d</span></span></span></span></span></span></span></span></span></span></span></span>',Jo,Yo,Cu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><msubsup><mi>x</mi><mrow><mi>k</mi><mo separator="true">,</mo><mi>l</mi></mrow><mn>1</mn></msubsup><mo>+</mo><msubsup><mi>x</mi><mrow><mi>l</mi><mo separator="true">,</mo><mi>k</mi></mrow><mn>2</mn></msubsup></mrow><annotation encoding="application/x-tex">x^1_{k, l} + x^2_{l, k}</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1.2333em;vertical-align:-0.4192em;"></span><span class="mord"><span class="mord mathnormal">x</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.4169em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight" style="margin-right:0.03148em;">k</span><span class="mpunct mtight">,</span><span class="mord mathnormal mtight" style="margin-right:0.01968em;">l</span></span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.4192em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">+</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:1.2333em;vertical-align:-0.4192em;"></span><span class="mord"><span class="mord mathnormal">x</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.4169em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mathnormal mtight" style="margin-right:0.01968em;">l</span><span class="mpunct mtight">,</span><span class="mord mathnormal mtight" style="margin-right:0.03148em;">k</span></span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.4192em;"><span></span></span></span></span></span></span></span></span></span>',Zo,tn,Sl,Ol,sr,ju='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mi>j</mi></mrow><annotation encoding="application/x-tex">j</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.854em;vertical-align:-0.1944em;"></span><span class="mord mathnormal" style="margin-right:0.05724em;">j</span></span></span></span>',er,ar,Su='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mi>k</mi><mtext>\xA0and\xA0</mtext><mi>l</mi></mrow><annotation encoding="application/x-tex">k \\text{ and } l</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.6944em;"></span><span class="mord mathnormal" style="margin-right:0.03148em;">k</span><span class="mord text"><span class="mord">\xA0and\xA0</span></span><span class="mord mathnormal" style="margin-right:0.01968em;">l</span></span></span></span>',tr,nr,Ou='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><msub><mi>x</mi><mi>j</mi></msub></mrow><annotation encoding="application/x-tex">x_j</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.7167em;vertical-align:-0.2861em;"></span><span class="mord"><span class="mord mathnormal">x</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.3117em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight" style="margin-right:0.05724em;">j</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.2861em;"><span></span></span></span></span></span></span></span></span></span>',or,rr,ps,Nl,ir,Nu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><msup><mi>d</mi><mn>1</mn></msup><mo>=</mo><msup><mn>2</mn><mn>9</mn></msup><mo separator="true">,</mo><msup><mi>d</mi><mn>2</mn></msup><mo>=</mo><msup><mn>2</mn><mn>9</mn></msup><mo separator="true">,</mo><msubsup><mi>n</mi><mi>s</mi><mn>1</mn></msubsup><mo>=</mo><msup><mn>2</mn><mn>9</mn></msup><mo separator="true">,</mo><msubsup><mi>n</mi><mi>s</mi><mn>2</mn></msubsup><mo>=</mo><msup><mn>2</mn><mn>10</mn></msup></mrow><annotation encoding="application/x-tex">d^1 = 2^9, d^2 = 2^9, n_s^1 = 2^9, n_s^2 = 2^{10}</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.8141em;"></span><span class="mord"><span class="mord mathnormal">d</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:1.0085em;vertical-align:-0.1944em;"></span><span class="mord"><span class="mord">2</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">9</span></span></span></span></span></span></span></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">d</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:1.0611em;vertical-align:-0.247em;"></span><span class="mord"><span class="mord">2</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">9</span></span></span></span></span></span></span></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.453em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.247em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:1.0611em;vertical-align:-0.247em;"></span><span class="mord"><span class="mord">2</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">9</span></span></span></span></span></span></span></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.453em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.247em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">=</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:0.8141em;"></span><span class="mord"><span class="mord">2</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">10</span></span></span></span></span></span></span></span></span></span></span></span>',lr,mr,Du='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><msup><mn>2</mn><mn>18</mn></msup><mo>+</mo><msup><mn>2</mn><mn>19</mn></msup><mo>\u2248</mo><mn>780000</mn></mrow><annotation encoding="application/x-tex">2^{18} + 2^{19} \\approx 780 000</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.8974em;vertical-align:-0.0833em;"></span><span class="mord"><span class="mord">2</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">18</span></span></span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">+</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:0.8141em;"></span><span class="mord"><span class="mord">2</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">19</span></span></span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2778em;"></span><span class="mrel">\u2248</span><span class="mspace" style="margin-right:0.2778em;"></span></span><span class="base"><span class="strut" style="height:0.6444em;"></span><span class="mord">780000</span></span></span></span>',pr,cr,E,Dl,nn,Hl,Il,hr,Hu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mo stretchy="false">(</mo><msup><mi>d</mi><mn>1</mn></msup><mo separator="true">,</mo><msup><mi>d</mi><mn>2</mn></msup><mo stretchy="false">)</mo></mrow><annotation encoding="application/x-tex">(d^1, d^2)</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1.0641em;vertical-align:-0.25em;"></span><span class="mopen">(</span><span class="mord"><span class="mord mathnormal">d</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span></span></span></span></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">d</span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span></span></span></span></span><span class="mclose">)</span></span></span></span>',dr,on,Wl,Ql,rn,Kl,Ul,gr,Iu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mo stretchy="false">(</mo><msubsup><mi>n</mi><mi>s</mi><mn>1</mn></msubsup><mo separator="true">,</mo><msubsup><mi>n</mi><mi>s</mi><mn>2</mn></msubsup><mo stretchy="false">)</mo></mrow><annotation encoding="application/x-tex">(n_s^1, n_s^2)</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1.0641em;vertical-align:-0.25em;"></span><span class="mopen">(</span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.453em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.247em;"><span></span></span></span></span></span></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.453em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.247em;"><span></span></span></span></span></span></span><span class="mclose">)</span></span></span></span>',ur,ln,Xl,Bl,mn,Vl,Gl,pn,Jl,Yl,fr,Ts,Js,cn,Xe,Zl,hn,sm,_r,G,em,Be,am,tm,dn,nm,om,gn,rm,im,vr,S,lm,un,mm,pm,fn,cm,hm,_n,dm,gm,vn,um,fm,bn,_m,vm,br,cs,bm,Ve,ym,km,Ge,wm,xm,yr,W,zm,yn,Tm,$m,kr,Wu=`<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mo stretchy="false">(</mo><msubsup><mi>n</mi><mtext>buckets</mtext><mn>1</mn></msubsup><mo separator="true">,</mo><msubsup><mi>n</mi><mtext>buckets</mtext><mn>2</mn></msubsup><mo stretchy="false">)</mo></mrow><annotation encoding="application/x-tex">(n_{\\text{buckets}}^1,
n_{\\text{buckets}}^2)</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1.0972em;vertical-align:-0.2831em;"></span><span class="mopen">(</span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.4169em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord text mtight"><span class="mord mtight">buckets</span></span></span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.2831em;"><span></span></span></span></span></span></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.4169em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord text mtight"><span class="mord mtight">buckets</span></span></span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.2831em;"><span></span></span></span></span></span></span><span class="mclose">)</span></span></span></span>`,wr,xr,Qu=`<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mo stretchy="false">(</mo><mn>1</mn><mo separator="true">,</mo><mo>\u2026</mo><mo separator="true">,</mo><msub><mi>n</mi><mtext>buckets</mtext></msub><mo stretchy="false">)</mo></mrow><annotation encoding="application/x-tex">(1,\\ldots,
n_{\\text{buckets}})</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="mopen">(</span><span class="mord">1</span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="minner">\u2026</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.3361em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord text mtight"><span class="mord mtight">buckets</span></span></span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mclose">)</span></span></span></span>`,zr,Tr,Ku=`<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mo stretchy="false">(</mo><mn>1</mn><mo>\u2212</mo><mn>1</mn><mo separator="true">,</mo><mo>\u2026</mo><mo separator="true">,</mo><msubsup><mi>n</mi><mtext>buckets</mtext><mn>1</mn></msubsup><mo>\u2212</mo><mn>1</mn><mo separator="true">,</mo><mo>\u2026</mo><mo separator="true">,</mo><mn>1</mn><mo>\u2212</mo><msubsup><mi>n</mi><mtext>buckets</mtext><mn>2</mn></msubsup><mo separator="true">,</mo><mo>\u2026</mo><mo separator="true">,</mo><msubsup><mi>n</mi><mtext>buckets</mtext><mn>1</mn></msubsup><mo>\u2212</mo><msubsup><mi>n</mi><mtext>buckets</mtext><mn>2</mn></msubsup><mo stretchy="false">)</mo></mrow><annotation encoding="application/x-tex">(1-1,\\ldots, n_{\\text{buckets}}^1-1, \\ldots,
1-n_{\\text{buckets}}^2, \\ldots, n_{\\text{buckets}}^1-n_{\\text{buckets}}^2)</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="mopen">(</span><span class="mord">1</span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">\u2212</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:1.0972em;vertical-align:-0.2831em;"></span><span class="mord">1</span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="minner">\u2026</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.4169em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord text mtight"><span class="mord mtight">buckets</span></span></span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.2831em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">\u2212</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:0.8389em;vertical-align:-0.1944em;"></span><span class="mord">1</span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="minner">\u2026</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord">1</span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">\u2212</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:1.0972em;vertical-align:-0.2831em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.4169em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord text mtight"><span class="mord mtight">buckets</span></span></span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.2831em;"><span></span></span></span></span></span></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="minner">\u2026</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mpunct">,</span><span class="mspace" style="margin-right:0.1667em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.4169em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord text mtight"><span class="mord mtight">buckets</span></span></span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">1</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.2831em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">\u2212</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:1.0972em;vertical-align:-0.2831em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.8141em;"><span style="top:-2.4169em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord text mtight"><span class="mord mtight">buckets</span></span></span></span></span><span style="top:-3.063em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight">2</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.2831em;"><span></span></span></span></span></span></span><span class="mclose">)</span></span></span></span>`,$r,Mr,hs,Mm,kn,Rm,qm,wn,Em,Lm,Rr,J,Am,qr,Uu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mi mathvariant="script">O</mi><mo stretchy="false">(</mo><msub><mi>n</mi><mi>s</mi></msub><mo>\xD7</mo><msub><mi>n</mi><mi>s</mi></msub><mo stretchy="false">)</mo></mrow><annotation encoding="application/x-tex">\\mathcal{O}(n_s \\times n_s)</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="mord mathcal" style="margin-right:0.02778em;">O</span><span class="mopen">(</span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">\xD7</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mclose">)</span></span></span></span>',Er,Lr,Xu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mi mathvariant="script">O</mi><mo stretchy="false">(</mo><msub><mi>n</mi><mi>s</mi></msub><mo>\xD7</mo><mi>log</mi><mo>\u2061</mo><mo stretchy="false">(</mo><msub><mi>n</mi><mi>s</mi></msub><mo stretchy="false">)</mo><mo stretchy="false">)</mo></mrow><annotation encoding="application/x-tex">\\mathcal{O}(n_s \\times \\log(n_s))</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="mord mathcal" style="margin-right:0.02778em;">O</span><span class="mopen">(</span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">\xD7</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="mop">lo<span style="margin-right:0.01389em;">g</span></span><span class="mopen">(</span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mclose">))</span></span></span></span>',Ar,Fr,Bu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><msub><mi>n</mi><mi>s</mi></msub></mrow><annotation encoding="application/x-tex">n_s</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.5806em;vertical-align:-0.15em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span></span></span></span>',Pr,Cr,$s,Ys,xn,Je,Fm,zn,Pm,jr,Y,Cm,Tn,jm,Sm,$n,Om,Nm,Mn,Dm,Hm,Sr,Z,Im,Or,Vu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mi mathvariant="script">O</mi><mo stretchy="false">(</mo><msub><mi>n</mi><mi>s</mi></msub><mo>\xD7</mo><msub><mi>n</mi><mi>s</mi></msub><mo stretchy="false">)</mo></mrow><annotation encoding="application/x-tex">\\mathcal{O}(n_s \\times n_s)</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="mord mathcal" style="margin-right:0.02778em;">O</span><span class="mopen">(</span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">\xD7</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mclose">)</span></span></span></span>',Nr,Dr,Gu='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><mi mathvariant="script">O</mi><mo stretchy="false">(</mo><msub><mi>n</mi><mi>s</mi></msub><mo>\xD7</mo><mi>log</mi><mo>\u2061</mo><mo stretchy="false">(</mo><msub><mi>n</mi><mi>s</mi></msub><mo stretchy="false">)</mo><mo stretchy="false">)</mo></mrow><annotation encoding="application/x-tex">\\mathcal{O}(n_s \\times \\log(n_s))</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="mord mathcal" style="margin-right:0.02778em;">O</span><span class="mopen">(</span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mspace" style="margin-right:0.2222em;"></span><span class="mbin">\xD7</span><span class="mspace" style="margin-right:0.2222em;"></span></span><span class="base"><span class="strut" style="height:1em;vertical-align:-0.25em;"></span><span class="mop">lo<span style="margin-right:0.01389em;">g</span></span><span class="mopen">(</span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span><span class="mclose">))</span></span></span></span>',Hr,Ir,Ju='<span class="katex"><span class="katex-mathml"><math xmlns="http://www.w3.org/1998/Math/MathML"><semantics><mrow><msub><mi>n</mi><mi>s</mi></msub></mrow><annotation encoding="application/x-tex">n_s</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height:0.5806em;vertical-align:-0.15em;"></span><span class="mord"><span class="mord mathnormal">n</span><span class="msupsub"><span class="vlist-t vlist-t2"><span class="vlist-r"><span class="vlist" style="height:0.1514em;"><span style="top:-2.55em;margin-left:0em;margin-right:0.05em;"><span class="pstrut" style="height:2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mathnormal mtight">s</span></span></span></span><span class="vlist-s">\u200B</span></span><span class="vlist-r"><span class="vlist" style="height:0.15em;"><span></span></span></span></span></span></span></span></span></span>',Wr,Qr,Ms,Zs,Rn,Ye,Wm,qn,Qm,Kr,ds,Km,En,Um,Xm,Ln,Bm,Vm,Ur,se,Gm,it,Jm,Ym,Xr,Ze,Br,Rs,ee,An,sa,Zm,Fn,sp,Vr,B,ea,ep,qs,ap,lt,tp,np,aa,op,rp,ip,Es,lp,mt,mp,pp,pt,cp,hp,dp,ae,Gr,Ls,te,Pn,ta,gp,Cn,up,Jr,V,na,fp,oa,_p,ra,vp,bp,yp,ia,kp,ct,wp,xp,zp,ht,la,Yr,As,ne,jn,ma,Tp,Sn,$p,Zr,ls,pa,Mp,Fs,Rp,On,qp,Ep,ca,Lp,Ap,Fp,ha,Pp,dt,Cp,jp,si,Ps,oe,Nn,da,Sp,Dn,Op,ei,N,ga,Np,ua,Dp,fa,Hp,Ip,Wp,_a,Qp,gt,Kp,Up,Xp,va,Bp,ba,Vp,Gp,Jp,ss,ya,Yp,Cs,Zp,ut,sc,ec,Hn,ac,tc,nc,re,oc,ie,ai,js,le,In,ka,rc,Wn,ic,ti,D,wa,lc,Ss,mc,Qn,pc,cc,xa,hc,dc,gc,za,uc,ft,fc,_c,vc,Ta,bc,$a,yc,kc,wc,es,Ma,xc,Os,zc,_t,Tc,$c,Kn,Mc,Rc,qc,me,Ec,pe,ni,Ns,ce,Un,Ra,Lc,Xn,Ac,oi,H,qa,Fc,Ds,Pc,Bn,Cc,jc,Ea,Sc,Oc,Nc,La,Dc,vt,Hc,Ic,Wc,Aa,Qc,Fa,Kc,Uc,Xc,O,Pa,Bc,Hs,Vc,bt,Gc,Jc,Vn,Yc,Zc,sh,he,eh,de,ah,ge,th,ue,ri,Is,fe,Gn,Ca,nh,Jn,oh,ii,C,ja,rh,Yn,ih,lh,Sa,mh,Oa,ph,ch,hh,Na,dh,yt,gh,uh,fh,Da,_h,Ha,vh,bh,yh,Q,Ia,kh,Ws,wh,kt,xh,zh,Zn,Th,$h,Mh,_e,Rh,ve,qh,be,li,Qs,ye,so,Wa,Eh,eo,Lh,mi,j,Qa,Ah,Ks,Fh,ao,Ph,Ch,to,jh,Sh,Oh,Ka,Nh,Ua,Dh,Hh,Ih,Xa,Wh,wt,Qh,Kh,Uh,Ba,Xh,Va,Bh,Vh,Gh,as,Ga,Jh,Us,Yh,xt,Zh,sd,no,ed,ad,td,ke,nd,we,pi;return m=new X({}),Se=new X({}),Ie=new X({}),Xe=new X({}),Je=new X({}),Ye=new X({}),Ze=new Xs({props:{code:`input_ids = tokenizer.encode("This is a sentence from the training data", return_tensors="pt")
loss = model(input_ids, labels=input_ids)[0]`,highlighted:`input_ids = tokenizer.encode(<span class="hljs-string">&quot;This is a sentence from the training data&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
loss = model(input_ids, labels=input_ids)[<span class="hljs-number">0</span>]`}}),sa=new X({}),ea=new U({props:{name:"class transformers.ReformerConfig",anchor:"transformers.ReformerConfig",parameters:[{name:"attention_head_size",val:" = 64"},{name:"attn_layers",val:" = ['local', 'lsh', 'local', 'lsh', 'local', 'lsh']"},{name:"axial_norm_std",val:" = 1.0"},{name:"axial_pos_embds",val:" = True"},{name:"axial_pos_shape",val:" = [64, 64]"},{name:"axial_pos_embds_dim",val:" = [64, 192]"},{name:"chunk_size_lm_head",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"feed_forward_size",val:" = 512"},{name:"hash_seed",val:" = None"},{name:"hidden_act",val:" = 'relu'"},{name:"hidden_dropout_prob",val:" = 0.05"},{name:"hidden_size",val:" = 256"},{name:"initializer_range",val:" = 0.02"},{name:"is_decoder",val:" = False"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"local_num_chunks_before",val:" = 1"},{name:"local_num_chunks_after",val:" = 0"},{name:"local_attention_probs_dropout_prob",val:" = 0.05"},{name:"local_attn_chunk_length",val:" = 64"},{name:"lsh_attn_chunk_length",val:" = 64"},{name:"lsh_attention_probs_dropout_prob",val:" = 0.0"},{name:"lsh_num_chunks_before",val:" = 1"},{name:"lsh_num_chunks_after",val:" = 0"},{name:"max_position_embeddings",val:" = 4096"},{name:"num_attention_heads",val:" = 12"},{name:"num_buckets",val:" = None"},{name:"num_hashes",val:" = 1"},{name:"pad_token_id",val:" = 0"},{name:"vocab_size",val:" = 320"},{name:"tie_word_embeddings",val:" = False"},{name:"use_cache",val:" = True"},{name:"classifier_dropout",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ReformerConfig.attention_head_size",description:`<strong>attention_head_size</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Dimensionality of the projected key, query and value vectors`,name:"attention_head_size"},{anchor:"transformers.ReformerConfig.attn_layers",description:`<strong>attn_layers</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;local&quot;, &quot;lsh&quot;, &quot;local&quot;, &quot;lsh&quot;, &quot;local&quot;, &quot;lsh&quot;]</code>) &#x2014;
List of attention layer types in ascending order. It can be chosen between a LSHSelfAttention layer
(<code>&quot;lsh&quot;</code>) and a LocalSelfAttention layer (<code>&quot;local&quot;</code>).</p>
<p>For more information on LSHSelfAttention layer, see <a href="reformer#lsh-self-attention">LSH Self Attention</a>. For
more information on LocalSelfAttention layer, see <a href="reformer#local-self-attention">Local Self Attention</a>.`,name:"attn_layers"},{anchor:"transformers.ReformerConfig.axial_pos_embds",description:`<strong>axial_pos_embds</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use axial position embeddings. For more information on how axial position embeddings
work, see <a href="reformer#axial-positional-encodings">Axial Position Encodings</a>.`,name:"axial_pos_embds"},{anchor:"transformers.ReformerConfig.axial_norm_std",description:`<strong>axial_norm_std</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
The standard deviation of the normal_initializer for initializing the weight matrices of the axial
positional encodings.`,name:"axial_norm_std"},{anchor:"transformers.ReformerConfig.axial_pos_shape",description:`<strong>axial_pos_shape</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[64, 64]</code>) &#x2014;
The position dims of the axial position encodings. During training, the product of the position dims has to
be equal to the sequence length.</p>
<p>For more information on how axial position embeddings work, see <a href="reformer#axial-positional-encodings">Axial Position
Encodings</a>.`,name:"axial_pos_shape"},{anchor:"transformers.ReformerConfig.axial_pos_embds_dim",description:`<strong>axial_pos_embds_dim</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[64, 192]</code>) &#x2014;
The embedding dims of the axial position encodings. The sum of the embedding dims has to be equal to the
hidden size.</p>
<p>For more information on how axial position embeddings work, see <a href="reformer#axial-positional-encodings">Axial Position
Encodings</a>.`,name:"axial_pos_embds_dim"},{anchor:"transformers.ReformerConfig.chunk_size_lm_head",description:`<strong>chunk_size_lm_head</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
The chunk size of the final language model feed forward head layer. A chunk size of 0 means that the feed
forward layer is not chunked. A chunk size of n means that the feed forward layer processes n &lt;
sequence_length embeddings at a time.</p>
<p>For more information on feed forward chunking, see <a href="../glossary#feed-forward-chunking">How does Feed Forward Chunking
work?</a>.`,name:"chunk_size_lm_head"},{anchor:"transformers.ReformerConfig.eos_token_id",description:`<strong>eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The token id for the end-of-sentence token.`,name:"eos_token_id"},{anchor:"transformers.ReformerConfig.feed_forward_size",description:`<strong>feed_forward_size</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Dimensionality of the feed_forward layer in the residual attention block.`,name:"feed_forward_size"},{anchor:"transformers.ReformerConfig.hash_seed",description:`<strong>hash_seed</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Seed that can be used to make local sensitive hashing in <code>LSHSelfAttention</code> deterministic. This should only
be set for testing purposed. For evaluation and training purposes <code>hash_seed</code> should be left as <code>None</code> to
ensure fully random rotations in local sensitive hashing scheme.`,name:"hash_seed"},{anchor:"transformers.ReformerConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;relu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the feed forward layer in the residual attention
block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.ReformerConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.05) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.ReformerConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the output hidden states of the residual attention blocks.`,name:"hidden_size"},{anchor:"transformers.ReformerConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.ReformerConfig.is_decoder",description:`<strong>is_decoder</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use a causal mask in addition to the <code>attention_mask</code> passed to <a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerModel">ReformerModel</a>. When
using the Reformer for causal language modeling, this argument should be set to <code>True</code>.`,name:"is_decoder"},{anchor:"transformers.ReformerConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.ReformerConfig.local_chunk_length",description:`<strong>local_chunk_length</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Length of chunk which attends to itself in <code>LocalSelfAttention</code>. Chunking reduces memory complexity from
sequence length x sequence length (self attention) to chunk length x chunk length x sequence length / chunk
length (chunked self attention).`,name:"local_chunk_length"},{anchor:"transformers.ReformerConfig.local_num_chunks_before",description:`<strong>local_num_chunks_before</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Number of previous neighbouring chunks to attend to in <code>LocalSelfAttention</code> layer to itself.`,name:"local_num_chunks_before"},{anchor:"transformers.ReformerConfig.local_num_chunks_after",description:`<strong>local_num_chunks_after</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
Number of following neighbouring chunks to attend to in <code>LocalSelfAttention</code> layer in addition to itself.`,name:"local_num_chunks_after"},{anchor:"transformers.ReformerConfig.local_attention_probs_dropout_prob",description:`<strong>local_attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities in <code>LocalSelfAttention</code>.`,name:"local_attention_probs_dropout_prob"},{anchor:"transformers.ReformerConfig.lsh_attn_chunk_length",description:`<strong>lsh_attn_chunk_length</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Length of chunk which attends to itself in <code>LSHSelfAttention</code>. Chunking reduces memory complexity from
sequence length x sequence length (self attention) to chunk length x chunk length x sequence length / chunk
length (chunked self attention).`,name:"lsh_attn_chunk_length"},{anchor:"transformers.ReformerConfig.lsh_num_chunks_before",description:`<strong>lsh_num_chunks_before</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Number of previous neighbouring chunks to attend to in <code>LSHSelfAttention</code> layer to itself.`,name:"lsh_num_chunks_before"},{anchor:"transformers.ReformerConfig.lsh_num_chunks_after",description:`<strong>lsh_num_chunks_after</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
Number of following neighbouring chunks to attend to in <code>LSHSelfAttention</code> layer to itself.`,name:"lsh_num_chunks_after"},{anchor:"transformers.ReformerConfig.lsh_attention_probs_dropout_prob",description:`<strong>lsh_attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities in <code>LSHSelfAttention</code>.`,name:"lsh_attention_probs_dropout_prob"},{anchor:"transformers.ReformerConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.ReformerConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.ReformerConfig.num_buckets",description:`<strong>num_buckets</strong> (<code>int</code> or <code>List[int]</code>, <em>optional</em>) &#x2014;
Number of buckets, the key query vectors can be &#x201C;hashed into&#x201D; using the locality sensitive hashing scheme.
Each query key vector is hashed into a hash in <code>1, ..., num_buckets</code>. The number of buckets can also be
factorized into a list for improved memory complexity. In this case, each query key vector is hashed into a
hash in <code>1-1, 1-2, ..., num_buckets[0]-1, ..., num_buckets[0]-num_buckets[1]</code> if <code>num_buckets</code> is
factorized into two factors. The number of buckets (or the product the factors) should approximately equal
sequence length / lsh_chunk_length. If <code>num_buckets</code> not set, a good value is calculated on the fly.`,name:"num_buckets"},{anchor:"transformers.ReformerConfig.num_hashes",description:`<strong>num_hashes</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Number of hashing rounds (e.g., number of random rotations) in Local Sensitive Hashing scheme. The higher
<code>num_hashes</code>, the more accurate the <code>LSHSelfAttention</code> becomes, but also the more memory and time intensive
the hashing becomes.`,name:"num_hashes"},{anchor:"transformers.ReformerConfig.pad_token_id",description:`<strong>pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
The token id for the padding token.`,name:"pad_token_id"},{anchor:"transformers.ReformerConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 320) &#x2014;\\
Vocabulary size of the Reformer model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerModel">ReformerModel</a>.`,name:"vocab_size"},{anchor:"transformers.ReformerConfig.tie_word_embeddings",description:`<strong>tie_word_embeddings</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to tie input and output embeddings.`,name:"tie_word_embeddings"},{anchor:"transformers.ReformerConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"},{anchor:"transformers.ReformerConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>) &#x2014;
The dropout ratio for the classification head.`,name:"classifier_dropout"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/configuration_reformer.py#L32"}}),ae=new Pe({props:{anchor:"transformers.ReformerConfig.example",$$slots:{default:[tf]},$$scope:{ctx:$}}}),ta=new X({}),na=new U({props:{name:"class transformers.ReformerTokenizer",anchor:"transformers.ReformerTokenizer",parameters:[{name:"vocab_file",val:""},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"additional_special_tokens",val:" = []"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ReformerTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.ReformerTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.ReformerTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.ReformerTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.ReformerTokenizer.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"},{anchor:"transformers.ReformerTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/tokenization_reformer.py#L48"}}),la=new U({props:{name:"save_vocabulary",anchor:"transformers.ReformerTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/tokenization_reformer.py#L173"}}),ma=new X({}),pa=new U({props:{name:"class transformers.ReformerTokenizerFast",anchor:"transformers.ReformerTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"additional_special_tokens",val:" = []"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ReformerTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.ReformerTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.ReformerTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.ReformerTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.ReformerTokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/tokenization_reformer_fast.py#L57"}}),da=new X({}),ga=new U({props:{name:"class transformers.ReformerModel",anchor:"transformers.ReformerModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ReformerModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig">ReformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/modeling_reformer.py#L1977"}}),ya=new U({props:{name:"forward",anchor:"transformers.ReformerModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"num_hashes",val:": typing.Optional[int] = None"},{name:"past_buckets_states",val:": typing.Optional[typing.List[typing.Tuple[torch.Tensor]]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ReformerModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. During training the input_ids sequence_length has to be
a multiple of the relevant model&#x2019;s chunk lengths (lsh&#x2019;s, local&#x2019;s or both). During evaluation, the indices
are automatically padded to be a multiple of the chunk length.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.ReformerModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.ReformerModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.ReformerModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ReformerModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.ReformerModel.forward.num_hashes",description:`<strong>num_hashes</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The number of hashing rounds that should be performed during bucketing. Setting this argument overwrites
the default defined in <code>config.num_hashes</code>.</p>
<p>For more information, see <code>num_hashes</code> in <a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig">ReformerConfig</a>.`,name:"num_hashes"},{anchor:"transformers.ReformerModel.forward.past_buckets_states",description:`<strong>past_buckets_states</strong> (<code>List[Tuple(torch.LongTensor, torch.FloatTensor)]</code>, <em>optional</em>) &#x2014;
List of <code>Tuple(torch.LongTensor, torch.FloatTensor</code> of length <code>config.n_layers</code>, with the first element
being the previous <em>buckets</em> of shape <code>(batch_size, num_heads, num_hashes, sequence_length)</code>) and the
second being the previous <em>hidden_states</em> of shape <code>(batch_size, sequence_length, hidden_size)</code>).</p>
<p>Contains precomputed hidden-states and buckets (only relevant for LSH Self-Attention). Can be used to speed
up sequential decoding.`,name:"past_buckets_states"},{anchor:"transformers.ReformerModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.ReformerModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ReformerModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ReformerModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/modeling_reformer.py#L2005",returnDescription:`
<p>A <code>transformers.models.reformer.modeling_reformer.ReformerModelOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig"
>ReformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_predict, hidden_size)</code>) \u2014 Sequence of hidden-states at the last layer of the model.</p>
<p><code>num_predict</code> corresponds to <code>target_mapping.shape[1]</code>. If <code>target_mapping</code> is <code>None</code>, then <code>num_predict</code>
corresponds to <code>sequence_length</code>.</p>
</li>
<li>
<p><strong>past_buckets_states</strong> (<code>List[Tuple(torch.LongTensor, torch.FloatTensor)]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>Tuple(torch.LongTensor, torch.FloatTensor</code> of length <code>config.n_layers</code>, with the first element
being the previous <em>buckets</em> of shape <code>(batch_size, num_heads, num_hashes, sequence_length)</code>) and the
second being the previous <em>hidden_states</em> of shape <code>(batch_size, sequence_length, hidden_size)</code>).</p>
<p>Contains precomputed buckets and hidden-states that can be used (see <code>past_buckets_states</code> input) to speed
up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings and one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.models.reformer.modeling_reformer.ReformerModelOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),re=new Ht({props:{$$slots:{default:[nf]},$$scope:{ctx:$}}}),ie=new Pe({props:{anchor:"transformers.ReformerModel.forward.example",$$slots:{default:[of]},$$scope:{ctx:$}}}),ka=new X({}),wa=new U({props:{name:"class transformers.ReformerModelWithLMHead",anchor:"transformers.ReformerModelWithLMHead",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ReformerModelWithLMHead.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig">ReformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/modeling_reformer.py#L2188"}}),Ma=new U({props:{name:"forward",anchor:"transformers.ReformerModelWithLMHead.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"num_hashes",val:": typing.Optional[int] = None"},{name:"past_buckets_states",val:": typing.Optional[typing.List[typing.Tuple[torch.Tensor]]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.ReformerModelWithLMHead.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. During training the input_ids sequence_length has to be
a multiple of the relevant model&#x2019;s chunk lengths (lsh&#x2019;s, local&#x2019;s or both). During evaluation, the indices
are automatically padded to be a multiple of the chunk length.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.ReformerModelWithLMHead.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.ReformerModelWithLMHead.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.ReformerModelWithLMHead.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ReformerModelWithLMHead.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.ReformerModelWithLMHead.forward.num_hashes",description:`<strong>num_hashes</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The number of hashing rounds that should be performed during bucketing. Setting this argument overwrites
the default defined in <code>config.num_hashes</code>.</p>
<p>For more information, see <code>num_hashes</code> in <a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig">ReformerConfig</a>.`,name:"num_hashes"},{anchor:"transformers.ReformerModelWithLMHead.forward.past_buckets_states",description:`<strong>past_buckets_states</strong> (<code>List[Tuple(torch.LongTensor, torch.FloatTensor)]</code>, <em>optional</em>) &#x2014;
List of <code>Tuple(torch.LongTensor, torch.FloatTensor</code> of length <code>config.n_layers</code>, with the first element
being the previous <em>buckets</em> of shape <code>(batch_size, num_heads, num_hashes, sequence_length)</code>) and the
second being the previous <em>hidden_states</em> of shape <code>(batch_size, sequence_length, hidden_size)</code>).</p>
<p>Contains precomputed hidden-states and buckets (only relevant for LSH Self-Attention). Can be used to speed
up sequential decoding.`,name:"past_buckets_states"},{anchor:"transformers.ReformerModelWithLMHead.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.ReformerModelWithLMHead.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ReformerModelWithLMHead.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ReformerModelWithLMHead.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ReformerModelWithLMHead.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[-100, 0, ..., config.vocab_size - 1]</code>. All labels set to <code>-100</code> are ignored (masked), the loss is only computed for
labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/modeling_reformer.py#L2215",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig"
>ReformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),me=new Ht({props:{$$slots:{default:[rf]},$$scope:{ctx:$}}}),pe=new Pe({props:{anchor:"transformers.ReformerModelWithLMHead.forward.example",$$slots:{default:[lf]},$$scope:{ctx:$}}}),Ra=new X({}),qa=new U({props:{name:"class transformers.ReformerForMaskedLM",anchor:"transformers.ReformerForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ReformerForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig">ReformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/modeling_reformer.py#L2314"}}),Pa=new U({props:{name:"forward",anchor:"transformers.ReformerForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"num_hashes",val:": typing.Optional[int] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ReformerForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. During training the input_ids sequence_length has to be
a multiple of the relevant model&#x2019;s chunk lengths (lsh&#x2019;s, local&#x2019;s or both). During evaluation, the indices
are automatically padded to be a multiple of the chunk length.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.ReformerForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.ReformerForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.ReformerForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ReformerForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.ReformerForMaskedLM.forward.num_hashes",description:`<strong>num_hashes</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The number of hashing rounds that should be performed during bucketing. Setting this argument overwrites
the default defined in <code>config.num_hashes</code>.</p>
<p>For more information, see <code>num_hashes</code> in <a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig">ReformerConfig</a>.`,name:"num_hashes"},{anchor:"transformers.ReformerForMaskedLM.forward.past_buckets_states",description:`<strong>past_buckets_states</strong> (<code>List[Tuple(torch.LongTensor, torch.FloatTensor)]</code>, <em>optional</em>) &#x2014;
List of <code>Tuple(torch.LongTensor, torch.FloatTensor</code> of length <code>config.n_layers</code>, with the first element
being the previous <em>buckets</em> of shape <code>(batch_size, num_heads, num_hashes, sequence_length)</code>) and the
second being the previous <em>hidden_states</em> of shape <code>(batch_size, sequence_length, hidden_size)</code>).</p>
<p>Contains precomputed hidden-states and buckets (only relevant for LSH Self-Attention). Can be used to speed
up sequential decoding.`,name:"past_buckets_states"},{anchor:"transformers.ReformerForMaskedLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.ReformerForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ReformerForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ReformerForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ReformerForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked),
the loss is only computed for the tokens with labels`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/modeling_reformer.py#L2333",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig"
>ReformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),he=new Ht({props:{$$slots:{default:[mf]},$$scope:{ctx:$}}}),de=new Ht({props:{warning:!0,$$slots:{default:[pf]},$$scope:{ctx:$}}}),ge=new Pe({props:{anchor:"transformers.ReformerForMaskedLM.forward.example",$$slots:{default:[cf]},$$scope:{ctx:$}}}),ue=new Pe({props:{anchor:"transformers.ReformerForMaskedLM.forward.example-2",$$slots:{default:[hf]},$$scope:{ctx:$}}}),Ca=new X({}),ja=new U({props:{name:"class transformers.ReformerForSequenceClassification",anchor:"transformers.ReformerForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ReformerForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig">ReformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/modeling_reformer.py#L2442"}}),Ia=new U({props:{name:"forward",anchor:"transformers.ReformerForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"num_hashes",val:": typing.Optional[int] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ReformerForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. During training the input_ids sequence_length has to be
a multiple of the relevant model&#x2019;s chunk lengths (lsh&#x2019;s, local&#x2019;s or both). During evaluation, the indices
are automatically padded to be a multiple of the chunk length.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.ReformerForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.ReformerForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.ReformerForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ReformerForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.ReformerForSequenceClassification.forward.num_hashes",description:`<strong>num_hashes</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The number of hashing rounds that should be performed during bucketing. Setting this argument overwrites
the default defined in <code>config.num_hashes</code>.</p>
<p>For more information, see <code>num_hashes</code> in <a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig">ReformerConfig</a>.`,name:"num_hashes"},{anchor:"transformers.ReformerForSequenceClassification.forward.past_buckets_states",description:`<strong>past_buckets_states</strong> (<code>List[Tuple(torch.LongTensor, torch.FloatTensor)]</code>, <em>optional</em>) &#x2014;
List of <code>Tuple(torch.LongTensor, torch.FloatTensor</code> of length <code>config.n_layers</code>, with the first element
being the previous <em>buckets</em> of shape <code>(batch_size, num_heads, num_hashes, sequence_length)</code>) and the
second being the previous <em>hidden_states</em> of shape <code>(batch_size, sequence_length, hidden_size)</code>).</p>
<p>Contains precomputed hidden-states and buckets (only relevant for LSH Self-Attention). Can be used to speed
up sequential decoding.`,name:"past_buckets_states"},{anchor:"transformers.ReformerForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.ReformerForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ReformerForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ReformerForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ReformerForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/modeling_reformer.py#L2456",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig"
>ReformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),_e=new Ht({props:{$$slots:{default:[df]},$$scope:{ctx:$}}}),ve=new Pe({props:{anchor:"transformers.ReformerForSequenceClassification.forward.example",$$slots:{default:[gf]},$$scope:{ctx:$}}}),be=new Pe({props:{anchor:"transformers.ReformerForSequenceClassification.forward.example-2",$$slots:{default:[uf]},$$scope:{ctx:$}}}),Wa=new X({}),Qa=new U({props:{name:"class transformers.ReformerForQuestionAnswering",anchor:"transformers.ReformerForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ReformerForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig">ReformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/modeling_reformer.py#L2589"}}),Ga=new U({props:{name:"forward",anchor:"transformers.ReformerForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"num_hashes",val:": typing.Optional[int] = None"},{name:"start_positions",val:": typing.Optional[torch.Tensor] = None"},{name:"end_positions",val:": typing.Optional[torch.Tensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ReformerForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. During training the input_ids sequence_length has to be
a multiple of the relevant model&#x2019;s chunk lengths (lsh&#x2019;s, local&#x2019;s or both). During evaluation, the indices
are automatically padded to be a multiple of the chunk length.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.ReformerForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.ReformerForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.ReformerForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.ReformerForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.ReformerForQuestionAnswering.forward.num_hashes",description:`<strong>num_hashes</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The number of hashing rounds that should be performed during bucketing. Setting this argument overwrites
the default defined in <code>config.num_hashes</code>.</p>
<p>For more information, see <code>num_hashes</code> in <a href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig">ReformerConfig</a>.`,name:"num_hashes"},{anchor:"transformers.ReformerForQuestionAnswering.forward.past_buckets_states",description:`<strong>past_buckets_states</strong> (<code>List[Tuple(torch.LongTensor, torch.FloatTensor)]</code>, <em>optional</em>) &#x2014;
List of <code>Tuple(torch.LongTensor, torch.FloatTensor</code> of length <code>config.n_layers</code>, with the first element
being the previous <em>buckets</em> of shape <code>(batch_size, num_heads, num_hashes, sequence_length)</code>) and the
second being the previous <em>hidden_states</em> of shape <code>(batch_size, sequence_length, hidden_size)</code>).</p>
<p>Contains precomputed hidden-states and buckets (only relevant for LSH Self-Attention). Can be used to speed
up sequential decoding.`,name:"past_buckets_states"},{anchor:"transformers.ReformerForQuestionAnswering.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.ReformerForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.ReformerForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ReformerForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ReformerForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.ReformerForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/reformer/modeling_reformer.py#L2601",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/reformer#transformers.ReformerConfig"
>ReformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ke=new Ht({props:{$$slots:{default:[ff]},$$scope:{ctx:$}}}),we=new Pe({props:{anchor:"transformers.ReformerForQuestionAnswering.forward.example",$$slots:{default:[_f]},$$scope:{ctx:$}}}),{c(){d=o("meta"),v=c(),u=o("h1"),f=o("a"),b=o("span"),y(m.$$.fragment),_=c(),A=o("span"),Hi=t("Reformer"),_o=c(),ys=o("div"),st=o("a"),et=o("img"),Ii=c(),at=o("a"),tt=o("img"),vo=c(),ks=o("p"),It=o("strong"),Wi=t("DISCLAIMER:"),Qi=t(" This model is still a work in progress, if you see something strange, file a "),je=o("a"),Ki=t("Github Issue"),Ui=t("."),bo=c(),ws=o("h2"),Bs=o("a"),Wt=o("span"),y(Se.$$.fragment),Xi=c(),Qt=o("span"),Bi=t("Overview"),yo=c(),Vs=o("p"),Vi=t("The Reformer model was proposed in the paper "),Oe=o("a"),Gi=t("Reformer: The Efficient Transformer"),Ji=t(" by Nikita Kitaev, \u0141ukasz Kaiser, Anselm Levskaya."),ko=c(),nt=o("p"),Yi=t("The abstract from the paper is the following:"),wo=c(),ot=o("p"),Kt=o("em"),Zi=t(`Large Transformer models routinely achieve state-of-the-art results on a number of tasks but training these models can
be prohibitively costly, especially on long sequences. We introduce two techniques to improve the efficiency of
Transformers. For one, we replace dot-product attention by one that uses locality-sensitive hashing, changing its
complexity from O(L^2) to O(Llog(L)), where L is the length of the sequence. Furthermore, we use reversible residual
layers instead of the standard residuals, which allows storing activations only once in the training process instead of
N times, where N is the number of layers. The resulting model, the Reformer, performs on par with Transformer models
while being much more memory-efficient and much faster on long sequences.`),xo=c(),ms=o("p"),sl=t("This model was contributed by "),Ne=o("a"),el=t("patrickvonplaten"),al=t(`. The Authors\u2019 code can be
found `),De=o("a"),tl=t("here"),nl=t("."),zo=c(),rt=o("p"),ol=t("Tips:"),To=c(),I=o("ul"),is=o("li"),rl=t("Reformer does "),Ut=o("strong"),il=t("not"),ll=t(" work with "),Xt=o("em"),ml=t("torch.nn.DataParallel"),pl=t(" due to a bug in PyTorch, see "),He=o("a"),cl=t("issue #36035"),hl=t("."),dl=c(),Bt=o("li"),gl=t("Use Axial position encoding (see below for more details). It\u2019s a mechanism to avoid having a huge positional encoding matrix (when the sequence length is very big) by factorizing it into smaller matrices."),ul=c(),Vt=o("li"),fl=t("Replace traditional attention by LSH (local-sensitive hashing) attention (see below for more details). It\u2019s a technique to avoid computing the full product query-key in the attention layers."),_l=c(),Gt=o("li"),vl=t("Avoid storing the intermediate results of each layer by using reversible transformer layers to obtain them during the backward pass (subtracting the residuals from the input of the next layer gives them back) or recomputing them for results inside a given layer (less efficient than storing them but saves memory)."),bl=c(),Jt=o("li"),yl=t("Compute the feedforward operations by chunks and not on the whole batch."),$o=c(),xs=o("h2"),Gs=o("a"),Yt=o("span"),y(Ie.$$.fragment),kl=c(),Zt=o("span"),wl=t("Axial Positional Encodings"),Mo=c(),q=o("p"),xl=t("Axial Positional Encodings were first implemented in Google\u2019s "),We=o("a"),zl=t("trax library"),Tl=t(`
and developed by the authors of this model\u2019s paper. In models that are treating very long input sequences, the
conventional position id encodings store an embedings vector of size `),Ro=new M,qo=t(" being the "),sn=o("code"),$l=t("config.hidden_size"),Ml=t(` for
every position `),Eo=new M,Lo=t(", with "),Ao=new M,Fo=t(" being "),en=o("code"),Rl=t("config.max_embedding_size"),ql=t(`. This means that having
a sequence length of `),Po=new M,Co=t(" and a "),an=o("code"),El=t("config.hidden_size"),Ll=t(" of "),jo=new M,So=t(`
would result in a position encoding matrix:
`),Oo=new M,No=c(),zs=o("p"),Al=t("which alone has over 500M parameters to store. Axial positional encodings factorize "),Do=new M,Ho=t(` into two matrices:
`),Io=new M,Wo=c(),Qe=o("p"),Fl=t(`and
`),Qo=new M,Ko=c(),Ke=o("p"),Pl=t(`with:
`),Uo=new M,Xo=c(),Ue=o("p"),Cl=t(`Therefore the following holds:
`),Bo=new M,Vo=c(),F=o("p"),jl=t("Intuitively, this means that a position embedding vector "),Go=new M,Jo=t(` is now the composition of two
factorized embedding vectors: `),Yo=new M,Zo=t(", where as the "),tn=o("code"),Sl=t("config.max_embedding_size"),Ol=t(` dimension
`),sr=new M,er=t(" is factorized into "),ar=new M,tr=t(`. This design ensures that each position embedding vector
`),nr=new M,or=t(" is unique."),rr=c(),ps=o("p"),Nl=t("Using the above example again, axial position encoding with "),ir=new M,lr=t(`
can drastically reduced the number of parameters from 500 000 000 to `),mr=new M,pr=t(" parameters, this means 85% less memory usage."),cr=c(),E=o("p"),Dl=t("In practice, the parameter "),nn=o("code"),Hl=t("config.axial_pos_embds_dim"),Il=t(" is set to a tuple "),hr=new M,dr=t(` which sum has to be
equal to `),on=o("code"),Wl=t("config.hidden_size"),Ql=t(" and "),rn=o("code"),Kl=t("config.axial_pos_shape"),Ul=t(" is set to a tuple "),gr=new M,ur=t(` which
product has to be equal to `),ln=o("code"),Xl=t("config.max_embedding_size"),Bl=t(", which during training has to be equal to the "),mn=o("em"),Vl=t(`sequence
length`),Gl=t(" of the "),pn=o("code"),Jl=t("input_ids"),Yl=t("."),fr=c(),Ts=o("h2"),Js=o("a"),cn=o("span"),y(Xe.$$.fragment),Zl=c(),hn=o("span"),sm=t("LSH Self Attention"),_r=c(),G=o("p"),em=t(`In Locality sensitive hashing (LSH) self attention the key and query projection weights are tied. Therefore, the key
query embedding vectors are also tied. LSH self attention uses the locality sensitive hashing mechanism proposed in
`),Be=o("a"),am=t("Practical and Optimal LSH for Angular Distance"),tm=t(` to assign each of the tied key
query embedding vectors to one of `),dn=o("code"),nm=t("config.num_buckets"),om=t(` possible buckets. The premise is that the more \u201Csimilar\u201D
key query embedding vectors (in terms of `),gn=o("em"),rm=t("cosine similarity"),im=t(`) are to each other, the more likely they are assigned to
the same bucket.`),vr=c(),S=o("p"),lm=t("The accuracy of the LSH mechanism can be improved by increasing "),un=o("code"),mm=t("config.num_hashes"),pm=t(` or directly the argument
`),fn=o("code"),cm=t("num_hashes"),hm=t(` of the forward function so that the output of the LSH self attention better approximates the output
of the \u201Cnormal\u201D full self attention. The buckets are then sorted and chunked into query key embedding vector chunks
each of length `),_n=o("code"),dm=t("config.lsh_chunk_length"),gm=t(`. For each chunk, the query embedding vectors attend to its key vectors
(which are tied to themselves) and to the key embedding vectors of `),vn=o("code"),um=t("config.lsh_num_chunks_before"),fm=t(` previous
neighboring chunks and `),bn=o("code"),_m=t("config.lsh_num_chunks_after"),vm=t(" following neighboring chunks."),br=c(),cs=o("p"),bm=t("For more information, see the "),Ve=o("a"),ym=t("original Paper"),km=t(" or this great "),Ge=o("a"),wm=t("blog post"),xm=t("."),yr=c(),W=o("p"),zm=t("Note that "),yn=o("code"),Tm=t("config.num_buckets"),$m=t(" can also be factorized into a list "),kr=new M,wr=t(". This way instead of assigning the query key embedding vectors to one of "),xr=new M,zr=t(" they are assigned to one of "),Tr=new M,$r=t(`. This is crucial for very long sequences to
save memory.`),Mr=c(),hs=o("p"),Mm=t("When training a model from scratch, it is recommended to leave "),kn=o("code"),Rm=t("config.num_buckets=None"),qm=t(`, so that depending on the
sequence length a good value for `),wn=o("code"),Em=t("num_buckets"),Lm=t(` is calculated on the fly. This value will then automatically be
saved in the config and should be reused for inference.`),Rr=c(),J=o("p"),Am=t(`Using LSH self attention, the memory and time complexity of the query-key matmul operation can be reduced from
`),qr=new M,Er=t(" to "),Lr=new M,Ar=t(`, which usually represents the memory
and time bottleneck in a transformer model, with `),Fr=new M,Pr=t(" being the sequence length."),Cr=c(),$s=o("h2"),Ys=o("a"),xn=o("span"),y(Je.$$.fragment),Fm=c(),zn=o("span"),Pm=t("Local Self Attention"),jr=c(),Y=o("p"),Cm=t(`Local self attention is essentially a \u201Cnormal\u201D self attention layer with key, query and value projections, but is
chunked so that in each chunk of length `),Tn=o("code"),jm=t("config.local_chunk_length"),Sm=t(` the query embedding vectors only attends to
the key embedding vectors in its chunk and to the key embedding vectors of `),$n=o("code"),Om=t("config.local_num_chunks_before"),Nm=t(`
previous neighboring chunks and `),Mn=o("code"),Dm=t("config.local_num_chunks_after"),Hm=t(" following neighboring chunks."),Sr=c(),Z=o("p"),Im=t(`Using Local self attention, the memory and time complexity of the query-key matmul operation can be reduced from
`),Or=new M,Nr=t(" to "),Dr=new M,Hr=t(`, which usually represents the memory
and time bottleneck in a transformer model, with `),Ir=new M,Wr=t(" being the sequence length."),Qr=c(),Ms=o("h2"),Zs=o("a"),Rn=o("span"),y(Ye.$$.fragment),Wm=c(),qn=o("span"),Qm=t("Training"),Kr=c(),ds=o("p"),Km=t(`During training, we must ensure that the sequence length is set to a value that can be divided by the least common
multiple of `),En=o("code"),Um=t("config.lsh_chunk_length"),Xm=t(" and "),Ln=o("code"),Bm=t("config.local_chunk_length"),Vm=t(` and that the parameters of the Axial
Positional Encodings are correctly set as described above. Reformer is very memory efficient so that the model can
easily be trained on sequences as long as 64000 tokens.`),Ur=c(),se=o("p"),Gm=t("For training, the "),it=o("a"),Jm=t("ReformerModelWithLMHead"),Ym=t(" should be used as follows:"),Xr=c(),y(Ze.$$.fragment),Br=c(),Rs=o("h2"),ee=o("a"),An=o("span"),y(sa.$$.fragment),Zm=c(),Fn=o("span"),sp=t("ReformerConfig"),Vr=c(),B=o("div"),y(ea.$$.fragment),ep=c(),qs=o("p"),ap=t("This is the configuration class to store the configuration of a "),lt=o("a"),tp=t("ReformerModel"),np=t(`. It is used to instantiate a
Reformer model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ReFormer
`),aa=o("a"),op=t("google/reformer-crime-and-punishment"),rp=t(" architecture."),ip=c(),Es=o("p"),lp=t("Configuration objects inherit from "),mt=o("a"),mp=t("PretrainedConfig"),pp=t(` and can be used to control the model outputs. Read the
documentation from `),pt=o("a"),cp=t("PretrainedConfig"),hp=t(" for more information."),dp=c(),y(ae.$$.fragment),Gr=c(),Ls=o("h2"),te=o("a"),Pn=o("span"),y(ta.$$.fragment),gp=c(),Cn=o("span"),up=t("ReformerTokenizer"),Jr=c(),V=o("div"),y(na.$$.fragment),fp=c(),oa=o("p"),_p=t("Construct a Reformer tokenizer. Based on "),ra=o("a"),vp=t("SentencePiece"),bp=t(" ."),yp=c(),ia=o("p"),kp=t("This tokenizer inherits from "),ct=o("a"),wp=t("PreTrainedTokenizer"),xp=t(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),zp=c(),ht=o("div"),y(la.$$.fragment),Yr=c(),As=o("h2"),ne=o("a"),jn=o("span"),y(ma.$$.fragment),Tp=c(),Sn=o("span"),$p=t("ReformerTokenizerFast"),Zr=c(),ls=o("div"),y(pa.$$.fragment),Mp=c(),Fs=o("p"),Rp=t("Construct a \u201Cfast\u201D Reformer tokenizer (backed by HuggingFace\u2019s "),On=o("em"),qp=t("tokenizers"),Ep=t(` library). Based on
`),ca=o("a"),Lp=t("Unigram"),Ap=t("."),Fp=c(),ha=o("p"),Pp=t("This tokenizer inherits from "),dt=o("a"),Cp=t("PreTrainedTokenizerFast"),jp=t(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),si=c(),Ps=o("h2"),oe=o("a"),Nn=o("span"),y(da.$$.fragment),Sp=c(),Dn=o("span"),Op=t("ReformerModel"),ei=c(),N=o("div"),y(ga.$$.fragment),Np=c(),ua=o("p"),Dp=t(`The bare Reformer Model transformer outputting raw hidden-stateswithout any specific head on top.
Reformer was proposed in `),fa=o("a"),Hp=t("Reformer: The Efficient Transformer"),Ip=t(` by Nikita Kitaev,
\u0141ukasz Kaiser, Anselm Levskaya.`),Wp=c(),_a=o("p"),Qp=t("This model inherits from "),gt=o("a"),Kp=t("PreTrainedModel"),Up=t(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Xp=c(),va=o("p"),Bp=t("This model is also a PyTorch "),ba=o("a"),Vp=t("torch.nn.Module"),Gp=t(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Jp=c(),ss=o("div"),y(ya.$$.fragment),Yp=c(),Cs=o("p"),Zp=t("The "),ut=o("a"),sc=t("ReformerModel"),ec=t(" forward method, overrides the "),Hn=o("code"),ac=t("__call__"),tc=t(" special method."),nc=c(),y(re.$$.fragment),oc=c(),y(ie.$$.fragment),ai=c(),js=o("h2"),le=o("a"),In=o("span"),y(ka.$$.fragment),rc=c(),Wn=o("span"),ic=t("ReformerModelWithLMHead"),ti=c(),D=o("div"),y(wa.$$.fragment),lc=c(),Ss=o("p"),mc=t("Reformer Model with a "),Qn=o("code"),pc=t("language modeling"),cc=t(` head on top.
Reformer was proposed in `),xa=o("a"),hc=t("Reformer: The Efficient Transformer"),dc=t(` by Nikita Kitaev,
\u0141ukasz Kaiser, Anselm Levskaya.`),gc=c(),za=o("p"),uc=t("This model inherits from "),ft=o("a"),fc=t("PreTrainedModel"),_c=t(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),vc=c(),Ta=o("p"),bc=t("This model is also a PyTorch "),$a=o("a"),yc=t("torch.nn.Module"),kc=t(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),wc=c(),es=o("div"),y(Ma.$$.fragment),xc=c(),Os=o("p"),zc=t("The "),_t=o("a"),Tc=t("ReformerModelWithLMHead"),$c=t(" forward method, overrides the "),Kn=o("code"),Mc=t("__call__"),Rc=t(" special method."),qc=c(),y(me.$$.fragment),Ec=c(),y(pe.$$.fragment),ni=c(),Ns=o("h2"),ce=o("a"),Un=o("span"),y(Ra.$$.fragment),Lc=c(),Xn=o("span"),Ac=t("ReformerForMaskedLM"),oi=c(),H=o("div"),y(qa.$$.fragment),Fc=c(),Ds=o("p"),Pc=t("Reformer Model with a "),Bn=o("code"),Cc=t("language modeling"),jc=t(` head on top.
Reformer was proposed in `),Ea=o("a"),Sc=t("Reformer: The Efficient Transformer"),Oc=t(` by Nikita Kitaev,
\u0141ukasz Kaiser, Anselm Levskaya.`),Nc=c(),La=o("p"),Dc=t("This model inherits from "),vt=o("a"),Hc=t("PreTrainedModel"),Ic=t(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Wc=c(),Aa=o("p"),Qc=t("This model is also a PyTorch "),Fa=o("a"),Kc=t("torch.nn.Module"),Uc=t(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Xc=c(),O=o("div"),y(Pa.$$.fragment),Bc=c(),Hs=o("p"),Vc=t("The "),bt=o("a"),Gc=t("ReformerForMaskedLM"),Jc=t(" forward method, overrides the "),Vn=o("code"),Yc=t("__call__"),Zc=t(" special method."),sh=c(),y(he.$$.fragment),eh=c(),y(de.$$.fragment),ah=c(),y(ge.$$.fragment),th=c(),y(ue.$$.fragment),ri=c(),Is=o("h2"),fe=o("a"),Gn=o("span"),y(Ca.$$.fragment),nh=c(),Jn=o("span"),oh=t("ReformerForSequenceClassification"),ii=c(),C=o("div"),y(ja.$$.fragment),rh=c(),Yn=o("p"),ih=t(`Reformer Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),lh=c(),Sa=o("p"),mh=t("Reformer was proposed in "),Oa=o("a"),ph=t("Reformer: The Efficient Transformer"),ch=t(` by Nikita Kitaev,
\u0141ukasz Kaiser, Anselm Levskaya.`),hh=c(),Na=o("p"),dh=t("This model inherits from "),yt=o("a"),gh=t("PreTrainedModel"),uh=t(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),fh=c(),Da=o("p"),_h=t("This model is also a PyTorch "),Ha=o("a"),vh=t("torch.nn.Module"),bh=t(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),yh=c(),Q=o("div"),y(Ia.$$.fragment),kh=c(),Ws=o("p"),wh=t("The "),kt=o("a"),xh=t("ReformerForSequenceClassification"),zh=t(" forward method, overrides the "),Zn=o("code"),Th=t("__call__"),$h=t(" special method."),Mh=c(),y(_e.$$.fragment),Rh=c(),y(ve.$$.fragment),qh=c(),y(be.$$.fragment),li=c(),Qs=o("h2"),ye=o("a"),so=o("span"),y(Wa.$$.fragment),Eh=c(),eo=o("span"),Lh=t("ReformerForQuestionAnswering"),mi=c(),j=o("div"),y(Qa.$$.fragment),Ah=c(),Ks=o("p"),Fh=t(`Reformer Model with a span classification head on top for extractive question-answering tasks like SQuAD / TriviaQA
( a linear layer on top of hidden-states output to compute `),ao=o("code"),Ph=t("span start logits"),Ch=t(" and "),to=o("code"),jh=t("span end logits"),Sh=t("."),Oh=c(),Ka=o("p"),Nh=t("Reformer was proposed in "),Ua=o("a"),Dh=t("Reformer: The Efficient Transformer"),Hh=t(` by Nikita Kitaev,
\u0141ukasz Kaiser, Anselm Levskaya.`),Ih=c(),Xa=o("p"),Wh=t("This model inherits from "),wt=o("a"),Qh=t("PreTrainedModel"),Kh=t(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Uh=c(),Ba=o("p"),Xh=t("This model is also a PyTorch "),Va=o("a"),Bh=t("torch.nn.Module"),Vh=t(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Gh=c(),as=o("div"),y(Ga.$$.fragment),Jh=c(),Us=o("p"),Yh=t("The "),xt=o("a"),Zh=t("ReformerForQuestionAnswering"),sd=t(" forward method, overrides the "),no=o("code"),ed=t("__call__"),ad=t(" special method."),td=c(),y(ke.$$.fragment),nd=c(),y(we.$$.fragment),this.h()},l(e){const p=ef('[data-svelte="svelte-1phssyn"]',document.head);d=r(p,"META",{name:!0,content:!0}),p.forEach(a),v=h(e),u=r(e,"H1",{class:!0});var Ja=i(u);f=r(Ja,"A",{id:!0,class:!0,href:!0});var oo=i(f);b=r(oo,"SPAN",{});var ro=i(b);k(m.$$.fragment,ro),ro.forEach(a),oo.forEach(a),_=h(Ja),A=r(Ja,"SPAN",{});var io=i(A);Hi=n(io,"Reformer"),io.forEach(a),Ja.forEach(a),_o=h(e),ys=r(e,"DIV",{class:!0});var Ya=i(ys);st=r(Ya,"A",{href:!0});var lo=i(st);et=r(lo,"IMG",{alt:!0,src:!0}),lo.forEach(a),Ii=h(Ya),at=r(Ya,"A",{href:!0});var mo=i(at);tt=r(mo,"IMG",{alt:!0,src:!0}),mo.forEach(a),Ya.forEach(a),vo=h(e),ks=r(e,"P",{});var xe=i(ks);It=r(xe,"STRONG",{});var po=i(It);Wi=n(po,"DISCLAIMER:"),po.forEach(a),Qi=n(xe," This model is still a work in progress, if you see something strange, file a "),je=r(xe,"A",{href:!0,rel:!0});var co=i(je);Ki=n(co,"Github Issue"),co.forEach(a),Ui=n(xe,"."),xe.forEach(a),bo=h(e),ws=r(e,"H2",{class:!0});var Za=i(ws);Bs=r(Za,"A",{id:!0,class:!0,href:!0});var ho=i(Bs);Wt=r(ho,"SPAN",{});var go=i(Wt);k(Se.$$.fragment,go),go.forEach(a),ho.forEach(a),Xi=h(Za),Qt=r(Za,"SPAN",{});var uo=i(Qt);Bi=n(uo,"Overview"),uo.forEach(a),Za.forEach(a),yo=h(e),Vs=r(e,"P",{});var ci=i(Vs);Vi=n(ci,"The Reformer model was proposed in the paper "),Oe=r(ci,"A",{href:!0,rel:!0});var pd=i(Oe);Gi=n(pd,"Reformer: The Efficient Transformer"),pd.forEach(a),Ji=n(ci," by Nikita Kitaev, \u0141ukasz Kaiser, Anselm Levskaya."),ci.forEach(a),ko=h(e),nt=r(e,"P",{});var cd=i(nt);Yi=n(cd,"The abstract from the paper is the following:"),cd.forEach(a),wo=h(e),ot=r(e,"P",{});var hd=i(ot);Kt=r(hd,"EM",{});var dd=i(Kt);Zi=n(dd,`Large Transformer models routinely achieve state-of-the-art results on a number of tasks but training these models can
be prohibitively costly, especially on long sequences. We introduce two techniques to improve the efficiency of
Transformers. For one, we replace dot-product attention by one that uses locality-sensitive hashing, changing its
complexity from O(L^2) to O(Llog(L)), where L is the length of the sequence. Furthermore, we use reversible residual
layers instead of the standard residuals, which allows storing activations only once in the training process instead of
N times, where N is the number of layers. The resulting model, the Reformer, performs on par with Transformer models
while being much more memory-efficient and much faster on long sequences.`),dd.forEach(a),hd.forEach(a),xo=h(e),ms=r(e,"P",{});var zt=i(ms);sl=n(zt,"This model was contributed by "),Ne=r(zt,"A",{href:!0,rel:!0});var gd=i(Ne);el=n(gd,"patrickvonplaten"),gd.forEach(a),al=n(zt,`. The Authors\u2019 code can be
found `),De=r(zt,"A",{href:!0,rel:!0});var ud=i(De);tl=n(ud,"here"),ud.forEach(a),nl=n(zt,"."),zt.forEach(a),zo=h(e),rt=r(e,"P",{});var fd=i(rt);ol=n(fd,"Tips:"),fd.forEach(a),To=h(e),I=r(e,"UL",{});var gs=i(I);is=r(gs,"LI",{});var ze=i(is);rl=n(ze,"Reformer does "),Ut=r(ze,"STRONG",{});var _d=i(Ut);il=n(_d,"not"),_d.forEach(a),ll=n(ze," work with "),Xt=r(ze,"EM",{});var vd=i(Xt);ml=n(vd,"torch.nn.DataParallel"),vd.forEach(a),pl=n(ze," due to a bug in PyTorch, see "),He=r(ze,"A",{href:!0,rel:!0});var bd=i(He);cl=n(bd,"issue #36035"),bd.forEach(a),hl=n(ze,"."),ze.forEach(a),dl=h(gs),Bt=r(gs,"LI",{});var yd=i(Bt);gl=n(yd,"Use Axial position encoding (see below for more details). It\u2019s a mechanism to avoid having a huge positional encoding matrix (when the sequence length is very big) by factorizing it into smaller matrices."),yd.forEach(a),ul=h(gs),Vt=r(gs,"LI",{});var kd=i(Vt);fl=n(kd,"Replace traditional attention by LSH (local-sensitive hashing) attention (see below for more details). It\u2019s a technique to avoid computing the full product query-key in the attention layers."),kd.forEach(a),_l=h(gs),Gt=r(gs,"LI",{});var wd=i(Gt);vl=n(wd,"Avoid storing the intermediate results of each layer by using reversible transformer layers to obtain them during the backward pass (subtracting the residuals from the input of the next layer gives them back) or recomputing them for results inside a given layer (less efficient than storing them but saves memory)."),wd.forEach(a),bl=h(gs),Jt=r(gs,"LI",{});var xd=i(Jt);yl=n(xd,"Compute the feedforward operations by chunks and not on the whole batch."),xd.forEach(a),gs.forEach(a),$o=h(e),xs=r(e,"H2",{class:!0});var hi=i(xs);Gs=r(hi,"A",{id:!0,class:!0,href:!0});var zd=i(Gs);Yt=r(zd,"SPAN",{});var Td=i(Yt);k(Ie.$$.fragment,Td),Td.forEach(a),zd.forEach(a),kl=h(hi),Zt=r(hi,"SPAN",{});var $d=i(Zt);wl=n($d,"Axial Positional Encodings"),$d.forEach(a),hi.forEach(a),Mo=h(e),q=r(e,"P",{});var L=i(q);xl=n(L,"Axial Positional Encodings were first implemented in Google\u2019s "),We=r(L,"A",{href:!0,rel:!0});var Md=i(We);zl=n(Md,"trax library"),Md.forEach(a),Tl=n(L,`
and developed by the authors of this model\u2019s paper. In models that are treating very long input sequences, the
conventional position id encodings store an embedings vector of size `),Ro=R(L),qo=n(L," being the "),sn=r(L,"CODE",{});var Rd=i(sn);$l=n(Rd,"config.hidden_size"),Rd.forEach(a),Ml=n(L,` for
every position `),Eo=R(L),Lo=n(L,", with "),Ao=R(L),Fo=n(L," being "),en=r(L,"CODE",{});var qd=i(en);Rl=n(qd,"config.max_embedding_size"),qd.forEach(a),ql=n(L,`. This means that having
a sequence length of `),Po=R(L),Co=n(L," and a "),an=r(L,"CODE",{});var Ed=i(an);El=n(Ed,"config.hidden_size"),Ed.forEach(a),Ll=n(L," of "),jo=R(L),So=n(L,`
would result in a position encoding matrix:
`),Oo=R(L),L.forEach(a),No=h(e),zs=r(e,"P",{});var fo=i(zs);Al=n(fo,"which alone has over 500M parameters to store. Axial positional encodings factorize "),Do=R(fo),Ho=n(fo,` into two matrices:
`),Io=R(fo),fo.forEach(a),Wo=h(e),Qe=r(e,"P",{});var od=i(Qe);Fl=n(od,`and
`),Qo=R(od),od.forEach(a),Ko=h(e),Ke=r(e,"P",{});var rd=i(Ke);Pl=n(rd,`with:
`),Uo=R(rd),rd.forEach(a),Xo=h(e),Ue=r(e,"P",{});var id=i(Ue);Cl=n(id,`Therefore the following holds:
`),Bo=R(id),id.forEach(a),Vo=h(e),F=r(e,"P",{});var K=i(F);jl=n(K,"Intuitively, this means that a position embedding vector "),Go=R(K),Jo=n(K,` is now the composition of two
factorized embedding vectors: `),Yo=R(K),Zo=n(K,", where as the "),tn=r(K,"CODE",{});var Ld=i(tn);Sl=n(Ld,"config.max_embedding_size"),Ld.forEach(a),Ol=n(K,` dimension
`),sr=R(K),er=n(K," is factorized into "),ar=R(K),tr=n(K,`. This design ensures that each position embedding vector
`),nr=R(K),or=n(K," is unique."),K.forEach(a),rr=h(e),ps=r(e,"P",{});var Tt=i(ps);Nl=n(Tt,"Using the above example again, axial position encoding with "),ir=R(Tt),lr=n(Tt,`
can drastically reduced the number of parameters from 500 000 000 to `),mr=R(Tt),pr=n(Tt," parameters, this means 85% less memory usage."),Tt.forEach(a),cr=h(e),E=r(e,"P",{});var P=i(E);Dl=n(P,"In practice, the parameter "),nn=r(P,"CODE",{});var Ad=i(nn);Hl=n(Ad,"config.axial_pos_embds_dim"),Ad.forEach(a),Il=n(P," is set to a tuple "),hr=R(P),dr=n(P,` which sum has to be
equal to `),on=r(P,"CODE",{});var Fd=i(on);Wl=n(Fd,"config.hidden_size"),Fd.forEach(a),Ql=n(P," and "),rn=r(P,"CODE",{});var Pd=i(rn);Kl=n(Pd,"config.axial_pos_shape"),Pd.forEach(a),Ul=n(P," is set to a tuple "),gr=R(P),ur=n(P,` which
product has to be equal to `),ln=r(P,"CODE",{});var Cd=i(ln);Xl=n(Cd,"config.max_embedding_size"),Cd.forEach(a),Bl=n(P,", which during training has to be equal to the "),mn=r(P,"EM",{});var jd=i(mn);Vl=n(jd,`sequence
length`),jd.forEach(a),Gl=n(P," of the "),pn=r(P,"CODE",{});var Sd=i(pn);Jl=n(Sd,"input_ids"),Sd.forEach(a),Yl=n(P,"."),P.forEach(a),fr=h(e),Ts=r(e,"H2",{class:!0});var di=i(Ts);Js=r(di,"A",{id:!0,class:!0,href:!0});var Od=i(Js);cn=r(Od,"SPAN",{});var Nd=i(cn);k(Xe.$$.fragment,Nd),Nd.forEach(a),Od.forEach(a),Zl=h(di),hn=r(di,"SPAN",{});var Dd=i(hn);sm=n(Dd,"LSH Self Attention"),Dd.forEach(a),di.forEach(a),_r=h(e),G=r(e,"P",{});var Te=i(G);em=n(Te,`In Locality sensitive hashing (LSH) self attention the key and query projection weights are tied. Therefore, the key
query embedding vectors are also tied. LSH self attention uses the locality sensitive hashing mechanism proposed in
`),Be=r(Te,"A",{href:!0,rel:!0});var Hd=i(Be);am=n(Hd,"Practical and Optimal LSH for Angular Distance"),Hd.forEach(a),tm=n(Te,` to assign each of the tied key
query embedding vectors to one of `),dn=r(Te,"CODE",{});var Id=i(dn);nm=n(Id,"config.num_buckets"),Id.forEach(a),om=n(Te,` possible buckets. The premise is that the more \u201Csimilar\u201D
key query embedding vectors (in terms of `),gn=r(Te,"EM",{});var Wd=i(gn);rm=n(Wd,"cosine similarity"),Wd.forEach(a),im=n(Te,`) are to each other, the more likely they are assigned to
the same bucket.`),Te.forEach(a),vr=h(e),S=r(e,"P",{});var ts=i(S);lm=n(ts,"The accuracy of the LSH mechanism can be improved by increasing "),un=r(ts,"CODE",{});var Qd=i(un);mm=n(Qd,"config.num_hashes"),Qd.forEach(a),pm=n(ts,` or directly the argument
`),fn=r(ts,"CODE",{});var Kd=i(fn);cm=n(Kd,"num_hashes"),Kd.forEach(a),hm=n(ts,` of the forward function so that the output of the LSH self attention better approximates the output
of the \u201Cnormal\u201D full self attention. The buckets are then sorted and chunked into query key embedding vector chunks
each of length `),_n=r(ts,"CODE",{});var Ud=i(_n);dm=n(Ud,"config.lsh_chunk_length"),Ud.forEach(a),gm=n(ts,`. For each chunk, the query embedding vectors attend to its key vectors
(which are tied to themselves) and to the key embedding vectors of `),vn=r(ts,"CODE",{});var Xd=i(vn);um=n(Xd,"config.lsh_num_chunks_before"),Xd.forEach(a),fm=n(ts,` previous
neighboring chunks and `),bn=r(ts,"CODE",{});var Bd=i(bn);_m=n(Bd,"config.lsh_num_chunks_after"),Bd.forEach(a),vm=n(ts," following neighboring chunks."),ts.forEach(a),br=h(e),cs=r(e,"P",{});var $t=i(cs);bm=n($t,"For more information, see the "),Ve=r($t,"A",{href:!0,rel:!0});var Vd=i(Ve);ym=n(Vd,"original Paper"),Vd.forEach(a),km=n($t," or this great "),Ge=r($t,"A",{href:!0,rel:!0});var Gd=i(Ge);wm=n(Gd,"blog post"),Gd.forEach(a),xm=n($t,"."),$t.forEach(a),yr=h(e),W=r(e,"P",{});var us=i(W);zm=n(us,"Note that "),yn=r(us,"CODE",{});var Jd=i(yn);Tm=n(Jd,"config.num_buckets"),Jd.forEach(a),$m=n(us," can also be factorized into a list "),kr=R(us),wr=n(us,". This way instead of assigning the query key embedding vectors to one of "),xr=R(us),zr=n(us," they are assigned to one of "),Tr=R(us),$r=n(us,`. This is crucial for very long sequences to
save memory.`),us.forEach(a),Mr=h(e),hs=r(e,"P",{});var Mt=i(hs);Mm=n(Mt,"When training a model from scratch, it is recommended to leave "),kn=r(Mt,"CODE",{});var Yd=i(kn);Rm=n(Yd,"config.num_buckets=None"),Yd.forEach(a),qm=n(Mt,`, so that depending on the
sequence length a good value for `),wn=r(Mt,"CODE",{});var Zd=i(wn);Em=n(Zd,"num_buckets"),Zd.forEach(a),Lm=n(Mt,` is calculated on the fly. This value will then automatically be
saved in the config and should be reused for inference.`),Mt.forEach(a),Rr=h(e),J=r(e,"P",{});var $e=i(J);Am=n($e,`Using LSH self attention, the memory and time complexity of the query-key matmul operation can be reduced from
`),qr=R($e),Er=n($e," to "),Lr=R($e),Ar=n($e,`, which usually represents the memory
and time bottleneck in a transformer model, with `),Fr=R($e),Pr=n($e," being the sequence length."),$e.forEach(a),Cr=h(e),$s=r(e,"H2",{class:!0});var gi=i($s);Ys=r(gi,"A",{id:!0,class:!0,href:!0});var sg=i(Ys);xn=r(sg,"SPAN",{});var eg=i(xn);k(Je.$$.fragment,eg),eg.forEach(a),sg.forEach(a),Fm=h(gi),zn=r(gi,"SPAN",{});var ag=i(zn);Pm=n(ag,"Local Self Attention"),ag.forEach(a),gi.forEach(a),jr=h(e),Y=r(e,"P",{});var Me=i(Y);Cm=n(Me,`Local self attention is essentially a \u201Cnormal\u201D self attention layer with key, query and value projections, but is
chunked so that in each chunk of length `),Tn=r(Me,"CODE",{});var tg=i(Tn);jm=n(tg,"config.local_chunk_length"),tg.forEach(a),Sm=n(Me,` the query embedding vectors only attends to
the key embedding vectors in its chunk and to the key embedding vectors of `),$n=r(Me,"CODE",{});var ng=i($n);Om=n(ng,"config.local_num_chunks_before"),ng.forEach(a),Nm=n(Me,`
previous neighboring chunks and `),Mn=r(Me,"CODE",{});var og=i(Mn);Dm=n(og,"config.local_num_chunks_after"),og.forEach(a),Hm=n(Me," following neighboring chunks."),Me.forEach(a),Sr=h(e),Z=r(e,"P",{});var Re=i(Z);Im=n(Re,`Using Local self attention, the memory and time complexity of the query-key matmul operation can be reduced from
`),Or=R(Re),Nr=n(Re," to "),Dr=R(Re),Hr=n(Re,`, which usually represents the memory
and time bottleneck in a transformer model, with `),Ir=R(Re),Wr=n(Re," being the sequence length."),Re.forEach(a),Qr=h(e),Ms=r(e,"H2",{class:!0});var ui=i(Ms);Zs=r(ui,"A",{id:!0,class:!0,href:!0});var rg=i(Zs);Rn=r(rg,"SPAN",{});var ig=i(Rn);k(Ye.$$.fragment,ig),ig.forEach(a),rg.forEach(a),Wm=h(ui),qn=r(ui,"SPAN",{});var lg=i(qn);Qm=n(lg,"Training"),lg.forEach(a),ui.forEach(a),Kr=h(e),ds=r(e,"P",{});var Rt=i(ds);Km=n(Rt,`During training, we must ensure that the sequence length is set to a value that can be divided by the least common
multiple of `),En=r(Rt,"CODE",{});var mg=i(En);Um=n(mg,"config.lsh_chunk_length"),mg.forEach(a),Xm=n(Rt," and "),Ln=r(Rt,"CODE",{});var pg=i(Ln);Bm=n(pg,"config.local_chunk_length"),pg.forEach(a),Vm=n(Rt,` and that the parameters of the Axial
Positional Encodings are correctly set as described above. Reformer is very memory efficient so that the model can
easily be trained on sequences as long as 64000 tokens.`),Rt.forEach(a),Ur=h(e),se=r(e,"P",{});var fi=i(se);Gm=n(fi,"For training, the "),it=r(fi,"A",{href:!0});var cg=i(it);Jm=n(cg,"ReformerModelWithLMHead"),cg.forEach(a),Ym=n(fi," should be used as follows:"),fi.forEach(a),Xr=h(e),k(Ze.$$.fragment,e),Br=h(e),Rs=r(e,"H2",{class:!0});var _i=i(Rs);ee=r(_i,"A",{id:!0,class:!0,href:!0});var hg=i(ee);An=r(hg,"SPAN",{});var dg=i(An);k(sa.$$.fragment,dg),dg.forEach(a),hg.forEach(a),Zm=h(_i),Fn=r(_i,"SPAN",{});var gg=i(Fn);sp=n(gg,"ReformerConfig"),gg.forEach(a),_i.forEach(a),Vr=h(e),B=r(e,"DIV",{class:!0});var qe=i(B);k(ea.$$.fragment,qe),ep=h(qe),qs=r(qe,"P",{});var qt=i(qs);ap=n(qt,"This is the configuration class to store the configuration of a "),lt=r(qt,"A",{href:!0});var ug=i(lt);tp=n(ug,"ReformerModel"),ug.forEach(a),np=n(qt,`. It is used to instantiate a
Reformer model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ReFormer
`),aa=r(qt,"A",{href:!0,rel:!0});var fg=i(aa);op=n(fg,"google/reformer-crime-and-punishment"),fg.forEach(a),rp=n(qt," architecture."),qt.forEach(a),ip=h(qe),Es=r(qe,"P",{});var Et=i(Es);lp=n(Et,"Configuration objects inherit from "),mt=r(Et,"A",{href:!0});var _g=i(mt);mp=n(_g,"PretrainedConfig"),_g.forEach(a),pp=n(Et,` and can be used to control the model outputs. Read the
documentation from `),pt=r(Et,"A",{href:!0});var vg=i(pt);cp=n(vg,"PretrainedConfig"),vg.forEach(a),hp=n(Et," for more information."),Et.forEach(a),dp=h(qe),k(ae.$$.fragment,qe),qe.forEach(a),Gr=h(e),Ls=r(e,"H2",{class:!0});var vi=i(Ls);te=r(vi,"A",{id:!0,class:!0,href:!0});var bg=i(te);Pn=r(bg,"SPAN",{});var yg=i(Pn);k(ta.$$.fragment,yg),yg.forEach(a),bg.forEach(a),gp=h(vi),Cn=r(vi,"SPAN",{});var kg=i(Cn);up=n(kg,"ReformerTokenizer"),kg.forEach(a),vi.forEach(a),Jr=h(e),V=r(e,"DIV",{class:!0});var Ee=i(V);k(na.$$.fragment,Ee),fp=h(Ee),oa=r(Ee,"P",{});var bi=i(oa);_p=n(bi,"Construct a Reformer tokenizer. Based on "),ra=r(bi,"A",{href:!0,rel:!0});var wg=i(ra);vp=n(wg,"SentencePiece"),wg.forEach(a),bp=n(bi," ."),bi.forEach(a),yp=h(Ee),ia=r(Ee,"P",{});var yi=i(ia);kp=n(yi,"This tokenizer inherits from "),ct=r(yi,"A",{href:!0});var xg=i(ct);wp=n(xg,"PreTrainedTokenizer"),xg.forEach(a),xp=n(yi,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),yi.forEach(a),zp=h(Ee),ht=r(Ee,"DIV",{class:!0});var zg=i(ht);k(la.$$.fragment,zg),zg.forEach(a),Ee.forEach(a),Yr=h(e),As=r(e,"H2",{class:!0});var ki=i(As);ne=r(ki,"A",{id:!0,class:!0,href:!0});var Tg=i(ne);jn=r(Tg,"SPAN",{});var $g=i(jn);k(ma.$$.fragment,$g),$g.forEach(a),Tg.forEach(a),Tp=h(ki),Sn=r(ki,"SPAN",{});var Mg=i(Sn);$p=n(Mg,"ReformerTokenizerFast"),Mg.forEach(a),ki.forEach(a),Zr=h(e),ls=r(e,"DIV",{class:!0});var Lt=i(ls);k(pa.$$.fragment,Lt),Mp=h(Lt),Fs=r(Lt,"P",{});var At=i(Fs);Rp=n(At,"Construct a \u201Cfast\u201D Reformer tokenizer (backed by HuggingFace\u2019s "),On=r(At,"EM",{});var Rg=i(On);qp=n(Rg,"tokenizers"),Rg.forEach(a),Ep=n(At,` library). Based on
`),ca=r(At,"A",{href:!0,rel:!0});var qg=i(ca);Lp=n(qg,"Unigram"),qg.forEach(a),Ap=n(At,"."),At.forEach(a),Fp=h(Lt),ha=r(Lt,"P",{});var wi=i(ha);Pp=n(wi,"This tokenizer inherits from "),dt=r(wi,"A",{href:!0});var Eg=i(dt);Cp=n(Eg,"PreTrainedTokenizerFast"),Eg.forEach(a),jp=n(wi,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),wi.forEach(a),Lt.forEach(a),si=h(e),Ps=r(e,"H2",{class:!0});var xi=i(Ps);oe=r(xi,"A",{id:!0,class:!0,href:!0});var Lg=i(oe);Nn=r(Lg,"SPAN",{});var Ag=i(Nn);k(da.$$.fragment,Ag),Ag.forEach(a),Lg.forEach(a),Sp=h(xi),Dn=r(xi,"SPAN",{});var Fg=i(Dn);Op=n(Fg,"ReformerModel"),Fg.forEach(a),xi.forEach(a),ei=h(e),N=r(e,"DIV",{class:!0});var fs=i(N);k(ga.$$.fragment,fs),Np=h(fs),ua=r(fs,"P",{});var zi=i(ua);Dp=n(zi,`The bare Reformer Model transformer outputting raw hidden-stateswithout any specific head on top.
Reformer was proposed in `),fa=r(zi,"A",{href:!0,rel:!0});var Pg=i(fa);Hp=n(Pg,"Reformer: The Efficient Transformer"),Pg.forEach(a),Ip=n(zi,` by Nikita Kitaev,
\u0141ukasz Kaiser, Anselm Levskaya.`),zi.forEach(a),Wp=h(fs),_a=r(fs,"P",{});var Ti=i(_a);Qp=n(Ti,"This model inherits from "),gt=r(Ti,"A",{href:!0});var Cg=i(gt);Kp=n(Cg,"PreTrainedModel"),Cg.forEach(a),Up=n(Ti,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ti.forEach(a),Xp=h(fs),va=r(fs,"P",{});var $i=i(va);Bp=n($i,"This model is also a PyTorch "),ba=r($i,"A",{href:!0,rel:!0});var jg=i(ba);Vp=n(jg,"torch.nn.Module"),jg.forEach(a),Gp=n($i,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),$i.forEach(a),Jp=h(fs),ss=r(fs,"DIV",{class:!0});var Le=i(ss);k(ya.$$.fragment,Le),Yp=h(Le),Cs=r(Le,"P",{});var Ft=i(Cs);Zp=n(Ft,"The "),ut=r(Ft,"A",{href:!0});var Sg=i(ut);sc=n(Sg,"ReformerModel"),Sg.forEach(a),ec=n(Ft," forward method, overrides the "),Hn=r(Ft,"CODE",{});var Og=i(Hn);ac=n(Og,"__call__"),Og.forEach(a),tc=n(Ft," special method."),Ft.forEach(a),nc=h(Le),k(re.$$.fragment,Le),oc=h(Le),k(ie.$$.fragment,Le),Le.forEach(a),fs.forEach(a),ai=h(e),js=r(e,"H2",{class:!0});var Mi=i(js);le=r(Mi,"A",{id:!0,class:!0,href:!0});var Ng=i(le);In=r(Ng,"SPAN",{});var Dg=i(In);k(ka.$$.fragment,Dg),Dg.forEach(a),Ng.forEach(a),rc=h(Mi),Wn=r(Mi,"SPAN",{});var Hg=i(Wn);ic=n(Hg,"ReformerModelWithLMHead"),Hg.forEach(a),Mi.forEach(a),ti=h(e),D=r(e,"DIV",{class:!0});var _s=i(D);k(wa.$$.fragment,_s),lc=h(_s),Ss=r(_s,"P",{});var Pt=i(Ss);mc=n(Pt,"Reformer Model with a "),Qn=r(Pt,"CODE",{});var Ig=i(Qn);pc=n(Ig,"language modeling"),Ig.forEach(a),cc=n(Pt,` head on top.
Reformer was proposed in `),xa=r(Pt,"A",{href:!0,rel:!0});var Wg=i(xa);hc=n(Wg,"Reformer: The Efficient Transformer"),Wg.forEach(a),dc=n(Pt,` by Nikita Kitaev,
\u0141ukasz Kaiser, Anselm Levskaya.`),Pt.forEach(a),gc=h(_s),za=r(_s,"P",{});var Ri=i(za);uc=n(Ri,"This model inherits from "),ft=r(Ri,"A",{href:!0});var Qg=i(ft);fc=n(Qg,"PreTrainedModel"),Qg.forEach(a),_c=n(Ri,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ri.forEach(a),vc=h(_s),Ta=r(_s,"P",{});var qi=i(Ta);bc=n(qi,"This model is also a PyTorch "),$a=r(qi,"A",{href:!0,rel:!0});var Kg=i($a);yc=n(Kg,"torch.nn.Module"),Kg.forEach(a),kc=n(qi,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),qi.forEach(a),wc=h(_s),es=r(_s,"DIV",{class:!0});var Ae=i(es);k(Ma.$$.fragment,Ae),xc=h(Ae),Os=r(Ae,"P",{});var Ct=i(Os);zc=n(Ct,"The "),_t=r(Ct,"A",{href:!0});var Ug=i(_t);Tc=n(Ug,"ReformerModelWithLMHead"),Ug.forEach(a),$c=n(Ct," forward method, overrides the "),Kn=r(Ct,"CODE",{});var Xg=i(Kn);Mc=n(Xg,"__call__"),Xg.forEach(a),Rc=n(Ct," special method."),Ct.forEach(a),qc=h(Ae),k(me.$$.fragment,Ae),Ec=h(Ae),k(pe.$$.fragment,Ae),Ae.forEach(a),_s.forEach(a),ni=h(e),Ns=r(e,"H2",{class:!0});var Ei=i(Ns);ce=r(Ei,"A",{id:!0,class:!0,href:!0});var Bg=i(ce);Un=r(Bg,"SPAN",{});var Vg=i(Un);k(Ra.$$.fragment,Vg),Vg.forEach(a),Bg.forEach(a),Lc=h(Ei),Xn=r(Ei,"SPAN",{});var Gg=i(Xn);Ac=n(Gg,"ReformerForMaskedLM"),Gg.forEach(a),Ei.forEach(a),oi=h(e),H=r(e,"DIV",{class:!0});var vs=i(H);k(qa.$$.fragment,vs),Fc=h(vs),Ds=r(vs,"P",{});var jt=i(Ds);Pc=n(jt,"Reformer Model with a "),Bn=r(jt,"CODE",{});var Jg=i(Bn);Cc=n(Jg,"language modeling"),Jg.forEach(a),jc=n(jt,` head on top.
Reformer was proposed in `),Ea=r(jt,"A",{href:!0,rel:!0});var Yg=i(Ea);Sc=n(Yg,"Reformer: The Efficient Transformer"),Yg.forEach(a),Oc=n(jt,` by Nikita Kitaev,
\u0141ukasz Kaiser, Anselm Levskaya.`),jt.forEach(a),Nc=h(vs),La=r(vs,"P",{});var Li=i(La);Dc=n(Li,"This model inherits from "),vt=r(Li,"A",{href:!0});var Zg=i(vt);Hc=n(Zg,"PreTrainedModel"),Zg.forEach(a),Ic=n(Li,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Li.forEach(a),Wc=h(vs),Aa=r(vs,"P",{});var Ai=i(Aa);Qc=n(Ai,"This model is also a PyTorch "),Fa=r(Ai,"A",{href:!0,rel:!0});var su=i(Fa);Kc=n(su,"torch.nn.Module"),su.forEach(a),Uc=n(Ai,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ai.forEach(a),Xc=h(vs),O=r(vs,"DIV",{class:!0});var ns=i(O);k(Pa.$$.fragment,ns),Bc=h(ns),Hs=r(ns,"P",{});var St=i(Hs);Vc=n(St,"The "),bt=r(St,"A",{href:!0});var eu=i(bt);Gc=n(eu,"ReformerForMaskedLM"),eu.forEach(a),Jc=n(St," forward method, overrides the "),Vn=r(St,"CODE",{});var au=i(Vn);Yc=n(au,"__call__"),au.forEach(a),Zc=n(St," special method."),St.forEach(a),sh=h(ns),k(he.$$.fragment,ns),eh=h(ns),k(de.$$.fragment,ns),ah=h(ns),k(ge.$$.fragment,ns),th=h(ns),k(ue.$$.fragment,ns),ns.forEach(a),vs.forEach(a),ri=h(e),Is=r(e,"H2",{class:!0});var Fi=i(Is);fe=r(Fi,"A",{id:!0,class:!0,href:!0});var tu=i(fe);Gn=r(tu,"SPAN",{});var nu=i(Gn);k(Ca.$$.fragment,nu),nu.forEach(a),tu.forEach(a),nh=h(Fi),Jn=r(Fi,"SPAN",{});var ou=i(Jn);oh=n(ou,"ReformerForSequenceClassification"),ou.forEach(a),Fi.forEach(a),ii=h(e),C=r(e,"DIV",{class:!0});var os=i(C);k(ja.$$.fragment,os),rh=h(os),Yn=r(os,"P",{});var ru=i(Yn);ih=n(ru,`Reformer Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),ru.forEach(a),lh=h(os),Sa=r(os,"P",{});var Pi=i(Sa);mh=n(Pi,"Reformer was proposed in "),Oa=r(Pi,"A",{href:!0,rel:!0});var iu=i(Oa);ph=n(iu,"Reformer: The Efficient Transformer"),iu.forEach(a),ch=n(Pi,` by Nikita Kitaev,
\u0141ukasz Kaiser, Anselm Levskaya.`),Pi.forEach(a),hh=h(os),Na=r(os,"P",{});var Ci=i(Na);dh=n(Ci,"This model inherits from "),yt=r(Ci,"A",{href:!0});var lu=i(yt);gh=n(lu,"PreTrainedModel"),lu.forEach(a),uh=n(Ci,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ci.forEach(a),fh=h(os),Da=r(os,"P",{});var ji=i(Da);_h=n(ji,"This model is also a PyTorch "),Ha=r(ji,"A",{href:!0,rel:!0});var mu=i(Ha);vh=n(mu,"torch.nn.Module"),mu.forEach(a),bh=n(ji,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ji.forEach(a),yh=h(os),Q=r(os,"DIV",{class:!0});var bs=i(Q);k(Ia.$$.fragment,bs),kh=h(bs),Ws=r(bs,"P",{});var Ot=i(Ws);wh=n(Ot,"The "),kt=r(Ot,"A",{href:!0});var pu=i(kt);xh=n(pu,"ReformerForSequenceClassification"),pu.forEach(a),zh=n(Ot," forward method, overrides the "),Zn=r(Ot,"CODE",{});var cu=i(Zn);Th=n(cu,"__call__"),cu.forEach(a),$h=n(Ot," special method."),Ot.forEach(a),Mh=h(bs),k(_e.$$.fragment,bs),Rh=h(bs),k(ve.$$.fragment,bs),qh=h(bs),k(be.$$.fragment,bs),bs.forEach(a),os.forEach(a),li=h(e),Qs=r(e,"H2",{class:!0});var Si=i(Qs);ye=r(Si,"A",{id:!0,class:!0,href:!0});var hu=i(ye);so=r(hu,"SPAN",{});var du=i(so);k(Wa.$$.fragment,du),du.forEach(a),hu.forEach(a),Eh=h(Si),eo=r(Si,"SPAN",{});var gu=i(eo);Lh=n(gu,"ReformerForQuestionAnswering"),gu.forEach(a),Si.forEach(a),mi=h(e),j=r(e,"DIV",{class:!0});var rs=i(j);k(Qa.$$.fragment,rs),Ah=h(rs),Ks=r(rs,"P",{});var Nt=i(Ks);Fh=n(Nt,`Reformer Model with a span classification head on top for extractive question-answering tasks like SQuAD / TriviaQA
( a linear layer on top of hidden-states output to compute `),ao=r(Nt,"CODE",{});var uu=i(ao);Ph=n(uu,"span start logits"),uu.forEach(a),Ch=n(Nt," and "),to=r(Nt,"CODE",{});var fu=i(to);jh=n(fu,"span end logits"),fu.forEach(a),Sh=n(Nt,"."),Nt.forEach(a),Oh=h(rs),Ka=r(rs,"P",{});var Oi=i(Ka);Nh=n(Oi,"Reformer was proposed in "),Ua=r(Oi,"A",{href:!0,rel:!0});var _u=i(Ua);Dh=n(_u,"Reformer: The Efficient Transformer"),_u.forEach(a),Hh=n(Oi,` by Nikita Kitaev,
\u0141ukasz Kaiser, Anselm Levskaya.`),Oi.forEach(a),Ih=h(rs),Xa=r(rs,"P",{});var Ni=i(Xa);Wh=n(Ni,"This model inherits from "),wt=r(Ni,"A",{href:!0});var vu=i(wt);Qh=n(vu,"PreTrainedModel"),vu.forEach(a),Kh=n(Ni,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ni.forEach(a),Uh=h(rs),Ba=r(rs,"P",{});var Di=i(Ba);Xh=n(Di,"This model is also a PyTorch "),Va=r(Di,"A",{href:!0,rel:!0});var bu=i(Va);Bh=n(bu,"torch.nn.Module"),bu.forEach(a),Vh=n(Di,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Di.forEach(a),Gh=h(rs),as=r(rs,"DIV",{class:!0});var Fe=i(as);k(Ga.$$.fragment,Fe),Jh=h(Fe),Us=r(Fe,"P",{});var Dt=i(Us);Yh=n(Dt,"The "),xt=r(Dt,"A",{href:!0});var yu=i(xt);Zh=n(yu,"ReformerForQuestionAnswering"),yu.forEach(a),sd=n(Dt," forward method, overrides the "),no=r(Dt,"CODE",{});var ku=i(no);ed=n(ku,"__call__"),ku.forEach(a),ad=n(Dt," special method."),Dt.forEach(a),td=h(Fe),k(ke.$$.fragment,Fe),nd=h(Fe),k(we.$$.fragment,Fe),Fe.forEach(a),rs.forEach(a),this.h()},h(){l(d,"name","hf:doc:metadata"),l(d,"content",JSON.stringify(bf)),l(f,"id","reformer"),l(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(f,"href","#reformer"),l(u,"class","relative group"),l(et,"alt","Models"),wu(et.src,ld="https://img.shields.io/badge/All_model_pages-reformer-blueviolet")||l(et,"src",ld),l(st,"href","https://huggingface.co/models?filter=reformer"),l(tt,"alt","Spaces"),wu(tt.src,md="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||l(tt,"src",md),l(at,"href","https://huggingface.co/spaces/docs-demos/reformer-crime-and-punishment"),l(ys,"class","flex flex-wrap space-x-1"),l(je,"href","https://github.com/huggingface/transformers/issues/new?assignees=&labels=&template=bug-report.md&title"),l(je,"rel","nofollow"),l(Bs,"id","overview"),l(Bs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Bs,"href","#overview"),l(ws,"class","relative group"),l(Oe,"href","https://arxiv.org/abs/2001.04451.pdf"),l(Oe,"rel","nofollow"),l(Ne,"href","https://huggingface.co/patrickvonplaten"),l(Ne,"rel","nofollow"),l(De,"href","https://github.com/google/trax/tree/master/trax/models/reformer"),l(De,"rel","nofollow"),l(He,"href","https://github.com/pytorch/pytorch/issues/36035"),l(He,"rel","nofollow"),l(Gs,"id","axial-positional-encodings"),l(Gs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Gs,"href","#axial-positional-encodings"),l(xs,"class","relative group"),l(We,"href","https://github.com/google/trax/blob/4d99ad4965bab1deba227539758d59f0df0fef48/trax/layers/research/position_encodings.py#L29"),l(We,"rel","nofollow"),Ro.a=qo,Eo.a=Lo,Ao.a=Fo,Po.a=Co,jo.a=So,Oo.a=null,Do.a=Ho,Io.a=null,Qo.a=null,Uo.a=null,Bo.a=null,Go.a=Jo,Yo.a=Zo,sr.a=er,ar.a=tr,nr.a=or,ir.a=lr,mr.a=pr,hr.a=dr,gr.a=ur,l(Js,"id","lsh-self-attention"),l(Js,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Js,"href","#lsh-self-attention"),l(Ts,"class","relative group"),l(Be,"href","https://arxiv.org/abs/1509.02897"),l(Be,"rel","nofollow"),l(Ve,"href","https://arxiv.org/abs/2001.04451"),l(Ve,"rel","nofollow"),l(Ge,"href","https://www.pragmatic.ml/reformer-deep-dive/"),l(Ge,"rel","nofollow"),kr.a=wr,xr.a=zr,Tr.a=$r,qr.a=Er,Lr.a=Ar,Fr.a=Pr,l(Ys,"id","local-self-attention"),l(Ys,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Ys,"href","#local-self-attention"),l($s,"class","relative group"),Or.a=Nr,Dr.a=Hr,Ir.a=Wr,l(Zs,"id","training"),l(Zs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Zs,"href","#training"),l(Ms,"class","relative group"),l(it,"href","/docs/transformers/main/en/model_doc/reformer#transformers.ReformerModelWithLMHead"),l(ee,"id","transformers.ReformerConfig"),l(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ee,"href","#transformers.ReformerConfig"),l(Rs,"class","relative group"),l(lt,"href","/docs/transformers/main/en/model_doc/reformer#transformers.ReformerModel"),l(aa,"href","https://huggingface.co/google/reformer-crime-and-punishment"),l(aa,"rel","nofollow"),l(mt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(pt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(te,"id","transformers.ReformerTokenizer"),l(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(te,"href","#transformers.ReformerTokenizer"),l(Ls,"class","relative group"),l(ra,"href","https://github.com/google/sentencepiece"),l(ra,"rel","nofollow"),l(ct,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),l(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ne,"id","transformers.ReformerTokenizerFast"),l(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ne,"href","#transformers.ReformerTokenizerFast"),l(As,"class","relative group"),l(ca,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=unigram#models"),l(ca,"rel","nofollow"),l(dt,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),l(ls,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(oe,"id","transformers.ReformerModel"),l(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(oe,"href","#transformers.ReformerModel"),l(Ps,"class","relative group"),l(fa,"href","https://arxiv.org/abs/2001.04451"),l(fa,"rel","nofollow"),l(gt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(ba,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(ba,"rel","nofollow"),l(ut,"href","/docs/transformers/main/en/model_doc/reformer#transformers.ReformerModel"),l(ss,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(le,"id","transformers.ReformerModelWithLMHead"),l(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(le,"href","#transformers.ReformerModelWithLMHead"),l(js,"class","relative group"),l(xa,"href","https://arxiv.org/abs/2001.04451"),l(xa,"rel","nofollow"),l(ft,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l($a,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l($a,"rel","nofollow"),l(_t,"href","/docs/transformers/main/en/model_doc/reformer#transformers.ReformerModelWithLMHead"),l(es,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ce,"id","transformers.ReformerForMaskedLM"),l(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ce,"href","#transformers.ReformerForMaskedLM"),l(Ns,"class","relative group"),l(Ea,"href","https://arxiv.org/abs/2001.04451"),l(Ea,"rel","nofollow"),l(vt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Fa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Fa,"rel","nofollow"),l(bt,"href","/docs/transformers/main/en/model_doc/reformer#transformers.ReformerForMaskedLM"),l(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(fe,"id","transformers.ReformerForSequenceClassification"),l(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(fe,"href","#transformers.ReformerForSequenceClassification"),l(Is,"class","relative group"),l(Oa,"href","https://arxiv.org/abs/2001.04451"),l(Oa,"rel","nofollow"),l(yt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Ha,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Ha,"rel","nofollow"),l(kt,"href","/docs/transformers/main/en/model_doc/reformer#transformers.ReformerForSequenceClassification"),l(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ye,"id","transformers.ReformerForQuestionAnswering"),l(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ye,"href","#transformers.ReformerForQuestionAnswering"),l(Qs,"class","relative group"),l(Ua,"href","https://arxiv.org/abs/2001.04451"),l(Ua,"rel","nofollow"),l(wt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Va,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Va,"rel","nofollow"),l(xt,"href","/docs/transformers/main/en/model_doc/reformer#transformers.ReformerForQuestionAnswering"),l(as,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,p){s(document.head,d),g(e,v,p),g(e,u,p),s(u,f),s(f,b),w(m,b,null),s(u,_),s(u,A),s(A,Hi),g(e,_o,p),g(e,ys,p),s(ys,st),s(st,et),s(ys,Ii),s(ys,at),s(at,tt),g(e,vo,p),g(e,ks,p),s(ks,It),s(It,Wi),s(ks,Qi),s(ks,je),s(je,Ki),s(ks,Ui),g(e,bo,p),g(e,ws,p),s(ws,Bs),s(Bs,Wt),w(Se,Wt,null),s(ws,Xi),s(ws,Qt),s(Qt,Bi),g(e,yo,p),g(e,Vs,p),s(Vs,Vi),s(Vs,Oe),s(Oe,Gi),s(Vs,Ji),g(e,ko,p),g(e,nt,p),s(nt,Yi),g(e,wo,p),g(e,ot,p),s(ot,Kt),s(Kt,Zi),g(e,xo,p),g(e,ms,p),s(ms,sl),s(ms,Ne),s(Ne,el),s(ms,al),s(ms,De),s(De,tl),s(ms,nl),g(e,zo,p),g(e,rt,p),s(rt,ol),g(e,To,p),g(e,I,p),s(I,is),s(is,rl),s(is,Ut),s(Ut,il),s(is,ll),s(is,Xt),s(Xt,ml),s(is,pl),s(is,He),s(He,cl),s(is,hl),s(I,dl),s(I,Bt),s(Bt,gl),s(I,ul),s(I,Vt),s(Vt,fl),s(I,_l),s(I,Gt),s(Gt,vl),s(I,bl),s(I,Jt),s(Jt,yl),g(e,$o,p),g(e,xs,p),s(xs,Gs),s(Gs,Yt),w(Ie,Yt,null),s(xs,kl),s(xs,Zt),s(Zt,wl),g(e,Mo,p),g(e,q,p),s(q,xl),s(q,We),s(We,zl),s(q,Tl),Ro.m(xu,q),s(q,qo),s(q,sn),s(sn,$l),s(q,Ml),Eo.m(zu,q),s(q,Lo),Ao.m(Tu,q),s(q,Fo),s(q,en),s(en,Rl),s(q,ql),Po.m($u,q),s(q,Co),s(q,an),s(an,El),s(q,Ll),jo.m(Mu,q),s(q,So),Oo.m(Ru,q),g(e,No,p),g(e,zs,p),s(zs,Al),Do.m(qu,zs),s(zs,Ho),Io.m(Eu,zs),g(e,Wo,p),g(e,Qe,p),s(Qe,Fl),Qo.m(Lu,Qe),g(e,Ko,p),g(e,Ke,p),s(Ke,Pl),Uo.m(Au,Ke),g(e,Xo,p),g(e,Ue,p),s(Ue,Cl),Bo.m(Fu,Ue),g(e,Vo,p),g(e,F,p),s(F,jl),Go.m(Pu,F),s(F,Jo),Yo.m(Cu,F),s(F,Zo),s(F,tn),s(tn,Sl),s(F,Ol),sr.m(ju,F),s(F,er),ar.m(Su,F),s(F,tr),nr.m(Ou,F),s(F,or),g(e,rr,p),g(e,ps,p),s(ps,Nl),ir.m(Nu,ps),s(ps,lr),mr.m(Du,ps),s(ps,pr),g(e,cr,p),g(e,E,p),s(E,Dl),s(E,nn),s(nn,Hl),s(E,Il),hr.m(Hu,E),s(E,dr),s(E,on),s(on,Wl),s(E,Ql),s(E,rn),s(rn,Kl),s(E,Ul),gr.m(Iu,E),s(E,ur),s(E,ln),s(ln,Xl),s(E,Bl),s(E,mn),s(mn,Vl),s(E,Gl),s(E,pn),s(pn,Jl),s(E,Yl),g(e,fr,p),g(e,Ts,p),s(Ts,Js),s(Js,cn),w(Xe,cn,null),s(Ts,Zl),s(Ts,hn),s(hn,sm),g(e,_r,p),g(e,G,p),s(G,em),s(G,Be),s(Be,am),s(G,tm),s(G,dn),s(dn,nm),s(G,om),s(G,gn),s(gn,rm),s(G,im),g(e,vr,p),g(e,S,p),s(S,lm),s(S,un),s(un,mm),s(S,pm),s(S,fn),s(fn,cm),s(S,hm),s(S,_n),s(_n,dm),s(S,gm),s(S,vn),s(vn,um),s(S,fm),s(S,bn),s(bn,_m),s(S,vm),g(e,br,p),g(e,cs,p),s(cs,bm),s(cs,Ve),s(Ve,ym),s(cs,km),s(cs,Ge),s(Ge,wm),s(cs,xm),g(e,yr,p),g(e,W,p),s(W,zm),s(W,yn),s(yn,Tm),s(W,$m),kr.m(Wu,W),s(W,wr),xr.m(Qu,W),s(W,zr),Tr.m(Ku,W),s(W,$r),g(e,Mr,p),g(e,hs,p),s(hs,Mm),s(hs,kn),s(kn,Rm),s(hs,qm),s(hs,wn),s(wn,Em),s(hs,Lm),g(e,Rr,p),g(e,J,p),s(J,Am),qr.m(Uu,J),s(J,Er),Lr.m(Xu,J),s(J,Ar),Fr.m(Bu,J),s(J,Pr),g(e,Cr,p),g(e,$s,p),s($s,Ys),s(Ys,xn),w(Je,xn,null),s($s,Fm),s($s,zn),s(zn,Pm),g(e,jr,p),g(e,Y,p),s(Y,Cm),s(Y,Tn),s(Tn,jm),s(Y,Sm),s(Y,$n),s($n,Om),s(Y,Nm),s(Y,Mn),s(Mn,Dm),s(Y,Hm),g(e,Sr,p),g(e,Z,p),s(Z,Im),Or.m(Vu,Z),s(Z,Nr),Dr.m(Gu,Z),s(Z,Hr),Ir.m(Ju,Z),s(Z,Wr),g(e,Qr,p),g(e,Ms,p),s(Ms,Zs),s(Zs,Rn),w(Ye,Rn,null),s(Ms,Wm),s(Ms,qn),s(qn,Qm),g(e,Kr,p),g(e,ds,p),s(ds,Km),s(ds,En),s(En,Um),s(ds,Xm),s(ds,Ln),s(Ln,Bm),s(ds,Vm),g(e,Ur,p),g(e,se,p),s(se,Gm),s(se,it),s(it,Jm),s(se,Ym),g(e,Xr,p),w(Ze,e,p),g(e,Br,p),g(e,Rs,p),s(Rs,ee),s(ee,An),w(sa,An,null),s(Rs,Zm),s(Rs,Fn),s(Fn,sp),g(e,Vr,p),g(e,B,p),w(ea,B,null),s(B,ep),s(B,qs),s(qs,ap),s(qs,lt),s(lt,tp),s(qs,np),s(qs,aa),s(aa,op),s(qs,rp),s(B,ip),s(B,Es),s(Es,lp),s(Es,mt),s(mt,mp),s(Es,pp),s(Es,pt),s(pt,cp),s(Es,hp),s(B,dp),w(ae,B,null),g(e,Gr,p),g(e,Ls,p),s(Ls,te),s(te,Pn),w(ta,Pn,null),s(Ls,gp),s(Ls,Cn),s(Cn,up),g(e,Jr,p),g(e,V,p),w(na,V,null),s(V,fp),s(V,oa),s(oa,_p),s(oa,ra),s(ra,vp),s(oa,bp),s(V,yp),s(V,ia),s(ia,kp),s(ia,ct),s(ct,wp),s(ia,xp),s(V,zp),s(V,ht),w(la,ht,null),g(e,Yr,p),g(e,As,p),s(As,ne),s(ne,jn),w(ma,jn,null),s(As,Tp),s(As,Sn),s(Sn,$p),g(e,Zr,p),g(e,ls,p),w(pa,ls,null),s(ls,Mp),s(ls,Fs),s(Fs,Rp),s(Fs,On),s(On,qp),s(Fs,Ep),s(Fs,ca),s(ca,Lp),s(Fs,Ap),s(ls,Fp),s(ls,ha),s(ha,Pp),s(ha,dt),s(dt,Cp),s(ha,jp),g(e,si,p),g(e,Ps,p),s(Ps,oe),s(oe,Nn),w(da,Nn,null),s(Ps,Sp),s(Ps,Dn),s(Dn,Op),g(e,ei,p),g(e,N,p),w(ga,N,null),s(N,Np),s(N,ua),s(ua,Dp),s(ua,fa),s(fa,Hp),s(ua,Ip),s(N,Wp),s(N,_a),s(_a,Qp),s(_a,gt),s(gt,Kp),s(_a,Up),s(N,Xp),s(N,va),s(va,Bp),s(va,ba),s(ba,Vp),s(va,Gp),s(N,Jp),s(N,ss),w(ya,ss,null),s(ss,Yp),s(ss,Cs),s(Cs,Zp),s(Cs,ut),s(ut,sc),s(Cs,ec),s(Cs,Hn),s(Hn,ac),s(Cs,tc),s(ss,nc),w(re,ss,null),s(ss,oc),w(ie,ss,null),g(e,ai,p),g(e,js,p),s(js,le),s(le,In),w(ka,In,null),s(js,rc),s(js,Wn),s(Wn,ic),g(e,ti,p),g(e,D,p),w(wa,D,null),s(D,lc),s(D,Ss),s(Ss,mc),s(Ss,Qn),s(Qn,pc),s(Ss,cc),s(Ss,xa),s(xa,hc),s(Ss,dc),s(D,gc),s(D,za),s(za,uc),s(za,ft),s(ft,fc),s(za,_c),s(D,vc),s(D,Ta),s(Ta,bc),s(Ta,$a),s($a,yc),s(Ta,kc),s(D,wc),s(D,es),w(Ma,es,null),s(es,xc),s(es,Os),s(Os,zc),s(Os,_t),s(_t,Tc),s(Os,$c),s(Os,Kn),s(Kn,Mc),s(Os,Rc),s(es,qc),w(me,es,null),s(es,Ec),w(pe,es,null),g(e,ni,p),g(e,Ns,p),s(Ns,ce),s(ce,Un),w(Ra,Un,null),s(Ns,Lc),s(Ns,Xn),s(Xn,Ac),g(e,oi,p),g(e,H,p),w(qa,H,null),s(H,Fc),s(H,Ds),s(Ds,Pc),s(Ds,Bn),s(Bn,Cc),s(Ds,jc),s(Ds,Ea),s(Ea,Sc),s(Ds,Oc),s(H,Nc),s(H,La),s(La,Dc),s(La,vt),s(vt,Hc),s(La,Ic),s(H,Wc),s(H,Aa),s(Aa,Qc),s(Aa,Fa),s(Fa,Kc),s(Aa,Uc),s(H,Xc),s(H,O),w(Pa,O,null),s(O,Bc),s(O,Hs),s(Hs,Vc),s(Hs,bt),s(bt,Gc),s(Hs,Jc),s(Hs,Vn),s(Vn,Yc),s(Hs,Zc),s(O,sh),w(he,O,null),s(O,eh),w(de,O,null),s(O,ah),w(ge,O,null),s(O,th),w(ue,O,null),g(e,ri,p),g(e,Is,p),s(Is,fe),s(fe,Gn),w(Ca,Gn,null),s(Is,nh),s(Is,Jn),s(Jn,oh),g(e,ii,p),g(e,C,p),w(ja,C,null),s(C,rh),s(C,Yn),s(Yn,ih),s(C,lh),s(C,Sa),s(Sa,mh),s(Sa,Oa),s(Oa,ph),s(Sa,ch),s(C,hh),s(C,Na),s(Na,dh),s(Na,yt),s(yt,gh),s(Na,uh),s(C,fh),s(C,Da),s(Da,_h),s(Da,Ha),s(Ha,vh),s(Da,bh),s(C,yh),s(C,Q),w(Ia,Q,null),s(Q,kh),s(Q,Ws),s(Ws,wh),s(Ws,kt),s(kt,xh),s(Ws,zh),s(Ws,Zn),s(Zn,Th),s(Ws,$h),s(Q,Mh),w(_e,Q,null),s(Q,Rh),w(ve,Q,null),s(Q,qh),w(be,Q,null),g(e,li,p),g(e,Qs,p),s(Qs,ye),s(ye,so),w(Wa,so,null),s(Qs,Eh),s(Qs,eo),s(eo,Lh),g(e,mi,p),g(e,j,p),w(Qa,j,null),s(j,Ah),s(j,Ks),s(Ks,Fh),s(Ks,ao),s(ao,Ph),s(Ks,Ch),s(Ks,to),s(to,jh),s(Ks,Sh),s(j,Oh),s(j,Ka),s(Ka,Nh),s(Ka,Ua),s(Ua,Dh),s(Ka,Hh),s(j,Ih),s(j,Xa),s(Xa,Wh),s(Xa,wt),s(wt,Qh),s(Xa,Kh),s(j,Uh),s(j,Ba),s(Ba,Xh),s(Ba,Va),s(Va,Bh),s(Ba,Vh),s(j,Gh),s(j,as),w(Ga,as,null),s(as,Jh),s(as,Us),s(Us,Yh),s(Us,xt),s(xt,Zh),s(Us,sd),s(Us,no),s(no,ed),s(Us,ad),s(as,td),w(ke,as,null),s(as,nd),w(we,as,null),pi=!0},p(e,[p]){const Ja={};p&2&&(Ja.$$scope={dirty:p,ctx:e}),ae.$set(Ja);const oo={};p&2&&(oo.$$scope={dirty:p,ctx:e}),re.$set(oo);const ro={};p&2&&(ro.$$scope={dirty:p,ctx:e}),ie.$set(ro);const io={};p&2&&(io.$$scope={dirty:p,ctx:e}),me.$set(io);const Ya={};p&2&&(Ya.$$scope={dirty:p,ctx:e}),pe.$set(Ya);const lo={};p&2&&(lo.$$scope={dirty:p,ctx:e}),he.$set(lo);const mo={};p&2&&(mo.$$scope={dirty:p,ctx:e}),de.$set(mo);const xe={};p&2&&(xe.$$scope={dirty:p,ctx:e}),ge.$set(xe);const po={};p&2&&(po.$$scope={dirty:p,ctx:e}),ue.$set(po);const co={};p&2&&(co.$$scope={dirty:p,ctx:e}),_e.$set(co);const Za={};p&2&&(Za.$$scope={dirty:p,ctx:e}),ve.$set(Za);const ho={};p&2&&(ho.$$scope={dirty:p,ctx:e}),be.$set(ho);const go={};p&2&&(go.$$scope={dirty:p,ctx:e}),ke.$set(go);const uo={};p&2&&(uo.$$scope={dirty:p,ctx:e}),we.$set(uo)},i(e){pi||(x(m.$$.fragment,e),x(Se.$$.fragment,e),x(Ie.$$.fragment,e),x(Xe.$$.fragment,e),x(Je.$$.fragment,e),x(Ye.$$.fragment,e),x(Ze.$$.fragment,e),x(sa.$$.fragment,e),x(ea.$$.fragment,e),x(ae.$$.fragment,e),x(ta.$$.fragment,e),x(na.$$.fragment,e),x(la.$$.fragment,e),x(ma.$$.fragment,e),x(pa.$$.fragment,e),x(da.$$.fragment,e),x(ga.$$.fragment,e),x(ya.$$.fragment,e),x(re.$$.fragment,e),x(ie.$$.fragment,e),x(ka.$$.fragment,e),x(wa.$$.fragment,e),x(Ma.$$.fragment,e),x(me.$$.fragment,e),x(pe.$$.fragment,e),x(Ra.$$.fragment,e),x(qa.$$.fragment,e),x(Pa.$$.fragment,e),x(he.$$.fragment,e),x(de.$$.fragment,e),x(ge.$$.fragment,e),x(ue.$$.fragment,e),x(Ca.$$.fragment,e),x(ja.$$.fragment,e),x(Ia.$$.fragment,e),x(_e.$$.fragment,e),x(ve.$$.fragment,e),x(be.$$.fragment,e),x(Wa.$$.fragment,e),x(Qa.$$.fragment,e),x(Ga.$$.fragment,e),x(ke.$$.fragment,e),x(we.$$.fragment,e),pi=!0)},o(e){z(m.$$.fragment,e),z(Se.$$.fragment,e),z(Ie.$$.fragment,e),z(Xe.$$.fragment,e),z(Je.$$.fragment,e),z(Ye.$$.fragment,e),z(Ze.$$.fragment,e),z(sa.$$.fragment,e),z(ea.$$.fragment,e),z(ae.$$.fragment,e),z(ta.$$.fragment,e),z(na.$$.fragment,e),z(la.$$.fragment,e),z(ma.$$.fragment,e),z(pa.$$.fragment,e),z(da.$$.fragment,e),z(ga.$$.fragment,e),z(ya.$$.fragment,e),z(re.$$.fragment,e),z(ie.$$.fragment,e),z(ka.$$.fragment,e),z(wa.$$.fragment,e),z(Ma.$$.fragment,e),z(me.$$.fragment,e),z(pe.$$.fragment,e),z(Ra.$$.fragment,e),z(qa.$$.fragment,e),z(Pa.$$.fragment,e),z(he.$$.fragment,e),z(de.$$.fragment,e),z(ge.$$.fragment,e),z(ue.$$.fragment,e),z(Ca.$$.fragment,e),z(ja.$$.fragment,e),z(Ia.$$.fragment,e),z(_e.$$.fragment,e),z(ve.$$.fragment,e),z(be.$$.fragment,e),z(Wa.$$.fragment,e),z(Qa.$$.fragment,e),z(Ga.$$.fragment,e),z(ke.$$.fragment,e),z(we.$$.fragment,e),pi=!1},d(e){a(d),e&&a(v),e&&a(u),T(m),e&&a(_o),e&&a(ys),e&&a(vo),e&&a(ks),e&&a(bo),e&&a(ws),T(Se),e&&a(yo),e&&a(Vs),e&&a(ko),e&&a(nt),e&&a(wo),e&&a(ot),e&&a(xo),e&&a(ms),e&&a(zo),e&&a(rt),e&&a(To),e&&a(I),e&&a($o),e&&a(xs),T(Ie),e&&a(Mo),e&&a(q),e&&a(No),e&&a(zs),e&&a(Wo),e&&a(Qe),e&&a(Ko),e&&a(Ke),e&&a(Xo),e&&a(Ue),e&&a(Vo),e&&a(F),e&&a(rr),e&&a(ps),e&&a(cr),e&&a(E),e&&a(fr),e&&a(Ts),T(Xe),e&&a(_r),e&&a(G),e&&a(vr),e&&a(S),e&&a(br),e&&a(cs),e&&a(yr),e&&a(W),e&&a(Mr),e&&a(hs),e&&a(Rr),e&&a(J),e&&a(Cr),e&&a($s),T(Je),e&&a(jr),e&&a(Y),e&&a(Sr),e&&a(Z),e&&a(Qr),e&&a(Ms),T(Ye),e&&a(Kr),e&&a(ds),e&&a(Ur),e&&a(se),e&&a(Xr),T(Ze,e),e&&a(Br),e&&a(Rs),T(sa),e&&a(Vr),e&&a(B),T(ea),T(ae),e&&a(Gr),e&&a(Ls),T(ta),e&&a(Jr),e&&a(V),T(na),T(la),e&&a(Yr),e&&a(As),T(ma),e&&a(Zr),e&&a(ls),T(pa),e&&a(si),e&&a(Ps),T(da),e&&a(ei),e&&a(N),T(ga),T(ya),T(re),T(ie),e&&a(ai),e&&a(js),T(ka),e&&a(ti),e&&a(D),T(wa),T(Ma),T(me),T(pe),e&&a(ni),e&&a(Ns),T(Ra),e&&a(oi),e&&a(H),T(qa),T(Pa),T(he),T(de),T(ge),T(ue),e&&a(ri),e&&a(Is),T(Ca),e&&a(ii),e&&a(C),T(ja),T(Ia),T(_e),T(ve),T(be),e&&a(li),e&&a(Qs),T(Wa),e&&a(mi),e&&a(j),T(Qa),T(Ga),T(ke),T(we)}}}const bf={local:"reformer",sections:[{local:"overview",title:"Overview"},{local:"axial-positional-encodings",title:"Axial Positional Encodings"},{local:"lsh-self-attention",title:"LSH Self Attention"},{local:"local-self-attention",title:"Local Self Attention"},{local:"training",title:"Training"},{local:"transformers.ReformerConfig",title:"ReformerConfig"},{local:"transformers.ReformerTokenizer",title:"ReformerTokenizer"},{local:"transformers.ReformerTokenizerFast",title:"ReformerTokenizerFast"},{local:"transformers.ReformerModel",title:"ReformerModel"},{local:"transformers.ReformerModelWithLMHead",title:"ReformerModelWithLMHead"},{local:"transformers.ReformerForMaskedLM",title:"ReformerForMaskedLM"},{local:"transformers.ReformerForSequenceClassification",title:"ReformerForSequenceClassification"},{local:"transformers.ReformerForQuestionAnswering",title:"ReformerForQuestionAnswering"}],title:"Reformer"};function yf($){return af(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Mf extends Yu{constructor(d){super();Zu(this,d,yf,vf,sf,{})}}export{Mf as default,bf as metadata};
