import{S as Nu,i as Su,s as Iu,e as n,k as p,w as b,t as a,M as Lu,c as r,d as t,m as h,a as s,x as k,h as i,b as l,G as e,g,y as w,q as T,o as $,B as x,v as Du,L as Oe}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ut}from"../../chunks/Tip-hf-doc-builder.js";import{D as F}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Ge}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as X}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as De}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Ou(W){let c,v,f,u,y;return u=new Ge({props:{code:`from transformers import WhisperConfig, WhisperModel

# Initializing a Whisper tiny style configuration
configuration = WhisperConfig()

# Initializing a model (with random weights) from the tiny style configuration
model = WhisperModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> WhisperConfig, WhisperModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Whisper tiny style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = WhisperConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the tiny style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = WhisperModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=n("p"),v=a("Example:"),f=p(),b(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Example:"),m.forEach(t),f=h(d),k(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,v),g(d,f,m),w(u,d,m),y=!0},p:Oe,i(d){y||(T(u.$$.fragment,d),y=!0)},o(d){$(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),x(u,d)}}}function Gu(W){let c,v,f,u,y;return u=new Ge({props:{code:`# instantiate the tokenizer and set the prefix token to Spanish
tokenizer = WhisperTokenizer.from_pretrained("openai/whisper-tiny", language="spanish")
# now switch the prefix token from Spanish to French
tokenizer.set_prefix_tokens(language="french")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># instantiate the tokenizer and set the prefix token to Spanish</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = WhisperTokenizer.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny&quot;</span>, language=<span class="hljs-string">&quot;spanish&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># now switch the prefix token from Spanish to French</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.set_prefix_tokens(language=<span class="hljs-string">&quot;french&quot;</span>)`}}),{c(){c=n("p"),v=a("update the prefix tokens as required when fine-tuning. Example:"),f=p(),b(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"update the prefix tokens as required when fine-tuning. Example:"),m.forEach(t),f=h(d),k(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,v),g(d,f,m),w(u,d,m),y=!0},p:Oe,i(d){y||(T(u.$$.fragment,d),y=!0)},o(d){$(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),x(u,d)}}}function Uu(W){let c,v,f,u,y;return u=new Ge({props:{code:`# instantiate the tokenizer and set the prefix token to Spanish
tokenizer = WhisperTokenizerFast.from_pretrained("openai/whisper-tiny", language="spanish")
# now switch the prefix token from Spanish to French
tokenizer.set_prefix_tokens(language="french")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># instantiate the tokenizer and set the prefix token to Spanish</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = WhisperTokenizerFast.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny&quot;</span>, language=<span class="hljs-string">&quot;spanish&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># now switch the prefix token from Spanish to French</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.set_prefix_tokens(language=<span class="hljs-string">&quot;french&quot;</span>)`}}),{c(){c=n("p"),v=a("update the prefix tokens as required when fine-tuning. Example:"),f=p(),b(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"update the prefix tokens as required when fine-tuning. Example:"),m.forEach(t),f=h(d),k(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,v),g(d,f,m),w(u,d,m),y=!0},p:Oe,i(d){y||(T(u.$$.fragment,d),y=!0)},o(d){$(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),x(u,d)}}}function Vu(W){let c,v,f,u,y,d,m,z,L,j,C;return{c(){c=n("p"),v=a(`This class method is simply calling the feature extractor
`),f=n("a"),u=a("from_pretrained()"),y=a(`, image processor
`),d=n("a"),m=a("ImageProcessingMixin"),z=a(` and the tokenizer
`),L=n("code"),j=a("~tokenization_utils_base.PreTrainedTokenizer.from_pretrained"),C=a(` methods. Please refer to the docstrings of the
methods above for more information.`),this.h()},l(P){c=r(P,"P",{});var A=s(c);v=i(A,`This class method is simply calling the feature extractor
`),f=r(A,"A",{href:!0});var le=s(f);u=i(le,"from_pretrained()"),le.forEach(t),y=i(A,`, image processor
`),d=r(A,"A",{href:!0});var Fn=s(d);m=i(Fn,"ImageProcessingMixin"),Fn.forEach(t),z=i(A,` and the tokenizer
`),L=r(A,"CODE",{});var Ue=s(L);j=i(Ue,"~tokenization_utils_base.PreTrainedTokenizer.from_pretrained"),Ue.forEach(t),C=i(A,` methods. Please refer to the docstrings of the
methods above for more information.`),A.forEach(t),this.h()},h(){l(f,"href","/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.from_pretrained"),l(d,"href","/docs/transformers/main/en/internal/image_processing_utils#transformers.ImageProcessingMixin")},m(P,A){g(P,c,A),e(c,v),e(c,f),e(f,u),e(c,y),e(c,d),e(d,m),e(c,z),e(c,L),e(L,j),e(c,C)},d(P){P&&t(c)}}}function Bu(W){let c,v,f,u,y,d,m,z;return{c(){c=n("p"),v=a("This class method is simply calling "),f=n("a"),u=a("save_pretrained()"),y=a(` and
`),d=n("a"),m=a("save_pretrained()"),z=a(`. Please refer to the docstrings of the
methods above for more information.`),this.h()},l(L){c=r(L,"P",{});var j=s(c);v=i(j,"This class method is simply calling "),f=r(j,"A",{href:!0});var C=s(f);u=i(C,"save_pretrained()"),C.forEach(t),y=i(j,` and
`),d=r(j,"A",{href:!0});var P=s(d);m=i(P,"save_pretrained()"),P.forEach(t),z=i(j,`. Please refer to the docstrings of the
methods above for more information.`),j.forEach(t),this.h()},h(){l(f,"href","/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.save_pretrained"),l(d,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.save_pretrained")},m(L,j){g(L,c,j),e(c,v),e(c,f),e(f,u),e(c,y),e(c,d),e(d,m),e(c,z)},d(L){L&&t(c)}}}function Hu(W){let c,v,f,u,y;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,v),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function Ru(W){let c,v,f,u,y;return u=new Ge({props:{code:`import torch
from transformers import AutoFeatureExtractor, WhisperModel
from datasets import load_dataset

model = WhisperModel.from_pretrained("openai/whisper-base")
feature_extractor = AutoFeatureExtractor.from_pretrained("openai/whisper-base")
ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")
input_features = inputs.input_features
decoder_input_ids = torch.tensor([[1, 1]]) * model.config.decoder_start_token_id
last_hidden_state = model(input_features, decoder_input_ids=decoder_input_ids).last_hidden_state
list(last_hidden_state.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, WhisperModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>model = WhisperModel.from_pretrained(<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_features = inputs.input_features
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = torch.tensor([[<span class="hljs-number">1</span>, <span class="hljs-number">1</span>]]) * model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = model(input_features, decoder_input_ids=decoder_input_ids).last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_state.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>, <span class="hljs-number">512</span>]`}}),{c(){c=n("p"),v=a("Example:"),f=p(),b(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Example:"),m.forEach(t),f=h(d),k(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,v),g(d,f,m),w(u,d,m),y=!0},p:Oe,i(d){y||(T(u.$$.fragment,d),y=!0)},o(d){$(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),x(u,d)}}}function Ju(W){let c,v,f,u,y;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,v),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function Ku(W){let c,v,f,u,y;return u=new Ge({props:{code:`import torch
from transformers import AutoProcessor, WhisperForConditionalGeneration
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("openai/whisper-tiny.en")
model = WhisperForConditionalGeneration.from_pretrained("openai/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")

inputs = processor(ds[0]["audio"]["array"], return_tensors="pt")
input_features = inputs.input_features

generated_ids = model.generate(inputs=input_features)

transcription = processor.batch_decode(generated_ids, skip_special_tokens=True)[0]
transcription`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, WhisperForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = WhisperForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_features = inputs.input_features

<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(inputs=input_features)

<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription
<span class="hljs-string">&#x27; Mr. Quilter is the apostle of the middle classes, and we are glad to welcome his gospel.&#x27;</span>`}}),{c(){c=n("p"),v=a("Example:"),f=p(),b(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Example:"),m.forEach(t),f=h(d),k(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,v),g(d,f,m),w(u,d,m),y=!0},p:Oe,i(d){y||(T(u.$$.fragment,d),y=!0)},o(d){$(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),x(u,d)}}}function Xu(W){let c,v,f,u,y;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,v),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function Qu(W){let c,v,f,u,y;return u=new Ge({props:{code:`import tensorflow as tf
from transformers import TFWhisperModel, AutoFeatureExtractor
from datasets import load_dataset

model = TFWhisperModel.from_pretrained("openai/whisper-base")
feature_extractor = AutoFeatureExtractor.from_pretrained("openai/whisper-base")
ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = feature_extractor(ds[0]["audio"]["array"], return_tensors="tf")
input_features = inputs.input_features
decoder_input_ids = tf.convert_to_tensor([[1, 1]]) * model.config.decoder_start_token_id
last_hidden_state = model(input_features, decoder_input_ids=decoder_input_ids).last_hidden_state
list(last_hidden_state.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFWhisperModel, AutoFeatureExtractor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFWhisperModel.from_pretrained(<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_features = inputs.input_features
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tf.convert_to_tensor([[<span class="hljs-number">1</span>, <span class="hljs-number">1</span>]]) * model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = model(input_features, decoder_input_ids=decoder_input_ids).last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_state.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>, <span class="hljs-number">512</span>]`}}),{c(){c=n("p"),v=a("Example:"),f=p(),b(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Example:"),m.forEach(t),f=h(d),k(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,v),g(d,f,m),w(u,d,m),y=!0},p:Oe,i(d){y||(T(u.$$.fragment,d),y=!0)},o(d){$(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),x(u,d)}}}function Zu(W){let c,v,f,u,y;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,v),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function Yu(W){let c,v,f,u,y;return u=new Ge({props:{code:`import tensorflow as tf
from transformers import AutoProcessor, TFWhisperForConditionalGeneration
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("openai/whisper-tiny.en")
model = TFWhisperForConditionalGeneration.from_pretrained("openai/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")

inputs = processor(ds[0]["audio"]["array"], return_tensors="tf")
input_features = inputs.input_features

generated_ids = model.generate(input_ids=input_features)

transcription = processor.batch_decode(generated_ids, skip_special_tokens=True)[0]
transcription`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, TFWhisperForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFWhisperForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_features = inputs.input_features

<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(input_ids=input_features)

<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription
<span class="hljs-string">&#x27; Mr. Quilter is the apostle of the middle classes, and we are glad to welcome his gospel.&#x27;</span>`}}),{c(){c=n("p"),v=a("Example:"),f=p(),b(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Example:"),m.forEach(t),f=h(d),k(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,v),g(d,f,m),w(u,d,m),y=!0},p:Oe,i(d){y||(T(u.$$.fragment,d),y=!0)},o(d){$(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),x(u,d)}}}function ef(W){let c,v,f,u,y;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,v),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function tf(W){let c,v,f,u,y;return u=new Ge({props:{code:`from transformers import AutoTokenizer, FlaxWhisperModel

tokenizer = AutoTokenizer.from_pretrained("openai/whisper-tiny")
model = FlaxWhisperModel.from_pretrained("openai/whisper-tiny")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxWhisperModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxWhisperModel.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){c=n("p"),v=a("Example:"),f=p(),b(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Example:"),m.forEach(t),f=h(d),k(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,v),g(d,f,m),w(u,d,m),y=!0},p:Oe,i(d){y||(T(u.$$.fragment,d),y=!0)},o(d){$(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),x(u,d)}}}function of(W){let c,v,f,u,y;return{c(){c=n("p"),v=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,v),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function nf(W){let c,v,f,u,y;return u=new Ge({props:{code:`from transformers import WhisperProcessor, FlaxWhisperForConditionalGeneration
from datasets import load_dataset

processor = WhisperProcessor.from_pretrained("openai/whisper-tiny.en")
model = FlaxWhisperForConditionalGeneration.from_pretrained("openai/whisper-tiny.en", from_pt=True)
ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor(ds[0]["audio"]["array"], return_tensors="np")
input_features = inputs.input_features
generated_ids = model.generate(input_ids=input_features)
transcription = processor.batch_decode(generated_ids, skip_special_tokens=True)[0]
transcription`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> WhisperProcessor, FlaxWhisperForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = WhisperProcessor.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxWhisperForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>, from_pt=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_features = inputs.input_features
<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(input_ids=input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription
<span class="hljs-string">&#x27; Mr. Quilter is the apostle of the middle classes, and we are glad to welcome his gospel.&#x27;</span>`}}),{c(){c=n("p"),v=a("Transcription example:"),f=p(),b(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);v=i(m,"Transcription example:"),m.forEach(t),f=h(d),k(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,v),g(d,f,m),w(u,d,m),y=!0},p:Oe,i(d){y||(T(u.$$.fragment,d),y=!0)},o(d){$(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),x(u,d)}}}function rf(W){let c,v,f,u,y,d,m,z,L,j,C,P,A,le,Fn,Ue,ni,Bs,Ve,ri,Vt,si,ai,Hs,zn,ii,Rs,qn,xr,di,Js,En,li,Ks,Q,Wr,ci,pi,Bt,hi,Mn,mi,ui,fi,Fr,_i,gi,Ht,yi,jn,vi,bi,Xs,Z,ki,Rt,wi,Ti,Jt,$i,xi,Kt,Wi,Fi,Qs,ye,Be,zr,Xt,zi,qr,qi,Zs,G,Qt,Ei,ve,Mi,Pn,ji,Pi,Zt,Ci,Ai,Ni,be,Si,Cn,Ii,Li,An,Di,Oi,Gi,He,Ys,ke,Re,Er,Yt,Ui,Mr,Vi,ea,q,eo,Bi,jr,Hi,Ri,to,Ji,Nn,Ki,Xi,Qi,ce,oo,Zi,Pr,Yi,ed,Je,td,Ke,no,od,Cr,nd,rd,Xe,ro,sd,so,ad,Ar,id,dd,ld,pe,ao,cd,Sn,pd,In,hd,md,Nr,ud,fd,Ln,io,ta,we,Qe,Sr,lo,_d,Ir,gd,oa,E,co,yd,po,vd,Lr,bd,kd,wd,ho,Td,Dn,$d,xd,Wd,he,mo,Fd,Dr,zd,qd,Ze,Ed,Ye,uo,Md,Or,jd,Pd,et,fo,Cd,_o,Ad,Gr,Nd,Sd,Id,me,go,Ld,On,Dd,Gn,Od,Gd,Ur,Ud,Vd,Un,yo,na,Te,tt,Vr,vo,Bd,Br,Hd,ra,D,bo,Rd,Hr,Jd,Kd,ko,Xd,Vn,Qd,Zd,Yd,$e,el,Rr,tl,ol,Jr,nl,rl,sl,ot,wo,al,Kr,il,sa,xe,nt,Xr,To,dl,Qr,ll,aa,M,$o,cl,Zr,pl,hl,O,Bn,ml,ul,Hn,fl,_l,Rn,gl,yl,xo,Yr,vl,bl,kl,Jn,wl,Tl,$l,rt,Wo,xl,U,Wl,es,Fl,zl,Fo,ts,ql,El,Ml,os,jl,Pl,zo,ns,Cl,Al,Nl,Sl,ue,qo,Il,rs,Ll,Dl,st,Ol,fe,Eo,Gl,Mo,Ul,Kn,Vl,Bl,Hl,at,Rl,it,jo,Jl,Po,Kl,Xn,Xl,Ql,Zl,dt,Co,Yl,Ao,ec,Qn,tc,oc,ia,We,lt,ss,No,nc,as,rc,da,V,So,sc,Io,ac,Zn,ic,dc,lc,Lo,cc,Do,pc,hc,mc,Y,Oo,uc,Fe,fc,Yn,_c,gc,is,yc,vc,bc,ct,kc,pt,la,ze,ht,ds,Go,wc,ls,Tc,ca,B,Uo,$c,Vo,xc,er,Wc,Fc,zc,Bo,qc,Ho,Ec,Mc,jc,ee,Ro,Pc,qe,Cc,tr,Ac,Nc,cs,Sc,Ic,Lc,mt,Dc,ut,pa,Ee,ft,ps,Jo,Oc,hs,Gc,ha,H,Ko,Uc,Xo,Vc,or,Bc,Hc,Rc,Qo,Jc,Zo,Kc,Xc,Qc,te,Yo,Zc,Me,Yc,nr,ep,tp,ms,op,np,rp,_t,sp,gt,ma,je,yt,us,en,ap,fs,ip,ua,R,tn,dp,on,lp,rr,cp,pp,hp,nn,mp,rn,up,fp,_p,oe,sn,gp,Pe,yp,sr,vp,bp,_s,kp,wp,Tp,vt,$p,bt,fa,Ce,kt,gs,an,xp,ys,Wp,_a,J,dn,Fp,Ae,zp,ar,qp,Ep,ln,Mp,jp,Pp,se,vs,cn,Cp,Ap,bs,pn,Np,Sp,ks,hn,Ip,Lp,ws,mn,Dp,Op,ne,un,Gp,Ne,Up,Ts,Vp,Bp,$s,Hp,Rp,Jp,wt,Kp,Tt,ga,Se,$t,xs,fn,Xp,Ws,Qp,ya,K,_n,Zp,Ie,Yp,ir,eh,th,gn,oh,nh,rh,ae,Fs,yn,sh,ah,zs,vn,ih,dh,qs,bn,lh,ch,Es,kn,ph,hh,re,wn,mh,Le,uh,Ms,fh,_h,js,gh,yh,vh,xt,bh,Wt,va;return d=new X({}),le=new X({}),Xt=new X({}),Qt=new F({props:{name:"class transformers.WhisperConfig",anchor:"transformers.WhisperConfig",parameters:[{name:"vocab_size",val:" = 51865"},{name:"num_mel_bins",val:" = 80"},{name:"encoder_layers",val:" = 6"},{name:"encoder_attention_heads",val:" = 4"},{name:"decoder_layers",val:" = 6"},{name:"decoder_attention_heads",val:" = 4"},{name:"decoder_ffn_dim",val:" = 1536"},{name:"encoder_ffn_dim",val:" = 1536"},{name:"encoder_layerdrop",val:" = 0.0"},{name:"decoder_layerdrop",val:" = 0.0"},{name:"decoder_start_token_id",val:" = 50257"},{name:"use_cache",val:" = True"},{name:"is_encoder_decoder",val:" = True"},{name:"activation_function",val:" = 'gelu'"},{name:"d_model",val:" = 256"},{name:"dropout",val:" = 0.0"},{name:"attention_dropout",val:" = 0.0"},{name:"activation_dropout",val:" = 0.0"},{name:"init_std",val:" = 0.02"},{name:"scale_embedding",val:" = False"},{name:"max_source_positions",val:" = 1500"},{name:"max_target_positions",val:" = 448"},{name:"pad_token_id",val:" = 50256"},{name:"bos_token_id",val:" = 50257"},{name:"eos_token_id",val:" = 50256"},{name:"suppress_tokens",val:" = None"},{name:"begin_suppress_tokens",val:" = [220, 50256]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 51865) &#x2014;
Vocabulary size of the Whisper model. Defines the number of different tokens that can be represented by the
<code>decoder_input_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperModel">WhisperModel</a>`,name:"vocab_size"},{anchor:"transformers.WhisperConfig.num_mel_bins",description:`<strong>num_mel_bins</strong> (<code>int</code>, <em>optional</em>, defaults to 80) &#x2014;
Number of mel features used per input features. Should correspond to the value used in the
<code>WhisperProcessor</code> class.`,name:"num_mel_bins"},{anchor:"transformers.WhisperConfig.encoder_layers",description:`<strong>encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of encoder layers.`,name:"encoder_layers"},{anchor:"transformers.WhisperConfig.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of decoder layers.`,name:"decoder_layers"},{anchor:"transformers.WhisperConfig.encoder_attention_heads",description:`<strong>encoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"encoder_attention_heads"},{anchor:"transformers.WhisperConfig.decoder_attention_heads",description:`<strong>decoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"decoder_attention_heads"},{anchor:"transformers.WhisperConfig.encoder_ffn_dim",description:`<strong>encoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1536) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in encoder.`,name:"encoder_ffn_dim"},{anchor:"transformers.WhisperConfig.decoder_ffn_dim",description:`<strong>decoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1536) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"decoder_ffn_dim"},{anchor:"transformers.WhisperConfig.encoder_layerdrop",description:`<strong>encoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the encoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"encoder_layerdrop"},{anchor:"transformers.WhisperConfig.decoder_layerdrop",description:`<strong>decoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the decoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"decoder_layerdrop"},{anchor:"transformers.WhisperConfig.decoder_start_token_id",description:`<strong>decoder_start_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 50257) &#x2014;
Corresponds to the &#x201D;&lt;|startoftranscript|&gt;&#x201D; token, which is automatically used when no <code>decoder_input_ids</code>
are provided to the <code>generate</code> function. It is used to guide the model\`s generation process depending on
the task.`,name:"decoder_start_token_id"},{anchor:"transformers.WhisperConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"},{anchor:"transformers.WhisperConfig.is_encoder_decoder",description:`<strong>is_encoder_decoder</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the model is used as an encoder/decoder or not.`,name:"is_encoder_decoder"},{anchor:"transformers.WhisperConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.WhisperConfig.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the layers.`,name:"d_model"},{anchor:"transformers.WhisperConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.WhisperConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.WhisperConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.WhisperConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"init_std"},{anchor:"transformers.WhisperConfig.scale_embedding",description:`<strong>scale_embedding</strong> (<code>bool</code>, <em>optional</em>, defaults to False) &#x2014;
Scale embeddings by diving by sqrt(d_model).`,name:"scale_embedding"},{anchor:"transformers.WhisperConfig.max_source_positions",description:`<strong>max_source_positions</strong> (<code>int</code>, <em>optional</em>, defaults to 1500) &#x2014;
The maximum sequence length of log-mel filter-bank features that this model might ever be used with.`,name:"max_source_positions"},{anchor:"transformers.WhisperConfig.max_target_positions",description:`<strong>max_target_positions</strong> (<code>int</code>, <em>optional</em>, defaults to 448) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_target_positions"},{anchor:"transformers.WhisperConfig.pad_token_id",description:`<strong>pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 50256) &#x2014;
Padding token id.`,name:"pad_token_id"},{anchor:"transformers.WhisperConfig.bos_token_id",description:`<strong>bos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 50256) &#x2014;
Begin of stream token id.`,name:"bos_token_id"},{anchor:"transformers.WhisperConfig.eos_token_id",description:`<strong>eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 50257) &#x2014;
End of stream token id.`,name:"eos_token_id"},{anchor:"transformers.WhisperConfig.suppress_tokens",description:`<strong>suppress_tokens</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
A list containing the non-speech tokens that will be used by the logit processor in the <code>generate</code>
function. NON_SPEECH_TOKENS and NON_SPEECH_TOKENS_MULTI each correspond to the <code>english-only</code> and the
<code>multilingual</code> model.`,name:"suppress_tokens"},{anchor:"transformers.WhisperConfig.begin_suppress_tokens",description:`<strong>begin_suppress_tokens</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[220,50256]</code>) &#x2014;
A list containing tokens that will be supressed at the beginning of the sampling process. Initialized as
the token for <code>&quot; &quot;</code> (<code>blank_token_id</code>) and the <code>eos_token_id</code>`,name:"begin_suppress_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/configuration_whisper.py#L62"}}),He=new De({props:{anchor:"transformers.WhisperConfig.example",$$slots:{default:[Ou]},$$scope:{ctx:W}}}),Yt=new X({}),eo=new F({props:{name:"class transformers.WhisperTokenizer",anchor:"transformers.WhisperTokenizer",parameters:[{name:"vocab_file",val:""},{name:"merges_file",val:""},{name:"normalizer_file",val:" = None"},{name:"errors",val:" = 'replace'"},{name:"unk_token",val:" = '<|endoftext|>'"},{name:"bos_token",val:" = '<|startoftranscript|>'"},{name:"eos_token",val:" = '<|endoftext|>'"},{name:"pad_token",val:" = None"},{name:"add_prefix_space",val:" = False"},{name:"language",val:" = None"},{name:"task",val:" = None"},{name:"predict_timestamps",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.WhisperTokenizer.merges_file",description:`<strong>merges_file</strong> (<code>str</code>) &#x2014;
Path to the merges file.`,name:"merges_file"},{anchor:"transformers.WhisperTokenizer.normalizer_file",description:`<strong>normalizer_file</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Path to the normalizer_file file.`,name:"normalizer_file"},{anchor:"transformers.WhisperTokenizer.errors",description:`<strong>errors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;replace&quot;</code>) &#x2014;
Paradigm to follow when decoding bytes to UTF-8. See
<a href="https://docs.python.org/3/library/stdtypes.html#bytes.decode" rel="nofollow">bytes.decode</a> for more information.`,name:"errors"},{anchor:"transformers.WhisperTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;|endoftext|&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.WhisperTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;|startoftranscript|&gt;&quot;</code>) &#x2014;
The beginning of sequence token.`,name:"bos_token"},{anchor:"transformers.WhisperTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;|endoftext|&gt;&quot;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.WhisperTokenizer.add_prefix_space",description:`<strong>add_prefix_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to add an initial space to the input. This allows to treat the leading word just as any
other word.`,name:"add_prefix_space"},{anchor:"transformers.WhisperTokenizer.language",description:`<strong>language</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the transcription text. The corresponding language id token is appended to the start of the
sequence for multilingual speech recognition and speech translation tasks, e.g. for Spanish the token
<code>&quot;&lt;|es|&gt;&quot;</code> is appended to the start of sequence. This should be used for multilingual fine-tuning only.`,name:"language"},{anchor:"transformers.WhisperTokenizer.task",description:`<strong>task</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Task identifier to append at the start of sequence (if any). This should be used for mulitlingual
fine-tuning, with <code>&quot;transcribe&quot;</code> for speech recognition and <code>&quot;translate&quot;</code> for speech translation.`,name:"task"},{anchor:"transformers.WhisperTokenizer.predict_timestamps",description:`<strong>predict_timestamps</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to omit the <code>&lt;|notimestamps|&gt;</code> token at the start of the sequence.`,name:"predict_timestamps"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper.py#L214"}}),oo=new F({props:{name:"set_prefix_tokens",anchor:"transformers.WhisperTokenizer.set_prefix_tokens",parameters:[{name:"language",val:": str = None"},{name:"task",val:": str = None"},{name:"predict_timestamps",val:": bool = None"}],parametersDescription:[{anchor:"transformers.WhisperTokenizer.set_prefix_tokens.language",description:`<strong>language</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The language of the transcription text.`,name:"language"},{anchor:"transformers.WhisperTokenizer.set_prefix_tokens.task",description:`<strong>task</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Task identifier to append at the start of sequence (if any).`,name:"task"},{anchor:"transformers.WhisperTokenizer.set_prefix_tokens.predict_timestamps",description:`<strong>predict_timestamps</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Whether to omit the <code>&lt;|notimestamps|&gt;</code> token at the start of the sequence.`,name:"predict_timestamps"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper.py#L365"}}),Je=new De({props:{anchor:"transformers.WhisperTokenizer.set_prefix_tokens.example",$$slots:{default:[Gu]},$$scope:{ctx:W}}}),no=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.WhisperTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper.py#L425"}}),ro=new F({props:{name:"get_special_tokens_mask",anchor:"transformers.WhisperTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.WhisperTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.WhisperTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.WhisperTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper.py#L433",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ao=new F({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.WhisperTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.WhisperTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:"<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014; The first tokenized sequence.",name:"token_ids_0"},{anchor:"transformers.WhisperTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:"<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014; The second tokenized sequence.",name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/tokenization_utils_base.py#L3029",returnDescription:`
<p>The token type ids.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),io=new F({props:{name:"save_vocabulary",anchor:"transformers.WhisperTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper.py#L643"}}),lo=new X({}),co=new F({props:{name:"class transformers.WhisperTokenizerFast",anchor:"transformers.WhisperTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"merges_file",val:" = None"},{name:"normalizer_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"unk_token",val:" = '<|endoftext|>'"},{name:"bos_token",val:" = '<|startoftranscript|>'"},{name:"eos_token",val:" = '<|endoftext|>'"},{name:"add_prefix_space",val:" = False"},{name:"language",val:" = None"},{name:"task",val:" = None"},{name:"predict_timestamps",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.WhisperTokenizerFast.merges_file",description:`<strong>merges_file</strong> (<code>str</code>) &#x2014;
Path to the merges file.`,name:"merges_file"},{anchor:"transformers.WhisperTokenizerFast.normalizer_file",description:`<strong>normalizer_file</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Path to the normalizer_file file.`,name:"normalizer_file"},{anchor:"transformers.WhisperTokenizerFast.errors",description:`<strong>errors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;replace&quot;</code>) &#x2014;
Paradigm to follow when decoding bytes to UTF-8. See
<a href="https://docs.python.org/3/library/stdtypes.html#bytes.decode" rel="nofollow">bytes.decode</a> for more information.`,name:"errors"},{anchor:"transformers.WhisperTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|endoftext|&gt;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.WhisperTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|startoftranscript|&gt;</code>) &#x2014;
The beginning of sequence token.`,name:"bos_token"},{anchor:"transformers.WhisperTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|endoftext|&gt;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.WhisperTokenizerFast.add_prefix_space",description:`<strong>add_prefix_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to add an initial space to the input. This allows to treat the leading word just as any
other word. (Whisper tokenizer detect beginning of words by the preceding space).`,name:"add_prefix_space"},{anchor:"transformers.WhisperTokenizerFast.trim_offsets",description:`<strong>trim_offsets</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the post-processing step should trim offsets to avoid including whitespaces.`,name:"trim_offsets"},{anchor:"transformers.WhisperTokenizerFast.language",description:`<strong>language</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the transcription text. The corresponding language id token is appended to the start of the
sequence for multilingual speech recognition and speech translation tasks, e.g. for Spanish the token
<code>&quot;&lt;|es|&gt;&quot;</code> is appended to the start of sequence. This should be used for multilingual fine-tuning only.`,name:"language"},{anchor:"transformers.WhisperTokenizerFast.task",description:`<strong>task</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Task identifier to append at the start of sequence (if any). This should be used for mulitlingual
fine-tuning, with <code>&quot;transcribe&quot;</code> for speech recognition and <code>&quot;translate&quot;</code> for speech translation.`,name:"task"},{anchor:"transformers.WhisperTokenizerFast.predict_timestamps",description:`<strong>predict_timestamps</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to omit the <code>&lt;|notimestamps|&gt;</code> token at the start of the sequence.`,name:"predict_timestamps"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper_fast.py#L88"}}),mo=new F({props:{name:"set_prefix_tokens",anchor:"transformers.WhisperTokenizerFast.set_prefix_tokens",parameters:[{name:"language",val:": str = None"},{name:"task",val:": str = None"},{name:"predict_timestamps",val:": bool = None"}],parametersDescription:[{anchor:"transformers.WhisperTokenizerFast.set_prefix_tokens.language",description:`<strong>language</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The language of the transcription text.`,name:"language"},{anchor:"transformers.WhisperTokenizerFast.set_prefix_tokens.task",description:`<strong>task</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Task identifier to append at the start of sequence (if any).`,name:"task"},{anchor:"transformers.WhisperTokenizerFast.set_prefix_tokens.predict_timestamps",description:`<strong>predict_timestamps</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Whether to omit the <code>&lt;|notimestamps|&gt;</code> token at the start of the sequence.`,name:"predict_timestamps"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper_fast.py#L346"}}),Ze=new De({props:{anchor:"transformers.WhisperTokenizerFast.set_prefix_tokens.example",$$slots:{default:[Uu]},$$scope:{ctx:W}}}),uo=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.WhisperTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper_fast.py#L421"}}),fo=new F({props:{name:"get_special_tokens_mask",anchor:"transformers.WhisperTokenizerFast.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.WhisperTokenizerFast.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.WhisperTokenizerFast.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.WhisperTokenizerFast.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper_fast.py#L429",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),go=new F({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.WhisperTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.WhisperTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:"<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014; The first tokenized sequence.",name:"token_ids_0"},{anchor:"transformers.WhisperTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:"<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014; The second tokenized sequence.",name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/tokenization_utils_base.py#L3029",returnDescription:`
<p>The token type ids.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),yo=new F({props:{name:"save_vocabulary",anchor:"transformers.WhisperTokenizerFast.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper_fast.py#L331"}}),vo=new X({}),bo=new F({props:{name:"class transformers.WhisperFeatureExtractor",anchor:"transformers.WhisperFeatureExtractor",parameters:[{name:"feature_size",val:" = 80"},{name:"sampling_rate",val:" = 16000"},{name:"hop_length",val:" = 160"},{name:"chunk_length",val:" = 30"},{name:"n_fft",val:" = 400"},{name:"padding_value",val:" = 0.0"},{name:"return_attention_mask",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperFeatureExtractor.feature_size",description:`<strong>feature_size</strong> (<code>int</code>, defaults to 80) &#x2014;
The feature dimension of the extracted features.`,name:"feature_size"},{anchor:"transformers.WhisperFeatureExtractor.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, defaults to 16000) &#x2014;
The sampling rate at which the audio files should be digitalized expressed in hertz (Hz).`,name:"sampling_rate"},{anchor:"transformers.WhisperFeatureExtractor.hop_length",description:`<strong>hop_length</strong> (<code>int</code>, defaults to 160) &#x2014;
Length of the overlaping windows for the STFT used to obtain the Mel Frequency coefficients.`,name:"hop_length"},{anchor:"transformers.WhisperFeatureExtractor.chunk_length",description:`<strong>chunk_length</strong> (<code>int</code>, defaults to 30) &#x2014;
The maximum number of chuncks of <code>sampling_rate</code> samples used to trim and pad longer or shorter audio
sequences.`,name:"chunk_length"},{anchor:"transformers.WhisperFeatureExtractor.n_fft",description:`<strong>n_fft</strong> (<code>int</code>, defaults to 400) &#x2014;
Size of the Fourier transform.`,name:"n_fft"},{anchor:"transformers.WhisperFeatureExtractor.padding_value",description:`<strong>padding_value</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Padding value used to pad the audio. Should correspond to silences.`,name:"padding_value"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/feature_extraction_whisper.py#L32"}}),wo=new F({props:{name:"__call__",anchor:"transformers.WhisperFeatureExtractor.__call__",parameters:[{name:"raw_speech",val:": typing.Union[numpy.ndarray, typing.List[float], typing.List[numpy.ndarray], typing.List[typing.List[float]]]"},{name:"truncation",val:": bool = True"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"return_attention_mask",val:": typing.Optional[bool] = None"},{name:"padding",val:": typing.Optional[str] = 'max_length'"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"sampling_rate",val:": typing.Optional[int] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperFeatureExtractor.__call__.raw_speech",description:`<strong>raw_speech</strong> (<code>np.ndarray</code>, <code>List[float]</code>, <code>List[np.ndarray]</code>, <code>List[List[float]]</code>) &#x2014;
The sequence or batch of sequences to be padded. Each sequence can be a numpy array, a list of float
values, a list of numpy arrays or a list of list of float values.`,name:"raw_speech"},{anchor:"transformers.WhisperFeatureExtractor.__call__.truncation",description:`<strong>truncation</strong> (<code>bool</code>, <em>optional</em>, default to <code>True</code>) &#x2014;
Activates truncation to cut input sequences longer than <em>max_length</em> to <em>max_length</em>.`,name:"truncation"},{anchor:"transformers.WhisperFeatureExtractor.__call__.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability
<code>&gt;= 7.5</code> (Volta), or on TPUs which benefit from having sequence lengths be a multiple of 128.`,name:"pad_to_multiple_of"},{anchor:"transformers.WhisperFeatureExtractor.__call__.return_attention_mask",description:`<strong>return_attention_mask</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to return the attention mask. If left to the default, will return the attention mask according
to the specific feature_extractor&#x2019;s default.</p>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>For Whisper models, <code>attention_mask</code> should always be passed for batched inference, to avoid subtle
bugs.</p>

					</div>`,name:"return_attention_mask"},{anchor:"transformers.WhisperFeatureExtractor.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.TensorType">TensorType</a>, <em>optional</em>) &#x2014;
If set, will return tensors instead of list of python integers. Acceptable values are:</p>
<ul>
<li><code>&apos;tf&apos;</code>: Return TensorFlow <code>tf.constant</code> objects.</li>
<li><code>&apos;pt&apos;</code>: Return PyTorch <code>torch.Tensor</code> objects.</li>
<li><code>&apos;np&apos;</code>: Return Numpy <code>np.ndarray</code> objects.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.WhisperFeatureExtractor.__call__.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The sampling rate at which the <code>raw_speech</code> input was sampled. It is strongly recommended to pass
<code>sampling_rate</code> at the forward call to prevent silent errors and allow automatic speech recognition
pipeline.`,name:"sampling_rate"},{anchor:"transformers.WhisperFeatureExtractor.__call__.padding_value",description:`<strong>padding_value</strong> (<code>float</code>, defaults to 0.0) &#x2014;
The value that is used to fill the padding values / vectors.`,name:"padding_value"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/feature_extraction_whisper.py#L218"}}),To=new X({}),$o=new F({props:{name:"class transformers.WhisperProcessor",anchor:"transformers.WhisperProcessor",parameters:[{name:"feature_extractor",val:""},{name:"tokenizer",val:""}],parametersDescription:[{anchor:"transformers.WhisperProcessor.feature_extractor",description:`<strong>feature_extractor</strong> (<code>WhisperFeatureExtractor</code>) &#x2014;
An instance of <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor">WhisperFeatureExtractor</a>. The feature extractor is a required input.`,name:"feature_extractor"},{anchor:"transformers.WhisperProcessor.tokenizer",description:`<strong>tokenizer</strong> (<code>WhisperTokenizer</code>) &#x2014;
An instance of <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer">WhisperTokenizer</a>. The tokenizer is a required input.`,name:"tokenizer"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/processing_whisper.py#L22"}}),Wo=new F({props:{name:"__call__",anchor:"transformers.WhisperProcessor.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/processing_whisper.py#L47"}}),qo=new F({props:{name:"from_pretrained",anchor:"transformers.WhisperProcessor.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperProcessor.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
This can be either:</p>
<ul>
<li>a string, the <em>model id</em> of a pretrained feature_extractor hosted inside a model repo on
huggingface.co. Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or
namespaced under a user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>a path to a <em>directory</em> containing a feature extractor file saved using the
<a href="/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.save_pretrained">save_pretrained()</a> method, e.g., <code>./my_model_directory/</code>.</li>
<li>a path or url to a saved feature extractor JSON <em>file</em>, e.g.,
<code>./my_model_directory/preprocessor_config.json</code>.
**kwargs &#x2014;
Additional keyword arguments passed along to both
<a href="/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.from_pretrained">from_pretrained()</a> and
<code>~tokenization_utils_base.PreTrainedTokenizer.from_pretrained</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/processing_utils.py#L153"}}),st=new Ut({props:{$$slots:{default:[Vu]},$$scope:{ctx:W}}}),Eo=new F({props:{name:"save_pretrained",anchor:"transformers.WhisperProcessor.save_pretrained",parameters:[{name:"save_directory",val:""},{name:"push_to_hub",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperProcessor.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory where the feature extractor JSON file and the tokenizer files will be saved (directory will
be created if it does not exist).`,name:"save_directory"},{anchor:"transformers.WhisperProcessor.save_pretrained.push_to_hub",description:`<strong>push_to_hub</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to push your model to the Hugging Face model hub after saving it. You can specify the
repository you want to push to with <code>repo_id</code> (will default to the name of <code>save_directory</code> in your
namespace).
kwargs &#x2014;
Additional key word arguments passed along to the <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.push_to_hub">push_to_hub()</a> method.`,name:"push_to_hub"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/processing_utils.py#L91"}}),at=new Ut({props:{$$slots:{default:[Bu]},$$scope:{ctx:W}}}),jo=new F({props:{name:"batch_decode",anchor:"transformers.WhisperProcessor.batch_decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/processing_whisper.py#L81"}}),Co=new F({props:{name:"decode",anchor:"transformers.WhisperProcessor.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/processing_whisper.py#L88"}}),No=new X({}),So=new F({props:{name:"class transformers.WhisperModel",anchor:"transformers.WhisperModel",parameters:[{name:"config",val:": WhisperConfig"}],parametersDescription:[{anchor:"transformers.WhisperModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_whisper.py#L972"}}),Oo=new F({props:{name:"forward",anchor:"transformers.WhisperModel.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.WhisperModel.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values mel features extracted from the raw speech waveform. Raw speech waveform can be obtained by
loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via
the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a> should be used for extracting the mel features, padding and conversion into a
tensor of type <code>torch.FloatTensor</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.WhisperModel.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer">WhisperTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Whisper uses the <code>decoder_start_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.WhisperModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should read
<code>modeling_whisper._prepare_decoder_attention_mask</code> and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the BART
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.WhisperModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.WhisperModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.WhisperModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.WhisperModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.WhisperModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.WhisperModel.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"decoder_inputs_embeds"},{anchor:"transformers.WhisperModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.WhisperModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.WhisperModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.WhisperModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_whisper.py#L1002",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ct=new Ut({props:{$$slots:{default:[Hu]},$$scope:{ctx:W}}}),pt=new De({props:{anchor:"transformers.WhisperModel.forward.example",$$slots:{default:[Ru]},$$scope:{ctx:W}}}),Go=new X({}),Uo=new F({props:{name:"class transformers.WhisperForConditionalGeneration",anchor:"transformers.WhisperForConditionalGeneration",parameters:[{name:"config",val:": WhisperConfig"}],parametersDescription:[{anchor:"transformers.WhisperForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_whisper.py#L1096"}}),Ro=new F({props:{name:"forward",anchor:"transformers.WhisperForConditionalGeneration.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.WhisperForConditionalGeneration.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values mel features extracted from the raw speech waveform. Raw speech waveform can be obtained by
loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via
the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a> should be used for extracting the mel features, padding and conversion into a
tensor of type <code>torch.FloatTensor</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.WhisperForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer">WhisperTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Whisper uses the <code>decoder_start_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.WhisperForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should read
<code>modeling_whisper._prepare_decoder_attention_mask</code> and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the BART
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.WhisperForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.WhisperForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.WhisperForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.WhisperForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.WhisperForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.WhisperForConditionalGeneration.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"decoder_inputs_embeds"},{anchor:"transformers.WhisperForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.WhisperForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.WhisperForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.WhisperForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.WhisperForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code>
or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored (masked), the loss is
only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_whisper.py#L1138",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),mt=new Ut({props:{$$slots:{default:[Ju]},$$scope:{ctx:W}}}),ut=new De({props:{anchor:"transformers.WhisperForConditionalGeneration.forward.example",$$slots:{default:[Ku]},$$scope:{ctx:W}}}),Jo=new X({}),Ko=new F({props:{name:"class transformers.TFWhisperModel",anchor:"transformers.TFWhisperModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFWhisperModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_tf_whisper.py#L1102"}}),Yo=new F({props:{name:"call",anchor:"transformers.TFWhisperModel.call",parameters:[{name:"input_features",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"cross_attn_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": bool = False"}],parametersDescription:[{anchor:"transformers.TFWhisperModel.call.input_features",description:`<strong>input_features</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values of fbank features extracted from the raw speech waveform. Raw speech waveform can be obtained
by loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em>
via the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a> should be used for extracting the fbank features, padding and conversion into a
tensor of type <code>tf.Tensor</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.TFWhisperModel.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <code>SpeechToTextTokenizer</code>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>SpeechToText uses the <code>eos_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.TFWhisperModel.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should read
<code>modeling_whisper._prepare_decoder_attention_mask</code> and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.TFWhisperModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFWhisperModel.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFWhisperModel.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFWhisperModel.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(tf.Tensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TFWhisperModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(tf.Tensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(tf.Tensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFWhisperModel.call.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"decoder_inputs_embeds"},{anchor:"transformers.TFWhisperModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFWhisperModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TFWhisperModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFWhisperModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_tf_whisper.py#L1126",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),_t=new Ut({props:{$$slots:{default:[Xu]},$$scope:{ctx:W}}}),gt=new De({props:{anchor:"transformers.TFWhisperModel.call.example",$$slots:{default:[Qu]},$$scope:{ctx:W}}}),en=new X({}),tn=new F({props:{name:"class transformers.TFWhisperForConditionalGeneration",anchor:"transformers.TFWhisperForConditionalGeneration",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFWhisperForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_tf_whisper.py#L1210"}}),sn=new F({props:{name:"call",anchor:"transformers.TFWhisperForConditionalGeneration.call",parameters:[{name:"input_features",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"cross_attn_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]], NoneType] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": bool = False"}],parametersDescription:[{anchor:"transformers.TFWhisperForConditionalGeneration.call.input_features",description:`<strong>input_features</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values of fbank features extracted from the raw speech waveform. Raw speech waveform can be obtained
by loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em>
via the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a> should be used for extracting the fbank features, padding and conversion into a
tensor of type <code>tf.Tensor</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <code>SpeechToTextTokenizer</code>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>SpeechToText uses the <code>eos_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should read
<code>modeling_whisper._prepare_decoder_attention_mask</code> and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(tf.Tensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(tf.Tensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(tf.Tensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"decoder_inputs_embeds"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code>
or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored (masked), the loss is
only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_tf_whisper.py#L1241",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),vt=new Ut({props:{$$slots:{default:[Zu]},$$scope:{ctx:W}}}),bt=new De({props:{anchor:"transformers.TFWhisperForConditionalGeneration.call.example",$$slots:{default:[Yu]},$$scope:{ctx:W}}}),an=new X({}),dn=new F({props:{name:"class transformers.FlaxWhisperModel",anchor:"transformers.FlaxWhisperModel",parameters:[{name:"config",val:": WhisperConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 80, 3000)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxWhisperModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxWhisperModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs). This can be used to enable mixed-precision training or half-precision
inference on GPUs or TPUs. If specified all the computation will be performed with the given <code>dtype</code>.
<strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong> If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a>
and <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_flax_whisper.py#L1128"}}),un=new F({props:{name:"__call__",anchor:"transformers.FlaxWhisperModel.__call__",parameters:[{name:"input_features",val:": ndarray"},{name:"decoder_input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxWhisperModel.__call__.input_features",description:`<strong>input_features</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values mel features extracted from the raw speech waveform. Raw speech waveform can be obtained by
loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via
the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor">WhisperFeatureExtractor</a> should be used for extracting the features, padding and conversion into a
tensor of type <code>numpy.ndarray</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.FlaxWhisperModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Whisper does not support masking of the <code>input_features</code>, this argument is preserved for compatibility, but
is not used. By default the silence in the input log mel spectrogram are ignored.`,name:"attention_mask"},{anchor:"transformers.FlaxWhisperModel.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary. Indices can be obtained using
<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer">WhisperTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.
<a href="../glossary#decoder-input-ids">What are decoder input IDs?</a> Whisper uses the <code>decoder_start_token_id</code> as
the starting token for <code>decoder_input_ids</code> generation.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxWhisperModel.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default. If you want to change padding behavior, you should modify to your needs. See diagram 1
in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxWhisperModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Whisper does not use <code>position_ids</code> in the encoder as <code>input_features</code> is always the same size and doesn&#x2019;t
use masking, but this argument is preserved for compatibility. By default the silence in the input log mel
spectrogram are ignored.`,name:"position_ids"},{anchor:"transformers.FlaxWhisperModel.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxWhisperModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxWhisperModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxWhisperModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_flax_whisper.py#L1073",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),wt=new Ut({props:{$$slots:{default:[ef]},$$scope:{ctx:W}}}),Tt=new De({props:{anchor:"transformers.FlaxWhisperModel.__call__.example",$$slots:{default:[tf]},$$scope:{ctx:W}}}),fn=new X({}),_n=new F({props:{name:"class transformers.FlaxWhisperForConditionalGeneration",anchor:"transformers.FlaxWhisperForConditionalGeneration",parameters:[{name:"config",val:": WhisperConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 80, 3000)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxWhisperForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs). This can be used to enable mixed-precision training or half-precision
inference on GPUs or TPUs. If specified all the computation will be performed with the given <code>dtype</code>.
<strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong> If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a>
and <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_flax_whisper.py#L1204"}}),wn=new F({props:{name:"__call__",anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__",parameters:[{name:"input_features",val:": ndarray"},{name:"decoder_input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.input_features",description:`<strong>input_features</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values mel features extracted from the raw speech waveform. Raw speech waveform can be obtained by
loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via
the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor">WhisperFeatureExtractor</a> should be used for extracting the features, padding and conversion into a
tensor of type <code>numpy.ndarray</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Whisper does not support masking of the <code>input_features</code>, this argument is preserved for compatibility, but
is not used. By default the silence in the input log mel spectrogram are ignored.`,name:"attention_mask"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary. Indices can be obtained using
<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer">WhisperTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.
<a href="../glossary#decoder-input-ids">What are decoder input IDs?</a> Whisper uses the <code>decoder_start_token_id</code> as
the starting token for <code>decoder_input_ids</code> generation.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default. If you want to change padding behavior, you should modify to your needs. See diagram 1
in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Whisper does not use <code>position_ids</code> in the encoder as <code>input_features</code> is always the same size and doesn&#x2019;t
use masking, but this argument is preserved for compatibility. By default the silence in the input log mel
spectrogram are ignored.`,name:"position_ids"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_flax_whisper.py#L1073",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),xt=new Ut({props:{$$slots:{default:[of]},$$scope:{ctx:W}}}),Wt=new De({props:{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.example",$$slots:{default:[nf]},$$scope:{ctx:W}}}),{c(){c=n("meta"),v=p(),f=n("h1"),u=n("a"),y=n("span"),b(d.$$.fragment),m=p(),z=n("span"),L=a("Whisper"),j=p(),C=n("h2"),P=n("a"),A=n("span"),b(le.$$.fragment),Fn=p(),Ue=n("span"),ni=a("Overview"),Bs=p(),Ve=n("p"),ri=a("The Whisper model was proposed in "),Vt=n("a"),si=a("Robust Speech Recognition via Large-Scale Weak Supervision"),ai=a(" by Alec Radford, Jong Wook Kim, Tao Xu, Greg Brockman, Christine McLeavey, Ilya Sutskever."),Hs=p(),zn=n("p"),ii=a("The abstract from the paper is the following:"),Rs=p(),qn=n("p"),xr=n("em"),di=a("We study the capabilities of speech processing systems trained simply to predict large amounts of transcripts of audio on the internet. When scaled to 680,000 hours of multilingual and multitask supervision, the resulting models generalize well to standard benchmarks and are often competitive with prior fully supervised results but in a zeroshot transfer setting without the need for any finetuning. When compared to humans, the models approach their accuracy and robustness. We are releasing models and inference code to serve as a foundation for further work on robust speech processing."),Js=p(),En=n("p"),li=a("Tips:"),Ks=p(),Q=n("ul"),Wr=n("li"),ci=a("The model usually performs well without requiring any finetuning."),pi=p(),Bt=n("li"),hi=a("The architecture follows a classic encoder-decoder architecture, which means that it relies on the "),Mn=n("a"),mi=a("generate()"),ui=a(" function for inference."),fi=p(),Fr=n("li"),_i=a("Inference is currently only implemented for short-form i.e. audio is pre-segmented into <=30s segments. Long-form (including timestamps) will be implemented in a future release."),gi=p(),Ht=n("li"),yi=a("One can use "),jn=n("a"),vi=a("WhisperProcessor"),bi=a(" to prepare audio for the model, and decode the predicted ID\u2019s back into text."),Xs=p(),Z=n("p"),ki=a("This model was contributed by "),Rt=n("a"),wi=a("Arthur Zucker"),Ti=a(". The Tensorflow version of this model was contributed by "),Jt=n("a"),$i=a("amyeroberts"),xi=a(`.
The original code can be found `),Kt=n("a"),Wi=a("here"),Fi=a("."),Qs=p(),ye=n("h2"),Be=n("a"),zr=n("span"),b(Xt.$$.fragment),zi=p(),qr=n("span"),qi=a("WhisperConfig"),Zs=p(),G=n("div"),b(Qt.$$.fragment),Ei=p(),ve=n("p"),Mi=a("This is the configuration class to store the configuration of a "),Pn=n("a"),ji=a("WhisperModel"),Pi=a(`. It is used to instantiate a
Whisper model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the Whisper
`),Zt=n("a"),Ci=a("openai/whisper-tiny"),Ai=a(" architecture."),Ni=p(),be=n("p"),Si=a("Configuration objects inherit from "),Cn=n("a"),Ii=a("PretrainedConfig"),Li=a(` and can be used to control the model outputs. Read the
documentation from `),An=n("a"),Di=a("PretrainedConfig"),Oi=a(" for more information."),Gi=p(),b(He.$$.fragment),Ys=p(),ke=n("h2"),Re=n("a"),Er=n("span"),b(Yt.$$.fragment),Ui=p(),Mr=n("span"),Vi=a("WhisperTokenizer"),ea=p(),q=n("div"),b(eo.$$.fragment),Bi=p(),jr=n("p"),Hi=a("Construct a Whisper tokenizer."),Ri=p(),to=n("p"),Ji=a("This tokenizer inherits from "),Nn=n("a"),Ki=a("PreTrainedTokenizer"),Xi=a(` which contains some of the main methods. Users should refer to
the superclass for more information regarding such methods.`),Qi=p(),ce=n("div"),b(oo.$$.fragment),Zi=p(),Pr=n("p"),Yi=a("Override the prefix tokens appended to the start of the label sequence. This method can be used standalone to"),ed=p(),b(Je.$$.fragment),td=p(),Ke=n("div"),b(no.$$.fragment),od=p(),Cr=n("p"),nd=a("Build model inputs from a sequence by appending eos_token_id."),rd=p(),Xe=n("div"),b(ro.$$.fragment),sd=p(),so=n("p"),ad=a(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Ar=n("code"),id=a("prepare_for_model"),dd=a(" method."),ld=p(),pe=n("div"),b(ao.$$.fragment),cd=p(),Sn=n("p"),pd=a("Create the token type IDs corresponding to the sequences passed. "),In=n("a"),hd=a(`What are token type
IDs?`),md=p(),Nr=n("p"),ud=a("Should be overridden in a subclass if the model has a special way of building those."),fd=p(),Ln=n("div"),b(io.$$.fragment),ta=p(),we=n("h2"),Qe=n("a"),Sr=n("span"),b(lo.$$.fragment),_d=p(),Ir=n("span"),gd=a("WhisperTokenizerFast"),oa=p(),E=n("div"),b(co.$$.fragment),yd=p(),po=n("p"),vd=a("Construct a \u201Cfast\u201D Whisper tokenizer (backed by HuggingFace\u2019s "),Lr=n("em"),bd=a("tokenizers"),kd=a(" library)."),wd=p(),ho=n("p"),Td=a("This tokenizer inherits from "),Dn=n("a"),$d=a("PreTrainedTokenizerFast"),xd=a(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Wd=p(),he=n("div"),b(mo.$$.fragment),Fd=p(),Dr=n("p"),zd=a("Override the prefix tokens appended to the start of the label sequence. This method can be used standalone to"),qd=p(),b(Ze.$$.fragment),Ed=p(),Ye=n("div"),b(uo.$$.fragment),Md=p(),Or=n("p"),jd=a("Build model inputs from a sequence by appending eos_token_id."),Pd=p(),et=n("div"),b(fo.$$.fragment),Cd=p(),_o=n("p"),Ad=a(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Gr=n("code"),Nd=a("prepare_for_model"),Sd=a(" method."),Id=p(),me=n("div"),b(go.$$.fragment),Ld=p(),On=n("p"),Dd=a("Create the token type IDs corresponding to the sequences passed. "),Gn=n("a"),Od=a(`What are token type
IDs?`),Gd=p(),Ur=n("p"),Ud=a("Should be overridden in a subclass if the model has a special way of building those."),Vd=p(),Un=n("div"),b(yo.$$.fragment),na=p(),Te=n("h2"),tt=n("a"),Vr=n("span"),b(vo.$$.fragment),Bd=p(),Br=n("span"),Hd=a("WhisperFeatureExtractor"),ra=p(),D=n("div"),b(bo.$$.fragment),Rd=p(),Hr=n("p"),Jd=a("Constructs a Whisper feature extractor."),Kd=p(),ko=n("p"),Xd=a("This feature extractor inherits from "),Vn=n("a"),Qd=a("WhisperFeatureExtractor"),Zd=a(` which contains most of the main methods. Users
should refer to this superclass for more information regarding those methods.`),Yd=p(),$e=n("p"),el=a("This class extracts mel-filter bank features from raw speech using a custom numpy implementation of the "),Rr=n("code"),tl=a("Short Time Fourier Transform"),ol=a(" which should match pytorch\u2019s "),Jr=n("code"),nl=a("torch.stft"),rl=a(" equivalent."),sl=p(),ot=n("div"),b(wo.$$.fragment),al=p(),Kr=n("p"),il=a("Main method to featurize and prepare for the model one or several sequence(s)."),sa=p(),xe=n("h2"),nt=n("a"),Xr=n("span"),b(To.$$.fragment),dl=p(),Qr=n("span"),ll=a("WhisperProcessor"),aa=p(),M=n("div"),b($o.$$.fragment),cl=p(),Zr=n("p"),pl=a(`Constructs a Whisper processor which wraps a Whisper feature extractor and a Whisper tokenizer into a single
processor.`),hl=p(),O=n("p"),Bn=n("a"),ml=a("WhisperProcessor"),ul=a(" offers all the functionalities of "),Hn=n("a"),fl=a("WhisperFeatureExtractor"),_l=a(" and "),Rn=n("a"),gl=a("WhisperTokenizer"),yl=a(`. See
the `),xo=n("a"),Yr=n("strong"),vl=a("call"),bl=a("()"),kl=a(" and "),Jn=n("a"),wl=a("decode()"),Tl=a(" for more information."),$l=p(),rt=n("div"),b(Wo.$$.fragment),xl=p(),U=n("p"),Wl=a("Forwards the "),es=n("code"),Fl=a("audio"),zl=a(" argument to WhisperFeatureExtractor\u2019s "),Fo=n("a"),ts=n("strong"),ql=a("call"),El=a("()"),Ml=a(" and the "),os=n("code"),jl=a("text"),Pl=a(`
argument to `),zo=n("a"),ns=n("strong"),Cl=a("call"),Al=a("()"),Nl=a(`. Please refer to the doctsring of the above two methods for more
information.`),Sl=p(),ue=n("div"),b(qo.$$.fragment),Il=p(),rs=n("p"),Ll=a("Instantiate a processor associated with a pretrained model."),Dl=p(),b(st.$$.fragment),Ol=p(),fe=n("div"),b(Eo.$$.fragment),Gl=p(),Mo=n("p"),Ul=a(`Saves the attributes of this processor (feature extractor, tokenizer\u2026) in the specified directory so that it
can be reloaded using the `),Kn=n("a"),Vl=a("from_pretrained()"),Bl=a(" method."),Hl=p(),b(at.$$.fragment),Rl=p(),it=n("div"),b(jo.$$.fragment),Jl=p(),Po=n("p"),Kl=a("This method forwards all its arguments to WhisperTokenizer\u2019s "),Xn=n("a"),Xl=a("batch_decode()"),Ql=a(`. Please
refer to the docstring of this method for more information.`),Zl=p(),dt=n("div"),b(Co.$$.fragment),Yl=p(),Ao=n("p"),ec=a("This method forwards all its arguments to WhisperTokenizer\u2019s "),Qn=n("a"),tc=a("decode()"),oc=a(`. Please refer to
the docstring of this method for more information.`),ia=p(),We=n("h2"),lt=n("a"),ss=n("span"),b(No.$$.fragment),nc=p(),as=n("span"),rc=a("WhisperModel"),da=p(),V=n("div"),b(So.$$.fragment),sc=p(),Io=n("p"),ac=a(`The bare Whisper Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Zn=n("a"),ic=a("PreTrainedModel"),dc=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),lc=p(),Lo=n("p"),cc=a("This model is also a PyTorch "),Do=n("a"),pc=a("torch.nn.Module"),hc=a(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),mc=p(),Y=n("div"),b(Oo.$$.fragment),uc=p(),Fe=n("p"),fc=a("The "),Yn=n("a"),_c=a("WhisperModel"),gc=a(" forward method, overrides the "),is=n("code"),yc=a("__call__"),vc=a(" special method."),bc=p(),b(ct.$$.fragment),kc=p(),b(pt.$$.fragment),la=p(),ze=n("h2"),ht=n("a"),ds=n("span"),b(Go.$$.fragment),wc=p(),ls=n("span"),Tc=a("WhisperForConditionalGeneration"),ca=p(),B=n("div"),b(Uo.$$.fragment),$c=p(),Vo=n("p"),xc=a(`The Whisper Model with a language modeling head. Can be used for automatic speech recognition.
This model inherits from `),er=n("a"),Wc=a("PreTrainedModel"),Fc=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),zc=p(),Bo=n("p"),qc=a("This model is also a PyTorch "),Ho=n("a"),Ec=a("torch.nn.Module"),Mc=a(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),jc=p(),ee=n("div"),b(Ro.$$.fragment),Pc=p(),qe=n("p"),Cc=a("The "),tr=n("a"),Ac=a("WhisperForConditionalGeneration"),Nc=a(" forward method, overrides the "),cs=n("code"),Sc=a("__call__"),Ic=a(" special method."),Lc=p(),b(mt.$$.fragment),Dc=p(),b(ut.$$.fragment),pa=p(),Ee=n("h2"),ft=n("a"),ps=n("span"),b(Jo.$$.fragment),Oc=p(),hs=n("span"),Gc=a("TFWhisperModel"),ha=p(),H=n("div"),b(Ko.$$.fragment),Uc=p(),Xo=n("p"),Vc=a(`The bare Whisper Model outputting raw hidden-states without any specific head on top.
This model inherits from `),or=n("a"),Bc=a("TFPreTrainedModel"),Hc=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Rc=p(),Qo=n("p"),Jc=a("This model is also a "),Zo=n("a"),Kc=a("tf.keras.Model"),Xc=a(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Qc=p(),te=n("div"),b(Yo.$$.fragment),Zc=p(),Me=n("p"),Yc=a("The "),nr=n("a"),ep=a("TFWhisperModel"),tp=a(" forward method, overrides the "),ms=n("code"),op=a("__call__"),np=a(" special method."),rp=p(),b(_t.$$.fragment),sp=p(),b(gt.$$.fragment),ma=p(),je=n("h2"),yt=n("a"),us=n("span"),b(en.$$.fragment),ap=p(),fs=n("span"),ip=a("TFWhisperForConditionalGeneration"),ua=p(),R=n("div"),b(tn.$$.fragment),dp=p(),on=n("p"),lp=a(`The Whisper Model with a language modeling head. Can be used for automatic speech recognition.
This model inherits from `),rr=n("a"),cp=a("TFPreTrainedModel"),pp=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),hp=p(),nn=n("p"),mp=a("This model is also a "),rn=n("a"),up=a("tf.keras.Model"),fp=a(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),_p=p(),oe=n("div"),b(sn.$$.fragment),gp=p(),Pe=n("p"),yp=a("The "),sr=n("a"),vp=a("TFWhisperForConditionalGeneration"),bp=a(" forward method, overrides the "),_s=n("code"),kp=a("__call__"),wp=a(" special method."),Tp=p(),b(vt.$$.fragment),$p=p(),b(bt.$$.fragment),fa=p(),Ce=n("h2"),kt=n("a"),gs=n("span"),b(an.$$.fragment),xp=p(),ys=n("span"),Wp=a("FlaxWhisperModel"),_a=p(),J=n("div"),b(dn.$$.fragment),Fp=p(),Ae=n("p"),zp=a(`The bare Whisper Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),ar=n("a"),qp=a("FlaxPreTrainedModel"),Ep=a(`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.) This model is also a Flax Linen
`),ln=n("a"),Mp=a("flax.nn.Module"),jp=a(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.
Finally, this model supports inherent JAX features such as:`),Pp=p(),se=n("ul"),vs=n("li"),cn=n("a"),Cp=a("Just-In-Time (JIT) compilation"),Ap=p(),bs=n("li"),pn=n("a"),Np=a("Automatic Differentiation"),Sp=p(),ks=n("li"),hn=n("a"),Ip=a("Vectorization"),Lp=p(),ws=n("li"),mn=n("a"),Dp=a("Parallelization"),Op=p(),ne=n("div"),b(un.$$.fragment),Gp=p(),Ne=n("p"),Up=a("The "),Ts=n("code"),Vp=a("FlaxWhisperPreTrainedModel"),Bp=a(" forward method, overrides the "),$s=n("code"),Hp=a("__call__"),Rp=a(" special method."),Jp=p(),b(wt.$$.fragment),Kp=p(),b(Tt.$$.fragment),ga=p(),Se=n("h2"),$t=n("a"),xs=n("span"),b(fn.$$.fragment),Xp=p(),Ws=n("span"),Qp=a("FlaxWhisperForConditionalGeneration"),ya=p(),K=n("div"),b(_n.$$.fragment),Zp=p(),Ie=n("p"),Yp=a(`The Whisper Model with a language modeling head.
This model inherits from `),ir=n("a"),eh=a("FlaxPreTrainedModel"),th=a(`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.) This model is also a Flax Linen
`),gn=n("a"),oh=a("flax.nn.Module"),nh=a(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.
Finally, this model supports inherent JAX features such as:`),rh=p(),ae=n("ul"),Fs=n("li"),yn=n("a"),sh=a("Just-In-Time (JIT) compilation"),ah=p(),zs=n("li"),vn=n("a"),ih=a("Automatic Differentiation"),dh=p(),qs=n("li"),bn=n("a"),lh=a("Vectorization"),ch=p(),Es=n("li"),kn=n("a"),ph=a("Parallelization"),hh=p(),re=n("div"),b(wn.$$.fragment),mh=p(),Le=n("p"),uh=a("The "),Ms=n("code"),fh=a("FlaxWhisperPreTrainedModel"),_h=a(" forward method, overrides the "),js=n("code"),gh=a("__call__"),yh=a(" special method."),vh=p(),b(xt.$$.fragment),bh=p(),b(Wt.$$.fragment),this.h()},l(o){const _=Lu('[data-svelte="svelte-1phssyn"]',document.head);c=r(_,"META",{name:!0,content:!0}),_.forEach(t),v=h(o),f=r(o,"H1",{class:!0});var Tn=s(f);u=r(Tn,"A",{id:!0,class:!0,href:!0});var Ps=s(u);y=r(Ps,"SPAN",{});var Cs=s(y);k(d.$$.fragment,Cs),Cs.forEach(t),Ps.forEach(t),m=h(Tn),z=r(Tn,"SPAN",{});var As=s(z);L=i(As,"Whisper"),As.forEach(t),Tn.forEach(t),j=h(o),C=r(o,"H2",{class:!0});var $n=s(C);P=r($n,"A",{id:!0,class:!0,href:!0});var Ns=s(P);A=r(Ns,"SPAN",{});var Ss=s(A);k(le.$$.fragment,Ss),Ss.forEach(t),Ns.forEach(t),Fn=h($n),Ue=r($n,"SPAN",{});var Is=s(Ue);ni=i(Is,"Overview"),Is.forEach(t),$n.forEach(t),Bs=h(o),Ve=r(o,"P",{});var xn=s(Ve);ri=i(xn,"The Whisper model was proposed in "),Vt=r(xn,"A",{href:!0,rel:!0});var Ls=s(Vt);si=i(Ls,"Robust Speech Recognition via Large-Scale Weak Supervision"),Ls.forEach(t),ai=i(xn," by Alec Radford, Jong Wook Kim, Tao Xu, Greg Brockman, Christine McLeavey, Ilya Sutskever."),xn.forEach(t),Hs=h(o),zn=r(o,"P",{});var Ds=s(zn);ii=i(Ds,"The abstract from the paper is the following:"),Ds.forEach(t),Rs=h(o),qn=r(o,"P",{});var Os=s(qn);xr=r(Os,"EM",{});var Gs=s(xr);di=i(Gs,"We study the capabilities of speech processing systems trained simply to predict large amounts of transcripts of audio on the internet. When scaled to 680,000 hours of multilingual and multitask supervision, the resulting models generalize well to standard benchmarks and are often competitive with prior fully supervised results but in a zeroshot transfer setting without the need for any finetuning. When compared to humans, the models approach their accuracy and robustness. We are releasing models and inference code to serve as a foundation for further work on robust speech processing."),Gs.forEach(t),Os.forEach(t),Js=h(o),En=r(o,"P",{});var Us=s(En);li=i(Us,"Tips:"),Us.forEach(t),Ks=h(o),Q=r(o,"UL",{});var ie=s(Q);Wr=r(ie,"LI",{});var Vs=s(Wr);ci=i(Vs,"The model usually performs well without requiring any finetuning."),Vs.forEach(t),pi=h(ie),Bt=r(ie,"LI",{});var Wn=s(Bt);hi=i(Wn,"The architecture follows a classic encoder-decoder architecture, which means that it relies on the "),Mn=r(Wn,"A",{href:!0});var Wh=s(Mn);mi=i(Wh,"generate()"),Wh.forEach(t),ui=i(Wn," function for inference."),Wn.forEach(t),fi=h(ie),Fr=r(ie,"LI",{});var Fh=s(Fr);_i=i(Fh,"Inference is currently only implemented for short-form i.e. audio is pre-segmented into <=30s segments. Long-form (including timestamps) will be implemented in a future release."),Fh.forEach(t),gi=h(ie),Ht=r(ie,"LI",{});var ba=s(Ht);yi=i(ba,"One can use "),jn=r(ba,"A",{href:!0});var zh=s(jn);vi=i(zh,"WhisperProcessor"),zh.forEach(t),bi=i(ba," to prepare audio for the model, and decode the predicted ID\u2019s back into text."),ba.forEach(t),ie.forEach(t),Xs=h(o),Z=r(o,"P",{});var Ft=s(Z);ki=i(Ft,"This model was contributed by "),Rt=r(Ft,"A",{href:!0,rel:!0});var qh=s(Rt);wi=i(qh,"Arthur Zucker"),qh.forEach(t),Ti=i(Ft,". The Tensorflow version of this model was contributed by "),Jt=r(Ft,"A",{href:!0,rel:!0});var Eh=s(Jt);$i=i(Eh,"amyeroberts"),Eh.forEach(t),xi=i(Ft,`.
The original code can be found `),Kt=r(Ft,"A",{href:!0,rel:!0});var Mh=s(Kt);Wi=i(Mh,"here"),Mh.forEach(t),Fi=i(Ft,"."),Ft.forEach(t),Qs=h(o),ye=r(o,"H2",{class:!0});var ka=s(ye);Be=r(ka,"A",{id:!0,class:!0,href:!0});var jh=s(Be);zr=r(jh,"SPAN",{});var Ph=s(zr);k(Xt.$$.fragment,Ph),Ph.forEach(t),jh.forEach(t),zi=h(ka),qr=r(ka,"SPAN",{});var Ch=s(qr);qi=i(Ch,"WhisperConfig"),Ch.forEach(t),ka.forEach(t),Zs=h(o),G=r(o,"DIV",{class:!0});var zt=s(G);k(Qt.$$.fragment,zt),Ei=h(zt),ve=r(zt,"P",{});var dr=s(ve);Mi=i(dr,"This is the configuration class to store the configuration of a "),Pn=r(dr,"A",{href:!0});var Ah=s(Pn);ji=i(Ah,"WhisperModel"),Ah.forEach(t),Pi=i(dr,`. It is used to instantiate a
Whisper model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the Whisper
`),Zt=r(dr,"A",{href:!0,rel:!0});var Nh=s(Zt);Ci=i(Nh,"openai/whisper-tiny"),Nh.forEach(t),Ai=i(dr," architecture."),dr.forEach(t),Ni=h(zt),be=r(zt,"P",{});var lr=s(be);Si=i(lr,"Configuration objects inherit from "),Cn=r(lr,"A",{href:!0});var Sh=s(Cn);Ii=i(Sh,"PretrainedConfig"),Sh.forEach(t),Li=i(lr,` and can be used to control the model outputs. Read the
documentation from `),An=r(lr,"A",{href:!0});var Ih=s(An);Di=i(Ih,"PretrainedConfig"),Ih.forEach(t),Oi=i(lr," for more information."),lr.forEach(t),Gi=h(zt),k(He.$$.fragment,zt),zt.forEach(t),Ys=h(o),ke=r(o,"H2",{class:!0});var wa=s(ke);Re=r(wa,"A",{id:!0,class:!0,href:!0});var Lh=s(Re);Er=r(Lh,"SPAN",{});var Dh=s(Er);k(Yt.$$.fragment,Dh),Dh.forEach(t),Lh.forEach(t),Ui=h(wa),Mr=r(wa,"SPAN",{});var Oh=s(Mr);Vi=i(Oh,"WhisperTokenizer"),Oh.forEach(t),wa.forEach(t),ea=h(o),q=r(o,"DIV",{class:!0});var N=s(q);k(eo.$$.fragment,N),Bi=h(N),jr=r(N,"P",{});var Gh=s(jr);Hi=i(Gh,"Construct a Whisper tokenizer."),Gh.forEach(t),Ri=h(N),to=r(N,"P",{});var Ta=s(to);Ji=i(Ta,"This tokenizer inherits from "),Nn=r(Ta,"A",{href:!0});var Uh=s(Nn);Ki=i(Uh,"PreTrainedTokenizer"),Uh.forEach(t),Xi=i(Ta,` which contains some of the main methods. Users should refer to
the superclass for more information regarding such methods.`),Ta.forEach(t),Qi=h(N),ce=r(N,"DIV",{class:!0});var cr=s(ce);k(oo.$$.fragment,cr),Zi=h(cr),Pr=r(cr,"P",{});var Vh=s(Pr);Yi=i(Vh,"Override the prefix tokens appended to the start of the label sequence. This method can be used standalone to"),Vh.forEach(t),ed=h(cr),k(Je.$$.fragment,cr),cr.forEach(t),td=h(N),Ke=r(N,"DIV",{class:!0});var $a=s(Ke);k(no.$$.fragment,$a),od=h($a),Cr=r($a,"P",{});var Bh=s(Cr);nd=i(Bh,"Build model inputs from a sequence by appending eos_token_id."),Bh.forEach(t),$a.forEach(t),rd=h(N),Xe=r(N,"DIV",{class:!0});var xa=s(Xe);k(ro.$$.fragment,xa),sd=h(xa),so=r(xa,"P",{});var Wa=s(so);ad=i(Wa,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Ar=r(Wa,"CODE",{});var Hh=s(Ar);id=i(Hh,"prepare_for_model"),Hh.forEach(t),dd=i(Wa," method."),Wa.forEach(t),xa.forEach(t),ld=h(N),pe=r(N,"DIV",{class:!0});var pr=s(pe);k(ao.$$.fragment,pr),cd=h(pr),Sn=r(pr,"P",{});var kh=s(Sn);pd=i(kh,"Create the token type IDs corresponding to the sequences passed. "),In=r(kh,"A",{href:!0});var Rh=s(In);hd=i(Rh,`What are token type
IDs?`),Rh.forEach(t),kh.forEach(t),md=h(pr),Nr=r(pr,"P",{});var Jh=s(Nr);ud=i(Jh,"Should be overridden in a subclass if the model has a special way of building those."),Jh.forEach(t),pr.forEach(t),fd=h(N),Ln=r(N,"DIV",{class:!0});var Kh=s(Ln);k(io.$$.fragment,Kh),Kh.forEach(t),N.forEach(t),ta=h(o),we=r(o,"H2",{class:!0});var Fa=s(we);Qe=r(Fa,"A",{id:!0,class:!0,href:!0});var Xh=s(Qe);Sr=r(Xh,"SPAN",{});var Qh=s(Sr);k(lo.$$.fragment,Qh),Qh.forEach(t),Xh.forEach(t),_d=h(Fa),Ir=r(Fa,"SPAN",{});var Zh=s(Ir);gd=i(Zh,"WhisperTokenizerFast"),Zh.forEach(t),Fa.forEach(t),oa=h(o),E=r(o,"DIV",{class:!0});var S=s(E);k(co.$$.fragment,S),yd=h(S),po=r(S,"P",{});var za=s(po);vd=i(za,"Construct a \u201Cfast\u201D Whisper tokenizer (backed by HuggingFace\u2019s "),Lr=r(za,"EM",{});var Yh=s(Lr);bd=i(Yh,"tokenizers"),Yh.forEach(t),kd=i(za," library)."),za.forEach(t),wd=h(S),ho=r(S,"P",{});var qa=s(ho);Td=i(qa,"This tokenizer inherits from "),Dn=r(qa,"A",{href:!0});var em=s(Dn);$d=i(em,"PreTrainedTokenizerFast"),em.forEach(t),xd=i(qa,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),qa.forEach(t),Wd=h(S),he=r(S,"DIV",{class:!0});var hr=s(he);k(mo.$$.fragment,hr),Fd=h(hr),Dr=r(hr,"P",{});var tm=s(Dr);zd=i(tm,"Override the prefix tokens appended to the start of the label sequence. This method can be used standalone to"),tm.forEach(t),qd=h(hr),k(Ze.$$.fragment,hr),hr.forEach(t),Ed=h(S),Ye=r(S,"DIV",{class:!0});var Ea=s(Ye);k(uo.$$.fragment,Ea),Md=h(Ea),Or=r(Ea,"P",{});var om=s(Or);jd=i(om,"Build model inputs from a sequence by appending eos_token_id."),om.forEach(t),Ea.forEach(t),Pd=h(S),et=r(S,"DIV",{class:!0});var Ma=s(et);k(fo.$$.fragment,Ma),Cd=h(Ma),_o=r(Ma,"P",{});var ja=s(_o);Ad=i(ja,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Gr=r(ja,"CODE",{});var nm=s(Gr);Nd=i(nm,"prepare_for_model"),nm.forEach(t),Sd=i(ja," method."),ja.forEach(t),Ma.forEach(t),Id=h(S),me=r(S,"DIV",{class:!0});var mr=s(me);k(go.$$.fragment,mr),Ld=h(mr),On=r(mr,"P",{});var wh=s(On);Dd=i(wh,"Create the token type IDs corresponding to the sequences passed. "),Gn=r(wh,"A",{href:!0});var rm=s(Gn);Od=i(rm,`What are token type
IDs?`),rm.forEach(t),wh.forEach(t),Gd=h(mr),Ur=r(mr,"P",{});var sm=s(Ur);Ud=i(sm,"Should be overridden in a subclass if the model has a special way of building those."),sm.forEach(t),mr.forEach(t),Vd=h(S),Un=r(S,"DIV",{class:!0});var am=s(Un);k(yo.$$.fragment,am),am.forEach(t),S.forEach(t),na=h(o),Te=r(o,"H2",{class:!0});var Pa=s(Te);tt=r(Pa,"A",{id:!0,class:!0,href:!0});var im=s(tt);Vr=r(im,"SPAN",{});var dm=s(Vr);k(vo.$$.fragment,dm),dm.forEach(t),im.forEach(t),Bd=h(Pa),Br=r(Pa,"SPAN",{});var lm=s(Br);Hd=i(lm,"WhisperFeatureExtractor"),lm.forEach(t),Pa.forEach(t),ra=h(o),D=r(o,"DIV",{class:!0});var _e=s(D);k(bo.$$.fragment,_e),Rd=h(_e),Hr=r(_e,"P",{});var cm=s(Hr);Jd=i(cm,"Constructs a Whisper feature extractor."),cm.forEach(t),Kd=h(_e),ko=r(_e,"P",{});var Ca=s(ko);Xd=i(Ca,"This feature extractor inherits from "),Vn=r(Ca,"A",{href:!0});var pm=s(Vn);Qd=i(pm,"WhisperFeatureExtractor"),pm.forEach(t),Zd=i(Ca,` which contains most of the main methods. Users
should refer to this superclass for more information regarding those methods.`),Ca.forEach(t),Yd=h(_e),$e=r(_e,"P",{});var ur=s($e);el=i(ur,"This class extracts mel-filter bank features from raw speech using a custom numpy implementation of the "),Rr=r(ur,"CODE",{});var hm=s(Rr);tl=i(hm,"Short Time Fourier Transform"),hm.forEach(t),ol=i(ur," which should match pytorch\u2019s "),Jr=r(ur,"CODE",{});var mm=s(Jr);nl=i(mm,"torch.stft"),mm.forEach(t),rl=i(ur," equivalent."),ur.forEach(t),sl=h(_e),ot=r(_e,"DIV",{class:!0});var Aa=s(ot);k(wo.$$.fragment,Aa),al=h(Aa),Kr=r(Aa,"P",{});var um=s(Kr);il=i(um,"Main method to featurize and prepare for the model one or several sequence(s)."),um.forEach(t),Aa.forEach(t),_e.forEach(t),sa=h(o),xe=r(o,"H2",{class:!0});var Na=s(xe);nt=r(Na,"A",{id:!0,class:!0,href:!0});var fm=s(nt);Xr=r(fm,"SPAN",{});var _m=s(Xr);k(To.$$.fragment,_m),_m.forEach(t),fm.forEach(t),dl=h(Na),Qr=r(Na,"SPAN",{});var gm=s(Qr);ll=i(gm,"WhisperProcessor"),gm.forEach(t),Na.forEach(t),aa=h(o),M=r(o,"DIV",{class:!0});var I=s(M);k($o.$$.fragment,I),cl=h(I),Zr=r(I,"P",{});var ym=s(Zr);pl=i(ym,`Constructs a Whisper processor which wraps a Whisper feature extractor and a Whisper tokenizer into a single
processor.`),ym.forEach(t),hl=h(I),O=r(I,"P",{});var de=s(O);Bn=r(de,"A",{href:!0});var vm=s(Bn);ml=i(vm,"WhisperProcessor"),vm.forEach(t),ul=i(de," offers all the functionalities of "),Hn=r(de,"A",{href:!0});var bm=s(Hn);fl=i(bm,"WhisperFeatureExtractor"),bm.forEach(t),_l=i(de," and "),Rn=r(de,"A",{href:!0});var km=s(Rn);gl=i(km,"WhisperTokenizer"),km.forEach(t),yl=i(de,`. See
the `),xo=r(de,"A",{href:!0});var Th=s(xo);Yr=r(Th,"STRONG",{});var wm=s(Yr);vl=i(wm,"call"),wm.forEach(t),bl=i(Th,"()"),Th.forEach(t),kl=i(de," and "),Jn=r(de,"A",{href:!0});var Tm=s(Jn);wl=i(Tm,"decode()"),Tm.forEach(t),Tl=i(de," for more information."),de.forEach(t),$l=h(I),rt=r(I,"DIV",{class:!0});var Sa=s(rt);k(Wo.$$.fragment,Sa),xl=h(Sa),U=r(Sa,"P",{});var ge=s(U);Wl=i(ge,"Forwards the "),es=r(ge,"CODE",{});var $m=s(es);Fl=i($m,"audio"),$m.forEach(t),zl=i(ge," argument to WhisperFeatureExtractor\u2019s "),Fo=r(ge,"A",{href:!0});var $h=s(Fo);ts=r($h,"STRONG",{});var xm=s(ts);ql=i(xm,"call"),xm.forEach(t),El=i($h,"()"),$h.forEach(t),Ml=i(ge," and the "),os=r(ge,"CODE",{});var Wm=s(os);jl=i(Wm,"text"),Wm.forEach(t),Pl=i(ge,`
argument to `),zo=r(ge,"A",{href:!0});var xh=s(zo);ns=r(xh,"STRONG",{});var Fm=s(ns);Cl=i(Fm,"call"),Fm.forEach(t),Al=i(xh,"()"),xh.forEach(t),Nl=i(ge,`. Please refer to the doctsring of the above two methods for more
information.`),ge.forEach(t),Sa.forEach(t),Sl=h(I),ue=r(I,"DIV",{class:!0});var fr=s(ue);k(qo.$$.fragment,fr),Il=h(fr),rs=r(fr,"P",{});var zm=s(rs);Ll=i(zm,"Instantiate a processor associated with a pretrained model."),zm.forEach(t),Dl=h(fr),k(st.$$.fragment,fr),fr.forEach(t),Ol=h(I),fe=r(I,"DIV",{class:!0});var _r=s(fe);k(Eo.$$.fragment,_r),Gl=h(_r),Mo=r(_r,"P",{});var Ia=s(Mo);Ul=i(Ia,`Saves the attributes of this processor (feature extractor, tokenizer\u2026) in the specified directory so that it
can be reloaded using the `),Kn=r(Ia,"A",{href:!0});var qm=s(Kn);Vl=i(qm,"from_pretrained()"),qm.forEach(t),Bl=i(Ia," method."),Ia.forEach(t),Hl=h(_r),k(at.$$.fragment,_r),_r.forEach(t),Rl=h(I),it=r(I,"DIV",{class:!0});var La=s(it);k(jo.$$.fragment,La),Jl=h(La),Po=r(La,"P",{});var Da=s(Po);Kl=i(Da,"This method forwards all its arguments to WhisperTokenizer\u2019s "),Xn=r(Da,"A",{href:!0});var Em=s(Xn);Xl=i(Em,"batch_decode()"),Em.forEach(t),Ql=i(Da,`. Please
refer to the docstring of this method for more information.`),Da.forEach(t),La.forEach(t),Zl=h(I),dt=r(I,"DIV",{class:!0});var Oa=s(dt);k(Co.$$.fragment,Oa),Yl=h(Oa),Ao=r(Oa,"P",{});var Ga=s(Ao);ec=i(Ga,"This method forwards all its arguments to WhisperTokenizer\u2019s "),Qn=r(Ga,"A",{href:!0});var Mm=s(Qn);tc=i(Mm,"decode()"),Mm.forEach(t),oc=i(Ga,`. Please refer to
the docstring of this method for more information.`),Ga.forEach(t),Oa.forEach(t),I.forEach(t),ia=h(o),We=r(o,"H2",{class:!0});var Ua=s(We);lt=r(Ua,"A",{id:!0,class:!0,href:!0});var jm=s(lt);ss=r(jm,"SPAN",{});var Pm=s(ss);k(No.$$.fragment,Pm),Pm.forEach(t),jm.forEach(t),nc=h(Ua),as=r(Ua,"SPAN",{});var Cm=s(as);rc=i(Cm,"WhisperModel"),Cm.forEach(t),Ua.forEach(t),da=h(o),V=r(o,"DIV",{class:!0});var qt=s(V);k(So.$$.fragment,qt),sc=h(qt),Io=r(qt,"P",{});var Va=s(Io);ac=i(Va,`The bare Whisper Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Zn=r(Va,"A",{href:!0});var Am=s(Zn);ic=i(Am,"PreTrainedModel"),Am.forEach(t),dc=i(Va,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Va.forEach(t),lc=h(qt),Lo=r(qt,"P",{});var Ba=s(Lo);cc=i(Ba,"This model is also a PyTorch "),Do=r(Ba,"A",{href:!0,rel:!0});var Nm=s(Do);pc=i(Nm,"torch.nn.Module"),Nm.forEach(t),hc=i(Ba,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ba.forEach(t),mc=h(qt),Y=r(qt,"DIV",{class:!0});var Et=s(Y);k(Oo.$$.fragment,Et),uc=h(Et),Fe=r(Et,"P",{});var gr=s(Fe);fc=i(gr,"The "),Yn=r(gr,"A",{href:!0});var Sm=s(Yn);_c=i(Sm,"WhisperModel"),Sm.forEach(t),gc=i(gr," forward method, overrides the "),is=r(gr,"CODE",{});var Im=s(is);yc=i(Im,"__call__"),Im.forEach(t),vc=i(gr," special method."),gr.forEach(t),bc=h(Et),k(ct.$$.fragment,Et),kc=h(Et),k(pt.$$.fragment,Et),Et.forEach(t),qt.forEach(t),la=h(o),ze=r(o,"H2",{class:!0});var Ha=s(ze);ht=r(Ha,"A",{id:!0,class:!0,href:!0});var Lm=s(ht);ds=r(Lm,"SPAN",{});var Dm=s(ds);k(Go.$$.fragment,Dm),Dm.forEach(t),Lm.forEach(t),wc=h(Ha),ls=r(Ha,"SPAN",{});var Om=s(ls);Tc=i(Om,"WhisperForConditionalGeneration"),Om.forEach(t),Ha.forEach(t),ca=h(o),B=r(o,"DIV",{class:!0});var Mt=s(B);k(Uo.$$.fragment,Mt),$c=h(Mt),Vo=r(Mt,"P",{});var Ra=s(Vo);xc=i(Ra,`The Whisper Model with a language modeling head. Can be used for automatic speech recognition.
This model inherits from `),er=r(Ra,"A",{href:!0});var Gm=s(er);Wc=i(Gm,"PreTrainedModel"),Gm.forEach(t),Fc=i(Ra,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ra.forEach(t),zc=h(Mt),Bo=r(Mt,"P",{});var Ja=s(Bo);qc=i(Ja,"This model is also a PyTorch "),Ho=r(Ja,"A",{href:!0,rel:!0});var Um=s(Ho);Ec=i(Um,"torch.nn.Module"),Um.forEach(t),Mc=i(Ja,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ja.forEach(t),jc=h(Mt),ee=r(Mt,"DIV",{class:!0});var jt=s(ee);k(Ro.$$.fragment,jt),Pc=h(jt),qe=r(jt,"P",{});var yr=s(qe);Cc=i(yr,"The "),tr=r(yr,"A",{href:!0});var Vm=s(tr);Ac=i(Vm,"WhisperForConditionalGeneration"),Vm.forEach(t),Nc=i(yr," forward method, overrides the "),cs=r(yr,"CODE",{});var Bm=s(cs);Sc=i(Bm,"__call__"),Bm.forEach(t),Ic=i(yr," special method."),yr.forEach(t),Lc=h(jt),k(mt.$$.fragment,jt),Dc=h(jt),k(ut.$$.fragment,jt),jt.forEach(t),Mt.forEach(t),pa=h(o),Ee=r(o,"H2",{class:!0});var Ka=s(Ee);ft=r(Ka,"A",{id:!0,class:!0,href:!0});var Hm=s(ft);ps=r(Hm,"SPAN",{});var Rm=s(ps);k(Jo.$$.fragment,Rm),Rm.forEach(t),Hm.forEach(t),Oc=h(Ka),hs=r(Ka,"SPAN",{});var Jm=s(hs);Gc=i(Jm,"TFWhisperModel"),Jm.forEach(t),Ka.forEach(t),ha=h(o),H=r(o,"DIV",{class:!0});var Pt=s(H);k(Ko.$$.fragment,Pt),Uc=h(Pt),Xo=r(Pt,"P",{});var Xa=s(Xo);Vc=i(Xa,`The bare Whisper Model outputting raw hidden-states without any specific head on top.
This model inherits from `),or=r(Xa,"A",{href:!0});var Km=s(or);Bc=i(Km,"TFPreTrainedModel"),Km.forEach(t),Hc=i(Xa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Xa.forEach(t),Rc=h(Pt),Qo=r(Pt,"P",{});var Qa=s(Qo);Jc=i(Qa,"This model is also a "),Zo=r(Qa,"A",{href:!0,rel:!0});var Xm=s(Zo);Kc=i(Xm,"tf.keras.Model"),Xm.forEach(t),Xc=i(Qa,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Qa.forEach(t),Qc=h(Pt),te=r(Pt,"DIV",{class:!0});var Ct=s(te);k(Yo.$$.fragment,Ct),Zc=h(Ct),Me=r(Ct,"P",{});var vr=s(Me);Yc=i(vr,"The "),nr=r(vr,"A",{href:!0});var Qm=s(nr);ep=i(Qm,"TFWhisperModel"),Qm.forEach(t),tp=i(vr," forward method, overrides the "),ms=r(vr,"CODE",{});var Zm=s(ms);op=i(Zm,"__call__"),Zm.forEach(t),np=i(vr," special method."),vr.forEach(t),rp=h(Ct),k(_t.$$.fragment,Ct),sp=h(Ct),k(gt.$$.fragment,Ct),Ct.forEach(t),Pt.forEach(t),ma=h(o),je=r(o,"H2",{class:!0});var Za=s(je);yt=r(Za,"A",{id:!0,class:!0,href:!0});var Ym=s(yt);us=r(Ym,"SPAN",{});var eu=s(us);k(en.$$.fragment,eu),eu.forEach(t),Ym.forEach(t),ap=h(Za),fs=r(Za,"SPAN",{});var tu=s(fs);ip=i(tu,"TFWhisperForConditionalGeneration"),tu.forEach(t),Za.forEach(t),ua=h(o),R=r(o,"DIV",{class:!0});var At=s(R);k(tn.$$.fragment,At),dp=h(At),on=r(At,"P",{});var Ya=s(on);lp=i(Ya,`The Whisper Model with a language modeling head. Can be used for automatic speech recognition.
This model inherits from `),rr=r(Ya,"A",{href:!0});var ou=s(rr);cp=i(ou,"TFPreTrainedModel"),ou.forEach(t),pp=i(Ya,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ya.forEach(t),hp=h(At),nn=r(At,"P",{});var ei=s(nn);mp=i(ei,"This model is also a "),rn=r(ei,"A",{href:!0,rel:!0});var nu=s(rn);up=i(nu,"tf.keras.Model"),nu.forEach(t),fp=i(ei,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ei.forEach(t),_p=h(At),oe=r(At,"DIV",{class:!0});var Nt=s(oe);k(sn.$$.fragment,Nt),gp=h(Nt),Pe=r(Nt,"P",{});var br=s(Pe);yp=i(br,"The "),sr=r(br,"A",{href:!0});var ru=s(sr);vp=i(ru,"TFWhisperForConditionalGeneration"),ru.forEach(t),bp=i(br," forward method, overrides the "),_s=r(br,"CODE",{});var su=s(_s);kp=i(su,"__call__"),su.forEach(t),wp=i(br," special method."),br.forEach(t),Tp=h(Nt),k(vt.$$.fragment,Nt),$p=h(Nt),k(bt.$$.fragment,Nt),Nt.forEach(t),At.forEach(t),fa=h(o),Ce=r(o,"H2",{class:!0});var ti=s(Ce);kt=r(ti,"A",{id:!0,class:!0,href:!0});var au=s(kt);gs=r(au,"SPAN",{});var iu=s(gs);k(an.$$.fragment,iu),iu.forEach(t),au.forEach(t),xp=h(ti),ys=r(ti,"SPAN",{});var du=s(ys);Wp=i(du,"FlaxWhisperModel"),du.forEach(t),ti.forEach(t),_a=h(o),J=r(o,"DIV",{class:!0});var St=s(J);k(dn.$$.fragment,St),Fp=h(St),Ae=r(St,"P",{});var kr=s(Ae);zp=i(kr,`The bare Whisper Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),ar=r(kr,"A",{href:!0});var lu=s(ar);qp=i(lu,"FlaxPreTrainedModel"),lu.forEach(t),Ep=i(kr,`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.) This model is also a Flax Linen
`),ln=r(kr,"A",{href:!0,rel:!0});var cu=s(ln);Mp=i(cu,"flax.nn.Module"),cu.forEach(t),jp=i(kr,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.
Finally, this model supports inherent JAX features such as:`),kr.forEach(t),Pp=h(St),se=r(St,"UL",{});var It=s(se);vs=r(It,"LI",{});var pu=s(vs);cn=r(pu,"A",{href:!0,rel:!0});var hu=s(cn);Cp=i(hu,"Just-In-Time (JIT) compilation"),hu.forEach(t),pu.forEach(t),Ap=h(It),bs=r(It,"LI",{});var mu=s(bs);pn=r(mu,"A",{href:!0,rel:!0});var uu=s(pn);Np=i(uu,"Automatic Differentiation"),uu.forEach(t),mu.forEach(t),Sp=h(It),ks=r(It,"LI",{});var fu=s(ks);hn=r(fu,"A",{href:!0,rel:!0});var _u=s(hn);Ip=i(_u,"Vectorization"),_u.forEach(t),fu.forEach(t),Lp=h(It),ws=r(It,"LI",{});var gu=s(ws);mn=r(gu,"A",{href:!0,rel:!0});var yu=s(mn);Dp=i(yu,"Parallelization"),yu.forEach(t),gu.forEach(t),It.forEach(t),Op=h(St),ne=r(St,"DIV",{class:!0});var Lt=s(ne);k(un.$$.fragment,Lt),Gp=h(Lt),Ne=r(Lt,"P",{});var wr=s(Ne);Up=i(wr,"The "),Ts=r(wr,"CODE",{});var vu=s(Ts);Vp=i(vu,"FlaxWhisperPreTrainedModel"),vu.forEach(t),Bp=i(wr," forward method, overrides the "),$s=r(wr,"CODE",{});var bu=s($s);Hp=i(bu,"__call__"),bu.forEach(t),Rp=i(wr," special method."),wr.forEach(t),Jp=h(Lt),k(wt.$$.fragment,Lt),Kp=h(Lt),k(Tt.$$.fragment,Lt),Lt.forEach(t),St.forEach(t),ga=h(o),Se=r(o,"H2",{class:!0});var oi=s(Se);$t=r(oi,"A",{id:!0,class:!0,href:!0});var ku=s($t);xs=r(ku,"SPAN",{});var wu=s(xs);k(fn.$$.fragment,wu),wu.forEach(t),ku.forEach(t),Xp=h(oi),Ws=r(oi,"SPAN",{});var Tu=s(Ws);Qp=i(Tu,"FlaxWhisperForConditionalGeneration"),Tu.forEach(t),oi.forEach(t),ya=h(o),K=r(o,"DIV",{class:!0});var Dt=s(K);k(_n.$$.fragment,Dt),Zp=h(Dt),Ie=r(Dt,"P",{});var Tr=s(Ie);Yp=i(Tr,`The Whisper Model with a language modeling head.
This model inherits from `),ir=r(Tr,"A",{href:!0});var $u=s(ir);eh=i($u,"FlaxPreTrainedModel"),$u.forEach(t),th=i(Tr,`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.) This model is also a Flax Linen
`),gn=r(Tr,"A",{href:!0,rel:!0});var xu=s(gn);oh=i(xu,"flax.nn.Module"),xu.forEach(t),nh=i(Tr,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.
Finally, this model supports inherent JAX features such as:`),Tr.forEach(t),rh=h(Dt),ae=r(Dt,"UL",{});var Ot=s(ae);Fs=r(Ot,"LI",{});var Wu=s(Fs);yn=r(Wu,"A",{href:!0,rel:!0});var Fu=s(yn);sh=i(Fu,"Just-In-Time (JIT) compilation"),Fu.forEach(t),Wu.forEach(t),ah=h(Ot),zs=r(Ot,"LI",{});var zu=s(zs);vn=r(zu,"A",{href:!0,rel:!0});var qu=s(vn);ih=i(qu,"Automatic Differentiation"),qu.forEach(t),zu.forEach(t),dh=h(Ot),qs=r(Ot,"LI",{});var Eu=s(qs);bn=r(Eu,"A",{href:!0,rel:!0});var Mu=s(bn);lh=i(Mu,"Vectorization"),Mu.forEach(t),Eu.forEach(t),ch=h(Ot),Es=r(Ot,"LI",{});var ju=s(Es);kn=r(ju,"A",{href:!0,rel:!0});var Pu=s(kn);ph=i(Pu,"Parallelization"),Pu.forEach(t),ju.forEach(t),Ot.forEach(t),hh=h(Dt),re=r(Dt,"DIV",{class:!0});var Gt=s(re);k(wn.$$.fragment,Gt),mh=h(Gt),Le=r(Gt,"P",{});var $r=s(Le);uh=i($r,"The "),Ms=r($r,"CODE",{});var Cu=s(Ms);fh=i(Cu,"FlaxWhisperPreTrainedModel"),Cu.forEach(t),_h=i($r," forward method, overrides the "),js=r($r,"CODE",{});var Au=s(js);gh=i(Au,"__call__"),Au.forEach(t),yh=i($r," special method."),$r.forEach(t),vh=h(Gt),k(xt.$$.fragment,Gt),bh=h(Gt),k(Wt.$$.fragment,Gt),Gt.forEach(t),Dt.forEach(t),this.h()},h(){l(c,"name","hf:doc:metadata"),l(c,"content",JSON.stringify(sf)),l(u,"id","whisper"),l(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(u,"href","#whisper"),l(f,"class","relative group"),l(P,"id","overview"),l(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(P,"href","#overview"),l(C,"class","relative group"),l(Vt,"href","https://cdn.openai.com/papers/whisper.pdf"),l(Vt,"rel","nofollow"),l(Mn,"href","/docs/transformers/main/en/main_classes/text_generation#transformers.GenerationMixin.generate"),l(jn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperProcessor"),l(Rt,"href","https://huggingface.co/ArthurZ"),l(Rt,"rel","nofollow"),l(Jt,"href","https://huggingface.co/amyeroberts"),l(Jt,"rel","nofollow"),l(Kt,"href","https://github.com/openai/whisper"),l(Kt,"rel","nofollow"),l(Be,"id","transformers.WhisperConfig"),l(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Be,"href","#transformers.WhisperConfig"),l(ye,"class","relative group"),l(Pn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperModel"),l(Zt,"href","https://huggingface.co/openai/whisper-tiny"),l(Zt,"rel","nofollow"),l(Cn,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(An,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Re,"id","transformers.WhisperTokenizer"),l(Re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Re,"href","#transformers.WhisperTokenizer"),l(ke,"class","relative group"),l(Nn,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),l(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(In,"href","../glossary#token-type-ids"),l(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Ln,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Qe,"id","transformers.WhisperTokenizerFast"),l(Qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Qe,"href","#transformers.WhisperTokenizerFast"),l(we,"class","relative group"),l(Dn,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),l(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Gn,"href","../glossary#token-type-ids"),l(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Un,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(tt,"id","transformers.WhisperFeatureExtractor"),l(tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(tt,"href","#transformers.WhisperFeatureExtractor"),l(Te,"class","relative group"),l(Vn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor"),l(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(nt,"id","transformers.WhisperProcessor"),l(nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(nt,"href","#transformers.WhisperProcessor"),l(xe,"class","relative group"),l(Bn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperProcessor"),l(Hn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor"),l(Rn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer"),l(xo,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperProcessor.__call__"),l(Jn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperProcessor.decode"),l(Fo,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"),l(zo,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__"),l(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Kn,"href","/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Processor.from_pretrained"),l(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Xn,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.batch_decode"),l(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Qn,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.decode"),l(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(lt,"id","transformers.WhisperModel"),l(lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(lt,"href","#transformers.WhisperModel"),l(We,"class","relative group"),l(Zn,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Do,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Do,"rel","nofollow"),l(Yn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperModel"),l(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ht,"id","transformers.WhisperForConditionalGeneration"),l(ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ht,"href","#transformers.WhisperForConditionalGeneration"),l(ze,"class","relative group"),l(er,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Ho,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Ho,"rel","nofollow"),l(tr,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperForConditionalGeneration"),l(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ft,"id","transformers.TFWhisperModel"),l(ft,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ft,"href","#transformers.TFWhisperModel"),l(Ee,"class","relative group"),l(or,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),l(Zo,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),l(Zo,"rel","nofollow"),l(nr,"href","/docs/transformers/main/en/model_doc/whisper#transformers.TFWhisperModel"),l(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(yt,"id","transformers.TFWhisperForConditionalGeneration"),l(yt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(yt,"href","#transformers.TFWhisperForConditionalGeneration"),l(je,"class","relative group"),l(rr,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),l(rn,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),l(rn,"rel","nofollow"),l(sr,"href","/docs/transformers/main/en/model_doc/whisper#transformers.TFWhisperForConditionalGeneration"),l(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(kt,"id","transformers.FlaxWhisperModel"),l(kt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(kt,"href","#transformers.FlaxWhisperModel"),l(Ce,"class","relative group"),l(ar,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),l(ln,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),l(ln,"rel","nofollow"),l(cn,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),l(cn,"rel","nofollow"),l(pn,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),l(pn,"rel","nofollow"),l(hn,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),l(hn,"rel","nofollow"),l(mn,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),l(mn,"rel","nofollow"),l(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l($t,"id","transformers.FlaxWhisperForConditionalGeneration"),l($t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l($t,"href","#transformers.FlaxWhisperForConditionalGeneration"),l(Se,"class","relative group"),l(ir,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),l(gn,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),l(gn,"rel","nofollow"),l(yn,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),l(yn,"rel","nofollow"),l(vn,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),l(vn,"rel","nofollow"),l(bn,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),l(bn,"rel","nofollow"),l(kn,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),l(kn,"rel","nofollow"),l(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,_){e(document.head,c),g(o,v,_),g(o,f,_),e(f,u),e(u,y),w(d,y,null),e(f,m),e(f,z),e(z,L),g(o,j,_),g(o,C,_),e(C,P),e(P,A),w(le,A,null),e(C,Fn),e(C,Ue),e(Ue,ni),g(o,Bs,_),g(o,Ve,_),e(Ve,ri),e(Ve,Vt),e(Vt,si),e(Ve,ai),g(o,Hs,_),g(o,zn,_),e(zn,ii),g(o,Rs,_),g(o,qn,_),e(qn,xr),e(xr,di),g(o,Js,_),g(o,En,_),e(En,li),g(o,Ks,_),g(o,Q,_),e(Q,Wr),e(Wr,ci),e(Q,pi),e(Q,Bt),e(Bt,hi),e(Bt,Mn),e(Mn,mi),e(Bt,ui),e(Q,fi),e(Q,Fr),e(Fr,_i),e(Q,gi),e(Q,Ht),e(Ht,yi),e(Ht,jn),e(jn,vi),e(Ht,bi),g(o,Xs,_),g(o,Z,_),e(Z,ki),e(Z,Rt),e(Rt,wi),e(Z,Ti),e(Z,Jt),e(Jt,$i),e(Z,xi),e(Z,Kt),e(Kt,Wi),e(Z,Fi),g(o,Qs,_),g(o,ye,_),e(ye,Be),e(Be,zr),w(Xt,zr,null),e(ye,zi),e(ye,qr),e(qr,qi),g(o,Zs,_),g(o,G,_),w(Qt,G,null),e(G,Ei),e(G,ve),e(ve,Mi),e(ve,Pn),e(Pn,ji),e(ve,Pi),e(ve,Zt),e(Zt,Ci),e(ve,Ai),e(G,Ni),e(G,be),e(be,Si),e(be,Cn),e(Cn,Ii),e(be,Li),e(be,An),e(An,Di),e(be,Oi),e(G,Gi),w(He,G,null),g(o,Ys,_),g(o,ke,_),e(ke,Re),e(Re,Er),w(Yt,Er,null),e(ke,Ui),e(ke,Mr),e(Mr,Vi),g(o,ea,_),g(o,q,_),w(eo,q,null),e(q,Bi),e(q,jr),e(jr,Hi),e(q,Ri),e(q,to),e(to,Ji),e(to,Nn),e(Nn,Ki),e(to,Xi),e(q,Qi),e(q,ce),w(oo,ce,null),e(ce,Zi),e(ce,Pr),e(Pr,Yi),e(ce,ed),w(Je,ce,null),e(q,td),e(q,Ke),w(no,Ke,null),e(Ke,od),e(Ke,Cr),e(Cr,nd),e(q,rd),e(q,Xe),w(ro,Xe,null),e(Xe,sd),e(Xe,so),e(so,ad),e(so,Ar),e(Ar,id),e(so,dd),e(q,ld),e(q,pe),w(ao,pe,null),e(pe,cd),e(pe,Sn),e(Sn,pd),e(Sn,In),e(In,hd),e(pe,md),e(pe,Nr),e(Nr,ud),e(q,fd),e(q,Ln),w(io,Ln,null),g(o,ta,_),g(o,we,_),e(we,Qe),e(Qe,Sr),w(lo,Sr,null),e(we,_d),e(we,Ir),e(Ir,gd),g(o,oa,_),g(o,E,_),w(co,E,null),e(E,yd),e(E,po),e(po,vd),e(po,Lr),e(Lr,bd),e(po,kd),e(E,wd),e(E,ho),e(ho,Td),e(ho,Dn),e(Dn,$d),e(ho,xd),e(E,Wd),e(E,he),w(mo,he,null),e(he,Fd),e(he,Dr),e(Dr,zd),e(he,qd),w(Ze,he,null),e(E,Ed),e(E,Ye),w(uo,Ye,null),e(Ye,Md),e(Ye,Or),e(Or,jd),e(E,Pd),e(E,et),w(fo,et,null),e(et,Cd),e(et,_o),e(_o,Ad),e(_o,Gr),e(Gr,Nd),e(_o,Sd),e(E,Id),e(E,me),w(go,me,null),e(me,Ld),e(me,On),e(On,Dd),e(On,Gn),e(Gn,Od),e(me,Gd),e(me,Ur),e(Ur,Ud),e(E,Vd),e(E,Un),w(yo,Un,null),g(o,na,_),g(o,Te,_),e(Te,tt),e(tt,Vr),w(vo,Vr,null),e(Te,Bd),e(Te,Br),e(Br,Hd),g(o,ra,_),g(o,D,_),w(bo,D,null),e(D,Rd),e(D,Hr),e(Hr,Jd),e(D,Kd),e(D,ko),e(ko,Xd),e(ko,Vn),e(Vn,Qd),e(ko,Zd),e(D,Yd),e(D,$e),e($e,el),e($e,Rr),e(Rr,tl),e($e,ol),e($e,Jr),e(Jr,nl),e($e,rl),e(D,sl),e(D,ot),w(wo,ot,null),e(ot,al),e(ot,Kr),e(Kr,il),g(o,sa,_),g(o,xe,_),e(xe,nt),e(nt,Xr),w(To,Xr,null),e(xe,dl),e(xe,Qr),e(Qr,ll),g(o,aa,_),g(o,M,_),w($o,M,null),e(M,cl),e(M,Zr),e(Zr,pl),e(M,hl),e(M,O),e(O,Bn),e(Bn,ml),e(O,ul),e(O,Hn),e(Hn,fl),e(O,_l),e(O,Rn),e(Rn,gl),e(O,yl),e(O,xo),e(xo,Yr),e(Yr,vl),e(xo,bl),e(O,kl),e(O,Jn),e(Jn,wl),e(O,Tl),e(M,$l),e(M,rt),w(Wo,rt,null),e(rt,xl),e(rt,U),e(U,Wl),e(U,es),e(es,Fl),e(U,zl),e(U,Fo),e(Fo,ts),e(ts,ql),e(Fo,El),e(U,Ml),e(U,os),e(os,jl),e(U,Pl),e(U,zo),e(zo,ns),e(ns,Cl),e(zo,Al),e(U,Nl),e(M,Sl),e(M,ue),w(qo,ue,null),e(ue,Il),e(ue,rs),e(rs,Ll),e(ue,Dl),w(st,ue,null),e(M,Ol),e(M,fe),w(Eo,fe,null),e(fe,Gl),e(fe,Mo),e(Mo,Ul),e(Mo,Kn),e(Kn,Vl),e(Mo,Bl),e(fe,Hl),w(at,fe,null),e(M,Rl),e(M,it),w(jo,it,null),e(it,Jl),e(it,Po),e(Po,Kl),e(Po,Xn),e(Xn,Xl),e(Po,Ql),e(M,Zl),e(M,dt),w(Co,dt,null),e(dt,Yl),e(dt,Ao),e(Ao,ec),e(Ao,Qn),e(Qn,tc),e(Ao,oc),g(o,ia,_),g(o,We,_),e(We,lt),e(lt,ss),w(No,ss,null),e(We,nc),e(We,as),e(as,rc),g(o,da,_),g(o,V,_),w(So,V,null),e(V,sc),e(V,Io),e(Io,ac),e(Io,Zn),e(Zn,ic),e(Io,dc),e(V,lc),e(V,Lo),e(Lo,cc),e(Lo,Do),e(Do,pc),e(Lo,hc),e(V,mc),e(V,Y),w(Oo,Y,null),e(Y,uc),e(Y,Fe),e(Fe,fc),e(Fe,Yn),e(Yn,_c),e(Fe,gc),e(Fe,is),e(is,yc),e(Fe,vc),e(Y,bc),w(ct,Y,null),e(Y,kc),w(pt,Y,null),g(o,la,_),g(o,ze,_),e(ze,ht),e(ht,ds),w(Go,ds,null),e(ze,wc),e(ze,ls),e(ls,Tc),g(o,ca,_),g(o,B,_),w(Uo,B,null),e(B,$c),e(B,Vo),e(Vo,xc),e(Vo,er),e(er,Wc),e(Vo,Fc),e(B,zc),e(B,Bo),e(Bo,qc),e(Bo,Ho),e(Ho,Ec),e(Bo,Mc),e(B,jc),e(B,ee),w(Ro,ee,null),e(ee,Pc),e(ee,qe),e(qe,Cc),e(qe,tr),e(tr,Ac),e(qe,Nc),e(qe,cs),e(cs,Sc),e(qe,Ic),e(ee,Lc),w(mt,ee,null),e(ee,Dc),w(ut,ee,null),g(o,pa,_),g(o,Ee,_),e(Ee,ft),e(ft,ps),w(Jo,ps,null),e(Ee,Oc),e(Ee,hs),e(hs,Gc),g(o,ha,_),g(o,H,_),w(Ko,H,null),e(H,Uc),e(H,Xo),e(Xo,Vc),e(Xo,or),e(or,Bc),e(Xo,Hc),e(H,Rc),e(H,Qo),e(Qo,Jc),e(Qo,Zo),e(Zo,Kc),e(Qo,Xc),e(H,Qc),e(H,te),w(Yo,te,null),e(te,Zc),e(te,Me),e(Me,Yc),e(Me,nr),e(nr,ep),e(Me,tp),e(Me,ms),e(ms,op),e(Me,np),e(te,rp),w(_t,te,null),e(te,sp),w(gt,te,null),g(o,ma,_),g(o,je,_),e(je,yt),e(yt,us),w(en,us,null),e(je,ap),e(je,fs),e(fs,ip),g(o,ua,_),g(o,R,_),w(tn,R,null),e(R,dp),e(R,on),e(on,lp),e(on,rr),e(rr,cp),e(on,pp),e(R,hp),e(R,nn),e(nn,mp),e(nn,rn),e(rn,up),e(nn,fp),e(R,_p),e(R,oe),w(sn,oe,null),e(oe,gp),e(oe,Pe),e(Pe,yp),e(Pe,sr),e(sr,vp),e(Pe,bp),e(Pe,_s),e(_s,kp),e(Pe,wp),e(oe,Tp),w(vt,oe,null),e(oe,$p),w(bt,oe,null),g(o,fa,_),g(o,Ce,_),e(Ce,kt),e(kt,gs),w(an,gs,null),e(Ce,xp),e(Ce,ys),e(ys,Wp),g(o,_a,_),g(o,J,_),w(dn,J,null),e(J,Fp),e(J,Ae),e(Ae,zp),e(Ae,ar),e(ar,qp),e(Ae,Ep),e(Ae,ln),e(ln,Mp),e(Ae,jp),e(J,Pp),e(J,se),e(se,vs),e(vs,cn),e(cn,Cp),e(se,Ap),e(se,bs),e(bs,pn),e(pn,Np),e(se,Sp),e(se,ks),e(ks,hn),e(hn,Ip),e(se,Lp),e(se,ws),e(ws,mn),e(mn,Dp),e(J,Op),e(J,ne),w(un,ne,null),e(ne,Gp),e(ne,Ne),e(Ne,Up),e(Ne,Ts),e(Ts,Vp),e(Ne,Bp),e(Ne,$s),e($s,Hp),e(Ne,Rp),e(ne,Jp),w(wt,ne,null),e(ne,Kp),w(Tt,ne,null),g(o,ga,_),g(o,Se,_),e(Se,$t),e($t,xs),w(fn,xs,null),e(Se,Xp),e(Se,Ws),e(Ws,Qp),g(o,ya,_),g(o,K,_),w(_n,K,null),e(K,Zp),e(K,Ie),e(Ie,Yp),e(Ie,ir),e(ir,eh),e(Ie,th),e(Ie,gn),e(gn,oh),e(Ie,nh),e(K,rh),e(K,ae),e(ae,Fs),e(Fs,yn),e(yn,sh),e(ae,ah),e(ae,zs),e(zs,vn),e(vn,ih),e(ae,dh),e(ae,qs),e(qs,bn),e(bn,lh),e(ae,ch),e(ae,Es),e(Es,kn),e(kn,ph),e(K,hh),e(K,re),w(wn,re,null),e(re,mh),e(re,Le),e(Le,uh),e(Le,Ms),e(Ms,fh),e(Le,_h),e(Le,js),e(js,gh),e(Le,yh),e(re,vh),w(xt,re,null),e(re,bh),w(Wt,re,null),va=!0},p(o,[_]){const Tn={};_&2&&(Tn.$$scope={dirty:_,ctx:o}),He.$set(Tn);const Ps={};_&2&&(Ps.$$scope={dirty:_,ctx:o}),Je.$set(Ps);const Cs={};_&2&&(Cs.$$scope={dirty:_,ctx:o}),Ze.$set(Cs);const As={};_&2&&(As.$$scope={dirty:_,ctx:o}),st.$set(As);const $n={};_&2&&($n.$$scope={dirty:_,ctx:o}),at.$set($n);const Ns={};_&2&&(Ns.$$scope={dirty:_,ctx:o}),ct.$set(Ns);const Ss={};_&2&&(Ss.$$scope={dirty:_,ctx:o}),pt.$set(Ss);const Is={};_&2&&(Is.$$scope={dirty:_,ctx:o}),mt.$set(Is);const xn={};_&2&&(xn.$$scope={dirty:_,ctx:o}),ut.$set(xn);const Ls={};_&2&&(Ls.$$scope={dirty:_,ctx:o}),_t.$set(Ls);const Ds={};_&2&&(Ds.$$scope={dirty:_,ctx:o}),gt.$set(Ds);const Os={};_&2&&(Os.$$scope={dirty:_,ctx:o}),vt.$set(Os);const Gs={};_&2&&(Gs.$$scope={dirty:_,ctx:o}),bt.$set(Gs);const Us={};_&2&&(Us.$$scope={dirty:_,ctx:o}),wt.$set(Us);const ie={};_&2&&(ie.$$scope={dirty:_,ctx:o}),Tt.$set(ie);const Vs={};_&2&&(Vs.$$scope={dirty:_,ctx:o}),xt.$set(Vs);const Wn={};_&2&&(Wn.$$scope={dirty:_,ctx:o}),Wt.$set(Wn)},i(o){va||(T(d.$$.fragment,o),T(le.$$.fragment,o),T(Xt.$$.fragment,o),T(Qt.$$.fragment,o),T(He.$$.fragment,o),T(Yt.$$.fragment,o),T(eo.$$.fragment,o),T(oo.$$.fragment,o),T(Je.$$.fragment,o),T(no.$$.fragment,o),T(ro.$$.fragment,o),T(ao.$$.fragment,o),T(io.$$.fragment,o),T(lo.$$.fragment,o),T(co.$$.fragment,o),T(mo.$$.fragment,o),T(Ze.$$.fragment,o),T(uo.$$.fragment,o),T(fo.$$.fragment,o),T(go.$$.fragment,o),T(yo.$$.fragment,o),T(vo.$$.fragment,o),T(bo.$$.fragment,o),T(wo.$$.fragment,o),T(To.$$.fragment,o),T($o.$$.fragment,o),T(Wo.$$.fragment,o),T(qo.$$.fragment,o),T(st.$$.fragment,o),T(Eo.$$.fragment,o),T(at.$$.fragment,o),T(jo.$$.fragment,o),T(Co.$$.fragment,o),T(No.$$.fragment,o),T(So.$$.fragment,o),T(Oo.$$.fragment,o),T(ct.$$.fragment,o),T(pt.$$.fragment,o),T(Go.$$.fragment,o),T(Uo.$$.fragment,o),T(Ro.$$.fragment,o),T(mt.$$.fragment,o),T(ut.$$.fragment,o),T(Jo.$$.fragment,o),T(Ko.$$.fragment,o),T(Yo.$$.fragment,o),T(_t.$$.fragment,o),T(gt.$$.fragment,o),T(en.$$.fragment,o),T(tn.$$.fragment,o),T(sn.$$.fragment,o),T(vt.$$.fragment,o),T(bt.$$.fragment,o),T(an.$$.fragment,o),T(dn.$$.fragment,o),T(un.$$.fragment,o),T(wt.$$.fragment,o),T(Tt.$$.fragment,o),T(fn.$$.fragment,o),T(_n.$$.fragment,o),T(wn.$$.fragment,o),T(xt.$$.fragment,o),T(Wt.$$.fragment,o),va=!0)},o(o){$(d.$$.fragment,o),$(le.$$.fragment,o),$(Xt.$$.fragment,o),$(Qt.$$.fragment,o),$(He.$$.fragment,o),$(Yt.$$.fragment,o),$(eo.$$.fragment,o),$(oo.$$.fragment,o),$(Je.$$.fragment,o),$(no.$$.fragment,o),$(ro.$$.fragment,o),$(ao.$$.fragment,o),$(io.$$.fragment,o),$(lo.$$.fragment,o),$(co.$$.fragment,o),$(mo.$$.fragment,o),$(Ze.$$.fragment,o),$(uo.$$.fragment,o),$(fo.$$.fragment,o),$(go.$$.fragment,o),$(yo.$$.fragment,o),$(vo.$$.fragment,o),$(bo.$$.fragment,o),$(wo.$$.fragment,o),$(To.$$.fragment,o),$($o.$$.fragment,o),$(Wo.$$.fragment,o),$(qo.$$.fragment,o),$(st.$$.fragment,o),$(Eo.$$.fragment,o),$(at.$$.fragment,o),$(jo.$$.fragment,o),$(Co.$$.fragment,o),$(No.$$.fragment,o),$(So.$$.fragment,o),$(Oo.$$.fragment,o),$(ct.$$.fragment,o),$(pt.$$.fragment,o),$(Go.$$.fragment,o),$(Uo.$$.fragment,o),$(Ro.$$.fragment,o),$(mt.$$.fragment,o),$(ut.$$.fragment,o),$(Jo.$$.fragment,o),$(Ko.$$.fragment,o),$(Yo.$$.fragment,o),$(_t.$$.fragment,o),$(gt.$$.fragment,o),$(en.$$.fragment,o),$(tn.$$.fragment,o),$(sn.$$.fragment,o),$(vt.$$.fragment,o),$(bt.$$.fragment,o),$(an.$$.fragment,o),$(dn.$$.fragment,o),$(un.$$.fragment,o),$(wt.$$.fragment,o),$(Tt.$$.fragment,o),$(fn.$$.fragment,o),$(_n.$$.fragment,o),$(wn.$$.fragment,o),$(xt.$$.fragment,o),$(Wt.$$.fragment,o),va=!1},d(o){t(c),o&&t(v),o&&t(f),x(d),o&&t(j),o&&t(C),x(le),o&&t(Bs),o&&t(Ve),o&&t(Hs),o&&t(zn),o&&t(Rs),o&&t(qn),o&&t(Js),o&&t(En),o&&t(Ks),o&&t(Q),o&&t(Xs),o&&t(Z),o&&t(Qs),o&&t(ye),x(Xt),o&&t(Zs),o&&t(G),x(Qt),x(He),o&&t(Ys),o&&t(ke),x(Yt),o&&t(ea),o&&t(q),x(eo),x(oo),x(Je),x(no),x(ro),x(ao),x(io),o&&t(ta),o&&t(we),x(lo),o&&t(oa),o&&t(E),x(co),x(mo),x(Ze),x(uo),x(fo),x(go),x(yo),o&&t(na),o&&t(Te),x(vo),o&&t(ra),o&&t(D),x(bo),x(wo),o&&t(sa),o&&t(xe),x(To),o&&t(aa),o&&t(M),x($o),x(Wo),x(qo),x(st),x(Eo),x(at),x(jo),x(Co),o&&t(ia),o&&t(We),x(No),o&&t(da),o&&t(V),x(So),x(Oo),x(ct),x(pt),o&&t(la),o&&t(ze),x(Go),o&&t(ca),o&&t(B),x(Uo),x(Ro),x(mt),x(ut),o&&t(pa),o&&t(Ee),x(Jo),o&&t(ha),o&&t(H),x(Ko),x(Yo),x(_t),x(gt),o&&t(ma),o&&t(je),x(en),o&&t(ua),o&&t(R),x(tn),x(sn),x(vt),x(bt),o&&t(fa),o&&t(Ce),x(an),o&&t(_a),o&&t(J),x(dn),x(un),x(wt),x(Tt),o&&t(ga),o&&t(Se),x(fn),o&&t(ya),o&&t(K),x(_n),x(wn),x(xt),x(Wt)}}}const sf={local:"whisper",sections:[{local:"overview",title:"Overview"},{local:"transformers.WhisperConfig",title:"WhisperConfig"},{local:"transformers.WhisperTokenizer",title:"WhisperTokenizer"},{local:"transformers.WhisperTokenizerFast",title:"WhisperTokenizerFast"},{local:"transformers.WhisperFeatureExtractor",title:"WhisperFeatureExtractor"},{local:"transformers.WhisperProcessor",title:"WhisperProcessor"},{local:"transformers.WhisperModel",title:"WhisperModel"},{local:"transformers.WhisperForConditionalGeneration",title:"WhisperForConditionalGeneration"},{local:"transformers.TFWhisperModel",title:"TFWhisperModel"},{local:"transformers.TFWhisperForConditionalGeneration",title:"TFWhisperForConditionalGeneration"},{local:"transformers.FlaxWhisperModel",title:"FlaxWhisperModel"},{local:"transformers.FlaxWhisperForConditionalGeneration",title:"FlaxWhisperForConditionalGeneration"}],title:"Whisper"};function af(W){return Du(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class uf extends Nu{constructor(c){super();Su(this,c,af,rf,Iu,{})}}export{uf as default,sf as metadata};
