import{S as Qq,i as Kq,s as Vq,e as s,k as p,w as v,t as o,M as Jq,c as a,d as t,m as h,a as r,x as w,h as n,b as c,N as Hq,G as e,g,y as T,q as M,o as $,B as L,v as Gq,L as Ie}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ae}from"../../chunks/Tip-hf-doc-builder.js";import{D as I}from"../../chunks/Docstring-hf-doc-builder.js";import{C as De}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Ne}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Oe}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as ng}from"../../chunks/PipelineTag-hf-doc-builder.js";function Yq(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import XLMRobertaConfig, XLMRobertaModel

# Initializing a XLM-RoBERTa xlm-roberta-base style configuration
configuration = XLMRobertaConfig()

# Initializing a model (with random weights) from the xlm-roberta-base style configuration
model = XLMRobertaModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> XLMRobertaConfig, XLMRobertaModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a XLM-RoBERTa xlm-roberta-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = XLMRobertaConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the xlm-roberta-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=s("p"),k=o("Examples:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Examples:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Zq(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function ej(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaModel
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function tj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function oj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaForCausalLM, AutoConfig
import torch

tokenizer = AutoTokenizer.from_pretrained("roberta-base")
config = AutoConfig.from_pretrained("roberta-base")
config.is_decoder = True
model = XLMRobertaForCausalLM.from_pretrained("roberta-base", config=config)

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

prediction_logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForCausalLM, AutoConfig
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config = AutoConfig.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config.is_decoder = <span class="hljs-literal">True</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;roberta-base&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function nj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function sj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaForMaskedLM
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is <mask>.", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# retrieve index of <mask>
mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[0].nonzero(as_tuple=True)[0]

predicted_token_id = logits[0, mask_token_index].argmax(axis=-1)
tokenizer.decode(predicted_token_id)

labels = tokenizer("The capital of France is Paris.", return_tensors="pt")["input_ids"]
# mask labels of non-<mask> tokens
labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)
round(outputs.loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is &lt;mask&gt;.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of &lt;mask&gt;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>].nonzero(as_tuple=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = logits[<span class="hljs-number">0</span>, mask_token_index].argmax(axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27; Paris&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-&lt;mask&gt; tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(outputs.loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.1</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function aj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function rj(E){let d,k,u,f,b;return f=new De({props:{code:`import torch
from transformers import AutoTokenizer, XLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
model.config.id2label[predicted_class_id]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;optimism&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.08</span>`}}),{c(){d=s("p"),k=o("Example of single-label classification:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example of single-label classification:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function ij(E){let d,k,u,f,b;return f=new De({props:{code:`import torch
from transformers import AutoTokenizer, XLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = XLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = XLMRobertaForSequenceClassification.from_pretrained(
    "cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=s("p"),k=o("Example of multi-label classification:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example of multi-label classification:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function lj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function dj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaForMultipleChoice
import torch

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = XLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."
labels = torch.tensor(0).unsqueeze(0)  # choice0 is correct (according to Wikipedia ;)), batch size 1

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="pt", padding=True)
outputs = model(**{k: v.unsqueeze(0) for k, v in encoding.items()}, labels=labels)  # batch size is 1

# the linear classifier still needs to be trained
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">0</span>).unsqueeze(<span class="hljs-number">0</span>)  <span class="hljs-comment"># choice0 is correct (according to Wikipedia ;)), batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v.unsqueeze(<span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}, labels=labels)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function cj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function pj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("Jean-Baptiste/roberta-large-ner-english")
model = XLMRobertaForTokenClassification.from_pretrained("Jean-Baptiste/roberta-large-ner-english")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]
predicted_tokens_classes

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;Jean-Baptiste/roberta-large-ner-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;Jean-Baptiste/roberta-large-ner-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes
[<span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.01</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function hj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function mj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, XLMRobertaForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("deepset/roberta-base-squad2")
model = XLMRobertaForQuestionAnswering.from_pretrained("deepset/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens, skip_special_tokens=True)

# target is "nice puppet"
target_start_index = torch.tensor([14])
target_end_index = torch.tensor([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, XLMRobertaForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = XLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-string">&#x27; puppet&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.86</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function uj(E){let d,k,u,f,b,l,m,R,ke,fe,O,ce,te,x,ye,W,pe,Ce,K,ae,re,B,ie,ve,U,we,ge,D,Te,le,oe,z,j,he,J,_e,me,H,Me,be,q,$e,V,ne,de,G,ue,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ve=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),me=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),ue=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),u=a(F,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(y),m=a(y,"UL",{});var Z=r(m);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);ye=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ve=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(y),z=a(y,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),me=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);ue=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(y),C=a(y,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,F){g(y,d,F),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,F),g(y,m,F),e(m,R),e(R,ke),e(m,fe),e(m,O),e(O,ce),g(y,te,F),g(y,x,F),e(x,ye),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ve),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(y,oe,F),g(y,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,me),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,ue),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(y,se,F),g(y,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(oe),y&&t(z),y&&t(se),y&&t(C)}}}function fj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function gj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function _j(E){let d,k,u,f,b,l,m,R,ke,fe,O,ce,te,x,ye,W,pe,Ce,K,ae,re,B,ie,ve,U,we,ge,D,Te,le,oe,z,j,he,J,_e,me,H,Me,be,q,$e,V,ne,de,G,ue,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ve=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),me=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),ue=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),u=a(F,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(y),m=a(y,"UL",{});var Z=r(m);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);ye=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ve=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(y),z=a(y,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),me=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);ue=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(y),C=a(y,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,F){g(y,d,F),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,F),g(y,m,F),e(m,R),e(R,ke),e(m,fe),e(m,O),e(O,ce),g(y,te,F),g(y,x,F),e(x,ye),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ve),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(y,oe,F),g(y,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,me),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,ue),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(y,se,F),g(y,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(oe),y&&t(z),y&&t(se),y&&t(C)}}}function bj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function kj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForCausalLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForCausalLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function yj(E){let d,k,u,f,b,l,m,R,ke,fe,O,ce,te,x,ye,W,pe,Ce,K,ae,re,B,ie,ve,U,we,ge,D,Te,le,oe,z,j,he,J,_e,me,H,Me,be,q,$e,V,ne,de,G,ue,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ve=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),me=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),ue=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),u=a(F,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(y),m=a(y,"UL",{});var Z=r(m);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);ye=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ve=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(y),z=a(y,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),me=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);ue=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(y),C=a(y,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,F){g(y,d,F),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,F),g(y,m,F),e(m,R),e(R,ke),e(m,fe),e(m,O),e(O,ce),g(y,te,F),g(y,x,F),e(x,ye),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ve),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(y,oe,F),g(y,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,me),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,ue),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(y,se,F),g(y,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(oe),y&&t(z),y&&t(se),y&&t(C)}}}function vj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function wj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForMaskedLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is <mask>.", return_tensors="tf")
logits = model(**inputs).logits

# retrieve index of <mask>
mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[0])
selected_logits = tf.gather_nd(logits[0], indices=mask_token_index)

predicted_token_id = tf.math.argmax(selected_logits, axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is &lt;mask&gt;.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of &lt;mask&gt;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>selected_logits = tf.gather_nd(logits[<span class="hljs-number">0</span>], indices=mask_token_index)

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = tf.math.argmax(selected_logits, axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27; Paris&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Tj(E){let d,k;return d=new De({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="tf")["input_ids"]
# mask labels of non-<mask> tokens
labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)
round(float(outputs.loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-&lt;mask&gt; tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(outputs.loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.1</span>`}}),{c(){v(d.$$.fragment)},l(u){w(d.$$.fragment,u)},m(u,f){T(d,u,f),k=!0},p:Ie,i(u){k||(M(d.$$.fragment,u),k=!0)},o(u){$(d.$$.fragment,u),k=!1},d(u){L(d,u)}}}function Mj(E){let d,k,u,f,b,l,m,R,ke,fe,O,ce,te,x,ye,W,pe,Ce,K,ae,re,B,ie,ve,U,we,ge,D,Te,le,oe,z,j,he,J,_e,me,H,Me,be,q,$e,V,ne,de,G,ue,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ve=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),me=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),ue=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),u=a(F,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(y),m=a(y,"UL",{});var Z=r(m);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);ye=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ve=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(y),z=a(y,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),me=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);ue=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(y),C=a(y,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,F){g(y,d,F),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,F),g(y,m,F),e(m,R),e(R,ke),e(m,fe),e(m,O),e(O,ce),g(y,te,F),g(y,x,F),e(x,ye),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ve),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(y,oe,F),g(y,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,me),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,ue),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(y,se,F),g(y,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(oe),y&&t(z),y&&t(se),y&&t(C)}}}function $j(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Lj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForSequenceClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = TFXLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")

logits = model(**inputs).logits

predicted_class_id = int(tf.math.argmax(logits, axis=-1)[0])
model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;optimism&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function xj(E){let d,k;return d=new De({props:{code:'# To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`\nnum_labels = len(model.config.id2label)\nmodel = TFXLMRobertaForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels)\n\nlabels = tf.constant(1)\nloss = model(**inputs, labels=labels).loss\nround(float(loss), 2)',highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.constant(<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.08</span>`}}),{c(){v(d.$$.fragment)},l(u){w(d.$$.fragment,u)},m(u,f){T(d,u,f),k=!0},p:Ie,i(u){k||(M(d.$$.fragment,u),k=!0)},o(u){$(d.$$.fragment,u),k=!1},d(u){L(d,u)}}}function Fj(E){let d,k,u,f,b,l,m,R,ke,fe,O,ce,te,x,ye,W,pe,Ce,K,ae,re,B,ie,ve,U,we,ge,D,Te,le,oe,z,j,he,J,_e,me,H,Me,be,q,$e,V,ne,de,G,ue,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ve=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),me=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),ue=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),u=a(F,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(y),m=a(y,"UL",{});var Z=r(m);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);ye=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ve=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(y),z=a(y,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),me=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);ue=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(y),C=a(y,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,F){g(y,d,F),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,F),g(y,m,F),e(m,R),e(R,ke),e(m,fe),e(m,O),e(O,ce),g(y,te,F),g(y,x,F),e(x,ye),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ve),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(y,oe,F),g(y,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,me),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,ue),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(y,se,F),g(y,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(oe),y&&t(z),y&&t(se),y&&t(C)}}}function Ej(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Rj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForMultipleChoice
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = TFXLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="tf", padding=True)
inputs = {k: tf.expand_dims(v, 0) for k, v in encoding.items()}
outputs = model(inputs)  # batch size is 1

# the linear classifier still needs to be trained
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = {k: tf.expand_dims(v, <span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Xj(E){let d,k,u,f,b,l,m,R,ke,fe,O,ce,te,x,ye,W,pe,Ce,K,ae,re,B,ie,ve,U,we,ge,D,Te,le,oe,z,j,he,J,_e,me,H,Me,be,q,$e,V,ne,de,G,ue,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ve=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),me=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),ue=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),u=a(F,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(y),m=a(y,"UL",{});var Z=r(m);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);ye=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ve=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(y),z=a(y,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),me=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);ue=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(y),C=a(y,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,F){g(y,d,F),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,F),g(y,m,F),e(m,R),e(R,ke),e(m,fe),e(m,O),e(O,ce),g(y,te,F),g(y,x,F),e(x,ye),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ve),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(y,oe,F),g(y,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,me),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,ue),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(y,se,F),g(y,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(oe),y&&t(z),y&&t(se),y&&t(C)}}}function zj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Cj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForTokenClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ydshieh/roberta-large-ner-english")
model = TFXLMRobertaForTokenClassification.from_pretrained("ydshieh/roberta-large-ner-english")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="tf"
)

logits = model(**inputs).logits
predicted_token_class_ids = tf.math.argmax(logits, axis=-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t] for t in predicted_token_class_ids[0].numpy().tolist()]
predicted_tokens_classes`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-large-ner-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-large-ner-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>].numpy().tolist()]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes
[<span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>]`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function qj(E){let d,k;return d=new De({props:{code:`labels = predicted_token_class_ids
loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.01</span>`}}),{c(){v(d.$$.fragment)},l(u){w(d.$$.fragment,u)},m(u,f){T(d,u,f),k=!0},p:Ie,i(u){k||(M(d.$$.fragment,u),k=!0)},o(u){$(d.$$.fragment,u),k=!1},d(u){L(d,u)}}}function jj(E){let d,k,u,f,b,l,m,R,ke,fe,O,ce,te,x,ye,W,pe,Ce,K,ae,re,B,ie,ve,U,we,ge,D,Te,le,oe,z,j,he,J,_e,me,H,Me,be,q,$e,V,ne,de,G,ue,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe;return{c(){d=s("p"),k=o("TensorFlow models and layers in "),u=s("code"),f=o("transformers"),b=o(" accept two formats as input:"),l=p(),m=s("ul"),R=s("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),fe=p(),O=s("li"),ce=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=s("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=s("code"),pe=o("model.fit()"),Ce=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=s("code"),ae=o("model.fit()"),re=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),B=s("code"),ie=o("fit()"),ve=o(" and "),U=s("code"),we=o("predict()"),ge=o(`, such as when creating your own layers or models with
the Keras `),D=s("code"),Te=o("Functional"),le=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),z=s("ul"),j=s("li"),he=o("a single Tensor with "),J=s("code"),_e=o("input_ids"),me=o(" only and nothing else: "),H=s("code"),Me=o("model(input_ids)"),be=p(),q=s("li"),$e=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=s("code"),ne=o("model([input_ids, attention_mask])"),de=o(" or "),G=s("code"),ue=o("model([input_ids, attention_mask, token_type_ids])"),Le=p(),N=s("li"),xe=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=s("code"),Fe=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),se=p(),C=s("p"),Ee=o(`Note that when creating models and layers with
`),A=s("a"),Re=o("subclassing"),Xe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(y){d=a(y,"P",{});var F=r(d);k=n(F,"TensorFlow models and layers in "),u=a(F,"CODE",{});var Qe=r(u);f=n(Qe,"transformers"),Qe.forEach(t),b=n(F," accept two formats as input:"),F.forEach(t),l=h(y),m=a(y,"UL",{});var Z=r(m);R=a(Z,"LI",{});var Ke=r(R);ke=n(Ke,"having all inputs as keyword arguments (like PyTorch models), or"),Ke.forEach(t),fe=h(Z),O=a(Z,"LI",{});var Ve=r(O);ce=n(Ve,"having all inputs as a list, tuple or dict in the first positional argument."),Ve.forEach(t),Z.forEach(t),te=h(y),x=a(y,"P",{});var X=r(x);ye=n(X,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),W=a(X,"CODE",{});var Je=r(W);pe=n(Je,"model.fit()"),Je.forEach(t),Ce=n(X,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a(X,"CODE",{});var Ge=r(K);ae=n(Ge,"model.fit()"),Ge.forEach(t),re=n(X,` supports! If, however, you want to use the second
format outside of Keras methods like `),B=a(X,"CODE",{});var We=r(B);ie=n(We,"fit()"),We.forEach(t),ve=n(X," and "),U=a(X,"CODE",{});var qe=r(U);we=n(qe,"predict()"),qe.forEach(t),ge=n(X,`, such as when creating your own layers or models with
the Keras `),D=a(X,"CODE",{});var je=r(D);Te=n(je,"Functional"),je.forEach(t),le=n(X,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),X.forEach(t),oe=h(y),z=a(y,"UL",{});var P=r(z);j=a(P,"LI",{});var S=r(j);he=n(S,"a single Tensor with "),J=a(S,"CODE",{});var Ye=r(J);_e=n(Ye,"input_ids"),Ye.forEach(t),me=n(S," only and nothing else: "),H=a(S,"CODE",{});var Se=r(H);Me=n(Se,"model(input_ids)"),Se.forEach(t),S.forEach(t),be=h(P),q=a(P,"LI",{});var Y=r(q);$e=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a(Y,"CODE",{});var Be=r(V);ne=n(Be,"model([input_ids, attention_mask])"),Be.forEach(t),de=n(Y," or "),G=a(Y,"CODE",{});var Pe=r(G);ue=n(Pe,"model([input_ids, attention_mask, token_type_ids])"),Pe.forEach(t),Y.forEach(t),Le=h(P),N=a(P,"LI",{});var ze=r(N);xe=n(ze,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),Q=a(ze,"CODE",{});var Ue=r(Q);Fe=n(Ue,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ue.forEach(t),ze.forEach(t),P.forEach(t),se=h(y),C=a(y,"P",{});var ee=r(C);Ee=n(ee,`Note that when creating models and layers with
`),A=a(ee,"A",{href:!0,rel:!0});var He=r(A);Re=n(He,"subclassing"),He.forEach(t),Xe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){c(A,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),c(A,"rel","nofollow")},m(y,F){g(y,d,F),e(d,k),e(d,u),e(u,f),e(d,b),g(y,l,F),g(y,m,F),e(m,R),e(R,ke),e(m,fe),e(m,O),e(O,ce),g(y,te,F),g(y,x,F),e(x,ye),e(x,W),e(W,pe),e(x,Ce),e(x,K),e(K,ae),e(x,re),e(x,B),e(B,ie),e(x,ve),e(x,U),e(U,we),e(x,ge),e(x,D),e(D,Te),e(x,le),g(y,oe,F),g(y,z,F),e(z,j),e(j,he),e(j,J),e(J,_e),e(j,me),e(j,H),e(H,Me),e(z,be),e(z,q),e(q,$e),e(q,V),e(V,ne),e(q,de),e(q,G),e(G,ue),e(z,Le),e(z,N),e(N,xe),e(N,Q),e(Q,Fe),g(y,se,F),g(y,C,F),e(C,Ee),e(C,A),e(A,Re),e(C,Xe)},d(y){y&&t(d),y&&t(l),y&&t(m),y&&t(te),y&&t(x),y&&t(oe),y&&t(z),y&&t(se),y&&t(C)}}}function Aj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Pj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, TFXLMRobertaForQuestionAnswering
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ydshieh/roberta-base-squad2")
model = TFXLMRobertaForQuestionAnswering.from_pretrained("ydshieh/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="tf")
outputs = model(**inputs)

answer_start_index = int(tf.math.argmax(outputs.start_logits, axis=-1)[0])
answer_end_index = int(tf.math.argmax(outputs.end_logits, axis=-1)[0])

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFXLMRobertaForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFXLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.start_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.end_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens)
<span class="hljs-string">&#x27; puppet&#x27;</span>`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Nj(E){let d,k;return d=new De({props:{code:`# target is "nice puppet"
target_start_index = tf.constant([14])
target_end_index = tf.constant([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = tf.math.reduce_mean(outputs.loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = tf.constant([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = tf.constant([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(outputs.loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.86</span>`}}),{c(){v(d.$$.fragment)},l(u){w(d.$$.fragment,u)},m(u,f){T(d,u,f),k=!0},p:Ie,i(u){k||(M(d.$$.fragment,u),k=!0)},o(u){$(d.$$.fragment,u),k=!1},d(u){L(d,u)}}}function Oj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Ij(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaModel

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaModel.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaModel.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Dj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Sj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForCausalLM

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForCausalLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")
outputs = model(**inputs)

# retrieve logts for next token
next_token_logits = outputs.logits[:, -1]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForCausalLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve logts for next token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>next_token_logits = outputs.logits[:, -<span class="hljs-number">1</span>]`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Wj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Bj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForMaskedLM.from_pretrained("xlm-roberta-base")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForMaskedLM.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Uj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Hj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForSequenceClassification.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Qj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Kj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForMultipleChoice.from_pretrained("xlm-roberta-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="jax", padding=True)
outputs = model(**{k: v[None, :] for k, v in encoding.items()})

logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;jax&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v[<span class="hljs-literal">None</span>, :] <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()})

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Vj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Jj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForTokenClassification.from_pretrained("xlm-roberta-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForTokenClassification.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Gj(E){let d,k,u,f,b;return{c(){d=s("p"),k=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),u=s("code"),f=o("Module"),b=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),u=a(m,"CODE",{});var R=r(u);f=n(R,"Module"),R.forEach(t),b=n(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(l,m){g(l,d,m),e(d,k),e(d,u),e(u,f),e(d,b)},d(l){l&&t(d)}}}function Yj(E){let d,k,u,f,b;return f=new De({props:{code:`from transformers import AutoTokenizer, FlaxXLMRobertaForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("xlm-roberta-base")
model = FlaxXLMRobertaForQuestionAnswering.from_pretrained("xlm-roberta-base")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="jax")

outputs = model(**inputs)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxXLMRobertaForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxXLMRobertaForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;xlm-roberta-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){d=s("p"),k=o("Example:"),u=p(),v(f.$$.fragment)},l(l){d=a(l,"P",{});var m=r(d);k=n(m,"Example:"),m.forEach(t),u=h(l),w(f.$$.fragment,l)},m(l,m){g(l,d,m),e(d,k),g(l,u,m),T(f,l,m),b=!0},p:Ie,i(l){b||(M(f.$$.fragment,l),b=!0)},o(l){$(f.$$.fragment,l),b=!1},d(l){l&&t(d),l&&t(u),L(f,l)}}}function Zj(E){let d,k,u,f,b,l,m,R,ke,fe,O,ce,te,x,ye,W,pe,Ce,K,ae,re,B,ie,ve,U,we,ge,D,Te,le,oe,z,j,he,J,_e,me,H,Me,be,q,$e,V,ne,de,G,ue,Le,N,xe,Q,Fe,se,C,Ee,A,Re,Xe,y,F,Qe,Z,Ke,Ve,X,Je,Ge,We,qe,je,P,S,Ye,Se,Y,Be,Pe,ze,Ue,ee,He,Mt,Ec,Ib,dr,Db,Sb,$o,Rc,Wb,Bb,cr,Ub,Hb,pr,Qb,Kb,Vb,Lo,Xc,Jb,Gb,hr,Yb,Zb,mr,ek,tk,ok,xo,zc,nk,sk,ur,ak,rk,fr,ik,lk,dk,Cc,gr,ck,pk,sg,_r,ag,St,Fo,qc,hk,mk,br,uk,fk,kr,gk,_k,bk,Eo,jc,kk,yk,yr,vk,wk,vr,Tk,Mk,$k,os,Ac,Lk,xk,wr,Fk,Ek,Rk,Pc,Tr,Xk,zk,rg,Mr,ig,ns,Ro,Nc,Ck,qk,$r,jk,Ak,Lr,Pk,Nk,Ok,Oc,xr,Ik,Dk,lg,Fr,dg,Wt,Xo,Ic,Sk,Wk,Er,Bk,Uk,Rr,Hk,Qk,Kk,zo,Dc,Vk,Jk,Xr,Gk,Yk,zr,Zk,ey,ty,Co,Sc,oy,ny,Cr,sy,ay,qr,ry,iy,ly,Wc,jr,dy,cy,cg,Ar,pg,Bt,qo,Bc,py,hy,Pr,my,uy,Nr,fy,gy,_y,jo,Uc,by,ky,Or,yy,vy,Ir,wy,Ty,My,ss,Hc,$y,Ly,Dr,xy,Fy,Ey,Qc,Sr,Ry,Xy,hg,Kc,Mh,zy,mg,as,Ao,Vc,Cy,qy,Wr,jy,Ay,Br,Py,Ny,Oy,Po,Jc,Iy,Dy,Ur,Sy,Wy,Hr,By,Uy,ug,Gc,Hy,fg,Yc,Qr,Qy,Kr,Ky,Vy,gg,sn,rs,$h,Vr,Jy,Lh,Gy,_g,Ot,Jr,Yy,fo,Zy,Zc,ev,tv,ep,ov,nv,Gr,sv,av,rv,an,iv,tp,lv,dv,op,cv,pv,hv,is,bg,rn,ls,xh,Yr,mv,Fh,uv,kg,et,Zr,fv,go,gv,np,_v,bv,sp,kv,yv,ei,vv,wv,Tv,ti,Mv,ap,$v,Lv,xv,No,oi,Fv,Eh,Ev,Rv,ni,rp,Xv,Rh,zv,Cv,ip,qv,Xh,jv,Av,ds,si,Pv,ai,Nv,zh,Ov,Iv,Dv,cs,ri,Sv,Ch,Wv,Bv,lp,ii,yg,ln,ps,qh,li,Uv,jh,Hv,vg,_t,di,Qv,It,Kv,Ah,Vv,Jv,dp,Gv,Yv,cp,Zv,ew,ci,tw,ow,nw,pi,sw,pp,aw,rw,iw,Oo,hi,lw,Ph,dw,cw,mi,hp,pw,Nh,hw,mw,mp,uw,Oh,fw,gw,hs,ui,_w,Ih,bw,wg,dn,ms,Dh,fi,kw,Sh,yw,Tg,Ze,gi,vw,Wh,ww,Tw,_i,Mw,up,$w,Lw,xw,bi,Fw,ki,Ew,Rw,Xw,yi,zw,Bh,Cw,qw,jw,lt,Aw,Uh,Pw,Nw,Hh,Ow,Iw,Qh,Dw,Sw,Kh,Ww,Bw,Vh,Uw,Hw,Jh,Qw,Kw,Vw,us,Jw,Gh,Gw,Yw,vi,Zw,eT,Ut,wi,tT,cn,oT,fp,nT,sT,Yh,aT,rT,iT,fs,lT,gs,Mg,pn,_s,Zh,Ti,dT,em,cT,$g,bt,Mi,pT,$i,hT,tm,mT,uT,fT,Li,gT,gp,_T,bT,kT,xi,yT,Fi,vT,wT,TT,Ht,Ei,MT,hn,$T,_p,LT,xT,om,FT,ET,RT,bs,XT,ks,Lg,mn,ys,nm,Ri,zT,sm,CT,xg,kt,Xi,qT,zi,jT,am,AT,PT,NT,Ci,OT,bp,IT,DT,ST,qi,WT,ji,BT,UT,HT,Qt,Ai,QT,un,KT,kp,VT,JT,rm,GT,YT,ZT,vs,eM,ws,Fg,fn,Ts,im,Pi,tM,lm,oM,Eg,yt,Ni,nM,dm,sM,aM,Oi,rM,yp,iM,lM,dM,Ii,cM,Di,pM,hM,mM,$t,Si,uM,gn,fM,vp,gM,_M,cm,bM,kM,yM,Ms,vM,$s,wM,Ls,Rg,_n,xs,pm,Wi,TM,hm,MM,Xg,vt,Bi,$M,mm,LM,xM,Ui,FM,wp,EM,RM,XM,Hi,zM,Qi,CM,qM,jM,Kt,Ki,AM,bn,PM,Tp,NM,OM,um,IM,DM,SM,Fs,WM,Es,zg,kn,Rs,fm,Vi,BM,gm,UM,Cg,wt,Ji,HM,_m,QM,KM,Gi,VM,Mp,JM,GM,YM,Yi,ZM,Zi,e1,t1,o1,Vt,el,n1,yn,s1,$p,a1,r1,bm,i1,l1,d1,Xs,c1,zs,qg,vn,Cs,km,tl,p1,ym,h1,jg,Tt,ol,m1,wn,u1,vm,f1,g1,wm,_1,b1,k1,nl,y1,Lp,v1,w1,T1,sl,M1,al,$1,L1,x1,Jt,rl,F1,Tn,E1,xp,R1,X1,Tm,z1,C1,q1,qs,j1,js,Ag,Mn,As,Mm,il,A1,$m,P1,Pg,dt,ll,N1,Lm,O1,I1,dl,D1,Fp,S1,W1,B1,cl,U1,pl,H1,Q1,K1,Ps,V1,Gt,hl,J1,$n,G1,Ep,Y1,Z1,xm,e$,t$,o$,Ns,n$,Os,Ng,Ln,Is,Fm,ml,s$,Em,a$,Og,ct,ul,r$,fl,i$,Rm,l$,d$,c$,gl,p$,Rp,h$,m$,u$,_l,f$,bl,g$,_$,b$,Ds,k$,Yt,kl,y$,xn,v$,Xp,w$,T$,Xm,M$,$$,L$,Ss,x$,Ws,Ig,Fn,Bs,zm,yl,F$,Cm,E$,Dg,pt,vl,R$,wl,X$,qm,z$,C$,q$,Tl,j$,zp,A$,P$,N$,Ml,O$,$l,I$,D$,S$,Us,W$,Lt,Ll,B$,En,U$,Cp,H$,Q$,jm,K$,V$,J$,Hs,G$,Qs,Y$,Ks,Sg,Rn,Vs,Am,xl,Z$,Pm,e2,Wg,ht,Fl,t2,Nm,o2,n2,El,s2,qp,a2,r2,i2,Rl,l2,Xl,d2,c2,p2,Js,h2,xt,zl,m2,Xn,u2,jp,f2,g2,Om,_2,b2,k2,Gs,y2,Ys,v2,Zs,Bg,zn,ea,Im,Cl,w2,Dm,T2,Ug,mt,ql,M2,Sm,$2,L2,jl,x2,Ap,F2,E2,R2,Al,X2,Pl,z2,C2,q2,ta,j2,Zt,Nl,A2,Cn,P2,Pp,N2,O2,Wm,I2,D2,S2,oa,W2,na,Hg,qn,sa,Bm,Ol,B2,Um,U2,Qg,ut,Il,H2,Hm,Q2,K2,Dl,V2,Np,J2,G2,Y2,Sl,Z2,Wl,eL,tL,oL,aa,nL,Ft,Bl,sL,jn,aL,Op,rL,iL,Qm,lL,dL,cL,ra,pL,ia,hL,la,Kg,An,da,Km,Ul,mL,Vm,uL,Vg,ft,Hl,fL,Pn,gL,Jm,_L,bL,Gm,kL,yL,vL,Ql,wL,Ip,TL,ML,$L,Kl,LL,Vl,xL,FL,EL,ca,RL,Et,Jl,XL,Nn,zL,Dp,CL,qL,Ym,jL,AL,PL,pa,NL,ha,OL,ma,Jg,On,ua,Zm,Gl,IL,eu,DL,Gg,tt,Yl,SL,tu,WL,BL,Zl,UL,Sp,HL,QL,KL,ed,VL,td,JL,GL,YL,ou,ZL,ex,_o,nu,od,tx,ox,su,nd,nx,sx,au,sd,ax,rx,ru,ad,ix,lx,eo,rd,dx,In,cx,iu,px,hx,lu,mx,ux,fx,fa,gx,ga,Yg,Dn,_a,du,id,_x,cu,bx,Zg,ot,ld,kx,pu,yx,vx,dd,wx,Wp,Tx,Mx,$x,cd,Lx,pd,xx,Fx,Ex,hu,Rx,Xx,bo,mu,hd,zx,Cx,uu,md,qx,jx,fu,ud,Ax,Px,gu,fd,Nx,Ox,to,gd,Ix,Sn,Dx,_u,Sx,Wx,bu,Bx,Ux,Hx,ba,Qx,ka,e_,Wn,ya,ku,_d,Kx,yu,Vx,t_,nt,bd,Jx,kd,Gx,vu,Yx,Zx,eF,yd,tF,Bp,oF,nF,sF,vd,aF,wd,rF,iF,lF,wu,dF,cF,ko,Tu,Td,pF,hF,Mu,Md,mF,uF,$u,$d,fF,gF,Lu,Ld,_F,bF,oo,xd,kF,Bn,yF,xu,vF,wF,Fu,TF,MF,$F,va,LF,wa,o_,Un,Ta,Eu,Fd,xF,Ru,FF,n_,st,Ed,EF,Xu,RF,XF,Rd,zF,Up,CF,qF,jF,Xd,AF,zd,PF,NF,OF,zu,IF,DF,yo,Cu,Cd,SF,WF,qu,qd,BF,UF,ju,jd,HF,QF,Au,Ad,KF,VF,no,Pd,JF,Hn,GF,Pu,YF,ZF,Nu,e0,t0,o0,Ma,n0,$a,s_,Qn,La,Ou,Nd,s0,Iu,a0,a_,at,Od,r0,Du,i0,l0,Id,d0,Hp,c0,p0,h0,Dd,m0,Sd,u0,f0,g0,Su,_0,b0,vo,Wu,Wd,k0,y0,Bu,Bd,v0,w0,Uu,Ud,T0,M0,Hu,Hd,$0,L0,so,Qd,x0,Kn,F0,Qu,E0,R0,Ku,X0,z0,C0,xa,q0,Fa,r_,Vn,Ea,Vu,Kd,j0,Ju,A0,i_,rt,Vd,P0,Gu,N0,O0,Jd,I0,Qp,D0,S0,W0,Gd,B0,Yd,U0,H0,Q0,Yu,K0,V0,wo,Zu,Zd,J0,G0,ef,ec,Y0,Z0,tf,tc,eE,tE,of,oc,oE,nE,ao,nc,sE,Jn,aE,nf,rE,iE,sf,lE,dE,cE,Ra,pE,Xa,l_,Gn,za,af,sc,hE,rf,mE,d_,it,ac,uE,Yn,fE,lf,gE,_E,df,bE,kE,yE,rc,vE,Kp,wE,TE,ME,ic,$E,lc,LE,xE,FE,cf,EE,RE,To,pf,dc,XE,zE,hf,cc,CE,qE,mf,pc,jE,AE,uf,hc,PE,NE,ro,mc,OE,Zn,IE,ff,DE,SE,gf,WE,BE,UE,Ca,HE,qa,c_;return l=new Ne({}),ie=new Ne({}),S=new Ne({}),ee=new ng({props:{pipeline:"text-classification"}}),_r=new ng({props:{pipeline:"token-classification"}}),Mr=new ng({props:{pipeline:"text-generation"}}),Fr=new ng({props:{pipeline:"fill-mask"}}),Ar=new ng({props:{pipeline:"question-answering"}}),Vr=new Ne({}),Jr=new I({props:{name:"class transformers.XLMRobertaConfig",anchor:"transformers.XLMRobertaConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"use_cache",val:" = True"},{name:"classifier_dropout",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the XLM-RoBERTa model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaModel">XLMRobertaModel</a> or <a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel">TFXLMRobertaModel</a>.`,name:"vocab_size"},{anchor:"transformers.XLMRobertaConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.XLMRobertaConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.XLMRobertaConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.XLMRobertaConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.XLMRobertaConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.XLMRobertaConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.XLMRobertaConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.XLMRobertaConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.XLMRobertaConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaModel">XLMRobertaModel</a> or
<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel">TFXLMRobertaModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.XLMRobertaConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.XLMRobertaConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.XLMRobertaConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"},{anchor:"transformers.XLMRobertaConfig.is_decoder",description:`<strong>is_decoder</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the model is used as a decoder or not. If <code>False</code>, the model is used as an encoder.`,name:"is_decoder"},{anchor:"transformers.XLMRobertaConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.XLMRobertaConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>) &#x2014;
The dropout ratio for the classification head.`,name:"classifier_dropout"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/configuration_xlm_roberta.py#L45"}}),is=new Oe({props:{anchor:"transformers.XLMRobertaConfig.example",$$slots:{default:[Yq]},$$scope:{ctx:E}}}),Yr=new Ne({}),Zr=new I({props:{name:"class transformers.XLMRobertaTokenizer",anchor:"transformers.XLMRobertaTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.XLMRobertaTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.XLMRobertaTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.XLMRobertaTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.XLMRobertaTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.XLMRobertaTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.XLMRobertaTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.XLMRobertaTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.XLMRobertaTokenizer.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"},{anchor:"transformers.XLMRobertaTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.XLMRobertaTokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L63"}}),oi=new I({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L202",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),si=new I({props:{name:"get_special_tokens_mask",anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.XLMRobertaTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L228",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ri=new I({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L256",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ii=new I({props:{name:"save_vocabulary",anchor:"transformers.XLMRobertaTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta.py#L313"}}),li=new Ne({}),di=new I({props:{name:"class transformers.XLMRobertaTokenizerFast",anchor:"transformers.XLMRobertaTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.XLMRobertaTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.XLMRobertaTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.XLMRobertaTokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.XLMRobertaTokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.XLMRobertaTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.XLMRobertaTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.XLMRobertaTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.XLMRobertaTokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L82"}}),hi=new I({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L171",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ui=new I({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.XLMRobertaTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/tokenization_xlm_roberta_fast.py#L197",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),fi=new Ne({}),gi=new I({props:{name:"class transformers.XLMRobertaModel",anchor:"transformers.XLMRobertaModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.XLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L698"}}),wi=new I({props:{name:"forward",anchor:"transformers.XLMRobertaModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XLMRobertaModel.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.XLMRobertaModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMRobertaModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L743",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),fs=new Ae({props:{$$slots:{default:[Zq]},$$scope:{ctx:E}}}),gs=new Oe({props:{anchor:"transformers.XLMRobertaModel.forward.example",$$slots:{default:[ej]},$$scope:{ctx:E}}}),Ti=new Ne({}),Mi=new I({props:{name:"class transformers.XLMRobertaForCausalLM",anchor:"transformers.XLMRobertaForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L885"}}),Ei=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Tuple[typing.Tuple[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.XLMRobertaForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.XLMRobertaForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the left-to-right language modeling loss (next word prediction). Indices should be in
<code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are
ignored (masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.XLMRobertaForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.XLMRobertaForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L911",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),bs=new Ae({props:{$$slots:{default:[tj]},$$scope:{ctx:E}}}),ks=new Oe({props:{anchor:"transformers.XLMRobertaForCausalLM.forward.example",$$slots:{default:[oj]},$$scope:{ctx:E}}}),Ri=new Ne({}),Xi=new I({props:{name:"class transformers.XLMRobertaForMaskedLM",anchor:"transformers.XLMRobertaForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1041"}}),Ai=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.XLMRobertaForMaskedLM.forward.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, any]</code>, optional, defaults to <em>{}</em>) &#x2014;
Used to hide legacy arguments that have been deprecated.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1070",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),vs=new Ae({props:{$$slots:{default:[nj]},$$scope:{ctx:E}}}),ws=new Oe({props:{anchor:"transformers.XLMRobertaForMaskedLM.forward.example",$$slots:{default:[sj]},$$scope:{ctx:E}}}),Pi=new Ne({}),Ni=new I({props:{name:"class transformers.XLMRobertaForSequenceClassification",anchor:"transformers.XLMRobertaForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1177"}}),Si=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1191",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ms=new Ae({props:{$$slots:{default:[aj]},$$scope:{ctx:E}}}),$s=new Oe({props:{anchor:"transformers.XLMRobertaForSequenceClassification.forward.example",$$slots:{default:[rj]},$$scope:{ctx:E}}}),Ls=new Oe({props:{anchor:"transformers.XLMRobertaForSequenceClassification.forward.example-2",$$slots:{default:[ij]},$$scope:{ctx:E}}}),Wi=new Ne({}),Bi=new I({props:{name:"class transformers.XLMRobertaForMultipleChoice",anchor:"transformers.XLMRobertaForMultipleChoice",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1277"}}),Ki=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForMultipleChoice.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices-1]</code> where <code>num_choices</code> is the size of the second dimension of the input tensors. (See
<code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1290",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <em>(1,)</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Fs=new Ae({props:{$$slots:{default:[lj]},$$scope:{ctx:E}}}),Es=new Oe({props:{anchor:"transformers.XLMRobertaForMultipleChoice.forward.example",$$slots:{default:[dj]},$$scope:{ctx:E}}}),Vi=new Ne({}),Ji=new I({props:{name:"class transformers.XLMRobertaForTokenClassification",anchor:"transformers.XLMRobertaForTokenClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1372"}}),el=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1390",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xs=new Ae({props:{$$slots:{default:[cj]},$$scope:{ctx:E}}}),zs=new Oe({props:{anchor:"transformers.XLMRobertaForTokenClassification.forward.example",$$slots:{default:[pj]},$$scope:{ctx:E}}}),tl=new Ne({}),ol=new I({props:{name:"class transformers.XLMRobertaForQuestionAnswering",anchor:"transformers.XLMRobertaForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.XLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1482"}}),rl=new I({props:{name:"forward",anchor:"transformers.XLMRobertaForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_xlm_roberta.py#L1496",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),qs=new Ae({props:{$$slots:{default:[hj]},$$scope:{ctx:E}}}),js=new Oe({props:{anchor:"transformers.XLMRobertaForQuestionAnswering.forward.example",$$slots:{default:[mj]},$$scope:{ctx:E}}}),il=new Ne({}),ll=new I({props:{name:"class transformers.TFXLMRobertaModel",anchor:"transformers.TFXLMRobertaModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L915"}}),Ps=new Ae({props:{$$slots:{default:[uj]},$$scope:{ctx:E}}}),hl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaModel.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaModel.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaModel.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaModel.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFXLMRobertaModel.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFXLMRobertaModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFXLMRobertaModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L920",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ns=new Ae({props:{$$slots:{default:[fj]},$$scope:{ctx:E}}}),Os=new Oe({props:{anchor:"transformers.TFXLMRobertaModel.call.example",$$slots:{default:[gj]},$$scope:{ctx:E}}}),ml=new Ne({}),ul=new I({props:{name:"class transformers.TFXLMRobertaForCausalLM",anchor:"transformers.TFXLMRobertaForCausalLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1149"}}),Ds=new Ae({props:{$$slots:{default:[_j]},$$scope:{ctx:E}}}),kl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForCausalLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForCausalLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFXLMRobertaForCausalLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the cross entropy classification loss. Indices should be in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1182",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ss=new Ae({props:{$$slots:{default:[bj]},$$scope:{ctx:E}}}),Ws=new Oe({props:{anchor:"transformers.TFXLMRobertaForCausalLM.call.example",$$slots:{default:[kj]},$$scope:{ctx:E}}}),yl=new Ne({}),vl=new I({props:{name:"class transformers.TFXLMRobertaForMaskedLM",anchor:"transformers.TFXLMRobertaForMaskedLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1060"}}),Us=new Ae({props:{$$slots:{default:[yj]},$$scope:{ctx:E}}}),Ll=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForMaskedLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMaskedLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForMaskedLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1077",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Hs=new Ae({props:{$$slots:{default:[vj]},$$scope:{ctx:E}}}),Qs=new Oe({props:{anchor:"transformers.TFXLMRobertaForMaskedLM.call.example",$$slots:{default:[wj]},$$scope:{ctx:E}}}),Ks=new Oe({props:{anchor:"transformers.TFXLMRobertaForMaskedLM.call.example-2",$$slots:{default:[Tj]},$$scope:{ctx:E}}}),xl=new Ne({}),Fl=new I({props:{name:"class transformers.TFXLMRobertaForSequenceClassification",anchor:"transformers.TFXLMRobertaForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1322"}}),Js=new Ae({props:{$$slots:{default:[Mj]},$$scope:{ctx:E}}}),zl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1333",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Gs=new Ae({props:{$$slots:{default:[$j]},$$scope:{ctx:E}}}),Ys=new Oe({props:{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.example",$$slots:{default:[Lj]},$$scope:{ctx:E}}}),Zs=new Oe({props:{anchor:"transformers.TFXLMRobertaForSequenceClassification.call.example-2",$$slots:{default:[xj]},$$scope:{ctx:E}}}),Cl=new Ne({}),ql=new I({props:{name:"class transformers.TFXLMRobertaForMultipleChoice",anchor:"transformers.TFXLMRobertaForMultipleChoice",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1406"}}),ta=new Ae({props:{$$slots:{default:[Fj]},$$scope:{ctx:E}}}),Nl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForMultipleChoice.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices]</code>
where <code>num_choices</code> is the size of the second dimension of the input tensors. (See <code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1430",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <em>(batch_size, )</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),oa=new Ae({props:{$$slots:{default:[Ej]},$$scope:{ctx:E}}}),na=new Oe({props:{anchor:"transformers.TFXLMRobertaForMultipleChoice.call.example",$$slots:{default:[Rj]},$$scope:{ctx:E}}}),Ol=new Ne({}),Il=new I({props:{name:"class transformers.TFXLMRobertaForTokenClassification",anchor:"transformers.TFXLMRobertaForTokenClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1529"}}),aa=new Ae({props:{$$slots:{default:[Xj]},$$scope:{ctx:E}}}),Bl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForTokenClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForTokenClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForTokenClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1547",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of unmasked labels, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),ra=new Ae({props:{$$slots:{default:[zj]},$$scope:{ctx:E}}}),ia=new Oe({props:{anchor:"transformers.TFXLMRobertaForTokenClassification.call.example",$$slots:{default:[Cj]},$$scope:{ctx:E}}}),la=new Oe({props:{anchor:"transformers.TFXLMRobertaForTokenClassification.call.example-2",$$slots:{default:[qj]},$$scope:{ctx:E}}}),Ul=new Ne({}),Hl=new I({props:{name:"class transformers.TFXLMRobertaForQuestionAnswering",anchor:"transformers.TFXLMRobertaForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1620"}}),ca=new Ae({props:{$$slots:{default:[jj]},$$scope:{ctx:E}}}),Jl=new I({props:{name:"call",anchor:"transformers.TFXLMRobertaForQuestionAnswering.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"start_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"end_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details. <a href="../glossary#input-ids">What are input
IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="../glossary#attention-mask">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.
<a href="../glossary#token-type-ids">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>. <a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.start_positions",description:`<strong>start_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.end_positions",description:`<strong>end_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_tf_xlm_roberta.py#L1633",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>start_positions</code> and <code>end_positions</code> are provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),pa=new Ae({props:{$$slots:{default:[Aj]},$$scope:{ctx:E}}}),ha=new Oe({props:{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.example",$$slots:{default:[Pj]},$$scope:{ctx:E}}}),ma=new Oe({props:{anchor:"transformers.TFXLMRobertaForQuestionAnswering.call.example-2",$$slots:{default:[Nj]},$$scope:{ctx:E}}}),Gl=new Ne({}),Yl=new I({props:{name:"class transformers.FlaxXLMRobertaModel",anchor:"transformers.FlaxXLMRobertaModel",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1003"}}),rd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaModel.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),fa=new Ae({props:{$$slots:{default:[Oj]},$$scope:{ctx:E}}}),ga=new Oe({props:{anchor:"transformers.FlaxXLMRobertaModel.__call__.example",$$slots:{default:[Ij]},$$scope:{ctx:E}}}),id=new Ne({}),ld=new I({props:{name:"class transformers.FlaxXLMRobertaForCausalLM",anchor:"transformers.FlaxXLMRobertaForCausalLM",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1469"}}),gd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ba=new Ae({props:{$$slots:{default:[Dj]},$$scope:{ctx:E}}}),ka=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForCausalLM.__call__.example",$$slots:{default:[Sj]},$$scope:{ctx:E}}}),_d=new Ne({}),bd=new I({props:{name:"class transformers.FlaxXLMRobertaForMaskedLM",anchor:"transformers.FlaxXLMRobertaForMaskedLM",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1070"}}),xd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),va=new Ae({props:{$$slots:{default:[Wj]},$$scope:{ctx:E}}}),wa=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForMaskedLM.__call__.example",$$slots:{default:[Bj]},$$scope:{ctx:E}}}),Fd=new Ne({}),Ed=new I({props:{name:"class transformers.FlaxXLMRobertaForSequenceClassification",anchor:"transformers.FlaxXLMRobertaForSequenceClassification",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1143"}}),Pd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ma=new Ae({props:{$$slots:{default:[Uj]},$$scope:{ctx:E}}}),$a=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForSequenceClassification.__call__.example",$$slots:{default:[Hj]},$$scope:{ctx:E}}}),Nd=new Ne({}),Od=new I({props:{name:"class transformers.FlaxXLMRobertaForMultipleChoice",anchor:"transformers.FlaxXLMRobertaForMultipleChoice",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1224"}}),Qd=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),xa=new Ae({props:{$$slots:{default:[Qj]},$$scope:{ctx:E}}}),Fa=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForMultipleChoice.__call__.example",$$slots:{default:[Kj]},$$scope:{ctx:E}}}),Kd=new Ne({}),Vd=new I({props:{name:"class transformers.FlaxXLMRobertaForTokenClassification",anchor:"transformers.FlaxXLMRobertaForTokenClassification",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1306"}}),nc=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ra=new Ae({props:{$$slots:{default:[Vj]},$$scope:{ctx:E}}}),Xa=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForTokenClassification.__call__.example",$$slots:{default:[Jj]},$$scope:{ctx:E}}}),sc=new Ne({}),ac=new I({props:{name:"class transformers.FlaxXLMRobertaForQuestionAnswering",anchor:"transformers.FlaxXLMRobertaForQuestionAnswering",parameters:[{name:"config",val:": XLMRobertaConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig">XLMRobertaConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L1383"}}),mc=new I({props:{name:"__call__",anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"head_mask",val:" = None"},{name:"encoder_hidden_states",val:" = None"},{name:"encoder_attention_mask",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"past_key_values",val:": dict = None"}],parametersDescription:[{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.head_mask",description:`<strong>head_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <code>optional) -- Mask to nullify selected heads of the attention modules. Mask values selected in </code>[0, 1]\`:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/xlm_roberta/modeling_flax_xlm_roberta.py#L829",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaConfig"
>XLMRobertaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>start_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ca=new Ae({props:{$$slots:{default:[Gj]},$$scope:{ctx:E}}}),qa=new Oe({props:{anchor:"transformers.FlaxXLMRobertaForQuestionAnswering.__call__.example",$$slots:{default:[Yj]},$$scope:{ctx:E}}}),{c(){d=s("meta"),k=p(),u=s("h1"),f=s("a"),b=s("span"),v(l.$$.fragment),m=p(),R=s("span"),ke=o("XLM-RoBERTa"),fe=p(),O=s("div"),ce=s("a"),te=s("img"),ye=p(),W=s("a"),pe=s("img"),K=p(),ae=s("h2"),re=s("a"),B=s("span"),v(ie.$$.fragment),ve=p(),U=s("span"),we=o("Overview"),ge=p(),D=s("p"),Te=o("The XLM-RoBERTa model was proposed in "),le=s("a"),oe=o("Unsupervised Cross-lingual Representation Learning at Scale"),z=o(` by Alexis Conneau, Kartikay Khandelwal, Naman Goyal, Vishrav Chaudhary, Guillaume
Wenzek, Francisco Guzm\xE1n, Edouard Grave, Myle Ott, Luke Zettlemoyer and Veselin Stoyanov. It is based on Facebook\u2019s
RoBERTa model released in 2019. It is a large multi-lingual language model, trained on 2.5TB of filtered CommonCrawl
data.`),j=p(),he=s("p"),J=o("The abstract from the paper is the following:"),_e=p(),me=s("p"),H=s("em"),Me=o(`This paper shows that pretraining multilingual language models at scale leads to significant performance gains for a
wide range of cross-lingual transfer tasks. We train a Transformer-based masked language model on one hundred
languages, using more than two terabytes of filtered CommonCrawl data. Our model, dubbed XLM-R, significantly
outperforms multilingual BERT (mBERT) on a variety of cross-lingual benchmarks, including +13.8% average accuracy on
XNLI, +12.3% average F1 score on MLQA, and +2.1% average F1 score on NER. XLM-R performs particularly well on
low-resource languages, improving 11.8% in XNLI accuracy for Swahili and 9.2% for Urdu over the previous XLM model. We
also present a detailed empirical evaluation of the key factors that are required to achieve these gains, including the
trade-offs between (1) positive transfer and capacity dilution and (2) the performance of high and low resource
languages at scale. Finally, we show, for the first time, the possibility of multilingual modeling without sacrificing
per-language performance; XLM-Ris very competitive with strong monolingual models on the GLUE and XNLI benchmarks. We
will make XLM-R code, data, and models publicly available.`),be=p(),q=s("p"),$e=o("Tips:"),V=p(),ne=s("ul"),de=s("li"),G=o(`XLM-RoBERTa is a multilingual model trained on 100 different languages. Unlike some XLM multilingual models, it does
not require `),ue=s("code"),Le=o("lang"),N=o(` tensors to understand which language is used, and should be able to determine the correct
language from the input ids.`),xe=p(),Q=s("li"),Fe=o("Uses RoBERTa tricks on the XLM approach, but does not use the translation language modeling objective. It only uses masked language modeling on sentences coming from one language."),se=p(),C=s("li"),Ee=o("This implementation is the same as RoBERTa. Refer to the "),A=s("a"),Re=o("documentation of RoBERTa"),Xe=o(` for usage examples
as well as the information relative to the inputs and outputs.`),y=p(),F=s("p"),Qe=o("This model was contributed by "),Z=s("a"),Ke=o("stefan-it"),Ve=o(". The original code can be found "),X=s("a"),Je=o("here"),Ge=o("."),We=p(),qe=s("h2"),je=s("a"),P=s("span"),v(S.$$.fragment),Ye=p(),Se=s("span"),Y=o("Resources"),Be=p(),Pe=s("p"),ze=o("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with XLM-RoBERTa. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Ue=p(),v(ee.$$.fragment),He=p(),Mt=s("ul"),Ec=s("li"),Ib=o("A blog post on how to "),dr=s("a"),Db=o("finetune XLM RoBERTa for multiclass classification with Habana Gaudi on AWS"),Sb=p(),$o=s("li"),Rc=s("a"),Wb=o("XLMRobertaForSequenceClassification"),Bb=o(" is supported by this "),cr=s("a"),Ub=o("example script"),Hb=o(" and "),pr=s("a"),Qb=o("notebook"),Kb=o("."),Vb=p(),Lo=s("li"),Xc=s("a"),Jb=o("TFXLMRobertaForSequenceClassification"),Gb=o(" is supported by this "),hr=s("a"),Yb=o("example script"),Zb=o(" and "),mr=s("a"),ek=o("notebook"),tk=o("."),ok=p(),xo=s("li"),zc=s("a"),nk=o("FlaxXLMRobertaForSequenceClassification"),sk=o(" is supported by this "),ur=s("a"),ak=o("example script"),rk=o(" and "),fr=s("a"),ik=o("notebook"),lk=o("."),dk=p(),Cc=s("li"),gr=s("a"),ck=o("Text classification"),pk=o(" chapter of the \u{1F917} Hugging Face Task Guides."),sg=p(),v(_r.$$.fragment),ag=p(),St=s("ul"),Fo=s("li"),qc=s("a"),hk=o("XLMRobertaForTokenClassification"),mk=o(" is supported by this "),br=s("a"),uk=o("example script"),fk=o(" and "),kr=s("a"),gk=o("notebook"),_k=o("."),bk=p(),Eo=s("li"),jc=s("a"),kk=o("TFXLMRobertaForTokenClassification"),yk=o(" is supported by this "),yr=s("a"),vk=o("example script"),wk=o(" and "),vr=s("a"),Tk=o("notebook"),Mk=o("."),$k=p(),os=s("li"),Ac=s("a"),Lk=o("FlaxXLMRobertaForTokenClassification"),xk=o(" is supported by this "),wr=s("a"),Fk=o("example script"),Ek=o("."),Rk=p(),Pc=s("li"),Tr=s("a"),Xk=o("Token classification"),zk=o(" chapter of the \u{1F917} Hugging Face Course."),rg=p(),v(Mr.$$.fragment),ig=p(),ns=s("ul"),Ro=s("li"),Nc=s("a"),Ck=o("XLMRobertaForCausalLM"),qk=o(" is supported by this "),$r=s("a"),jk=o("example script"),Ak=o(" and "),Lr=s("a"),Pk=o("notebook"),Nk=o("."),Ok=p(),Oc=s("li"),xr=s("a"),Ik=o("Causal language modeling"),Dk=o(" chapter of the \u{1F917} Hugging Face Task Guides."),lg=p(),v(Fr.$$.fragment),dg=p(),Wt=s("ul"),Xo=s("li"),Ic=s("a"),Sk=o("XLMRobertaForMaskedLM"),Wk=o(" is supported by this "),Er=s("a"),Bk=o("example script"),Uk=o(" and "),Rr=s("a"),Hk=o("notebook"),Qk=o("."),Kk=p(),zo=s("li"),Dc=s("a"),Vk=o("TFXLMRobertaForMaskedLM"),Jk=o(" is supported by this "),Xr=s("a"),Gk=o("example script"),Yk=o(" and "),zr=s("a"),Zk=o("notebook"),ey=o("."),ty=p(),Co=s("li"),Sc=s("a"),oy=o("FlaxXLMRobertaForMaskedLM"),ny=o(" is supported by this "),Cr=s("a"),sy=o("example script"),ay=o(" and "),qr=s("a"),ry=o("notebook"),iy=o("."),ly=p(),Wc=s("li"),jr=s("a"),dy=o("Masked language modeling"),cy=o(" chapter of the \u{1F917} Hugging Face Course."),cg=p(),v(Ar.$$.fragment),pg=p(),Bt=s("ul"),qo=s("li"),Bc=s("a"),py=o("XLMRobertaForQuestionAnswering"),hy=o(" is supported by this "),Pr=s("a"),my=o("example script"),uy=o(" and "),Nr=s("a"),fy=o("notebook"),gy=o("."),_y=p(),jo=s("li"),Uc=s("a"),by=o("TFXLMRobertaForQuestionAnswering"),ky=o(" is supported by this "),Or=s("a"),yy=o("example script"),vy=o(" and "),Ir=s("a"),wy=o("notebook"),Ty=o("."),My=p(),ss=s("li"),Hc=s("a"),$y=o("FlaxXLMRobertaForQuestionAnswering"),Ly=o(" is supported by this "),Dr=s("a"),xy=o("example script"),Fy=o("."),Ey=p(),Qc=s("li"),Sr=s("a"),Ry=o("Question answering"),Xy=o(" chapter of the \u{1F917} Hugging Face Course."),hg=p(),Kc=s("p"),Mh=s("strong"),zy=o("Multiple choice"),mg=p(),as=s("ul"),Ao=s("li"),Vc=s("a"),Cy=o("XLMRobertaForMultipleChoice"),qy=o(" is supported by this "),Wr=s("a"),jy=o("example script"),Ay=o(" and "),Br=s("a"),Py=o("notebook"),Ny=o("."),Oy=p(),Po=s("li"),Jc=s("a"),Iy=o("TFXLMRobertaForMultipleChoice"),Dy=o(" is supported by this "),Ur=s("a"),Sy=o("example script"),Wy=o(" and "),Hr=s("a"),By=o("notebook"),Uy=o("."),ug=p(),Gc=s("p"),Hy=o("\u{1F680} Deploy"),fg=p(),Yc=s("ul"),Qr=s("li"),Qy=o("A blog post on how to "),Kr=s("a"),Ky=o("Deploy Serveless XLM RoBERTa on AWS Lambda"),Vy=o("."),gg=p(),sn=s("h2"),rs=s("a"),$h=s("span"),v(Vr.$$.fragment),Jy=p(),Lh=s("span"),Gy=o("XLMRobertaConfig"),_g=p(),Ot=s("div"),v(Jr.$$.fragment),Yy=p(),fo=s("p"),Zy=o("This is the configuration class to store the configuration of a "),Zc=s("a"),ev=o("XLMRobertaModel"),tv=o(" or a "),ep=s("a"),ov=o("TFXLMRobertaModel"),nv=o(`. It
is used to instantiate a XLM-RoBERTa model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the XLMRoBERTa
`),Gr=s("a"),sv=o("xlm-roberta-base"),av=o(" architecture."),rv=p(),an=s("p"),iv=o("Configuration objects inherit from "),tp=s("a"),lv=o("PretrainedConfig"),dv=o(` and can be used to control the model outputs. Read the
documentation from `),op=s("a"),cv=o("PretrainedConfig"),pv=o(" for more information."),hv=p(),v(is.$$.fragment),bg=p(),rn=s("h2"),ls=s("a"),xh=s("span"),v(Yr.$$.fragment),mv=p(),Fh=s("span"),uv=o("XLMRobertaTokenizer"),kg=p(),et=s("div"),v(Zr.$$.fragment),fv=p(),go=s("p"),gv=o("Adapted from "),np=s("a"),_v=o("RobertaTokenizer"),bv=o(" and "),sp=s("a"),kv=o("XLNetTokenizer"),yv=o(`. Based on
`),ei=s("a"),vv=o("SentencePiece"),wv=o("."),Tv=p(),ti=s("p"),Mv=o("This tokenizer inherits from "),ap=s("a"),$v=o("PreTrainedTokenizer"),Lv=o(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),xv=p(),No=s("div"),v(oi.$$.fragment),Fv=p(),Eh=s("p"),Ev=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),Rv=p(),ni=s("ul"),rp=s("li"),Xv=o("single sequence: "),Rh=s("code"),zv=o("<s> X </s>"),Cv=p(),ip=s("li"),qv=o("pair of sequences: "),Xh=s("code"),jv=o("<s> A </s></s> B </s>"),Av=p(),ds=s("div"),v(si.$$.fragment),Pv=p(),ai=s("p"),Nv=o(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),zh=s("code"),Ov=o("prepare_for_model"),Iv=o(" method."),Dv=p(),cs=s("div"),v(ri.$$.fragment),Sv=p(),Ch=s("p"),Wv=o(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),Bv=p(),lp=s("div"),v(ii.$$.fragment),yg=p(),ln=s("h2"),ps=s("a"),qh=s("span"),v(li.$$.fragment),Uv=p(),jh=s("span"),Hv=o("XLMRobertaTokenizerFast"),vg=p(),_t=s("div"),v(di.$$.fragment),Qv=p(),It=s("p"),Kv=o("Construct a \u201Cfast\u201D XLM-RoBERTa tokenizer (backed by HuggingFace\u2019s "),Ah=s("em"),Vv=o("tokenizers"),Jv=o(` library). Adapted from
`),dp=s("a"),Gv=o("RobertaTokenizer"),Yv=o(" and "),cp=s("a"),Zv=o("XLNetTokenizer"),ew=o(`. Based on
`),ci=s("a"),tw=o("BPE"),ow=o("."),nw=p(),pi=s("p"),sw=o("This tokenizer inherits from "),pp=s("a"),aw=o("PreTrainedTokenizerFast"),rw=o(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),iw=p(),Oo=s("div"),v(hi.$$.fragment),lw=p(),Ph=s("p"),dw=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),cw=p(),mi=s("ul"),hp=s("li"),pw=o("single sequence: "),Nh=s("code"),hw=o("<s> X </s>"),mw=p(),mp=s("li"),uw=o("pair of sequences: "),Oh=s("code"),fw=o("<s> A </s></s> B </s>"),gw=p(),hs=s("div"),v(ui.$$.fragment),_w=p(),Ih=s("p"),bw=o(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),wg=p(),dn=s("h2"),ms=s("a"),Dh=s("span"),v(fi.$$.fragment),kw=p(),Sh=s("span"),yw=o("XLMRobertaModel"),Tg=p(),Ze=s("div"),v(gi.$$.fragment),vw=p(),Wh=s("p"),ww=o("The bare XLM-RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),Tw=p(),_i=s("p"),Mw=o("This model inherits from "),up=s("a"),$w=o("PreTrainedModel"),Lw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),xw=p(),bi=s("p"),Fw=o("This model is also a PyTorch "),ki=s("a"),Ew=o("torch.nn.Module"),Rw=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Xw=p(),yi=s("p"),zw=o(`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),Bh=s("em"),Cw=o(`Attention is
all you need`),qw=o(`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),jw=p(),lt=s("p"),Aw=o("To behave as an decoder the model needs to be initialized with the "),Uh=s("code"),Pw=o("is_decoder"),Nw=o(` argument of the configuration set
to `),Hh=s("code"),Ow=o("True"),Iw=o(". To be used in a Seq2Seq model, the model needs to initialized with both "),Qh=s("code"),Dw=o("is_decoder"),Sw=o(` argument and
`),Kh=s("code"),Ww=o("add_cross_attention"),Bw=o(" set to "),Vh=s("code"),Uw=o("True"),Hw=o("; an "),Jh=s("code"),Qw=o("encoder_hidden_states"),Kw=o(" is then expected as an input to the forward pass."),Vw=p(),us=s("p"),Jw=o(".. _"),Gh=s("em"),Gw=o("Attention is all you need"),Yw=o(": "),vi=s("a"),Zw=o("https://arxiv.org/abs/1706.03762"),eT=p(),Ut=s("div"),v(wi.$$.fragment),tT=p(),cn=s("p"),oT=o("The "),fp=s("a"),nT=o("XLMRobertaModel"),sT=o(" forward method, overrides the "),Yh=s("code"),aT=o("__call__"),rT=o(" special method."),iT=p(),v(fs.$$.fragment),lT=p(),v(gs.$$.fragment),Mg=p(),pn=s("h2"),_s=s("a"),Zh=s("span"),v(Ti.$$.fragment),dT=p(),em=s("span"),cT=o("XLMRobertaForCausalLM"),$g=p(),bt=s("div"),v(Mi.$$.fragment),pT=p(),$i=s("p"),hT=o("XLM-RoBERTa Model with a "),tm=s("code"),mT=o("language modeling"),uT=o(" head on top for CLM fine-tuning."),fT=p(),Li=s("p"),gT=o("This model inherits from "),gp=s("a"),_T=o("PreTrainedModel"),bT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),kT=p(),xi=s("p"),yT=o("This model is also a PyTorch "),Fi=s("a"),vT=o("torch.nn.Module"),wT=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),TT=p(),Ht=s("div"),v(Ei.$$.fragment),MT=p(),hn=s("p"),$T=o("The "),_p=s("a"),LT=o("XLMRobertaForCausalLM"),xT=o(" forward method, overrides the "),om=s("code"),FT=o("__call__"),ET=o(" special method."),RT=p(),v(bs.$$.fragment),XT=p(),v(ks.$$.fragment),Lg=p(),mn=s("h2"),ys=s("a"),nm=s("span"),v(Ri.$$.fragment),zT=p(),sm=s("span"),CT=o("XLMRobertaForMaskedLM"),xg=p(),kt=s("div"),v(Xi.$$.fragment),qT=p(),zi=s("p"),jT=o("XLM-RoBERTa Model with a "),am=s("code"),AT=o("language modeling"),PT=o(" head on top."),NT=p(),Ci=s("p"),OT=o("This model inherits from "),bp=s("a"),IT=o("PreTrainedModel"),DT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ST=p(),qi=s("p"),WT=o("This model is also a PyTorch "),ji=s("a"),BT=o("torch.nn.Module"),UT=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),HT=p(),Qt=s("div"),v(Ai.$$.fragment),QT=p(),un=s("p"),KT=o("The "),kp=s("a"),VT=o("XLMRobertaForMaskedLM"),JT=o(" forward method, overrides the "),rm=s("code"),GT=o("__call__"),YT=o(" special method."),ZT=p(),v(vs.$$.fragment),eM=p(),v(ws.$$.fragment),Fg=p(),fn=s("h2"),Ts=s("a"),im=s("span"),v(Pi.$$.fragment),tM=p(),lm=s("span"),oM=o("XLMRobertaForSequenceClassification"),Eg=p(),yt=s("div"),v(Ni.$$.fragment),nM=p(),dm=s("p"),sM=o(`XLM-RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),aM=p(),Oi=s("p"),rM=o("This model inherits from "),yp=s("a"),iM=o("PreTrainedModel"),lM=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),dM=p(),Ii=s("p"),cM=o("This model is also a PyTorch "),Di=s("a"),pM=o("torch.nn.Module"),hM=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),mM=p(),$t=s("div"),v(Si.$$.fragment),uM=p(),gn=s("p"),fM=o("The "),vp=s("a"),gM=o("XLMRobertaForSequenceClassification"),_M=o(" forward method, overrides the "),cm=s("code"),bM=o("__call__"),kM=o(" special method."),yM=p(),v(Ms.$$.fragment),vM=p(),v($s.$$.fragment),wM=p(),v(Ls.$$.fragment),Rg=p(),_n=s("h2"),xs=s("a"),pm=s("span"),v(Wi.$$.fragment),TM=p(),hm=s("span"),MM=o("XLMRobertaForMultipleChoice"),Xg=p(),vt=s("div"),v(Bi.$$.fragment),$M=p(),mm=s("p"),LM=o(`XLM-RoBERTa Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),xM=p(),Ui=s("p"),FM=o("This model inherits from "),wp=s("a"),EM=o("PreTrainedModel"),RM=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),XM=p(),Hi=s("p"),zM=o("This model is also a PyTorch "),Qi=s("a"),CM=o("torch.nn.Module"),qM=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),jM=p(),Kt=s("div"),v(Ki.$$.fragment),AM=p(),bn=s("p"),PM=o("The "),Tp=s("a"),NM=o("XLMRobertaForMultipleChoice"),OM=o(" forward method, overrides the "),um=s("code"),IM=o("__call__"),DM=o(" special method."),SM=p(),v(Fs.$$.fragment),WM=p(),v(Es.$$.fragment),zg=p(),kn=s("h2"),Rs=s("a"),fm=s("span"),v(Vi.$$.fragment),BM=p(),gm=s("span"),UM=o("XLMRobertaForTokenClassification"),Cg=p(),wt=s("div"),v(Ji.$$.fragment),HM=p(),_m=s("p"),QM=o(`XLM-RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),KM=p(),Gi=s("p"),VM=o("This model inherits from "),Mp=s("a"),JM=o("PreTrainedModel"),GM=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),YM=p(),Yi=s("p"),ZM=o("This model is also a PyTorch "),Zi=s("a"),e1=o("torch.nn.Module"),t1=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),o1=p(),Vt=s("div"),v(el.$$.fragment),n1=p(),yn=s("p"),s1=o("The "),$p=s("a"),a1=o("XLMRobertaForTokenClassification"),r1=o(" forward method, overrides the "),bm=s("code"),i1=o("__call__"),l1=o(" special method."),d1=p(),v(Xs.$$.fragment),c1=p(),v(zs.$$.fragment),qg=p(),vn=s("h2"),Cs=s("a"),km=s("span"),v(tl.$$.fragment),p1=p(),ym=s("span"),h1=o("XLMRobertaForQuestionAnswering"),jg=p(),Tt=s("div"),v(ol.$$.fragment),m1=p(),wn=s("p"),u1=o(`XLM-RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),vm=s("code"),f1=o("span start logits"),g1=o(" and "),wm=s("code"),_1=o("span end logits"),b1=o(")."),k1=p(),nl=s("p"),y1=o("This model inherits from "),Lp=s("a"),v1=o("PreTrainedModel"),w1=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),T1=p(),sl=s("p"),M1=o("This model is also a PyTorch "),al=s("a"),$1=o("torch.nn.Module"),L1=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),x1=p(),Jt=s("div"),v(rl.$$.fragment),F1=p(),Tn=s("p"),E1=o("The "),xp=s("a"),R1=o("XLMRobertaForQuestionAnswering"),X1=o(" forward method, overrides the "),Tm=s("code"),z1=o("__call__"),C1=o(" special method."),q1=p(),v(qs.$$.fragment),j1=p(),v(js.$$.fragment),Ag=p(),Mn=s("h2"),As=s("a"),Mm=s("span"),v(il.$$.fragment),A1=p(),$m=s("span"),P1=o("TFXLMRobertaModel"),Pg=p(),dt=s("div"),v(ll.$$.fragment),N1=p(),Lm=s("p"),O1=o("The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),I1=p(),dl=s("p"),D1=o("This model inherits from "),Fp=s("a"),S1=o("TFPreTrainedModel"),W1=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),B1=p(),cl=s("p"),U1=o("This model is also a "),pl=s("a"),H1=o("tf.keras.Model"),Q1=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),K1=p(),v(Ps.$$.fragment),V1=p(),Gt=s("div"),v(hl.$$.fragment),J1=p(),$n=s("p"),G1=o("The "),Ep=s("a"),Y1=o("TFXLMRobertaModel"),Z1=o(" forward method, overrides the "),xm=s("code"),e$=o("__call__"),t$=o(" special method."),o$=p(),v(Ns.$$.fragment),n$=p(),v(Os.$$.fragment),Ng=p(),Ln=s("h2"),Is=s("a"),Fm=s("span"),v(ml.$$.fragment),s$=p(),Em=s("span"),a$=o("TFXLMRobertaForCausalLM"),Og=p(),ct=s("div"),v(ul.$$.fragment),r$=p(),fl=s("p"),i$=o("XLM-RoBERTa Model with a "),Rm=s("code"),l$=o("language modeling"),d$=o(" head on top for CLM fine-tuning."),c$=p(),gl=s("p"),p$=o("This model inherits from "),Rp=s("a"),h$=o("TFPreTrainedModel"),m$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),u$=p(),_l=s("p"),f$=o("This model is also a "),bl=s("a"),g$=o("tf.keras.Model"),_$=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),b$=p(),v(Ds.$$.fragment),k$=p(),Yt=s("div"),v(kl.$$.fragment),y$=p(),xn=s("p"),v$=o("The "),Xp=s("a"),w$=o("TFXLMRobertaForCausalLM"),T$=o(" forward method, overrides the "),Xm=s("code"),M$=o("__call__"),$$=o(" special method."),L$=p(),v(Ss.$$.fragment),x$=p(),v(Ws.$$.fragment),Ig=p(),Fn=s("h2"),Bs=s("a"),zm=s("span"),v(yl.$$.fragment),F$=p(),Cm=s("span"),E$=o("TFXLMRobertaForMaskedLM"),Dg=p(),pt=s("div"),v(vl.$$.fragment),R$=p(),wl=s("p"),X$=o("XLM RoBERTa Model with a "),qm=s("code"),z$=o("language modeling"),C$=o(" head on top."),q$=p(),Tl=s("p"),j$=o("This model inherits from "),zp=s("a"),A$=o("TFPreTrainedModel"),P$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),N$=p(),Ml=s("p"),O$=o("This model is also a "),$l=s("a"),I$=o("tf.keras.Model"),D$=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),S$=p(),v(Us.$$.fragment),W$=p(),Lt=s("div"),v(Ll.$$.fragment),B$=p(),En=s("p"),U$=o("The "),Cp=s("a"),H$=o("TFXLMRobertaForMaskedLM"),Q$=o(" forward method, overrides the "),jm=s("code"),K$=o("__call__"),V$=o(" special method."),J$=p(),v(Hs.$$.fragment),G$=p(),v(Qs.$$.fragment),Y$=p(),v(Ks.$$.fragment),Sg=p(),Rn=s("h2"),Vs=s("a"),Am=s("span"),v(xl.$$.fragment),Z$=p(),Pm=s("span"),e2=o("TFXLMRobertaForSequenceClassification"),Wg=p(),ht=s("div"),v(Fl.$$.fragment),t2=p(),Nm=s("p"),o2=o(`XLM RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),n2=p(),El=s("p"),s2=o("This model inherits from "),qp=s("a"),a2=o("TFPreTrainedModel"),r2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),i2=p(),Rl=s("p"),l2=o("This model is also a "),Xl=s("a"),d2=o("tf.keras.Model"),c2=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),p2=p(),v(Js.$$.fragment),h2=p(),xt=s("div"),v(zl.$$.fragment),m2=p(),Xn=s("p"),u2=o("The "),jp=s("a"),f2=o("TFXLMRobertaForSequenceClassification"),g2=o(" forward method, overrides the "),Om=s("code"),_2=o("__call__"),b2=o(" special method."),k2=p(),v(Gs.$$.fragment),y2=p(),v(Ys.$$.fragment),v2=p(),v(Zs.$$.fragment),Bg=p(),zn=s("h2"),ea=s("a"),Im=s("span"),v(Cl.$$.fragment),w2=p(),Dm=s("span"),T2=o("TFXLMRobertaForMultipleChoice"),Ug=p(),mt=s("div"),v(ql.$$.fragment),M2=p(),Sm=s("p"),$2=o(`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),L2=p(),jl=s("p"),x2=o("This model inherits from "),Ap=s("a"),F2=o("TFPreTrainedModel"),E2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),R2=p(),Al=s("p"),X2=o("This model is also a "),Pl=s("a"),z2=o("tf.keras.Model"),C2=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),q2=p(),v(ta.$$.fragment),j2=p(),Zt=s("div"),v(Nl.$$.fragment),A2=p(),Cn=s("p"),P2=o("The "),Pp=s("a"),N2=o("TFXLMRobertaForMultipleChoice"),O2=o(" forward method, overrides the "),Wm=s("code"),I2=o("__call__"),D2=o(" special method."),S2=p(),v(oa.$$.fragment),W2=p(),v(na.$$.fragment),Hg=p(),qn=s("h2"),sa=s("a"),Bm=s("span"),v(Ol.$$.fragment),B2=p(),Um=s("span"),U2=o("TFXLMRobertaForTokenClassification"),Qg=p(),ut=s("div"),v(Il.$$.fragment),H2=p(),Hm=s("p"),Q2=o(`XLM RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),K2=p(),Dl=s("p"),V2=o("This model inherits from "),Np=s("a"),J2=o("TFPreTrainedModel"),G2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Y2=p(),Sl=s("p"),Z2=o("This model is also a "),Wl=s("a"),eL=o("tf.keras.Model"),tL=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),oL=p(),v(aa.$$.fragment),nL=p(),Ft=s("div"),v(Bl.$$.fragment),sL=p(),jn=s("p"),aL=o("The "),Op=s("a"),rL=o("TFXLMRobertaForTokenClassification"),iL=o(" forward method, overrides the "),Qm=s("code"),lL=o("__call__"),dL=o(" special method."),cL=p(),v(ra.$$.fragment),pL=p(),v(ia.$$.fragment),hL=p(),v(la.$$.fragment),Kg=p(),An=s("h2"),da=s("a"),Km=s("span"),v(Ul.$$.fragment),mL=p(),Vm=s("span"),uL=o("TFXLMRobertaForQuestionAnswering"),Vg=p(),ft=s("div"),v(Hl.$$.fragment),fL=p(),Pn=s("p"),gL=o(`XLM RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),Jm=s("code"),_L=o("span start logits"),bL=o(" and "),Gm=s("code"),kL=o("span end logits"),yL=o(")."),vL=p(),Ql=s("p"),wL=o("This model inherits from "),Ip=s("a"),TL=o("TFPreTrainedModel"),ML=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$L=p(),Kl=s("p"),LL=o("This model is also a "),Vl=s("a"),xL=o("tf.keras.Model"),FL=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),EL=p(),v(ca.$$.fragment),RL=p(),Et=s("div"),v(Jl.$$.fragment),XL=p(),Nn=s("p"),zL=o("The "),Dp=s("a"),CL=o("TFXLMRobertaForQuestionAnswering"),qL=o(" forward method, overrides the "),Ym=s("code"),jL=o("__call__"),AL=o(" special method."),PL=p(),v(pa.$$.fragment),NL=p(),v(ha.$$.fragment),OL=p(),v(ma.$$.fragment),Jg=p(),On=s("h2"),ua=s("a"),Zm=s("span"),v(Gl.$$.fragment),IL=p(),eu=s("span"),DL=o("FlaxXLMRobertaModel"),Gg=p(),tt=s("div"),v(Yl.$$.fragment),SL=p(),tu=s("p"),WL=o("The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),BL=p(),Zl=s("p"),UL=o("This model inherits from "),Sp=s("a"),HL=o("FlaxPreTrainedModel"),QL=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),KL=p(),ed=s("p"),VL=o("This model is also a Flax Linen "),td=s("a"),JL=o("flax.linen.Module"),GL=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),YL=p(),ou=s("p"),ZL=o("Finally, this model supports inherent JAX features such as:"),ex=p(),_o=s("ul"),nu=s("li"),od=s("a"),tx=o("Just-In-Time (JIT) compilation"),ox=p(),su=s("li"),nd=s("a"),nx=o("Automatic Differentiation"),sx=p(),au=s("li"),sd=s("a"),ax=o("Vectorization"),rx=p(),ru=s("li"),ad=s("a"),ix=o("Parallelization"),lx=p(),eo=s("div"),v(rd.$$.fragment),dx=p(),In=s("p"),cx=o("The "),iu=s("code"),px=o("FlaxXLMRobertaPreTrainedModel"),hx=o(" forward method, overrides the "),lu=s("code"),mx=o("__call__"),ux=o(" special method."),fx=p(),v(fa.$$.fragment),gx=p(),v(ga.$$.fragment),Yg=p(),Dn=s("h2"),_a=s("a"),du=s("span"),v(id.$$.fragment),_x=p(),cu=s("span"),bx=o("FlaxXLMRobertaForCausalLM"),Zg=p(),ot=s("div"),v(ld.$$.fragment),kx=p(),pu=s("p"),yx=o(`XLM Roberta Model with a language modeling head on top (a linear layer on top of the hidden-states output) e.g for
autoregressive tasks.`),vx=p(),dd=s("p"),wx=o("This model inherits from "),Wp=s("a"),Tx=o("FlaxPreTrainedModel"),Mx=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),$x=p(),cd=s("p"),Lx=o("This model is also a Flax Linen "),pd=s("a"),xx=o("flax.linen.Module"),Fx=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Ex=p(),hu=s("p"),Rx=o("Finally, this model supports inherent JAX features such as:"),Xx=p(),bo=s("ul"),mu=s("li"),hd=s("a"),zx=o("Just-In-Time (JIT) compilation"),Cx=p(),uu=s("li"),md=s("a"),qx=o("Automatic Differentiation"),jx=p(),fu=s("li"),ud=s("a"),Ax=o("Vectorization"),Px=p(),gu=s("li"),fd=s("a"),Nx=o("Parallelization"),Ox=p(),to=s("div"),v(gd.$$.fragment),Ix=p(),Sn=s("p"),Dx=o("The "),_u=s("code"),Sx=o("FlaxXLMRobertaPreTrainedModel"),Wx=o(" forward method, overrides the "),bu=s("code"),Bx=o("__call__"),Ux=o(" special method."),Hx=p(),v(ba.$$.fragment),Qx=p(),v(ka.$$.fragment),e_=p(),Wn=s("h2"),ya=s("a"),ku=s("span"),v(_d.$$.fragment),Kx=p(),yu=s("span"),Vx=o("FlaxXLMRobertaForMaskedLM"),t_=p(),nt=s("div"),v(bd.$$.fragment),Jx=p(),kd=s("p"),Gx=o("XLM RoBERTa Model with a "),vu=s("code"),Yx=o("language modeling"),Zx=o(" head on top."),eF=p(),yd=s("p"),tF=o("This model inherits from "),Bp=s("a"),oF=o("FlaxPreTrainedModel"),nF=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),sF=p(),vd=s("p"),aF=o("This model is also a Flax Linen "),wd=s("a"),rF=o("flax.linen.Module"),iF=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),lF=p(),wu=s("p"),dF=o("Finally, this model supports inherent JAX features such as:"),cF=p(),ko=s("ul"),Tu=s("li"),Td=s("a"),pF=o("Just-In-Time (JIT) compilation"),hF=p(),Mu=s("li"),Md=s("a"),mF=o("Automatic Differentiation"),uF=p(),$u=s("li"),$d=s("a"),fF=o("Vectorization"),gF=p(),Lu=s("li"),Ld=s("a"),_F=o("Parallelization"),bF=p(),oo=s("div"),v(xd.$$.fragment),kF=p(),Bn=s("p"),yF=o("The "),xu=s("code"),vF=o("FlaxXLMRobertaPreTrainedModel"),wF=o(" forward method, overrides the "),Fu=s("code"),TF=o("__call__"),MF=o(" special method."),$F=p(),v(va.$$.fragment),LF=p(),v(wa.$$.fragment),o_=p(),Un=s("h2"),Ta=s("a"),Eu=s("span"),v(Fd.$$.fragment),xF=p(),Ru=s("span"),FF=o("FlaxXLMRobertaForSequenceClassification"),n_=p(),st=s("div"),v(Ed.$$.fragment),EF=p(),Xu=s("p"),RF=o(`XLM Roberta Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),XF=p(),Rd=s("p"),zF=o("This model inherits from "),Up=s("a"),CF=o("FlaxPreTrainedModel"),qF=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),jF=p(),Xd=s("p"),AF=o("This model is also a Flax Linen "),zd=s("a"),PF=o("flax.linen.Module"),NF=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),OF=p(),zu=s("p"),IF=o("Finally, this model supports inherent JAX features such as:"),DF=p(),yo=s("ul"),Cu=s("li"),Cd=s("a"),SF=o("Just-In-Time (JIT) compilation"),WF=p(),qu=s("li"),qd=s("a"),BF=o("Automatic Differentiation"),UF=p(),ju=s("li"),jd=s("a"),HF=o("Vectorization"),QF=p(),Au=s("li"),Ad=s("a"),KF=o("Parallelization"),VF=p(),no=s("div"),v(Pd.$$.fragment),JF=p(),Hn=s("p"),GF=o("The "),Pu=s("code"),YF=o("FlaxXLMRobertaPreTrainedModel"),ZF=o(" forward method, overrides the "),Nu=s("code"),e0=o("__call__"),t0=o(" special method."),o0=p(),v(Ma.$$.fragment),n0=p(),v($a.$$.fragment),s_=p(),Qn=s("h2"),La=s("a"),Ou=s("span"),v(Nd.$$.fragment),s0=p(),Iu=s("span"),a0=o("FlaxXLMRobertaForMultipleChoice"),a_=p(),at=s("div"),v(Od.$$.fragment),r0=p(),Du=s("p"),i0=o(`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),l0=p(),Id=s("p"),d0=o("This model inherits from "),Hp=s("a"),c0=o("FlaxPreTrainedModel"),p0=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),h0=p(),Dd=s("p"),m0=o("This model is also a Flax Linen "),Sd=s("a"),u0=o("flax.linen.Module"),f0=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),g0=p(),Su=s("p"),_0=o("Finally, this model supports inherent JAX features such as:"),b0=p(),vo=s("ul"),Wu=s("li"),Wd=s("a"),k0=o("Just-In-Time (JIT) compilation"),y0=p(),Bu=s("li"),Bd=s("a"),v0=o("Automatic Differentiation"),w0=p(),Uu=s("li"),Ud=s("a"),T0=o("Vectorization"),M0=p(),Hu=s("li"),Hd=s("a"),$0=o("Parallelization"),L0=p(),so=s("div"),v(Qd.$$.fragment),x0=p(),Kn=s("p"),F0=o("The "),Qu=s("code"),E0=o("FlaxXLMRobertaPreTrainedModel"),R0=o(" forward method, overrides the "),Ku=s("code"),X0=o("__call__"),z0=o(" special method."),C0=p(),v(xa.$$.fragment),q0=p(),v(Fa.$$.fragment),r_=p(),Vn=s("h2"),Ea=s("a"),Vu=s("span"),v(Kd.$$.fragment),j0=p(),Ju=s("span"),A0=o("FlaxXLMRobertaForTokenClassification"),i_=p(),rt=s("div"),v(Vd.$$.fragment),P0=p(),Gu=s("p"),N0=o(`XLM Roberta Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),O0=p(),Jd=s("p"),I0=o("This model inherits from "),Qp=s("a"),D0=o("FlaxPreTrainedModel"),S0=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),W0=p(),Gd=s("p"),B0=o("This model is also a Flax Linen "),Yd=s("a"),U0=o("flax.linen.Module"),H0=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Q0=p(),Yu=s("p"),K0=o("Finally, this model supports inherent JAX features such as:"),V0=p(),wo=s("ul"),Zu=s("li"),Zd=s("a"),J0=o("Just-In-Time (JIT) compilation"),G0=p(),ef=s("li"),ec=s("a"),Y0=o("Automatic Differentiation"),Z0=p(),tf=s("li"),tc=s("a"),eE=o("Vectorization"),tE=p(),of=s("li"),oc=s("a"),oE=o("Parallelization"),nE=p(),ao=s("div"),v(nc.$$.fragment),sE=p(),Jn=s("p"),aE=o("The "),nf=s("code"),rE=o("FlaxXLMRobertaPreTrainedModel"),iE=o(" forward method, overrides the "),sf=s("code"),lE=o("__call__"),dE=o(" special method."),cE=p(),v(Ra.$$.fragment),pE=p(),v(Xa.$$.fragment),l_=p(),Gn=s("h2"),za=s("a"),af=s("span"),v(sc.$$.fragment),hE=p(),rf=s("span"),mE=o("FlaxXLMRobertaForQuestionAnswering"),d_=p(),it=s("div"),v(ac.$$.fragment),uE=p(),Yn=s("p"),fE=o(`XLM Roberta Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),lf=s("code"),gE=o("span start logits"),_E=o(" and "),df=s("code"),bE=o("span end logits"),kE=o(")."),yE=p(),rc=s("p"),vE=o("This model inherits from "),Kp=s("a"),wE=o("FlaxPreTrainedModel"),TE=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),ME=p(),ic=s("p"),$E=o("This model is also a Flax Linen "),lc=s("a"),LE=o("flax.linen.Module"),xE=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),FE=p(),cf=s("p"),EE=o("Finally, this model supports inherent JAX features such as:"),RE=p(),To=s("ul"),pf=s("li"),dc=s("a"),XE=o("Just-In-Time (JIT) compilation"),zE=p(),hf=s("li"),cc=s("a"),CE=o("Automatic Differentiation"),qE=p(),mf=s("li"),pc=s("a"),jE=o("Vectorization"),AE=p(),uf=s("li"),hc=s("a"),PE=o("Parallelization"),NE=p(),ro=s("div"),v(mc.$$.fragment),OE=p(),Zn=s("p"),IE=o("The "),ff=s("code"),DE=o("FlaxXLMRobertaPreTrainedModel"),SE=o(" forward method, overrides the "),gf=s("code"),WE=o("__call__"),BE=o(" special method."),UE=p(),v(Ca.$$.fragment),HE=p(),v(qa.$$.fragment),this.h()},l(i){const _=Jq('[data-svelte="svelte-1phssyn"]',document.head);d=a(_,"META",{name:!0,content:!0}),_.forEach(t),k=h(i),u=a(i,"H1",{class:!0});var uc=r(u);f=a(uc,"A",{id:!0,class:!0,href:!0});var _f=r(f);b=a(_f,"SPAN",{});var bf=r(b);w(l.$$.fragment,bf),bf.forEach(t),_f.forEach(t),m=h(uc),R=a(uc,"SPAN",{});var kf=r(R);ke=n(kf,"XLM-RoBERTa"),kf.forEach(t),uc.forEach(t),fe=h(i),O=a(i,"DIV",{class:!0});var fc=r(O);ce=a(fc,"A",{href:!0});var yf=r(ce);te=a(yf,"IMG",{alt:!0,src:!0}),yf.forEach(t),ye=h(fc),W=a(fc,"A",{href:!0});var vf=r(W);pe=a(vf,"IMG",{alt:!0,src:!0}),vf.forEach(t),fc.forEach(t),K=h(i),ae=a(i,"H2",{class:!0});var gc=r(ae);re=a(gc,"A",{id:!0,class:!0,href:!0});var wf=r(re);B=a(wf,"SPAN",{});var Tf=r(B);w(ie.$$.fragment,Tf),Tf.forEach(t),wf.forEach(t),ve=h(gc),U=a(gc,"SPAN",{});var Mf=r(U);we=n(Mf,"Overview"),Mf.forEach(t),gc.forEach(t),ge=h(i),D=a(i,"P",{});var _c=r(D);Te=n(_c,"The XLM-RoBERTa model was proposed in "),le=a(_c,"A",{href:!0,rel:!0});var $f=r(le);oe=n($f,"Unsupervised Cross-lingual Representation Learning at Scale"),$f.forEach(t),z=n(_c,` by Alexis Conneau, Kartikay Khandelwal, Naman Goyal, Vishrav Chaudhary, Guillaume
Wenzek, Francisco Guzm\xE1n, Edouard Grave, Myle Ott, Luke Zettlemoyer and Veselin Stoyanov. It is based on Facebook\u2019s
RoBERTa model released in 2019. It is a large multi-lingual language model, trained on 2.5TB of filtered CommonCrawl
data.`),_c.forEach(t),j=h(i),he=a(i,"P",{});var Lf=r(he);J=n(Lf,"The abstract from the paper is the following:"),Lf.forEach(t),_e=h(i),me=a(i,"P",{});var xf=r(me);H=a(xf,"EM",{});var Ff=r(H);Me=n(Ff,`This paper shows that pretraining multilingual language models at scale leads to significant performance gains for a
wide range of cross-lingual transfer tasks. We train a Transformer-based masked language model on one hundred
languages, using more than two terabytes of filtered CommonCrawl data. Our model, dubbed XLM-R, significantly
outperforms multilingual BERT (mBERT) on a variety of cross-lingual benchmarks, including +13.8% average accuracy on
XNLI, +12.3% average F1 score on MLQA, and +2.1% average F1 score on NER. XLM-R performs particularly well on
low-resource languages, improving 11.8% in XNLI accuracy for Swahili and 9.2% for Urdu over the previous XLM model. We
also present a detailed empirical evaluation of the key factors that are required to achieve these gains, including the
trade-offs between (1) positive transfer and capacity dilution and (2) the performance of high and low resource
languages at scale. Finally, we show, for the first time, the possibility of multilingual modeling without sacrificing
per-language performance; XLM-Ris very competitive with strong monolingual models on the GLUE and XNLI benchmarks. We
will make XLM-R code, data, and models publicly available.`),Ff.forEach(t),xf.forEach(t),be=h(i),q=a(i,"P",{});var Ef=r(q);$e=n(Ef,"Tips:"),Ef.forEach(t),V=h(i),ne=a(i,"UL",{});var es=r(ne);de=a(es,"LI",{});var bc=r(de);G=n(bc,`XLM-RoBERTa is a multilingual model trained on 100 different languages. Unlike some XLM multilingual models, it does
not require `),ue=a(bc,"CODE",{});var Rf=r(ue);Le=n(Rf,"lang"),Rf.forEach(t),N=n(bc,` tensors to understand which language is used, and should be able to determine the correct
language from the input ids.`),bc.forEach(t),xe=h(es),Q=a(es,"LI",{});var Xf=r(Q);Fe=n(Xf,"Uses RoBERTa tricks on the XLM approach, but does not use the translation language modeling objective. It only uses masked language modeling on sentences coming from one language."),Xf.forEach(t),se=h(es),C=a(es,"LI",{});var kc=r(C);Ee=n(kc,"This implementation is the same as RoBERTa. Refer to the "),A=a(kc,"A",{href:!0});var zf=r(A);Re=n(zf,"documentation of RoBERTa"),zf.forEach(t),Xe=n(kc,` for usage examples
as well as the information relative to the inputs and outputs.`),kc.forEach(t),es.forEach(t),y=h(i),F=a(i,"P",{});var ts=r(F);Qe=n(ts,"This model was contributed by "),Z=a(ts,"A",{href:!0,rel:!0});var Cf=r(Z);Ke=n(Cf,"stefan-it"),Cf.forEach(t),Ve=n(ts,". The original code can be found "),X=a(ts,"A",{href:!0,rel:!0});var qf=r(X);Je=n(qf,"here"),qf.forEach(t),Ge=n(ts,"."),ts.forEach(t),We=h(i),qe=a(i,"H2",{class:!0});var yc=r(qe);je=a(yc,"A",{id:!0,class:!0,href:!0});var jf=r(je);P=a(jf,"SPAN",{});var Af=r(P);w(S.$$.fragment,Af),Af.forEach(t),jf.forEach(t),Ye=h(yc),Se=a(yc,"SPAN",{});var Pf=r(Se);Y=n(Pf,"Resources"),Pf.forEach(t),yc.forEach(t),Be=h(i),Pe=a(i,"P",{});var Nf=r(Pe);ze=n(Nf,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with XLM-RoBERTa. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Nf.forEach(t),Ue=h(i),w(ee.$$.fragment,i),He=h(i),Mt=a(i,"UL",{});var Dt=r(Mt);Ec=a(Dt,"LI",{});var Vp=r(Ec);Ib=n(Vp,"A blog post on how to "),dr=a(Vp,"A",{href:!0,rel:!0});var Of=r(dr);Db=n(Of,"finetune XLM RoBERTa for multiclass classification with Habana Gaudi on AWS"),Of.forEach(t),Vp.forEach(t),Sb=h(Dt),$o=a(Dt,"LI",{});var Io=r($o);Rc=a(Io,"A",{href:!0});var If=r(Rc);Wb=n(If,"XLMRobertaForSequenceClassification"),If.forEach(t),Bb=n(Io," is supported by this "),cr=a(Io,"A",{href:!0,rel:!0});var Df=r(cr);Ub=n(Df,"example script"),Df.forEach(t),Hb=n(Io," and "),pr=a(Io,"A",{href:!0,rel:!0});var Sf=r(pr);Qb=n(Sf,"notebook"),Sf.forEach(t),Kb=n(Io,"."),Io.forEach(t),Vb=h(Dt),Lo=a(Dt,"LI",{});var Do=r(Lo);Xc=a(Do,"A",{href:!0});var Wf=r(Xc);Jb=n(Wf,"TFXLMRobertaForSequenceClassification"),Wf.forEach(t),Gb=n(Do," is supported by this "),hr=a(Do,"A",{href:!0,rel:!0});var Bf=r(hr);Yb=n(Bf,"example script"),Bf.forEach(t),Zb=n(Do," and "),mr=a(Do,"A",{href:!0,rel:!0});var Uf=r(mr);ek=n(Uf,"notebook"),Uf.forEach(t),tk=n(Do,"."),Do.forEach(t),ok=h(Dt),xo=a(Dt,"LI",{});var So=r(xo);zc=a(So,"A",{href:!0});var Hf=r(zc);nk=n(Hf,"FlaxXLMRobertaForSequenceClassification"),Hf.forEach(t),sk=n(So," is supported by this "),ur=a(So,"A",{href:!0,rel:!0});var Qf=r(ur);ak=n(Qf,"example script"),Qf.forEach(t),rk=n(So," and "),fr=a(So,"A",{href:!0,rel:!0});var Kf=r(fr);ik=n(Kf,"notebook"),Kf.forEach(t),lk=n(So,"."),So.forEach(t),dk=h(Dt),Cc=a(Dt,"LI",{});var Jp=r(Cc);gr=a(Jp,"A",{href:!0,rel:!0});var Vf=r(gr);ck=n(Vf,"Text classification"),Vf.forEach(t),pk=n(Jp," chapter of the \u{1F917} Hugging Face Task Guides."),Jp.forEach(t),Dt.forEach(t),sg=h(i),w(_r.$$.fragment,i),ag=h(i),St=a(i,"UL",{});var Mo=r(St);Fo=a(Mo,"LI",{});var Wo=r(Fo);qc=a(Wo,"A",{href:!0});var Jf=r(qc);hk=n(Jf,"XLMRobertaForTokenClassification"),Jf.forEach(t),mk=n(Wo," is supported by this "),br=a(Wo,"A",{href:!0,rel:!0});var Gf=r(br);uk=n(Gf,"example script"),Gf.forEach(t),fk=n(Wo," and "),kr=a(Wo,"A",{href:!0,rel:!0});var Yf=r(kr);gk=n(Yf,"notebook"),Yf.forEach(t),_k=n(Wo,"."),Wo.forEach(t),bk=h(Mo),Eo=a(Mo,"LI",{});var Bo=r(Eo);jc=a(Bo,"A",{href:!0});var Zf=r(jc);kk=n(Zf,"TFXLMRobertaForTokenClassification"),Zf.forEach(t),yk=n(Bo," is supported by this "),yr=a(Bo,"A",{href:!0,rel:!0});var tR=r(yr);vk=n(tR,"example script"),tR.forEach(t),wk=n(Bo," and "),vr=a(Bo,"A",{href:!0,rel:!0});var oR=r(vr);Tk=n(oR,"notebook"),oR.forEach(t),Mk=n(Bo,"."),Bo.forEach(t),$k=h(Mo),os=a(Mo,"LI",{});var eg=r(os);Ac=a(eg,"A",{href:!0});var nR=r(Ac);Lk=n(nR,"FlaxXLMRobertaForTokenClassification"),nR.forEach(t),xk=n(eg," is supported by this "),wr=a(eg,"A",{href:!0,rel:!0});var sR=r(wr);Fk=n(sR,"example script"),sR.forEach(t),Ek=n(eg,"."),eg.forEach(t),Rk=h(Mo),Pc=a(Mo,"LI",{});var QE=r(Pc);Tr=a(QE,"A",{href:!0,rel:!0});var aR=r(Tr);Xk=n(aR,"Token classification"),aR.forEach(t),zk=n(QE," chapter of the \u{1F917} Hugging Face Course."),QE.forEach(t),Mo.forEach(t),rg=h(i),w(Mr.$$.fragment,i),ig=h(i),ns=a(i,"UL",{});var p_=r(ns);Ro=a(p_,"LI",{});var vc=r(Ro);Nc=a(vc,"A",{href:!0});var rR=r(Nc);Ck=n(rR,"XLMRobertaForCausalLM"),rR.forEach(t),qk=n(vc," is supported by this "),$r=a(vc,"A",{href:!0,rel:!0});var iR=r($r);jk=n(iR,"example script"),iR.forEach(t),Ak=n(vc," and "),Lr=a(vc,"A",{href:!0,rel:!0});var lR=r(Lr);Pk=n(lR,"notebook"),lR.forEach(t),Nk=n(vc,"."),vc.forEach(t),Ok=h(p_),Oc=a(p_,"LI",{});var KE=r(Oc);xr=a(KE,"A",{href:!0,rel:!0});var dR=r(xr);Ik=n(dR,"Causal language modeling"),dR.forEach(t),Dk=n(KE," chapter of the \u{1F917} Hugging Face Task Guides."),KE.forEach(t),p_.forEach(t),lg=h(i),w(Fr.$$.fragment,i),dg=h(i),Wt=a(i,"UL",{});var ja=r(Wt);Xo=a(ja,"LI",{});var wc=r(Xo);Ic=a(wc,"A",{href:!0});var cR=r(Ic);Sk=n(cR,"XLMRobertaForMaskedLM"),cR.forEach(t),Wk=n(wc," is supported by this "),Er=a(wc,"A",{href:!0,rel:!0});var pR=r(Er);Bk=n(pR,"example script"),pR.forEach(t),Uk=n(wc," and "),Rr=a(wc,"A",{href:!0,rel:!0});var hR=r(Rr);Hk=n(hR,"notebook"),hR.forEach(t),Qk=n(wc,"."),wc.forEach(t),Kk=h(ja),zo=a(ja,"LI",{});var Tc=r(zo);Dc=a(Tc,"A",{href:!0});var mR=r(Dc);Vk=n(mR,"TFXLMRobertaForMaskedLM"),mR.forEach(t),Jk=n(Tc," is supported by this "),Xr=a(Tc,"A",{href:!0,rel:!0});var uR=r(Xr);Gk=n(uR,"example script"),uR.forEach(t),Yk=n(Tc," and "),zr=a(Tc,"A",{href:!0,rel:!0});var fR=r(zr);Zk=n(fR,"notebook"),fR.forEach(t),ey=n(Tc,"."),Tc.forEach(t),ty=h(ja),Co=a(ja,"LI",{});var Mc=r(Co);Sc=a(Mc,"A",{href:!0});var gR=r(Sc);oy=n(gR,"FlaxXLMRobertaForMaskedLM"),gR.forEach(t),ny=n(Mc," is supported by this "),Cr=a(Mc,"A",{href:!0,rel:!0});var _R=r(Cr);sy=n(_R,"example script"),_R.forEach(t),ay=n(Mc," and "),qr=a(Mc,"A",{href:!0,rel:!0});var bR=r(qr);ry=n(bR,"notebook"),bR.forEach(t),iy=n(Mc,"."),Mc.forEach(t),ly=h(ja),Wc=a(ja,"LI",{});var VE=r(Wc);jr=a(VE,"A",{href:!0,rel:!0});var kR=r(jr);dy=n(kR,"Masked language modeling"),kR.forEach(t),cy=n(VE," chapter of the \u{1F917} Hugging Face Course."),VE.forEach(t),ja.forEach(t),cg=h(i),w(Ar.$$.fragment,i),pg=h(i),Bt=a(i,"UL",{});var Aa=r(Bt);qo=a(Aa,"LI",{});var $c=r(qo);Bc=a($c,"A",{href:!0});var yR=r(Bc);py=n(yR,"XLMRobertaForQuestionAnswering"),yR.forEach(t),hy=n($c," is supported by this "),Pr=a($c,"A",{href:!0,rel:!0});var vR=r(Pr);my=n(vR,"example script"),vR.forEach(t),uy=n($c," and "),Nr=a($c,"A",{href:!0,rel:!0});var wR=r(Nr);fy=n(wR,"notebook"),wR.forEach(t),gy=n($c,"."),$c.forEach(t),_y=h(Aa),jo=a(Aa,"LI",{});var Lc=r(jo);Uc=a(Lc,"A",{href:!0});var TR=r(Uc);by=n(TR,"TFXLMRobertaForQuestionAnswering"),TR.forEach(t),ky=n(Lc," is supported by this "),Or=a(Lc,"A",{href:!0,rel:!0});var MR=r(Or);yy=n(MR,"example script"),MR.forEach(t),vy=n(Lc," and "),Ir=a(Lc,"A",{href:!0,rel:!0});var $R=r(Ir);wy=n($R,"notebook"),$R.forEach(t),Ty=n(Lc,"."),Lc.forEach(t),My=h(Aa),ss=a(Aa,"LI",{});var tg=r(ss);Hc=a(tg,"A",{href:!0});var LR=r(Hc);$y=n(LR,"FlaxXLMRobertaForQuestionAnswering"),LR.forEach(t),Ly=n(tg," is supported by this "),Dr=a(tg,"A",{href:!0,rel:!0});var xR=r(Dr);xy=n(xR,"example script"),xR.forEach(t),Fy=n(tg,"."),tg.forEach(t),Ey=h(Aa),Qc=a(Aa,"LI",{});var JE=r(Qc);Sr=a(JE,"A",{href:!0,rel:!0});var FR=r(Sr);Ry=n(FR,"Question answering"),FR.forEach(t),Xy=n(JE," chapter of the \u{1F917} Hugging Face Course."),JE.forEach(t),Aa.forEach(t),hg=h(i),Kc=a(i,"P",{});var ER=r(Kc);Mh=a(ER,"STRONG",{});var RR=r(Mh);zy=n(RR,"Multiple choice"),RR.forEach(t),ER.forEach(t),mg=h(i),as=a(i,"UL",{});var h_=r(as);Ao=a(h_,"LI",{});var xc=r(Ao);Vc=a(xc,"A",{href:!0});var XR=r(Vc);Cy=n(XR,"XLMRobertaForMultipleChoice"),XR.forEach(t),qy=n(xc," is supported by this "),Wr=a(xc,"A",{href:!0,rel:!0});var zR=r(Wr);jy=n(zR,"example script"),zR.forEach(t),Ay=n(xc," and "),Br=a(xc,"A",{href:!0,rel:!0});var CR=r(Br);Py=n(CR,"notebook"),CR.forEach(t),Ny=n(xc,"."),xc.forEach(t),Oy=h(h_),Po=a(h_,"LI",{});var Fc=r(Po);Jc=a(Fc,"A",{href:!0});var qR=r(Jc);Iy=n(qR,"TFXLMRobertaForMultipleChoice"),qR.forEach(t),Dy=n(Fc," is supported by this "),Ur=a(Fc,"A",{href:!0,rel:!0});var jR=r(Ur);Sy=n(jR,"example script"),jR.forEach(t),Wy=n(Fc," and "),Hr=a(Fc,"A",{href:!0,rel:!0});var AR=r(Hr);By=n(AR,"notebook"),AR.forEach(t),Uy=n(Fc,"."),Fc.forEach(t),h_.forEach(t),ug=h(i),Gc=a(i,"P",{});var PR=r(Gc);Hy=n(PR,"\u{1F680} Deploy"),PR.forEach(t),fg=h(i),Yc=a(i,"UL",{});var NR=r(Yc);Qr=a(NR,"LI",{});var m_=r(Qr);Qy=n(m_,"A blog post on how to "),Kr=a(m_,"A",{href:!0,rel:!0});var OR=r(Kr);Ky=n(OR,"Deploy Serveless XLM RoBERTa on AWS Lambda"),OR.forEach(t),Vy=n(m_,"."),m_.forEach(t),NR.forEach(t),gg=h(i),sn=a(i,"H2",{class:!0});var u_=r(sn);rs=a(u_,"A",{id:!0,class:!0,href:!0});var IR=r(rs);$h=a(IR,"SPAN",{});var DR=r($h);w(Vr.$$.fragment,DR),DR.forEach(t),IR.forEach(t),Jy=h(u_),Lh=a(u_,"SPAN",{});var SR=r(Lh);Gy=n(SR,"XLMRobertaConfig"),SR.forEach(t),u_.forEach(t),_g=h(i),Ot=a(i,"DIV",{class:!0});var Pa=r(Ot);w(Jr.$$.fragment,Pa),Yy=h(Pa),fo=a(Pa,"P",{});var Na=r(fo);Zy=n(Na,"This is the configuration class to store the configuration of a "),Zc=a(Na,"A",{href:!0});var WR=r(Zc);ev=n(WR,"XLMRobertaModel"),WR.forEach(t),tv=n(Na," or a "),ep=a(Na,"A",{href:!0});var BR=r(ep);ov=n(BR,"TFXLMRobertaModel"),BR.forEach(t),nv=n(Na,`. It
is used to instantiate a XLM-RoBERTa model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the XLMRoBERTa
`),Gr=a(Na,"A",{href:!0,rel:!0});var UR=r(Gr);sv=n(UR,"xlm-roberta-base"),UR.forEach(t),av=n(Na," architecture."),Na.forEach(t),rv=h(Pa),an=a(Pa,"P",{});var Gp=r(an);iv=n(Gp,"Configuration objects inherit from "),tp=a(Gp,"A",{href:!0});var HR=r(tp);lv=n(HR,"PretrainedConfig"),HR.forEach(t),dv=n(Gp,` and can be used to control the model outputs. Read the
documentation from `),op=a(Gp,"A",{href:!0});var QR=r(op);cv=n(QR,"PretrainedConfig"),QR.forEach(t),pv=n(Gp," for more information."),Gp.forEach(t),hv=h(Pa),w(is.$$.fragment,Pa),Pa.forEach(t),bg=h(i),rn=a(i,"H2",{class:!0});var f_=r(rn);ls=a(f_,"A",{id:!0,class:!0,href:!0});var KR=r(ls);xh=a(KR,"SPAN",{});var VR=r(xh);w(Yr.$$.fragment,VR),VR.forEach(t),KR.forEach(t),mv=h(f_),Fh=a(f_,"SPAN",{});var JR=r(Fh);uv=n(JR,"XLMRobertaTokenizer"),JR.forEach(t),f_.forEach(t),kg=h(i),et=a(i,"DIV",{class:!0});var Rt=r(et);w(Zr.$$.fragment,Rt),fv=h(Rt),go=a(Rt,"P",{});var Oa=r(go);gv=n(Oa,"Adapted from "),np=a(Oa,"A",{href:!0});var GR=r(np);_v=n(GR,"RobertaTokenizer"),GR.forEach(t),bv=n(Oa," and "),sp=a(Oa,"A",{href:!0});var YR=r(sp);kv=n(YR,"XLNetTokenizer"),YR.forEach(t),yv=n(Oa,`. Based on
`),ei=a(Oa,"A",{href:!0,rel:!0});var ZR=r(ei);vv=n(ZR,"SentencePiece"),ZR.forEach(t),wv=n(Oa,"."),Oa.forEach(t),Tv=h(Rt),ti=a(Rt,"P",{});var g_=r(ti);Mv=n(g_,"This tokenizer inherits from "),ap=a(g_,"A",{href:!0});var e4=r(ap);$v=n(e4,"PreTrainedTokenizer"),e4.forEach(t),Lv=n(g_,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),g_.forEach(t),xv=h(Rt),No=a(Rt,"DIV",{class:!0});var Yp=r(No);w(oi.$$.fragment,Yp),Fv=h(Yp),Eh=a(Yp,"P",{});var t4=r(Eh);Ev=n(t4,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),t4.forEach(t),Rv=h(Yp),ni=a(Yp,"UL",{});var __=r(ni);rp=a(__,"LI",{});var GE=r(rp);Xv=n(GE,"single sequence: "),Rh=a(GE,"CODE",{});var o4=r(Rh);zv=n(o4,"<s> X </s>"),o4.forEach(t),GE.forEach(t),Cv=h(__),ip=a(__,"LI",{});var YE=r(ip);qv=n(YE,"pair of sequences: "),Xh=a(YE,"CODE",{});var n4=r(Xh);jv=n(n4,"<s> A </s></s> B </s>"),n4.forEach(t),YE.forEach(t),__.forEach(t),Yp.forEach(t),Av=h(Rt),ds=a(Rt,"DIV",{class:!0});var b_=r(ds);w(si.$$.fragment,b_),Pv=h(b_),ai=a(b_,"P",{});var k_=r(ai);Nv=n(k_,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),zh=a(k_,"CODE",{});var s4=r(zh);Ov=n(s4,"prepare_for_model"),s4.forEach(t),Iv=n(k_," method."),k_.forEach(t),b_.forEach(t),Dv=h(Rt),cs=a(Rt,"DIV",{class:!0});var y_=r(cs);w(ri.$$.fragment,y_),Sv=h(y_),Ch=a(y_,"P",{});var a4=r(Ch);Wv=n(a4,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),a4.forEach(t),y_.forEach(t),Bv=h(Rt),lp=a(Rt,"DIV",{class:!0});var r4=r(lp);w(ii.$$.fragment,r4),r4.forEach(t),Rt.forEach(t),yg=h(i),ln=a(i,"H2",{class:!0});var v_=r(ln);ps=a(v_,"A",{id:!0,class:!0,href:!0});var i4=r(ps);qh=a(i4,"SPAN",{});var l4=r(qh);w(li.$$.fragment,l4),l4.forEach(t),i4.forEach(t),Uv=h(v_),jh=a(v_,"SPAN",{});var d4=r(jh);Hv=n(d4,"XLMRobertaTokenizerFast"),d4.forEach(t),v_.forEach(t),vg=h(i),_t=a(i,"DIV",{class:!0});var Uo=r(_t);w(di.$$.fragment,Uo),Qv=h(Uo),It=a(Uo,"P",{});var Ho=r(It);Kv=n(Ho,"Construct a \u201Cfast\u201D XLM-RoBERTa tokenizer (backed by HuggingFace\u2019s "),Ah=a(Ho,"EM",{});var c4=r(Ah);Vv=n(c4,"tokenizers"),c4.forEach(t),Jv=n(Ho,` library). Adapted from
`),dp=a(Ho,"A",{href:!0});var p4=r(dp);Gv=n(p4,"RobertaTokenizer"),p4.forEach(t),Yv=n(Ho," and "),cp=a(Ho,"A",{href:!0});var h4=r(cp);Zv=n(h4,"XLNetTokenizer"),h4.forEach(t),ew=n(Ho,`. Based on
`),ci=a(Ho,"A",{href:!0,rel:!0});var m4=r(ci);tw=n(m4,"BPE"),m4.forEach(t),ow=n(Ho,"."),Ho.forEach(t),nw=h(Uo),pi=a(Uo,"P",{});var w_=r(pi);sw=n(w_,"This tokenizer inherits from "),pp=a(w_,"A",{href:!0});var u4=r(pp);aw=n(u4,"PreTrainedTokenizerFast"),u4.forEach(t),rw=n(w_,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),w_.forEach(t),iw=h(Uo),Oo=a(Uo,"DIV",{class:!0});var Zp=r(Oo);w(hi.$$.fragment,Zp),lw=h(Zp),Ph=a(Zp,"P",{});var f4=r(Ph);dw=n(f4,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An XLM-RoBERTa sequence has the following format:`),f4.forEach(t),cw=h(Zp),mi=a(Zp,"UL",{});var T_=r(mi);hp=a(T_,"LI",{});var ZE=r(hp);pw=n(ZE,"single sequence: "),Nh=a(ZE,"CODE",{});var g4=r(Nh);hw=n(g4,"<s> X </s>"),g4.forEach(t),ZE.forEach(t),mw=h(T_),mp=a(T_,"LI",{});var eR=r(mp);uw=n(eR,"pair of sequences: "),Oh=a(eR,"CODE",{});var _4=r(Oh);fw=n(_4,"<s> A </s></s> B </s>"),_4.forEach(t),eR.forEach(t),T_.forEach(t),Zp.forEach(t),gw=h(Uo),hs=a(Uo,"DIV",{class:!0});var M_=r(hs);w(ui.$$.fragment,M_),_w=h(M_),Ih=a(M_,"P",{});var b4=r(Ih);bw=n(b4,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. XLM-RoBERTa does
not make use of token type ids, therefore a list of zeros is returned.`),b4.forEach(t),M_.forEach(t),Uo.forEach(t),wg=h(i),dn=a(i,"H2",{class:!0});var $_=r(dn);ms=a($_,"A",{id:!0,class:!0,href:!0});var k4=r(ms);Dh=a(k4,"SPAN",{});var y4=r(Dh);w(fi.$$.fragment,y4),y4.forEach(t),k4.forEach(t),kw=h($_),Sh=a($_,"SPAN",{});var v4=r(Sh);yw=n(v4,"XLMRobertaModel"),v4.forEach(t),$_.forEach(t),Tg=h(i),Ze=a(i,"DIV",{class:!0});var gt=r(Ze);w(gi.$$.fragment,gt),vw=h(gt),Wh=a(gt,"P",{});var w4=r(Wh);ww=n(w4,"The bare XLM-RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),w4.forEach(t),Tw=h(gt),_i=a(gt,"P",{});var L_=r(_i);Mw=n(L_,"This model inherits from "),up=a(L_,"A",{href:!0});var T4=r(up);$w=n(T4,"PreTrainedModel"),T4.forEach(t),Lw=n(L_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),L_.forEach(t),xw=h(gt),bi=a(gt,"P",{});var x_=r(bi);Fw=n(x_,"This model is also a PyTorch "),ki=a(x_,"A",{href:!0,rel:!0});var M4=r(ki);Ew=n(M4,"torch.nn.Module"),M4.forEach(t),Rw=n(x_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),x_.forEach(t),Xw=h(gt),yi=a(gt,"P",{});var F_=r(yi);zw=n(F_,`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),Bh=a(F_,"EM",{});var $4=r(Bh);Cw=n($4,`Attention is
all you need`),$4.forEach(t),qw=n(F_,`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),F_.forEach(t),jw=h(gt),lt=a(gt,"P",{});var Xt=r(lt);Aw=n(Xt,"To behave as an decoder the model needs to be initialized with the "),Uh=a(Xt,"CODE",{});var L4=r(Uh);Pw=n(L4,"is_decoder"),L4.forEach(t),Nw=n(Xt,` argument of the configuration set
to `),Hh=a(Xt,"CODE",{});var x4=r(Hh);Ow=n(x4,"True"),x4.forEach(t),Iw=n(Xt,". To be used in a Seq2Seq model, the model needs to initialized with both "),Qh=a(Xt,"CODE",{});var F4=r(Qh);Dw=n(F4,"is_decoder"),F4.forEach(t),Sw=n(Xt,` argument and
`),Kh=a(Xt,"CODE",{});var E4=r(Kh);Ww=n(E4,"add_cross_attention"),E4.forEach(t),Bw=n(Xt," set to "),Vh=a(Xt,"CODE",{});var R4=r(Vh);Uw=n(R4,"True"),R4.forEach(t),Hw=n(Xt,"; an "),Jh=a(Xt,"CODE",{});var X4=r(Jh);Qw=n(X4,"encoder_hidden_states"),X4.forEach(t),Kw=n(Xt," is then expected as an input to the forward pass."),Xt.forEach(t),Vw=h(gt),us=a(gt,"P",{});var og=r(us);Jw=n(og,".. _"),Gh=a(og,"EM",{});var z4=r(Gh);Gw=n(z4,"Attention is all you need"),z4.forEach(t),Yw=n(og,": "),vi=a(og,"A",{href:!0,rel:!0});var C4=r(vi);Zw=n(C4,"https://arxiv.org/abs/1706.03762"),C4.forEach(t),og.forEach(t),eT=h(gt),Ut=a(gt,"DIV",{class:!0});var Ia=r(Ut);w(wi.$$.fragment,Ia),tT=h(Ia),cn=a(Ia,"P",{});var eh=r(cn);oT=n(eh,"The "),fp=a(eh,"A",{href:!0});var q4=r(fp);nT=n(q4,"XLMRobertaModel"),q4.forEach(t),sT=n(eh," forward method, overrides the "),Yh=a(eh,"CODE",{});var j4=r(Yh);aT=n(j4,"__call__"),j4.forEach(t),rT=n(eh," special method."),eh.forEach(t),iT=h(Ia),w(fs.$$.fragment,Ia),lT=h(Ia),w(gs.$$.fragment,Ia),Ia.forEach(t),gt.forEach(t),Mg=h(i),pn=a(i,"H2",{class:!0});var E_=r(pn);_s=a(E_,"A",{id:!0,class:!0,href:!0});var A4=r(_s);Zh=a(A4,"SPAN",{});var P4=r(Zh);w(Ti.$$.fragment,P4),P4.forEach(t),A4.forEach(t),dT=h(E_),em=a(E_,"SPAN",{});var N4=r(em);cT=n(N4,"XLMRobertaForCausalLM"),N4.forEach(t),E_.forEach(t),$g=h(i),bt=a(i,"DIV",{class:!0});var Qo=r(bt);w(Mi.$$.fragment,Qo),pT=h(Qo),$i=a(Qo,"P",{});var R_=r($i);hT=n(R_,"XLM-RoBERTa Model with a "),tm=a(R_,"CODE",{});var O4=r(tm);mT=n(O4,"language modeling"),O4.forEach(t),uT=n(R_," head on top for CLM fine-tuning."),R_.forEach(t),fT=h(Qo),Li=a(Qo,"P",{});var X_=r(Li);gT=n(X_,"This model inherits from "),gp=a(X_,"A",{href:!0});var I4=r(gp);_T=n(I4,"PreTrainedModel"),I4.forEach(t),bT=n(X_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),X_.forEach(t),kT=h(Qo),xi=a(Qo,"P",{});var z_=r(xi);yT=n(z_,"This model is also a PyTorch "),Fi=a(z_,"A",{href:!0,rel:!0});var D4=r(Fi);vT=n(D4,"torch.nn.Module"),D4.forEach(t),wT=n(z_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),z_.forEach(t),TT=h(Qo),Ht=a(Qo,"DIV",{class:!0});var Da=r(Ht);w(Ei.$$.fragment,Da),MT=h(Da),hn=a(Da,"P",{});var th=r(hn);$T=n(th,"The "),_p=a(th,"A",{href:!0});var S4=r(_p);LT=n(S4,"XLMRobertaForCausalLM"),S4.forEach(t),xT=n(th," forward method, overrides the "),om=a(th,"CODE",{});var W4=r(om);FT=n(W4,"__call__"),W4.forEach(t),ET=n(th," special method."),th.forEach(t),RT=h(Da),w(bs.$$.fragment,Da),XT=h(Da),w(ks.$$.fragment,Da),Da.forEach(t),Qo.forEach(t),Lg=h(i),mn=a(i,"H2",{class:!0});var C_=r(mn);ys=a(C_,"A",{id:!0,class:!0,href:!0});var B4=r(ys);nm=a(B4,"SPAN",{});var U4=r(nm);w(Ri.$$.fragment,U4),U4.forEach(t),B4.forEach(t),zT=h(C_),sm=a(C_,"SPAN",{});var H4=r(sm);CT=n(H4,"XLMRobertaForMaskedLM"),H4.forEach(t),C_.forEach(t),xg=h(i),kt=a(i,"DIV",{class:!0});var Ko=r(kt);w(Xi.$$.fragment,Ko),qT=h(Ko),zi=a(Ko,"P",{});var q_=r(zi);jT=n(q_,"XLM-RoBERTa Model with a "),am=a(q_,"CODE",{});var Q4=r(am);AT=n(Q4,"language modeling"),Q4.forEach(t),PT=n(q_," head on top."),q_.forEach(t),NT=h(Ko),Ci=a(Ko,"P",{});var j_=r(Ci);OT=n(j_,"This model inherits from "),bp=a(j_,"A",{href:!0});var K4=r(bp);IT=n(K4,"PreTrainedModel"),K4.forEach(t),DT=n(j_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),j_.forEach(t),ST=h(Ko),qi=a(Ko,"P",{});var A_=r(qi);WT=n(A_,"This model is also a PyTorch "),ji=a(A_,"A",{href:!0,rel:!0});var V4=r(ji);BT=n(V4,"torch.nn.Module"),V4.forEach(t),UT=n(A_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),A_.forEach(t),HT=h(Ko),Qt=a(Ko,"DIV",{class:!0});var Sa=r(Qt);w(Ai.$$.fragment,Sa),QT=h(Sa),un=a(Sa,"P",{});var oh=r(un);KT=n(oh,"The "),kp=a(oh,"A",{href:!0});var J4=r(kp);VT=n(J4,"XLMRobertaForMaskedLM"),J4.forEach(t),JT=n(oh," forward method, overrides the "),rm=a(oh,"CODE",{});var G4=r(rm);GT=n(G4,"__call__"),G4.forEach(t),YT=n(oh," special method."),oh.forEach(t),ZT=h(Sa),w(vs.$$.fragment,Sa),eM=h(Sa),w(ws.$$.fragment,Sa),Sa.forEach(t),Ko.forEach(t),Fg=h(i),fn=a(i,"H2",{class:!0});var P_=r(fn);Ts=a(P_,"A",{id:!0,class:!0,href:!0});var Y4=r(Ts);im=a(Y4,"SPAN",{});var Z4=r(im);w(Pi.$$.fragment,Z4),Z4.forEach(t),Y4.forEach(t),tM=h(P_),lm=a(P_,"SPAN",{});var eX=r(lm);oM=n(eX,"XLMRobertaForSequenceClassification"),eX.forEach(t),P_.forEach(t),Eg=h(i),yt=a(i,"DIV",{class:!0});var Vo=r(yt);w(Ni.$$.fragment,Vo),nM=h(Vo),dm=a(Vo,"P",{});var tX=r(dm);sM=n(tX,`XLM-RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),tX.forEach(t),aM=h(Vo),Oi=a(Vo,"P",{});var N_=r(Oi);rM=n(N_,"This model inherits from "),yp=a(N_,"A",{href:!0});var oX=r(yp);iM=n(oX,"PreTrainedModel"),oX.forEach(t),lM=n(N_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),N_.forEach(t),dM=h(Vo),Ii=a(Vo,"P",{});var O_=r(Ii);cM=n(O_,"This model is also a PyTorch "),Di=a(O_,"A",{href:!0,rel:!0});var nX=r(Di);pM=n(nX,"torch.nn.Module"),nX.forEach(t),hM=n(O_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),O_.forEach(t),mM=h(Vo),$t=a(Vo,"DIV",{class:!0});var Jo=r($t);w(Si.$$.fragment,Jo),uM=h(Jo),gn=a(Jo,"P",{});var nh=r(gn);fM=n(nh,"The "),vp=a(nh,"A",{href:!0});var sX=r(vp);gM=n(sX,"XLMRobertaForSequenceClassification"),sX.forEach(t),_M=n(nh," forward method, overrides the "),cm=a(nh,"CODE",{});var aX=r(cm);bM=n(aX,"__call__"),aX.forEach(t),kM=n(nh," special method."),nh.forEach(t),yM=h(Jo),w(Ms.$$.fragment,Jo),vM=h(Jo),w($s.$$.fragment,Jo),wM=h(Jo),w(Ls.$$.fragment,Jo),Jo.forEach(t),Vo.forEach(t),Rg=h(i),_n=a(i,"H2",{class:!0});var I_=r(_n);xs=a(I_,"A",{id:!0,class:!0,href:!0});var rX=r(xs);pm=a(rX,"SPAN",{});var iX=r(pm);w(Wi.$$.fragment,iX),iX.forEach(t),rX.forEach(t),TM=h(I_),hm=a(I_,"SPAN",{});var lX=r(hm);MM=n(lX,"XLMRobertaForMultipleChoice"),lX.forEach(t),I_.forEach(t),Xg=h(i),vt=a(i,"DIV",{class:!0});var Go=r(vt);w(Bi.$$.fragment,Go),$M=h(Go),mm=a(Go,"P",{});var dX=r(mm);LM=n(dX,`XLM-RoBERTa Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),dX.forEach(t),xM=h(Go),Ui=a(Go,"P",{});var D_=r(Ui);FM=n(D_,"This model inherits from "),wp=a(D_,"A",{href:!0});var cX=r(wp);EM=n(cX,"PreTrainedModel"),cX.forEach(t),RM=n(D_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),D_.forEach(t),XM=h(Go),Hi=a(Go,"P",{});var S_=r(Hi);zM=n(S_,"This model is also a PyTorch "),Qi=a(S_,"A",{href:!0,rel:!0});var pX=r(Qi);CM=n(pX,"torch.nn.Module"),pX.forEach(t),qM=n(S_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),S_.forEach(t),jM=h(Go),Kt=a(Go,"DIV",{class:!0});var Wa=r(Kt);w(Ki.$$.fragment,Wa),AM=h(Wa),bn=a(Wa,"P",{});var sh=r(bn);PM=n(sh,"The "),Tp=a(sh,"A",{href:!0});var hX=r(Tp);NM=n(hX,"XLMRobertaForMultipleChoice"),hX.forEach(t),OM=n(sh," forward method, overrides the "),um=a(sh,"CODE",{});var mX=r(um);IM=n(mX,"__call__"),mX.forEach(t),DM=n(sh," special method."),sh.forEach(t),SM=h(Wa),w(Fs.$$.fragment,Wa),WM=h(Wa),w(Es.$$.fragment,Wa),Wa.forEach(t),Go.forEach(t),zg=h(i),kn=a(i,"H2",{class:!0});var W_=r(kn);Rs=a(W_,"A",{id:!0,class:!0,href:!0});var uX=r(Rs);fm=a(uX,"SPAN",{});var fX=r(fm);w(Vi.$$.fragment,fX),fX.forEach(t),uX.forEach(t),BM=h(W_),gm=a(W_,"SPAN",{});var gX=r(gm);UM=n(gX,"XLMRobertaForTokenClassification"),gX.forEach(t),W_.forEach(t),Cg=h(i),wt=a(i,"DIV",{class:!0});var Yo=r(wt);w(Ji.$$.fragment,Yo),HM=h(Yo),_m=a(Yo,"P",{});var _X=r(_m);QM=n(_X,`XLM-RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),_X.forEach(t),KM=h(Yo),Gi=a(Yo,"P",{});var B_=r(Gi);VM=n(B_,"This model inherits from "),Mp=a(B_,"A",{href:!0});var bX=r(Mp);JM=n(bX,"PreTrainedModel"),bX.forEach(t),GM=n(B_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),B_.forEach(t),YM=h(Yo),Yi=a(Yo,"P",{});var U_=r(Yi);ZM=n(U_,"This model is also a PyTorch "),Zi=a(U_,"A",{href:!0,rel:!0});var kX=r(Zi);e1=n(kX,"torch.nn.Module"),kX.forEach(t),t1=n(U_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),U_.forEach(t),o1=h(Yo),Vt=a(Yo,"DIV",{class:!0});var Ba=r(Vt);w(el.$$.fragment,Ba),n1=h(Ba),yn=a(Ba,"P",{});var ah=r(yn);s1=n(ah,"The "),$p=a(ah,"A",{href:!0});var yX=r($p);a1=n(yX,"XLMRobertaForTokenClassification"),yX.forEach(t),r1=n(ah," forward method, overrides the "),bm=a(ah,"CODE",{});var vX=r(bm);i1=n(vX,"__call__"),vX.forEach(t),l1=n(ah," special method."),ah.forEach(t),d1=h(Ba),w(Xs.$$.fragment,Ba),c1=h(Ba),w(zs.$$.fragment,Ba),Ba.forEach(t),Yo.forEach(t),qg=h(i),vn=a(i,"H2",{class:!0});var H_=r(vn);Cs=a(H_,"A",{id:!0,class:!0,href:!0});var wX=r(Cs);km=a(wX,"SPAN",{});var TX=r(km);w(tl.$$.fragment,TX),TX.forEach(t),wX.forEach(t),p1=h(H_),ym=a(H_,"SPAN",{});var MX=r(ym);h1=n(MX,"XLMRobertaForQuestionAnswering"),MX.forEach(t),H_.forEach(t),jg=h(i),Tt=a(i,"DIV",{class:!0});var Zo=r(Tt);w(ol.$$.fragment,Zo),m1=h(Zo),wn=a(Zo,"P",{});var rh=r(wn);u1=n(rh,`XLM-RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),vm=a(rh,"CODE",{});var $X=r(vm);f1=n($X,"span start logits"),$X.forEach(t),g1=n(rh," and "),wm=a(rh,"CODE",{});var LX=r(wm);_1=n(LX,"span end logits"),LX.forEach(t),b1=n(rh,")."),rh.forEach(t),k1=h(Zo),nl=a(Zo,"P",{});var Q_=r(nl);y1=n(Q_,"This model inherits from "),Lp=a(Q_,"A",{href:!0});var xX=r(Lp);v1=n(xX,"PreTrainedModel"),xX.forEach(t),w1=n(Q_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Q_.forEach(t),T1=h(Zo),sl=a(Zo,"P",{});var K_=r(sl);M1=n(K_,"This model is also a PyTorch "),al=a(K_,"A",{href:!0,rel:!0});var FX=r(al);$1=n(FX,"torch.nn.Module"),FX.forEach(t),L1=n(K_,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),K_.forEach(t),x1=h(Zo),Jt=a(Zo,"DIV",{class:!0});var Ua=r(Jt);w(rl.$$.fragment,Ua),F1=h(Ua),Tn=a(Ua,"P",{});var ih=r(Tn);E1=n(ih,"The "),xp=a(ih,"A",{href:!0});var EX=r(xp);R1=n(EX,"XLMRobertaForQuestionAnswering"),EX.forEach(t),X1=n(ih," forward method, overrides the "),Tm=a(ih,"CODE",{});var RX=r(Tm);z1=n(RX,"__call__"),RX.forEach(t),C1=n(ih," special method."),ih.forEach(t),q1=h(Ua),w(qs.$$.fragment,Ua),j1=h(Ua),w(js.$$.fragment,Ua),Ua.forEach(t),Zo.forEach(t),Ag=h(i),Mn=a(i,"H2",{class:!0});var V_=r(Mn);As=a(V_,"A",{id:!0,class:!0,href:!0});var XX=r(As);Mm=a(XX,"SPAN",{});var zX=r(Mm);w(il.$$.fragment,zX),zX.forEach(t),XX.forEach(t),A1=h(V_),$m=a(V_,"SPAN",{});var CX=r($m);P1=n(CX,"TFXLMRobertaModel"),CX.forEach(t),V_.forEach(t),Pg=h(i),dt=a(i,"DIV",{class:!0});var io=r(dt);w(ll.$$.fragment,io),N1=h(io),Lm=a(io,"P",{});var qX=r(Lm);O1=n(qX,"The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),qX.forEach(t),I1=h(io),dl=a(io,"P",{});var J_=r(dl);D1=n(J_,"This model inherits from "),Fp=a(J_,"A",{href:!0});var jX=r(Fp);S1=n(jX,"TFPreTrainedModel"),jX.forEach(t),W1=n(J_,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),J_.forEach(t),B1=h(io),cl=a(io,"P",{});var G_=r(cl);U1=n(G_,"This model is also a "),pl=a(G_,"A",{href:!0,rel:!0});var AX=r(pl);H1=n(AX,"tf.keras.Model"),AX.forEach(t),Q1=n(G_,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),G_.forEach(t),K1=h(io),w(Ps.$$.fragment,io),V1=h(io),Gt=a(io,"DIV",{class:!0});var Ha=r(Gt);w(hl.$$.fragment,Ha),J1=h(Ha),$n=a(Ha,"P",{});var lh=r($n);G1=n(lh,"The "),Ep=a(lh,"A",{href:!0});var PX=r(Ep);Y1=n(PX,"TFXLMRobertaModel"),PX.forEach(t),Z1=n(lh," forward method, overrides the "),xm=a(lh,"CODE",{});var NX=r(xm);e$=n(NX,"__call__"),NX.forEach(t),t$=n(lh," special method."),lh.forEach(t),o$=h(Ha),w(Ns.$$.fragment,Ha),n$=h(Ha),w(Os.$$.fragment,Ha),Ha.forEach(t),io.forEach(t),Ng=h(i),Ln=a(i,"H2",{class:!0});var Y_=r(Ln);Is=a(Y_,"A",{id:!0,class:!0,href:!0});var OX=r(Is);Fm=a(OX,"SPAN",{});var IX=r(Fm);w(ml.$$.fragment,IX),IX.forEach(t),OX.forEach(t),s$=h(Y_),Em=a(Y_,"SPAN",{});var DX=r(Em);a$=n(DX,"TFXLMRobertaForCausalLM"),DX.forEach(t),Y_.forEach(t),Og=h(i),ct=a(i,"DIV",{class:!0});var lo=r(ct);w(ul.$$.fragment,lo),r$=h(lo),fl=a(lo,"P",{});var Z_=r(fl);i$=n(Z_,"XLM-RoBERTa Model with a "),Rm=a(Z_,"CODE",{});var SX=r(Rm);l$=n(SX,"language modeling"),SX.forEach(t),d$=n(Z_," head on top for CLM fine-tuning."),Z_.forEach(t),c$=h(lo),gl=a(lo,"P",{});var eb=r(gl);p$=n(eb,"This model inherits from "),Rp=a(eb,"A",{href:!0});var WX=r(Rp);h$=n(WX,"TFPreTrainedModel"),WX.forEach(t),m$=n(eb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),eb.forEach(t),u$=h(lo),_l=a(lo,"P",{});var tb=r(_l);f$=n(tb,"This model is also a "),bl=a(tb,"A",{href:!0,rel:!0});var BX=r(bl);g$=n(BX,"tf.keras.Model"),BX.forEach(t),_$=n(tb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),tb.forEach(t),b$=h(lo),w(Ds.$$.fragment,lo),k$=h(lo),Yt=a(lo,"DIV",{class:!0});var Qa=r(Yt);w(kl.$$.fragment,Qa),y$=h(Qa),xn=a(Qa,"P",{});var dh=r(xn);v$=n(dh,"The "),Xp=a(dh,"A",{href:!0});var UX=r(Xp);w$=n(UX,"TFXLMRobertaForCausalLM"),UX.forEach(t),T$=n(dh," forward method, overrides the "),Xm=a(dh,"CODE",{});var HX=r(Xm);M$=n(HX,"__call__"),HX.forEach(t),$$=n(dh," special method."),dh.forEach(t),L$=h(Qa),w(Ss.$$.fragment,Qa),x$=h(Qa),w(Ws.$$.fragment,Qa),Qa.forEach(t),lo.forEach(t),Ig=h(i),Fn=a(i,"H2",{class:!0});var ob=r(Fn);Bs=a(ob,"A",{id:!0,class:!0,href:!0});var QX=r(Bs);zm=a(QX,"SPAN",{});var KX=r(zm);w(yl.$$.fragment,KX),KX.forEach(t),QX.forEach(t),F$=h(ob),Cm=a(ob,"SPAN",{});var VX=r(Cm);E$=n(VX,"TFXLMRobertaForMaskedLM"),VX.forEach(t),ob.forEach(t),Dg=h(i),pt=a(i,"DIV",{class:!0});var co=r(pt);w(vl.$$.fragment,co),R$=h(co),wl=a(co,"P",{});var nb=r(wl);X$=n(nb,"XLM RoBERTa Model with a "),qm=a(nb,"CODE",{});var JX=r(qm);z$=n(JX,"language modeling"),JX.forEach(t),C$=n(nb," head on top."),nb.forEach(t),q$=h(co),Tl=a(co,"P",{});var sb=r(Tl);j$=n(sb,"This model inherits from "),zp=a(sb,"A",{href:!0});var GX=r(zp);A$=n(GX,"TFPreTrainedModel"),GX.forEach(t),P$=n(sb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),sb.forEach(t),N$=h(co),Ml=a(co,"P",{});var ab=r(Ml);O$=n(ab,"This model is also a "),$l=a(ab,"A",{href:!0,rel:!0});var YX=r($l);I$=n(YX,"tf.keras.Model"),YX.forEach(t),D$=n(ab,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ab.forEach(t),S$=h(co),w(Us.$$.fragment,co),W$=h(co),Lt=a(co,"DIV",{class:!0});var en=r(Lt);w(Ll.$$.fragment,en),B$=h(en),En=a(en,"P",{});var ch=r(En);U$=n(ch,"The "),Cp=a(ch,"A",{href:!0});var ZX=r(Cp);H$=n(ZX,"TFXLMRobertaForMaskedLM"),ZX.forEach(t),Q$=n(ch," forward method, overrides the "),jm=a(ch,"CODE",{});var ez=r(jm);K$=n(ez,"__call__"),ez.forEach(t),V$=n(ch," special method."),ch.forEach(t),J$=h(en),w(Hs.$$.fragment,en),G$=h(en),w(Qs.$$.fragment,en),Y$=h(en),w(Ks.$$.fragment,en),en.forEach(t),co.forEach(t),Sg=h(i),Rn=a(i,"H2",{class:!0});var rb=r(Rn);Vs=a(rb,"A",{id:!0,class:!0,href:!0});var tz=r(Vs);Am=a(tz,"SPAN",{});var oz=r(Am);w(xl.$$.fragment,oz),oz.forEach(t),tz.forEach(t),Z$=h(rb),Pm=a(rb,"SPAN",{});var nz=r(Pm);e2=n(nz,"TFXLMRobertaForSequenceClassification"),nz.forEach(t),rb.forEach(t),Wg=h(i),ht=a(i,"DIV",{class:!0});var po=r(ht);w(Fl.$$.fragment,po),t2=h(po),Nm=a(po,"P",{});var sz=r(Nm);o2=n(sz,`XLM RoBERTa Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),sz.forEach(t),n2=h(po),El=a(po,"P",{});var ib=r(El);s2=n(ib,"This model inherits from "),qp=a(ib,"A",{href:!0});var az=r(qp);a2=n(az,"TFPreTrainedModel"),az.forEach(t),r2=n(ib,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ib.forEach(t),i2=h(po),Rl=a(po,"P",{});var lb=r(Rl);l2=n(lb,"This model is also a "),Xl=a(lb,"A",{href:!0,rel:!0});var rz=r(Xl);d2=n(rz,"tf.keras.Model"),rz.forEach(t),c2=n(lb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),lb.forEach(t),p2=h(po),w(Js.$$.fragment,po),h2=h(po),xt=a(po,"DIV",{class:!0});var tn=r(xt);w(zl.$$.fragment,tn),m2=h(tn),Xn=a(tn,"P",{});var ph=r(Xn);u2=n(ph,"The "),jp=a(ph,"A",{href:!0});var iz=r(jp);f2=n(iz,"TFXLMRobertaForSequenceClassification"),iz.forEach(t),g2=n(ph," forward method, overrides the "),Om=a(ph,"CODE",{});var lz=r(Om);_2=n(lz,"__call__"),lz.forEach(t),b2=n(ph," special method."),ph.forEach(t),k2=h(tn),w(Gs.$$.fragment,tn),y2=h(tn),w(Ys.$$.fragment,tn),v2=h(tn),w(Zs.$$.fragment,tn),tn.forEach(t),po.forEach(t),Bg=h(i),zn=a(i,"H2",{class:!0});var db=r(zn);ea=a(db,"A",{id:!0,class:!0,href:!0});var dz=r(ea);Im=a(dz,"SPAN",{});var cz=r(Im);w(Cl.$$.fragment,cz),cz.forEach(t),dz.forEach(t),w2=h(db),Dm=a(db,"SPAN",{});var pz=r(Dm);T2=n(pz,"TFXLMRobertaForMultipleChoice"),pz.forEach(t),db.forEach(t),Ug=h(i),mt=a(i,"DIV",{class:!0});var ho=r(mt);w(ql.$$.fragment,ho),M2=h(ho),Sm=a(ho,"P",{});var hz=r(Sm);$2=n(hz,`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),hz.forEach(t),L2=h(ho),jl=a(ho,"P",{});var cb=r(jl);x2=n(cb,"This model inherits from "),Ap=a(cb,"A",{href:!0});var mz=r(Ap);F2=n(mz,"TFPreTrainedModel"),mz.forEach(t),E2=n(cb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),cb.forEach(t),R2=h(ho),Al=a(ho,"P",{});var pb=r(Al);X2=n(pb,"This model is also a "),Pl=a(pb,"A",{href:!0,rel:!0});var uz=r(Pl);z2=n(uz,"tf.keras.Model"),uz.forEach(t),C2=n(pb,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),pb.forEach(t),q2=h(ho),w(ta.$$.fragment,ho),j2=h(ho),Zt=a(ho,"DIV",{class:!0});var Ka=r(Zt);w(Nl.$$.fragment,Ka),A2=h(Ka),Cn=a(Ka,"P",{});var hh=r(Cn);P2=n(hh,"The "),Pp=a(hh,"A",{href:!0});var fz=r(Pp);N2=n(fz,"TFXLMRobertaForMultipleChoice"),fz.forEach(t),O2=n(hh," forward method, overrides the "),Wm=a(hh,"CODE",{});var gz=r(Wm);I2=n(gz,"__call__"),gz.forEach(t),D2=n(hh," special method."),hh.forEach(t),S2=h(Ka),w(oa.$$.fragment,Ka),W2=h(Ka),w(na.$$.fragment,Ka),Ka.forEach(t),ho.forEach(t),Hg=h(i),qn=a(i,"H2",{class:!0});var hb=r(qn);sa=a(hb,"A",{id:!0,class:!0,href:!0});var _z=r(sa);Bm=a(_z,"SPAN",{});var bz=r(Bm);w(Ol.$$.fragment,bz),bz.forEach(t),_z.forEach(t),B2=h(hb),Um=a(hb,"SPAN",{});var kz=r(Um);U2=n(kz,"TFXLMRobertaForTokenClassification"),kz.forEach(t),hb.forEach(t),Qg=h(i),ut=a(i,"DIV",{class:!0});var mo=r(ut);w(Il.$$.fragment,mo),H2=h(mo),Hm=a(mo,"P",{});var yz=r(Hm);Q2=n(yz,`XLM RoBERTa Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),yz.forEach(t),K2=h(mo),Dl=a(mo,"P",{});var mb=r(Dl);V2=n(mb,"This model inherits from "),Np=a(mb,"A",{href:!0});var vz=r(Np);J2=n(vz,"TFPreTrainedModel"),vz.forEach(t),G2=n(mb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),mb.forEach(t),Y2=h(mo),Sl=a(mo,"P",{});var ub=r(Sl);Z2=n(ub,"This model is also a "),Wl=a(ub,"A",{href:!0,rel:!0});var wz=r(Wl);eL=n(wz,"tf.keras.Model"),wz.forEach(t),tL=n(ub,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ub.forEach(t),oL=h(mo),w(aa.$$.fragment,mo),nL=h(mo),Ft=a(mo,"DIV",{class:!0});var on=r(Ft);w(Bl.$$.fragment,on),sL=h(on),jn=a(on,"P",{});var mh=r(jn);aL=n(mh,"The "),Op=a(mh,"A",{href:!0});var Tz=r(Op);rL=n(Tz,"TFXLMRobertaForTokenClassification"),Tz.forEach(t),iL=n(mh," forward method, overrides the "),Qm=a(mh,"CODE",{});var Mz=r(Qm);lL=n(Mz,"__call__"),Mz.forEach(t),dL=n(mh," special method."),mh.forEach(t),cL=h(on),w(ra.$$.fragment,on),pL=h(on),w(ia.$$.fragment,on),hL=h(on),w(la.$$.fragment,on),on.forEach(t),mo.forEach(t),Kg=h(i),An=a(i,"H2",{class:!0});var fb=r(An);da=a(fb,"A",{id:!0,class:!0,href:!0});var $z=r(da);Km=a($z,"SPAN",{});var Lz=r(Km);w(Ul.$$.fragment,Lz),Lz.forEach(t),$z.forEach(t),mL=h(fb),Vm=a(fb,"SPAN",{});var xz=r(Vm);uL=n(xz,"TFXLMRobertaForQuestionAnswering"),xz.forEach(t),fb.forEach(t),Vg=h(i),ft=a(i,"DIV",{class:!0});var uo=r(ft);w(Hl.$$.fragment,uo),fL=h(uo),Pn=a(uo,"P",{});var uh=r(Pn);gL=n(uh,`XLM RoBERTa Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),Jm=a(uh,"CODE",{});var Fz=r(Jm);_L=n(Fz,"span start logits"),Fz.forEach(t),bL=n(uh," and "),Gm=a(uh,"CODE",{});var Ez=r(Gm);kL=n(Ez,"span end logits"),Ez.forEach(t),yL=n(uh,")."),uh.forEach(t),vL=h(uo),Ql=a(uo,"P",{});var gb=r(Ql);wL=n(gb,"This model inherits from "),Ip=a(gb,"A",{href:!0});var Rz=r(Ip);TL=n(Rz,"TFPreTrainedModel"),Rz.forEach(t),ML=n(gb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),gb.forEach(t),$L=h(uo),Kl=a(uo,"P",{});var _b=r(Kl);LL=n(_b,"This model is also a "),Vl=a(_b,"A",{href:!0,rel:!0});var Xz=r(Vl);xL=n(Xz,"tf.keras.Model"),Xz.forEach(t),FL=n(_b,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),_b.forEach(t),EL=h(uo),w(ca.$$.fragment,uo),RL=h(uo),Et=a(uo,"DIV",{class:!0});var nn=r(Et);w(Jl.$$.fragment,nn),XL=h(nn),Nn=a(nn,"P",{});var fh=r(Nn);zL=n(fh,"The "),Dp=a(fh,"A",{href:!0});var zz=r(Dp);CL=n(zz,"TFXLMRobertaForQuestionAnswering"),zz.forEach(t),qL=n(fh," forward method, overrides the "),Ym=a(fh,"CODE",{});var Cz=r(Ym);jL=n(Cz,"__call__"),Cz.forEach(t),AL=n(fh," special method."),fh.forEach(t),PL=h(nn),w(pa.$$.fragment,nn),NL=h(nn),w(ha.$$.fragment,nn),OL=h(nn),w(ma.$$.fragment,nn),nn.forEach(t),uo.forEach(t),Jg=h(i),On=a(i,"H2",{class:!0});var bb=r(On);ua=a(bb,"A",{id:!0,class:!0,href:!0});var qz=r(ua);Zm=a(qz,"SPAN",{});var jz=r(Zm);w(Gl.$$.fragment,jz),jz.forEach(t),qz.forEach(t),IL=h(bb),eu=a(bb,"SPAN",{});var Az=r(eu);DL=n(Az,"FlaxXLMRobertaModel"),Az.forEach(t),bb.forEach(t),Gg=h(i),tt=a(i,"DIV",{class:!0});var zt=r(tt);w(Yl.$$.fragment,zt),SL=h(zt),tu=a(zt,"P",{});var Pz=r(tu);WL=n(Pz,"The bare XLM RoBERTa Model transformer outputting raw hidden-states without any specific head on top."),Pz.forEach(t),BL=h(zt),Zl=a(zt,"P",{});var kb=r(Zl);UL=n(kb,"This model inherits from "),Sp=a(kb,"A",{href:!0});var Nz=r(Sp);HL=n(Nz,"FlaxPreTrainedModel"),Nz.forEach(t),QL=n(kb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),kb.forEach(t),KL=h(zt),ed=a(zt,"P",{});var yb=r(ed);VL=n(yb,"This model is also a Flax Linen "),td=a(yb,"A",{href:!0,rel:!0});var Oz=r(td);JL=n(Oz,"flax.linen.Module"),Oz.forEach(t),GL=n(yb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),yb.forEach(t),YL=h(zt),ou=a(zt,"P",{});var Iz=r(ou);ZL=n(Iz,"Finally, this model supports inherent JAX features such as:"),Iz.forEach(t),ex=h(zt),_o=a(zt,"UL",{});var Va=r(_o);nu=a(Va,"LI",{});var Dz=r(nu);od=a(Dz,"A",{href:!0,rel:!0});var Sz=r(od);tx=n(Sz,"Just-In-Time (JIT) compilation"),Sz.forEach(t),Dz.forEach(t),ox=h(Va),su=a(Va,"LI",{});var Wz=r(su);nd=a(Wz,"A",{href:!0,rel:!0});var Bz=r(nd);nx=n(Bz,"Automatic Differentiation"),Bz.forEach(t),Wz.forEach(t),sx=h(Va),au=a(Va,"LI",{});var Uz=r(au);sd=a(Uz,"A",{href:!0,rel:!0});var Hz=r(sd);ax=n(Hz,"Vectorization"),Hz.forEach(t),Uz.forEach(t),rx=h(Va),ru=a(Va,"LI",{});var Qz=r(ru);ad=a(Qz,"A",{href:!0,rel:!0});var Kz=r(ad);ix=n(Kz,"Parallelization"),Kz.forEach(t),Qz.forEach(t),Va.forEach(t),lx=h(zt),eo=a(zt,"DIV",{class:!0});var Ja=r(eo);w(rd.$$.fragment,Ja),dx=h(Ja),In=a(Ja,"P",{});var gh=r(In);cx=n(gh,"The "),iu=a(gh,"CODE",{});var Vz=r(iu);px=n(Vz,"FlaxXLMRobertaPreTrainedModel"),Vz.forEach(t),hx=n(gh," forward method, overrides the "),lu=a(gh,"CODE",{});var Jz=r(lu);mx=n(Jz,"__call__"),Jz.forEach(t),ux=n(gh," special method."),gh.forEach(t),fx=h(Ja),w(fa.$$.fragment,Ja),gx=h(Ja),w(ga.$$.fragment,Ja),Ja.forEach(t),zt.forEach(t),Yg=h(i),Dn=a(i,"H2",{class:!0});var vb=r(Dn);_a=a(vb,"A",{id:!0,class:!0,href:!0});var Gz=r(_a);du=a(Gz,"SPAN",{});var Yz=r(du);w(id.$$.fragment,Yz),Yz.forEach(t),Gz.forEach(t),_x=h(vb),cu=a(vb,"SPAN",{});var Zz=r(cu);bx=n(Zz,"FlaxXLMRobertaForCausalLM"),Zz.forEach(t),vb.forEach(t),Zg=h(i),ot=a(i,"DIV",{class:!0});var Ct=r(ot);w(ld.$$.fragment,Ct),kx=h(Ct),pu=a(Ct,"P",{});var eC=r(pu);yx=n(eC,`XLM Roberta Model with a language modeling head on top (a linear layer on top of the hidden-states output) e.g for
autoregressive tasks.`),eC.forEach(t),vx=h(Ct),dd=a(Ct,"P",{});var wb=r(dd);wx=n(wb,"This model inherits from "),Wp=a(wb,"A",{href:!0});var tC=r(Wp);Tx=n(tC,"FlaxPreTrainedModel"),tC.forEach(t),Mx=n(wb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),wb.forEach(t),$x=h(Ct),cd=a(Ct,"P",{});var Tb=r(cd);Lx=n(Tb,"This model is also a Flax Linen "),pd=a(Tb,"A",{href:!0,rel:!0});var oC=r(pd);xx=n(oC,"flax.linen.Module"),oC.forEach(t),Fx=n(Tb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Tb.forEach(t),Ex=h(Ct),hu=a(Ct,"P",{});var nC=r(hu);Rx=n(nC,"Finally, this model supports inherent JAX features such as:"),nC.forEach(t),Xx=h(Ct),bo=a(Ct,"UL",{});var Ga=r(bo);mu=a(Ga,"LI",{});var sC=r(mu);hd=a(sC,"A",{href:!0,rel:!0});var aC=r(hd);zx=n(aC,"Just-In-Time (JIT) compilation"),aC.forEach(t),sC.forEach(t),Cx=h(Ga),uu=a(Ga,"LI",{});var rC=r(uu);md=a(rC,"A",{href:!0,rel:!0});var iC=r(md);qx=n(iC,"Automatic Differentiation"),iC.forEach(t),rC.forEach(t),jx=h(Ga),fu=a(Ga,"LI",{});var lC=r(fu);ud=a(lC,"A",{href:!0,rel:!0});var dC=r(ud);Ax=n(dC,"Vectorization"),dC.forEach(t),lC.forEach(t),Px=h(Ga),gu=a(Ga,"LI",{});var cC=r(gu);fd=a(cC,"A",{href:!0,rel:!0});var pC=r(fd);Nx=n(pC,"Parallelization"),pC.forEach(t),cC.forEach(t),Ga.forEach(t),Ox=h(Ct),to=a(Ct,"DIV",{class:!0});var Ya=r(to);w(gd.$$.fragment,Ya),Ix=h(Ya),Sn=a(Ya,"P",{});var _h=r(Sn);Dx=n(_h,"The "),_u=a(_h,"CODE",{});var hC=r(_u);Sx=n(hC,"FlaxXLMRobertaPreTrainedModel"),hC.forEach(t),Wx=n(_h," forward method, overrides the "),bu=a(_h,"CODE",{});var mC=r(bu);Bx=n(mC,"__call__"),mC.forEach(t),Ux=n(_h," special method."),_h.forEach(t),Hx=h(Ya),w(ba.$$.fragment,Ya),Qx=h(Ya),w(ka.$$.fragment,Ya),Ya.forEach(t),Ct.forEach(t),e_=h(i),Wn=a(i,"H2",{class:!0});var Mb=r(Wn);ya=a(Mb,"A",{id:!0,class:!0,href:!0});var uC=r(ya);ku=a(uC,"SPAN",{});var fC=r(ku);w(_d.$$.fragment,fC),fC.forEach(t),uC.forEach(t),Kx=h(Mb),yu=a(Mb,"SPAN",{});var gC=r(yu);Vx=n(gC,"FlaxXLMRobertaForMaskedLM"),gC.forEach(t),Mb.forEach(t),t_=h(i),nt=a(i,"DIV",{class:!0});var qt=r(nt);w(bd.$$.fragment,qt),Jx=h(qt),kd=a(qt,"P",{});var $b=r(kd);Gx=n($b,"XLM RoBERTa Model with a "),vu=a($b,"CODE",{});var _C=r(vu);Yx=n(_C,"language modeling"),_C.forEach(t),Zx=n($b," head on top."),$b.forEach(t),eF=h(qt),yd=a(qt,"P",{});var Lb=r(yd);tF=n(Lb,"This model inherits from "),Bp=a(Lb,"A",{href:!0});var bC=r(Bp);oF=n(bC,"FlaxPreTrainedModel"),bC.forEach(t),nF=n(Lb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Lb.forEach(t),sF=h(qt),vd=a(qt,"P",{});var xb=r(vd);aF=n(xb,"This model is also a Flax Linen "),wd=a(xb,"A",{href:!0,rel:!0});var kC=r(wd);rF=n(kC,"flax.linen.Module"),kC.forEach(t),iF=n(xb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),xb.forEach(t),lF=h(qt),wu=a(qt,"P",{});var yC=r(wu);dF=n(yC,"Finally, this model supports inherent JAX features such as:"),yC.forEach(t),cF=h(qt),ko=a(qt,"UL",{});var Za=r(ko);Tu=a(Za,"LI",{});var vC=r(Tu);Td=a(vC,"A",{href:!0,rel:!0});var wC=r(Td);pF=n(wC,"Just-In-Time (JIT) compilation"),wC.forEach(t),vC.forEach(t),hF=h(Za),Mu=a(Za,"LI",{});var TC=r(Mu);Md=a(TC,"A",{href:!0,rel:!0});var MC=r(Md);mF=n(MC,"Automatic Differentiation"),MC.forEach(t),TC.forEach(t),uF=h(Za),$u=a(Za,"LI",{});var $C=r($u);$d=a($C,"A",{href:!0,rel:!0});var LC=r($d);fF=n(LC,"Vectorization"),LC.forEach(t),$C.forEach(t),gF=h(Za),Lu=a(Za,"LI",{});var xC=r(Lu);Ld=a(xC,"A",{href:!0,rel:!0});var FC=r(Ld);_F=n(FC,"Parallelization"),FC.forEach(t),xC.forEach(t),Za.forEach(t),bF=h(qt),oo=a(qt,"DIV",{class:!0});var er=r(oo);w(xd.$$.fragment,er),kF=h(er),Bn=a(er,"P",{});var bh=r(Bn);yF=n(bh,"The "),xu=a(bh,"CODE",{});var EC=r(xu);vF=n(EC,"FlaxXLMRobertaPreTrainedModel"),EC.forEach(t),wF=n(bh," forward method, overrides the "),Fu=a(bh,"CODE",{});var RC=r(Fu);TF=n(RC,"__call__"),RC.forEach(t),MF=n(bh," special method."),bh.forEach(t),$F=h(er),w(va.$$.fragment,er),LF=h(er),w(wa.$$.fragment,er),er.forEach(t),qt.forEach(t),o_=h(i),Un=a(i,"H2",{class:!0});var Fb=r(Un);Ta=a(Fb,"A",{id:!0,class:!0,href:!0});var XC=r(Ta);Eu=a(XC,"SPAN",{});var zC=r(Eu);w(Fd.$$.fragment,zC),zC.forEach(t),XC.forEach(t),xF=h(Fb),Ru=a(Fb,"SPAN",{});var CC=r(Ru);FF=n(CC,"FlaxXLMRobertaForSequenceClassification"),CC.forEach(t),Fb.forEach(t),n_=h(i),st=a(i,"DIV",{class:!0});var jt=r(st);w(Ed.$$.fragment,jt),EF=h(jt),Xu=a(jt,"P",{});var qC=r(Xu);RF=n(qC,`XLM Roberta Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),qC.forEach(t),XF=h(jt),Rd=a(jt,"P",{});var Eb=r(Rd);zF=n(Eb,"This model inherits from "),Up=a(Eb,"A",{href:!0});var jC=r(Up);CF=n(jC,"FlaxPreTrainedModel"),jC.forEach(t),qF=n(Eb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Eb.forEach(t),jF=h(jt),Xd=a(jt,"P",{});var Rb=r(Xd);AF=n(Rb,"This model is also a Flax Linen "),zd=a(Rb,"A",{href:!0,rel:!0});var AC=r(zd);PF=n(AC,"flax.linen.Module"),AC.forEach(t),NF=n(Rb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Rb.forEach(t),OF=h(jt),zu=a(jt,"P",{});var PC=r(zu);IF=n(PC,"Finally, this model supports inherent JAX features such as:"),PC.forEach(t),DF=h(jt),yo=a(jt,"UL",{});var tr=r(yo);Cu=a(tr,"LI",{});var NC=r(Cu);Cd=a(NC,"A",{href:!0,rel:!0});var OC=r(Cd);SF=n(OC,"Just-In-Time (JIT) compilation"),OC.forEach(t),NC.forEach(t),WF=h(tr),qu=a(tr,"LI",{});var IC=r(qu);qd=a(IC,"A",{href:!0,rel:!0});var DC=r(qd);BF=n(DC,"Automatic Differentiation"),DC.forEach(t),IC.forEach(t),UF=h(tr),ju=a(tr,"LI",{});var SC=r(ju);jd=a(SC,"A",{href:!0,rel:!0});var WC=r(jd);HF=n(WC,"Vectorization"),WC.forEach(t),SC.forEach(t),QF=h(tr),Au=a(tr,"LI",{});var BC=r(Au);Ad=a(BC,"A",{href:!0,rel:!0});var UC=r(Ad);KF=n(UC,"Parallelization"),UC.forEach(t),BC.forEach(t),tr.forEach(t),VF=h(jt),no=a(jt,"DIV",{class:!0});var or=r(no);w(Pd.$$.fragment,or),JF=h(or),Hn=a(or,"P",{});var kh=r(Hn);GF=n(kh,"The "),Pu=a(kh,"CODE",{});var HC=r(Pu);YF=n(HC,"FlaxXLMRobertaPreTrainedModel"),HC.forEach(t),ZF=n(kh," forward method, overrides the "),Nu=a(kh,"CODE",{});var QC=r(Nu);e0=n(QC,"__call__"),QC.forEach(t),t0=n(kh," special method."),kh.forEach(t),o0=h(or),w(Ma.$$.fragment,or),n0=h(or),w($a.$$.fragment,or),or.forEach(t),jt.forEach(t),s_=h(i),Qn=a(i,"H2",{class:!0});var Xb=r(Qn);La=a(Xb,"A",{id:!0,class:!0,href:!0});var KC=r(La);Ou=a(KC,"SPAN",{});var VC=r(Ou);w(Nd.$$.fragment,VC),VC.forEach(t),KC.forEach(t),s0=h(Xb),Iu=a(Xb,"SPAN",{});var JC=r(Iu);a0=n(JC,"FlaxXLMRobertaForMultipleChoice"),JC.forEach(t),Xb.forEach(t),a_=h(i),at=a(i,"DIV",{class:!0});var At=r(at);w(Od.$$.fragment,At),r0=h(At),Du=a(At,"P",{});var GC=r(Du);i0=n(GC,`XLM Roberta Model with a multiple choice classification head on top (a linear layer on top of the pooled output and
a softmax) e.g. for RocStories/SWAG tasks.`),GC.forEach(t),l0=h(At),Id=a(At,"P",{});var zb=r(Id);d0=n(zb,"This model inherits from "),Hp=a(zb,"A",{href:!0});var YC=r(Hp);c0=n(YC,"FlaxPreTrainedModel"),YC.forEach(t),p0=n(zb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),zb.forEach(t),h0=h(At),Dd=a(At,"P",{});var Cb=r(Dd);m0=n(Cb,"This model is also a Flax Linen "),Sd=a(Cb,"A",{href:!0,rel:!0});var ZC=r(Sd);u0=n(ZC,"flax.linen.Module"),ZC.forEach(t),f0=n(Cb,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Cb.forEach(t),g0=h(At),Su=a(At,"P",{});var eq=r(Su);_0=n(eq,"Finally, this model supports inherent JAX features such as:"),eq.forEach(t),b0=h(At),vo=a(At,"UL",{});var nr=r(vo);Wu=a(nr,"LI",{});var tq=r(Wu);Wd=a(tq,"A",{href:!0,rel:!0});var oq=r(Wd);k0=n(oq,"Just-In-Time (JIT) compilation"),oq.forEach(t),tq.forEach(t),y0=h(nr),Bu=a(nr,"LI",{});var nq=r(Bu);Bd=a(nq,"A",{href:!0,rel:!0});var sq=r(Bd);v0=n(sq,"Automatic Differentiation"),sq.forEach(t),nq.forEach(t),w0=h(nr),Uu=a(nr,"LI",{});var aq=r(Uu);Ud=a(aq,"A",{href:!0,rel:!0});var rq=r(Ud);T0=n(rq,"Vectorization"),rq.forEach(t),aq.forEach(t),M0=h(nr),Hu=a(nr,"LI",{});var iq=r(Hu);Hd=a(iq,"A",{href:!0,rel:!0});var lq=r(Hd);$0=n(lq,"Parallelization"),lq.forEach(t),iq.forEach(t),nr.forEach(t),L0=h(At),so=a(At,"DIV",{class:!0});var sr=r(so);w(Qd.$$.fragment,sr),x0=h(sr),Kn=a(sr,"P",{});var yh=r(Kn);F0=n(yh,"The "),Qu=a(yh,"CODE",{});var dq=r(Qu);E0=n(dq,"FlaxXLMRobertaPreTrainedModel"),dq.forEach(t),R0=n(yh," forward method, overrides the "),Ku=a(yh,"CODE",{});var cq=r(Ku);X0=n(cq,"__call__"),cq.forEach(t),z0=n(yh," special method."),yh.forEach(t),C0=h(sr),w(xa.$$.fragment,sr),q0=h(sr),w(Fa.$$.fragment,sr),sr.forEach(t),At.forEach(t),r_=h(i),Vn=a(i,"H2",{class:!0});var qb=r(Vn);Ea=a(qb,"A",{id:!0,class:!0,href:!0});var pq=r(Ea);Vu=a(pq,"SPAN",{});var hq=r(Vu);w(Kd.$$.fragment,hq),hq.forEach(t),pq.forEach(t),j0=h(qb),Ju=a(qb,"SPAN",{});var mq=r(Ju);A0=n(mq,"FlaxXLMRobertaForTokenClassification"),mq.forEach(t),qb.forEach(t),i_=h(i),rt=a(i,"DIV",{class:!0});var Pt=r(rt);w(Vd.$$.fragment,Pt),P0=h(Pt),Gu=a(Pt,"P",{});var uq=r(Gu);N0=n(uq,`XLM Roberta Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),uq.forEach(t),O0=h(Pt),Jd=a(Pt,"P",{});var jb=r(Jd);I0=n(jb,"This model inherits from "),Qp=a(jb,"A",{href:!0});var fq=r(Qp);D0=n(fq,"FlaxPreTrainedModel"),fq.forEach(t),S0=n(jb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),jb.forEach(t),W0=h(Pt),Gd=a(Pt,"P",{});var Ab=r(Gd);B0=n(Ab,"This model is also a Flax Linen "),Yd=a(Ab,"A",{href:!0,rel:!0});var gq=r(Yd);U0=n(gq,"flax.linen.Module"),gq.forEach(t),H0=n(Ab,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Ab.forEach(t),Q0=h(Pt),Yu=a(Pt,"P",{});var _q=r(Yu);K0=n(_q,"Finally, this model supports inherent JAX features such as:"),_q.forEach(t),V0=h(Pt),wo=a(Pt,"UL",{});var ar=r(wo);Zu=a(ar,"LI",{});var bq=r(Zu);Zd=a(bq,"A",{href:!0,rel:!0});var kq=r(Zd);J0=n(kq,"Just-In-Time (JIT) compilation"),kq.forEach(t),bq.forEach(t),G0=h(ar),ef=a(ar,"LI",{});var yq=r(ef);ec=a(yq,"A",{href:!0,rel:!0});var vq=r(ec);Y0=n(vq,"Automatic Differentiation"),vq.forEach(t),yq.forEach(t),Z0=h(ar),tf=a(ar,"LI",{});var wq=r(tf);tc=a(wq,"A",{href:!0,rel:!0});var Tq=r(tc);eE=n(Tq,"Vectorization"),Tq.forEach(t),wq.forEach(t),tE=h(ar),of=a(ar,"LI",{});var Mq=r(of);oc=a(Mq,"A",{href:!0,rel:!0});var $q=r(oc);oE=n($q,"Parallelization"),$q.forEach(t),Mq.forEach(t),ar.forEach(t),nE=h(Pt),ao=a(Pt,"DIV",{class:!0});var rr=r(ao);w(nc.$$.fragment,rr),sE=h(rr),Jn=a(rr,"P",{});var vh=r(Jn);aE=n(vh,"The "),nf=a(vh,"CODE",{});var Lq=r(nf);rE=n(Lq,"FlaxXLMRobertaPreTrainedModel"),Lq.forEach(t),iE=n(vh," forward method, overrides the "),sf=a(vh,"CODE",{});var xq=r(sf);lE=n(xq,"__call__"),xq.forEach(t),dE=n(vh," special method."),vh.forEach(t),cE=h(rr),w(Ra.$$.fragment,rr),pE=h(rr),w(Xa.$$.fragment,rr),rr.forEach(t),Pt.forEach(t),l_=h(i),Gn=a(i,"H2",{class:!0});var Pb=r(Gn);za=a(Pb,"A",{id:!0,class:!0,href:!0});var Fq=r(za);af=a(Fq,"SPAN",{});var Eq=r(af);w(sc.$$.fragment,Eq),Eq.forEach(t),Fq.forEach(t),hE=h(Pb),rf=a(Pb,"SPAN",{});var Rq=r(rf);mE=n(Rq,"FlaxXLMRobertaForQuestionAnswering"),Rq.forEach(t),Pb.forEach(t),d_=h(i),it=a(i,"DIV",{class:!0});var Nt=r(it);w(ac.$$.fragment,Nt),uE=h(Nt),Yn=a(Nt,"P",{});var wh=r(Yn);fE=n(wh,`XLM Roberta Model with a span classification head on top for extractive question-answering tasks like SQuAD (a
linear layers on top of the hidden-states output to compute `),lf=a(wh,"CODE",{});var Xq=r(lf);gE=n(Xq,"span start logits"),Xq.forEach(t),_E=n(wh," and "),df=a(wh,"CODE",{});var zq=r(df);bE=n(zq,"span end logits"),zq.forEach(t),kE=n(wh,")."),wh.forEach(t),yE=h(Nt),rc=a(Nt,"P",{});var Nb=r(rc);vE=n(Nb,"This model inherits from "),Kp=a(Nb,"A",{href:!0});var Cq=r(Kp);wE=n(Cq,"FlaxPreTrainedModel"),Cq.forEach(t),TE=n(Nb,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),Nb.forEach(t),ME=h(Nt),ic=a(Nt,"P",{});var Ob=r(ic);$E=n(Ob,"This model is also a Flax Linen "),lc=a(Ob,"A",{href:!0,rel:!0});var qq=r(lc);LE=n(qq,"flax.linen.Module"),qq.forEach(t),xE=n(Ob,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Ob.forEach(t),FE=h(Nt),cf=a(Nt,"P",{});var jq=r(cf);EE=n(jq,"Finally, this model supports inherent JAX features such as:"),jq.forEach(t),RE=h(Nt),To=a(Nt,"UL",{});var ir=r(To);pf=a(ir,"LI",{});var Aq=r(pf);dc=a(Aq,"A",{href:!0,rel:!0});var Pq=r(dc);XE=n(Pq,"Just-In-Time (JIT) compilation"),Pq.forEach(t),Aq.forEach(t),zE=h(ir),hf=a(ir,"LI",{});var Nq=r(hf);cc=a(Nq,"A",{href:!0,rel:!0});var Oq=r(cc);CE=n(Oq,"Automatic Differentiation"),Oq.forEach(t),Nq.forEach(t),qE=h(ir),mf=a(ir,"LI",{});var Iq=r(mf);pc=a(Iq,"A",{href:!0,rel:!0});var Dq=r(pc);jE=n(Dq,"Vectorization"),Dq.forEach(t),Iq.forEach(t),AE=h(ir),uf=a(ir,"LI",{});var Sq=r(uf);hc=a(Sq,"A",{href:!0,rel:!0});var Wq=r(hc);PE=n(Wq,"Parallelization"),Wq.forEach(t),Sq.forEach(t),ir.forEach(t),NE=h(Nt),ro=a(Nt,"DIV",{class:!0});var lr=r(ro);w(mc.$$.fragment,lr),OE=h(lr),Zn=a(lr,"P",{});var Th=r(Zn);IE=n(Th,"The "),ff=a(Th,"CODE",{});var Bq=r(ff);DE=n(Bq,"FlaxXLMRobertaPreTrainedModel"),Bq.forEach(t),SE=n(Th," forward method, overrides the "),gf=a(Th,"CODE",{});var Uq=r(gf);WE=n(Uq,"__call__"),Uq.forEach(t),BE=n(Th," special method."),Th.forEach(t),UE=h(lr),w(Ca.$$.fragment,lr),HE=h(lr),w(qa.$$.fragment,lr),lr.forEach(t),Nt.forEach(t),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(e3)),c(f,"id","xlmroberta"),c(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(f,"href","#xlmroberta"),c(u,"class","relative group"),c(te,"alt","Models"),Hq(te.src,x="https://img.shields.io/badge/All_model_pages-xlm--roberta-blueviolet")||c(te,"src",x),c(ce,"href","https://huggingface.co/models?filter=xlm-roberta"),c(pe,"alt","Spaces"),Hq(pe.src,Ce="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||c(pe,"src",Ce),c(W,"href","https://huggingface.co/spaces/docs-demos/xlm-roberta-base"),c(O,"class","flex flex-wrap space-x-1"),c(re,"id","overview"),c(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(re,"href","#overview"),c(ae,"class","relative group"),c(le,"href","https://arxiv.org/abs/1911.02116"),c(le,"rel","nofollow"),c(A,"href","roberta"),c(Z,"href","https://huggingface.co/stefan-it"),c(Z,"rel","nofollow"),c(X,"href","https://github.com/pytorch/fairseq/tree/master/examples/xlmr"),c(X,"rel","nofollow"),c(je,"id","resources"),c(je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(je,"href","#resources"),c(qe,"class","relative group"),c(dr,"href","https://www.philschmid.de/habana-distributed-training"),c(dr,"rel","nofollow"),c(Rc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForSequenceClassification"),c(cr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/text-classification"),c(cr,"rel","nofollow"),c(pr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification.ipynb"),c(pr,"rel","nofollow"),c(Xc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForSequenceClassification"),c(hr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/text-classification"),c(hr,"rel","nofollow"),c(mr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification-tf.ipynb"),c(mr,"rel","nofollow"),c(zc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForSequenceClassification"),c(ur,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/text-classification"),c(ur,"rel","nofollow"),c(fr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/text_classification_flax.ipynb"),c(fr,"rel","nofollow"),c(gr,"href","https://huggingface.co/docs/transformers/tasks/sequence_classification"),c(gr,"rel","nofollow"),c(qc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForTokenClassification"),c(br,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/token-classification"),c(br,"rel","nofollow"),c(kr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/token_classification.ipynb"),c(kr,"rel","nofollow"),c(jc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForTokenClassification"),c(yr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/token-classification"),c(yr,"rel","nofollow"),c(vr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/token_classification-tf.ipynb"),c(vr,"rel","nofollow"),c(Ac,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForTokenClassification"),c(wr,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/token-classification"),c(wr,"rel","nofollow"),c(Tr,"href","https://huggingface.co/course/chapter7/2?fw=pt"),c(Tr,"rel","nofollow"),c(Nc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForCausalLM"),c($r,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/language-modeling"),c($r,"rel","nofollow"),c(Lr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling.ipynb"),c(Lr,"rel","nofollow"),c(xr,"href","https://huggingface.co/docs/transformers/tasks/language_modeling"),c(xr,"rel","nofollow"),c(Ic,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForMaskedLM"),c(Er,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/language-modeling#robertabertdistilbert-and-masked-language-modeling"),c(Er,"rel","nofollow"),c(Rr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling.ipynb"),c(Rr,"rel","nofollow"),c(Dc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMaskedLM"),c(Xr,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/language-modeling#run_mlmpy"),c(Xr,"rel","nofollow"),c(zr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/language_modeling-tf.ipynb"),c(zr,"rel","nofollow"),c(Sc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForMaskedLM"),c(Cr,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/language-modeling#masked-language-modeling"),c(Cr,"rel","nofollow"),c(qr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/masked_language_modeling_flax.ipynb"),c(qr,"rel","nofollow"),c(jr,"href","https://huggingface.co/course/chapter7/3?fw=pt"),c(jr,"rel","nofollow"),c(Bc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForQuestionAnswering"),c(Pr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/question-answering"),c(Pr,"rel","nofollow"),c(Nr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/question_answering.ipynb"),c(Nr,"rel","nofollow"),c(Uc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForQuestionAnswering"),c(Or,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/question-answering"),c(Or,"rel","nofollow"),c(Ir,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/question_answering-tf.ipynb"),c(Ir,"rel","nofollow"),c(Hc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.FlaxXLMRobertaForQuestionAnswering"),c(Dr,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/question-answering"),c(Dr,"rel","nofollow"),c(Sr,"href","https://huggingface.co/course/chapter7/7?fw=pt"),c(Sr,"rel","nofollow"),c(Vc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForMultipleChoice"),c(Wr,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/multiple-choice"),c(Wr,"rel","nofollow"),c(Br,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/multiple_choice.ipynb"),c(Br,"rel","nofollow"),c(Jc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMultipleChoice"),c(Ur,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/multiple-choice"),c(Ur,"rel","nofollow"),c(Hr,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/multiple_choice-tf.ipynb"),c(Hr,"rel","nofollow"),c(Kr,"href","https://www.philschmid.de/multilingual-serverless-xlm-roberta-with-huggingface"),c(Kr,"rel","nofollow"),c(rs,"id","transformers.XLMRobertaConfig"),c(rs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(rs,"href","#transformers.XLMRobertaConfig"),c(sn,"class","relative group"),c(Zc,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaModel"),c(ep,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel"),c(Gr,"href","https://huggingface.co/xlm-roberta-base"),c(Gr,"rel","nofollow"),c(tp,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(op,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(Ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ls,"id","transformers.XLMRobertaTokenizer"),c(ls,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ls,"href","#transformers.XLMRobertaTokenizer"),c(rn,"class","relative group"),c(np,"href","/docs/transformers/main/en/model_doc/roberta#transformers.RobertaTokenizer"),c(sp,"href","/docs/transformers/main/en/model_doc/xlnet#transformers.XLNetTokenizer"),c(ei,"href","https://github.com/google/sentencepiece"),c(ei,"rel","nofollow"),c(ap,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),c(No,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ds,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(cs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(lp,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ps,"id","transformers.XLMRobertaTokenizerFast"),c(ps,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ps,"href","#transformers.XLMRobertaTokenizerFast"),c(ln,"class","relative group"),c(dp,"href","/docs/transformers/main/en/model_doc/roberta#transformers.RobertaTokenizer"),c(cp,"href","/docs/transformers/main/en/model_doc/xlnet#transformers.XLNetTokenizer"),c(ci,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=BPE#models"),c(ci,"rel","nofollow"),c(pp,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),c(Oo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(hs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ms,"id","transformers.XLMRobertaModel"),c(ms,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ms,"href","#transformers.XLMRobertaModel"),c(dn,"class","relative group"),c(up,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(ki,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(ki,"rel","nofollow"),c(vi,"href","https://arxiv.org/abs/1706.03762"),c(vi,"rel","nofollow"),c(fp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaModel"),c(Ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_s,"id","transformers.XLMRobertaForCausalLM"),c(_s,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_s,"href","#transformers.XLMRobertaForCausalLM"),c(pn,"class","relative group"),c(gp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Fi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Fi,"rel","nofollow"),c(_p,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForCausalLM"),c(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ys,"id","transformers.XLMRobertaForMaskedLM"),c(ys,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ys,"href","#transformers.XLMRobertaForMaskedLM"),c(mn,"class","relative group"),c(bp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(ji,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(ji,"rel","nofollow"),c(kp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForMaskedLM"),c(Qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ts,"id","transformers.XLMRobertaForSequenceClassification"),c(Ts,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ts,"href","#transformers.XLMRobertaForSequenceClassification"),c(fn,"class","relative group"),c(yp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Di,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Di,"rel","nofollow"),c(vp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForSequenceClassification"),c($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(xs,"id","transformers.XLMRobertaForMultipleChoice"),c(xs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(xs,"href","#transformers.XLMRobertaForMultipleChoice"),c(_n,"class","relative group"),c(wp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Qi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Qi,"rel","nofollow"),c(Tp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForMultipleChoice"),c(Kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Rs,"id","transformers.XLMRobertaForTokenClassification"),c(Rs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Rs,"href","#transformers.XLMRobertaForTokenClassification"),c(kn,"class","relative group"),c(Mp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Zi,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Zi,"rel","nofollow"),c($p,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForTokenClassification"),c(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Cs,"id","transformers.XLMRobertaForQuestionAnswering"),c(Cs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Cs,"href","#transformers.XLMRobertaForQuestionAnswering"),c(vn,"class","relative group"),c(Lp,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(al,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(al,"rel","nofollow"),c(xp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.XLMRobertaForQuestionAnswering"),c(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(As,"id","transformers.TFXLMRobertaModel"),c(As,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(As,"href","#transformers.TFXLMRobertaModel"),c(Mn,"class","relative group"),c(Fp,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(pl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(pl,"rel","nofollow"),c(Ep,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaModel"),c(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Is,"id","transformers.TFXLMRobertaForCausalLM"),c(Is,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Is,"href","#transformers.TFXLMRobertaForCausalLM"),c(Ln,"class","relative group"),c(Rp,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(bl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(bl,"rel","nofollow"),c(Xp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForCausalLM"),c(Yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Bs,"id","transformers.TFXLMRobertaForMaskedLM"),c(Bs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Bs,"href","#transformers.TFXLMRobertaForMaskedLM"),c(Fn,"class","relative group"),c(zp,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c($l,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c($l,"rel","nofollow"),c(Cp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMaskedLM"),c(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Vs,"id","transformers.TFXLMRobertaForSequenceClassification"),c(Vs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Vs,"href","#transformers.TFXLMRobertaForSequenceClassification"),c(Rn,"class","relative group"),c(qp,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(Xl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Xl,"rel","nofollow"),c(jp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForSequenceClassification"),c(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ea,"id","transformers.TFXLMRobertaForMultipleChoice"),c(ea,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ea,"href","#transformers.TFXLMRobertaForMultipleChoice"),c(zn,"class","relative group"),c(Ap,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(Pl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Pl,"rel","nofollow"),c(Pp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForMultipleChoice"),c(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(sa,"id","transformers.TFXLMRobertaForTokenClassification"),c(sa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(sa,"href","#transformers.TFXLMRobertaForTokenClassification"),c(qn,"class","relative group"),c(Np,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(Wl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Wl,"rel","nofollow"),c(Op,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForTokenClassification"),c(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(da,"id","transformers.TFXLMRobertaForQuestionAnswering"),c(da,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(da,"href","#transformers.TFXLMRobertaForQuestionAnswering"),c(An,"class","relative group"),c(Ip,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),c(Vl,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),c(Vl,"rel","nofollow"),c(Dp,"href","/docs/transformers/main/en/model_doc/xlm-roberta#transformers.TFXLMRobertaForQuestionAnswering"),c(Et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ua,"id","transformers.FlaxXLMRobertaModel"),c(ua,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ua,"href","#transformers.FlaxXLMRobertaModel"),c(On,"class","relative group"),c(Sp,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(td,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(td,"rel","nofollow"),c(od,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(od,"rel","nofollow"),c(nd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(nd,"rel","nofollow"),c(sd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(sd,"rel","nofollow"),c(ad,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(ad,"rel","nofollow"),c(eo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_a,"id","transformers.FlaxXLMRobertaForCausalLM"),c(_a,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_a,"href","#transformers.FlaxXLMRobertaForCausalLM"),c(Dn,"class","relative group"),c(Wp,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(pd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(pd,"rel","nofollow"),c(hd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(hd,"rel","nofollow"),c(md,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(md,"rel","nofollow"),c(ud,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(ud,"rel","nofollow"),c(fd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(fd,"rel","nofollow"),c(to,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ya,"id","transformers.FlaxXLMRobertaForMaskedLM"),c(ya,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ya,"href","#transformers.FlaxXLMRobertaForMaskedLM"),c(Wn,"class","relative group"),c(Bp,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(wd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(wd,"rel","nofollow"),c(Td,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Td,"rel","nofollow"),c(Md,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Md,"rel","nofollow"),c($d,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c($d,"rel","nofollow"),c(Ld,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(Ld,"rel","nofollow"),c(oo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ta,"id","transformers.FlaxXLMRobertaForSequenceClassification"),c(Ta,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ta,"href","#transformers.FlaxXLMRobertaForSequenceClassification"),c(Un,"class","relative group"),c(Up,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(zd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(zd,"rel","nofollow"),c(Cd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Cd,"rel","nofollow"),c(qd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(qd,"rel","nofollow"),c(jd,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(jd,"rel","nofollow"),c(Ad,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(Ad,"rel","nofollow"),c(no,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(La,"id","transformers.FlaxXLMRobertaForMultipleChoice"),c(La,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(La,"href","#transformers.FlaxXLMRobertaForMultipleChoice"),c(Qn,"class","relative group"),c(Hp,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Sd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Sd,"rel","nofollow"),c(Wd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Wd,"rel","nofollow"),c(Bd,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(Bd,"rel","nofollow"),c(Ud,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(Ud,"rel","nofollow"),c(Hd,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(Hd,"rel","nofollow"),c(so,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ea,"id","transformers.FlaxXLMRobertaForTokenClassification"),c(Ea,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ea,"href","#transformers.FlaxXLMRobertaForTokenClassification"),c(Vn,"class","relative group"),c(Qp,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(Yd,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(Yd,"rel","nofollow"),c(Zd,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(Zd,"rel","nofollow"),c(ec,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(ec,"rel","nofollow"),c(tc,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(tc,"rel","nofollow"),c(oc,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(oc,"rel","nofollow"),c(ao,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(za,"id","transformers.FlaxXLMRobertaForQuestionAnswering"),c(za,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(za,"href","#transformers.FlaxXLMRobertaForQuestionAnswering"),c(Gn,"class","relative group"),c(Kp,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),c(lc,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),c(lc,"rel","nofollow"),c(dc,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),c(dc,"rel","nofollow"),c(cc,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),c(cc,"rel","nofollow"),c(pc,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),c(pc,"rel","nofollow"),c(hc,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),c(hc,"rel","nofollow"),c(ro,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(i,_){e(document.head,d),g(i,k,_),g(i,u,_),e(u,f),e(f,b),T(l,b,null),e(u,m),e(u,R),e(R,ke),g(i,fe,_),g(i,O,_),e(O,ce),e(ce,te),e(O,ye),e(O,W),e(W,pe),g(i,K,_),g(i,ae,_),e(ae,re),e(re,B),T(ie,B,null),e(ae,ve),e(ae,U),e(U,we),g(i,ge,_),g(i,D,_),e(D,Te),e(D,le),e(le,oe),e(D,z),g(i,j,_),g(i,he,_),e(he,J),g(i,_e,_),g(i,me,_),e(me,H),e(H,Me),g(i,be,_),g(i,q,_),e(q,$e),g(i,V,_),g(i,ne,_),e(ne,de),e(de,G),e(de,ue),e(ue,Le),e(de,N),e(ne,xe),e(ne,Q),e(Q,Fe),e(ne,se),e(ne,C),e(C,Ee),e(C,A),e(A,Re),e(C,Xe),g(i,y,_),g(i,F,_),e(F,Qe),e(F,Z),e(Z,Ke),e(F,Ve),e(F,X),e(X,Je),e(F,Ge),g(i,We,_),g(i,qe,_),e(qe,je),e(je,P),T(S,P,null),e(qe,Ye),e(qe,Se),e(Se,Y),g(i,Be,_),g(i,Pe,_),e(Pe,ze),g(i,Ue,_),T(ee,i,_),g(i,He,_),g(i,Mt,_),e(Mt,Ec),e(Ec,Ib),e(Ec,dr),e(dr,Db),e(Mt,Sb),e(Mt,$o),e($o,Rc),e(Rc,Wb),e($o,Bb),e($o,cr),e(cr,Ub),e($o,Hb),e($o,pr),e(pr,Qb),e($o,Kb),e(Mt,Vb),e(Mt,Lo),e(Lo,Xc),e(Xc,Jb),e(Lo,Gb),e(Lo,hr),e(hr,Yb),e(Lo,Zb),e(Lo,mr),e(mr,ek),e(Lo,tk),e(Mt,ok),e(Mt,xo),e(xo,zc),e(zc,nk),e(xo,sk),e(xo,ur),e(ur,ak),e(xo,rk),e(xo,fr),e(fr,ik),e(xo,lk),e(Mt,dk),e(Mt,Cc),e(Cc,gr),e(gr,ck),e(Cc,pk),g(i,sg,_),T(_r,i,_),g(i,ag,_),g(i,St,_),e(St,Fo),e(Fo,qc),e(qc,hk),e(Fo,mk),e(Fo,br),e(br,uk),e(Fo,fk),e(Fo,kr),e(kr,gk),e(Fo,_k),e(St,bk),e(St,Eo),e(Eo,jc),e(jc,kk),e(Eo,yk),e(Eo,yr),e(yr,vk),e(Eo,wk),e(Eo,vr),e(vr,Tk),e(Eo,Mk),e(St,$k),e(St,os),e(os,Ac),e(Ac,Lk),e(os,xk),e(os,wr),e(wr,Fk),e(os,Ek),e(St,Rk),e(St,Pc),e(Pc,Tr),e(Tr,Xk),e(Pc,zk),g(i,rg,_),T(Mr,i,_),g(i,ig,_),g(i,ns,_),e(ns,Ro),e(Ro,Nc),e(Nc,Ck),e(Ro,qk),e(Ro,$r),e($r,jk),e(Ro,Ak),e(Ro,Lr),e(Lr,Pk),e(Ro,Nk),e(ns,Ok),e(ns,Oc),e(Oc,xr),e(xr,Ik),e(Oc,Dk),g(i,lg,_),T(Fr,i,_),g(i,dg,_),g(i,Wt,_),e(Wt,Xo),e(Xo,Ic),e(Ic,Sk),e(Xo,Wk),e(Xo,Er),e(Er,Bk),e(Xo,Uk),e(Xo,Rr),e(Rr,Hk),e(Xo,Qk),e(Wt,Kk),e(Wt,zo),e(zo,Dc),e(Dc,Vk),e(zo,Jk),e(zo,Xr),e(Xr,Gk),e(zo,Yk),e(zo,zr),e(zr,Zk),e(zo,ey),e(Wt,ty),e(Wt,Co),e(Co,Sc),e(Sc,oy),e(Co,ny),e(Co,Cr),e(Cr,sy),e(Co,ay),e(Co,qr),e(qr,ry),e(Co,iy),e(Wt,ly),e(Wt,Wc),e(Wc,jr),e(jr,dy),e(Wc,cy),g(i,cg,_),T(Ar,i,_),g(i,pg,_),g(i,Bt,_),e(Bt,qo),e(qo,Bc),e(Bc,py),e(qo,hy),e(qo,Pr),e(Pr,my),e(qo,uy),e(qo,Nr),e(Nr,fy),e(qo,gy),e(Bt,_y),e(Bt,jo),e(jo,Uc),e(Uc,by),e(jo,ky),e(jo,Or),e(Or,yy),e(jo,vy),e(jo,Ir),e(Ir,wy),e(jo,Ty),e(Bt,My),e(Bt,ss),e(ss,Hc),e(Hc,$y),e(ss,Ly),e(ss,Dr),e(Dr,xy),e(ss,Fy),e(Bt,Ey),e(Bt,Qc),e(Qc,Sr),e(Sr,Ry),e(Qc,Xy),g(i,hg,_),g(i,Kc,_),e(Kc,Mh),e(Mh,zy),g(i,mg,_),g(i,as,_),e(as,Ao),e(Ao,Vc),e(Vc,Cy),e(Ao,qy),e(Ao,Wr),e(Wr,jy),e(Ao,Ay),e(Ao,Br),e(Br,Py),e(Ao,Ny),e(as,Oy),e(as,Po),e(Po,Jc),e(Jc,Iy),e(Po,Dy),e(Po,Ur),e(Ur,Sy),e(Po,Wy),e(Po,Hr),e(Hr,By),e(Po,Uy),g(i,ug,_),g(i,Gc,_),e(Gc,Hy),g(i,fg,_),g(i,Yc,_),e(Yc,Qr),e(Qr,Qy),e(Qr,Kr),e(Kr,Ky),e(Qr,Vy),g(i,gg,_),g(i,sn,_),e(sn,rs),e(rs,$h),T(Vr,$h,null),e(sn,Jy),e(sn,Lh),e(Lh,Gy),g(i,_g,_),g(i,Ot,_),T(Jr,Ot,null),e(Ot,Yy),e(Ot,fo),e(fo,Zy),e(fo,Zc),e(Zc,ev),e(fo,tv),e(fo,ep),e(ep,ov),e(fo,nv),e(fo,Gr),e(Gr,sv),e(fo,av),e(Ot,rv),e(Ot,an),e(an,iv),e(an,tp),e(tp,lv),e(an,dv),e(an,op),e(op,cv),e(an,pv),e(Ot,hv),T(is,Ot,null),g(i,bg,_),g(i,rn,_),e(rn,ls),e(ls,xh),T(Yr,xh,null),e(rn,mv),e(rn,Fh),e(Fh,uv),g(i,kg,_),g(i,et,_),T(Zr,et,null),e(et,fv),e(et,go),e(go,gv),e(go,np),e(np,_v),e(go,bv),e(go,sp),e(sp,kv),e(go,yv),e(go,ei),e(ei,vv),e(go,wv),e(et,Tv),e(et,ti),e(ti,Mv),e(ti,ap),e(ap,$v),e(ti,Lv),e(et,xv),e(et,No),T(oi,No,null),e(No,Fv),e(No,Eh),e(Eh,Ev),e(No,Rv),e(No,ni),e(ni,rp),e(rp,Xv),e(rp,Rh),e(Rh,zv),e(ni,Cv),e(ni,ip),e(ip,qv),e(ip,Xh),e(Xh,jv),e(et,Av),e(et,ds),T(si,ds,null),e(ds,Pv),e(ds,ai),e(ai,Nv),e(ai,zh),e(zh,Ov),e(ai,Iv),e(et,Dv),e(et,cs),T(ri,cs,null),e(cs,Sv),e(cs,Ch),e(Ch,Wv),e(et,Bv),e(et,lp),T(ii,lp,null),g(i,yg,_),g(i,ln,_),e(ln,ps),e(ps,qh),T(li,qh,null),e(ln,Uv),e(ln,jh),e(jh,Hv),g(i,vg,_),g(i,_t,_),T(di,_t,null),e(_t,Qv),e(_t,It),e(It,Kv),e(It,Ah),e(Ah,Vv),e(It,Jv),e(It,dp),e(dp,Gv),e(It,Yv),e(It,cp),e(cp,Zv),e(It,ew),e(It,ci),e(ci,tw),e(It,ow),e(_t,nw),e(_t,pi),e(pi,sw),e(pi,pp),e(pp,aw),e(pi,rw),e(_t,iw),e(_t,Oo),T(hi,Oo,null),e(Oo,lw),e(Oo,Ph),e(Ph,dw),e(Oo,cw),e(Oo,mi),e(mi,hp),e(hp,pw),e(hp,Nh),e(Nh,hw),e(mi,mw),e(mi,mp),e(mp,uw),e(mp,Oh),e(Oh,fw),e(_t,gw),e(_t,hs),T(ui,hs,null),e(hs,_w),e(hs,Ih),e(Ih,bw),g(i,wg,_),g(i,dn,_),e(dn,ms),e(ms,Dh),T(fi,Dh,null),e(dn,kw),e(dn,Sh),e(Sh,yw),g(i,Tg,_),g(i,Ze,_),T(gi,Ze,null),e(Ze,vw),e(Ze,Wh),e(Wh,ww),e(Ze,Tw),e(Ze,_i),e(_i,Mw),e(_i,up),e(up,$w),e(_i,Lw),e(Ze,xw),e(Ze,bi),e(bi,Fw),e(bi,ki),e(ki,Ew),e(bi,Rw),e(Ze,Xw),e(Ze,yi),e(yi,zw),e(yi,Bh),e(Bh,Cw),e(yi,qw),e(Ze,jw),e(Ze,lt),e(lt,Aw),e(lt,Uh),e(Uh,Pw),e(lt,Nw),e(lt,Hh),e(Hh,Ow),e(lt,Iw),e(lt,Qh),e(Qh,Dw),e(lt,Sw),e(lt,Kh),e(Kh,Ww),e(lt,Bw),e(lt,Vh),e(Vh,Uw),e(lt,Hw),e(lt,Jh),e(Jh,Qw),e(lt,Kw),e(Ze,Vw),e(Ze,us),e(us,Jw),e(us,Gh),e(Gh,Gw),e(us,Yw),e(us,vi),e(vi,Zw),e(Ze,eT),e(Ze,Ut),T(wi,Ut,null),e(Ut,tT),e(Ut,cn),e(cn,oT),e(cn,fp),e(fp,nT),e(cn,sT),e(cn,Yh),e(Yh,aT),e(cn,rT),e(Ut,iT),T(fs,Ut,null),e(Ut,lT),T(gs,Ut,null),g(i,Mg,_),g(i,pn,_),e(pn,_s),e(_s,Zh),T(Ti,Zh,null),e(pn,dT),e(pn,em),e(em,cT),g(i,$g,_),g(i,bt,_),T(Mi,bt,null),e(bt,pT),e(bt,$i),e($i,hT),e($i,tm),e(tm,mT),e($i,uT),e(bt,fT),e(bt,Li),e(Li,gT),e(Li,gp),e(gp,_T),e(Li,bT),e(bt,kT),e(bt,xi),e(xi,yT),e(xi,Fi),e(Fi,vT),e(xi,wT),e(bt,TT),e(bt,Ht),T(Ei,Ht,null),e(Ht,MT),e(Ht,hn),e(hn,$T),e(hn,_p),e(_p,LT),e(hn,xT),e(hn,om),e(om,FT),e(hn,ET),e(Ht,RT),T(bs,Ht,null),e(Ht,XT),T(ks,Ht,null),g(i,Lg,_),g(i,mn,_),e(mn,ys),e(ys,nm),T(Ri,nm,null),e(mn,zT),e(mn,sm),e(sm,CT),g(i,xg,_),g(i,kt,_),T(Xi,kt,null),e(kt,qT),e(kt,zi),e(zi,jT),e(zi,am),e(am,AT),e(zi,PT),e(kt,NT),e(kt,Ci),e(Ci,OT),e(Ci,bp),e(bp,IT),e(Ci,DT),e(kt,ST),e(kt,qi),e(qi,WT),e(qi,ji),e(ji,BT),e(qi,UT),e(kt,HT),e(kt,Qt),T(Ai,Qt,null),e(Qt,QT),e(Qt,un),e(un,KT),e(un,kp),e(kp,VT),e(un,JT),e(un,rm),e(rm,GT),e(un,YT),e(Qt,ZT),T(vs,Qt,null),e(Qt,eM),T(ws,Qt,null),g(i,Fg,_),g(i,fn,_),e(fn,Ts),e(Ts,im),T(Pi,im,null),e(fn,tM),e(fn,lm),e(lm,oM),g(i,Eg,_),g(i,yt,_),T(Ni,yt,null),e(yt,nM),e(yt,dm),e(dm,sM),e(yt,aM),e(yt,Oi),e(Oi,rM),e(Oi,yp),e(yp,iM),e(Oi,lM),e(yt,dM),e(yt,Ii),e(Ii,cM),e(Ii,Di),e(Di,pM),e(Ii,hM),e(yt,mM),e(yt,$t),T(Si,$t,null),e($t,uM),e($t,gn),e(gn,fM),e(gn,vp),e(vp,gM),e(gn,_M),e(gn,cm),e(cm,bM),e(gn,kM),e($t,yM),T(Ms,$t,null),e($t,vM),T($s,$t,null),e($t,wM),T(Ls,$t,null),g(i,Rg,_),g(i,_n,_),e(_n,xs),e(xs,pm),T(Wi,pm,null),e(_n,TM),e(_n,hm),e(hm,MM),g(i,Xg,_),g(i,vt,_),T(Bi,vt,null),e(vt,$M),e(vt,mm),e(mm,LM),e(vt,xM),e(vt,Ui),e(Ui,FM),e(Ui,wp),e(wp,EM),e(Ui,RM),e(vt,XM),e(vt,Hi),e(Hi,zM),e(Hi,Qi),e(Qi,CM),e(Hi,qM),e(vt,jM),e(vt,Kt),T(Ki,Kt,null),e(Kt,AM),e(Kt,bn),e(bn,PM),e(bn,Tp),e(Tp,NM),e(bn,OM),e(bn,um),e(um,IM),e(bn,DM),e(Kt,SM),T(Fs,Kt,null),e(Kt,WM),T(Es,Kt,null),g(i,zg,_),g(i,kn,_),e(kn,Rs),e(Rs,fm),T(Vi,fm,null),e(kn,BM),e(kn,gm),e(gm,UM),g(i,Cg,_),g(i,wt,_),T(Ji,wt,null),e(wt,HM),e(wt,_m),e(_m,QM),e(wt,KM),e(wt,Gi),e(Gi,VM),e(Gi,Mp),e(Mp,JM),e(Gi,GM),e(wt,YM),e(wt,Yi),e(Yi,ZM),e(Yi,Zi),e(Zi,e1),e(Yi,t1),e(wt,o1),e(wt,Vt),T(el,Vt,null),e(Vt,n1),e(Vt,yn),e(yn,s1),e(yn,$p),e($p,a1),e(yn,r1),e(yn,bm),e(bm,i1),e(yn,l1),e(Vt,d1),T(Xs,Vt,null),e(Vt,c1),T(zs,Vt,null),g(i,qg,_),g(i,vn,_),e(vn,Cs),e(Cs,km),T(tl,km,null),e(vn,p1),e(vn,ym),e(ym,h1),g(i,jg,_),g(i,Tt,_),T(ol,Tt,null),e(Tt,m1),e(Tt,wn),e(wn,u1),e(wn,vm),e(vm,f1),e(wn,g1),e(wn,wm),e(wm,_1),e(wn,b1),e(Tt,k1),e(Tt,nl),e(nl,y1),e(nl,Lp),e(Lp,v1),e(nl,w1),e(Tt,T1),e(Tt,sl),e(sl,M1),e(sl,al),e(al,$1),e(sl,L1),e(Tt,x1),e(Tt,Jt),T(rl,Jt,null),e(Jt,F1),e(Jt,Tn),e(Tn,E1),e(Tn,xp),e(xp,R1),e(Tn,X1),e(Tn,Tm),e(Tm,z1),e(Tn,C1),e(Jt,q1),T(qs,Jt,null),e(Jt,j1),T(js,Jt,null),g(i,Ag,_),g(i,Mn,_),e(Mn,As),e(As,Mm),T(il,Mm,null),e(Mn,A1),e(Mn,$m),e($m,P1),g(i,Pg,_),g(i,dt,_),T(ll,dt,null),e(dt,N1),e(dt,Lm),e(Lm,O1),e(dt,I1),e(dt,dl),e(dl,D1),e(dl,Fp),e(Fp,S1),e(dl,W1),e(dt,B1),e(dt,cl),e(cl,U1),e(cl,pl),e(pl,H1),e(cl,Q1),e(dt,K1),T(Ps,dt,null),e(dt,V1),e(dt,Gt),T(hl,Gt,null),e(Gt,J1),e(Gt,$n),e($n,G1),e($n,Ep),e(Ep,Y1),e($n,Z1),e($n,xm),e(xm,e$),e($n,t$),e(Gt,o$),T(Ns,Gt,null),e(Gt,n$),T(Os,Gt,null),g(i,Ng,_),g(i,Ln,_),e(Ln,Is),e(Is,Fm),T(ml,Fm,null),e(Ln,s$),e(Ln,Em),e(Em,a$),g(i,Og,_),g(i,ct,_),T(ul,ct,null),e(ct,r$),e(ct,fl),e(fl,i$),e(fl,Rm),e(Rm,l$),e(fl,d$),e(ct,c$),e(ct,gl),e(gl,p$),e(gl,Rp),e(Rp,h$),e(gl,m$),e(ct,u$),e(ct,_l),e(_l,f$),e(_l,bl),e(bl,g$),e(_l,_$),e(ct,b$),T(Ds,ct,null),e(ct,k$),e(ct,Yt),T(kl,Yt,null),e(Yt,y$),e(Yt,xn),e(xn,v$),e(xn,Xp),e(Xp,w$),e(xn,T$),e(xn,Xm),e(Xm,M$),e(xn,$$),e(Yt,L$),T(Ss,Yt,null),e(Yt,x$),T(Ws,Yt,null),g(i,Ig,_),g(i,Fn,_),e(Fn,Bs),e(Bs,zm),T(yl,zm,null),e(Fn,F$),e(Fn,Cm),e(Cm,E$),g(i,Dg,_),g(i,pt,_),T(vl,pt,null),e(pt,R$),e(pt,wl),e(wl,X$),e(wl,qm),e(qm,z$),e(wl,C$),e(pt,q$),e(pt,Tl),e(Tl,j$),e(Tl,zp),e(zp,A$),e(Tl,P$),e(pt,N$),e(pt,Ml),e(Ml,O$),e(Ml,$l),e($l,I$),e(Ml,D$),e(pt,S$),T(Us,pt,null),e(pt,W$),e(pt,Lt),T(Ll,Lt,null),e(Lt,B$),e(Lt,En),e(En,U$),e(En,Cp),e(Cp,H$),e(En,Q$),e(En,jm),e(jm,K$),e(En,V$),e(Lt,J$),T(Hs,Lt,null),e(Lt,G$),T(Qs,Lt,null),e(Lt,Y$),T(Ks,Lt,null),g(i,Sg,_),g(i,Rn,_),e(Rn,Vs),e(Vs,Am),T(xl,Am,null),e(Rn,Z$),e(Rn,Pm),e(Pm,e2),g(i,Wg,_),g(i,ht,_),T(Fl,ht,null),e(ht,t2),e(ht,Nm),e(Nm,o2),e(ht,n2),e(ht,El),e(El,s2),e(El,qp),e(qp,a2),e(El,r2),e(ht,i2),e(ht,Rl),e(Rl,l2),e(Rl,Xl),e(Xl,d2),e(Rl,c2),e(ht,p2),T(Js,ht,null),e(ht,h2),e(ht,xt),T(zl,xt,null),e(xt,m2),e(xt,Xn),e(Xn,u2),e(Xn,jp),e(jp,f2),e(Xn,g2),e(Xn,Om),e(Om,_2),e(Xn,b2),e(xt,k2),T(Gs,xt,null),e(xt,y2),T(Ys,xt,null),e(xt,v2),T(Zs,xt,null),g(i,Bg,_),g(i,zn,_),e(zn,ea),e(ea,Im),T(Cl,Im,null),e(zn,w2),e(zn,Dm),e(Dm,T2),g(i,Ug,_),g(i,mt,_),T(ql,mt,null),e(mt,M2),e(mt,Sm),e(Sm,$2),e(mt,L2),e(mt,jl),e(jl,x2),e(jl,Ap),e(Ap,F2),e(jl,E2),e(mt,R2),e(mt,Al),e(Al,X2),e(Al,Pl),e(Pl,z2),e(Al,C2),e(mt,q2),T(ta,mt,null),e(mt,j2),e(mt,Zt),T(Nl,Zt,null),e(Zt,A2),e(Zt,Cn),e(Cn,P2),e(Cn,Pp),e(Pp,N2),e(Cn,O2),e(Cn,Wm),e(Wm,I2),e(Cn,D2),e(Zt,S2),T(oa,Zt,null),e(Zt,W2),T(na,Zt,null),g(i,Hg,_),g(i,qn,_),e(qn,sa),e(sa,Bm),T(Ol,Bm,null),e(qn,B2),e(qn,Um),e(Um,U2),g(i,Qg,_),g(i,ut,_),T(Il,ut,null),e(ut,H2),e(ut,Hm),e(Hm,Q2),e(ut,K2),e(ut,Dl),e(Dl,V2),e(Dl,Np),e(Np,J2),e(Dl,G2),e(ut,Y2),e(ut,Sl),e(Sl,Z2),e(Sl,Wl),e(Wl,eL),e(Sl,tL),e(ut,oL),T(aa,ut,null),e(ut,nL),e(ut,Ft),T(Bl,Ft,null),e(Ft,sL),e(Ft,jn),e(jn,aL),e(jn,Op),e(Op,rL),e(jn,iL),e(jn,Qm),e(Qm,lL),e(jn,dL),e(Ft,cL),T(ra,Ft,null),e(Ft,pL),T(ia,Ft,null),e(Ft,hL),T(la,Ft,null),g(i,Kg,_),g(i,An,_),e(An,da),e(da,Km),T(Ul,Km,null),e(An,mL),e(An,Vm),e(Vm,uL),g(i,Vg,_),g(i,ft,_),T(Hl,ft,null),e(ft,fL),e(ft,Pn),e(Pn,gL),e(Pn,Jm),e(Jm,_L),e(Pn,bL),e(Pn,Gm),e(Gm,kL),e(Pn,yL),e(ft,vL),e(ft,Ql),e(Ql,wL),e(Ql,Ip),e(Ip,TL),e(Ql,ML),e(ft,$L),e(ft,Kl),e(Kl,LL),e(Kl,Vl),e(Vl,xL),e(Kl,FL),e(ft,EL),T(ca,ft,null),e(ft,RL),e(ft,Et),T(Jl,Et,null),e(Et,XL),e(Et,Nn),e(Nn,zL),e(Nn,Dp),e(Dp,CL),e(Nn,qL),e(Nn,Ym),e(Ym,jL),e(Nn,AL),e(Et,PL),T(pa,Et,null),e(Et,NL),T(ha,Et,null),e(Et,OL),T(ma,Et,null),g(i,Jg,_),g(i,On,_),e(On,ua),e(ua,Zm),T(Gl,Zm,null),e(On,IL),e(On,eu),e(eu,DL),g(i,Gg,_),g(i,tt,_),T(Yl,tt,null),e(tt,SL),e(tt,tu),e(tu,WL),e(tt,BL),e(tt,Zl),e(Zl,UL),e(Zl,Sp),e(Sp,HL),e(Zl,QL),e(tt,KL),e(tt,ed),e(ed,VL),e(ed,td),e(td,JL),e(ed,GL),e(tt,YL),e(tt,ou),e(ou,ZL),e(tt,ex),e(tt,_o),e(_o,nu),e(nu,od),e(od,tx),e(_o,ox),e(_o,su),e(su,nd),e(nd,nx),e(_o,sx),e(_o,au),e(au,sd),e(sd,ax),e(_o,rx),e(_o,ru),e(ru,ad),e(ad,ix),e(tt,lx),e(tt,eo),T(rd,eo,null),e(eo,dx),e(eo,In),e(In,cx),e(In,iu),e(iu,px),e(In,hx),e(In,lu),e(lu,mx),e(In,ux),e(eo,fx),T(fa,eo,null),e(eo,gx),T(ga,eo,null),g(i,Yg,_),g(i,Dn,_),e(Dn,_a),e(_a,du),T(id,du,null),e(Dn,_x),e(Dn,cu),e(cu,bx),g(i,Zg,_),g(i,ot,_),T(ld,ot,null),e(ot,kx),e(ot,pu),e(pu,yx),e(ot,vx),e(ot,dd),e(dd,wx),e(dd,Wp),e(Wp,Tx),e(dd,Mx),e(ot,$x),e(ot,cd),e(cd,Lx),e(cd,pd),e(pd,xx),e(cd,Fx),e(ot,Ex),e(ot,hu),e(hu,Rx),e(ot,Xx),e(ot,bo),e(bo,mu),e(mu,hd),e(hd,zx),e(bo,Cx),e(bo,uu),e(uu,md),e(md,qx),e(bo,jx),e(bo,fu),e(fu,ud),e(ud,Ax),e(bo,Px),e(bo,gu),e(gu,fd),e(fd,Nx),e(ot,Ox),e(ot,to),T(gd,to,null),e(to,Ix),e(to,Sn),e(Sn,Dx),e(Sn,_u),e(_u,Sx),e(Sn,Wx),e(Sn,bu),e(bu,Bx),e(Sn,Ux),e(to,Hx),T(ba,to,null),e(to,Qx),T(ka,to,null),g(i,e_,_),g(i,Wn,_),e(Wn,ya),e(ya,ku),T(_d,ku,null),e(Wn,Kx),e(Wn,yu),e(yu,Vx),g(i,t_,_),g(i,nt,_),T(bd,nt,null),e(nt,Jx),e(nt,kd),e(kd,Gx),e(kd,vu),e(vu,Yx),e(kd,Zx),e(nt,eF),e(nt,yd),e(yd,tF),e(yd,Bp),e(Bp,oF),e(yd,nF),e(nt,sF),e(nt,vd),e(vd,aF),e(vd,wd),e(wd,rF),e(vd,iF),e(nt,lF),e(nt,wu),e(wu,dF),e(nt,cF),e(nt,ko),e(ko,Tu),e(Tu,Td),e(Td,pF),e(ko,hF),e(ko,Mu),e(Mu,Md),e(Md,mF),e(ko,uF),e(ko,$u),e($u,$d),e($d,fF),e(ko,gF),e(ko,Lu),e(Lu,Ld),e(Ld,_F),e(nt,bF),e(nt,oo),T(xd,oo,null),e(oo,kF),e(oo,Bn),e(Bn,yF),e(Bn,xu),e(xu,vF),e(Bn,wF),e(Bn,Fu),e(Fu,TF),e(Bn,MF),e(oo,$F),T(va,oo,null),e(oo,LF),T(wa,oo,null),g(i,o_,_),g(i,Un,_),e(Un,Ta),e(Ta,Eu),T(Fd,Eu,null),e(Un,xF),e(Un,Ru),e(Ru,FF),g(i,n_,_),g(i,st,_),T(Ed,st,null),e(st,EF),e(st,Xu),e(Xu,RF),e(st,XF),e(st,Rd),e(Rd,zF),e(Rd,Up),e(Up,CF),e(Rd,qF),e(st,jF),e(st,Xd),e(Xd,AF),e(Xd,zd),e(zd,PF),e(Xd,NF),e(st,OF),e(st,zu),e(zu,IF),e(st,DF),e(st,yo),e(yo,Cu),e(Cu,Cd),e(Cd,SF),e(yo,WF),e(yo,qu),e(qu,qd),e(qd,BF),e(yo,UF),e(yo,ju),e(ju,jd),e(jd,HF),e(yo,QF),e(yo,Au),e(Au,Ad),e(Ad,KF),e(st,VF),e(st,no),T(Pd,no,null),e(no,JF),e(no,Hn),e(Hn,GF),e(Hn,Pu),e(Pu,YF),e(Hn,ZF),e(Hn,Nu),e(Nu,e0),e(Hn,t0),e(no,o0),T(Ma,no,null),e(no,n0),T($a,no,null),g(i,s_,_),g(i,Qn,_),e(Qn,La),e(La,Ou),T(Nd,Ou,null),e(Qn,s0),e(Qn,Iu),e(Iu,a0),g(i,a_,_),g(i,at,_),T(Od,at,null),e(at,r0),e(at,Du),e(Du,i0),e(at,l0),e(at,Id),e(Id,d0),e(Id,Hp),e(Hp,c0),e(Id,p0),e(at,h0),e(at,Dd),e(Dd,m0),e(Dd,Sd),e(Sd,u0),e(Dd,f0),e(at,g0),e(at,Su),e(Su,_0),e(at,b0),e(at,vo),e(vo,Wu),e(Wu,Wd),e(Wd,k0),e(vo,y0),e(vo,Bu),e(Bu,Bd),e(Bd,v0),e(vo,w0),e(vo,Uu),e(Uu,Ud),e(Ud,T0),e(vo,M0),e(vo,Hu),e(Hu,Hd),e(Hd,$0),e(at,L0),e(at,so),T(Qd,so,null),e(so,x0),e(so,Kn),e(Kn,F0),e(Kn,Qu),e(Qu,E0),e(Kn,R0),e(Kn,Ku),e(Ku,X0),e(Kn,z0),e(so,C0),T(xa,so,null),e(so,q0),T(Fa,so,null),g(i,r_,_),g(i,Vn,_),e(Vn,Ea),e(Ea,Vu),T(Kd,Vu,null),e(Vn,j0),e(Vn,Ju),e(Ju,A0),g(i,i_,_),g(i,rt,_),T(Vd,rt,null),e(rt,P0),e(rt,Gu),e(Gu,N0),e(rt,O0),e(rt,Jd),e(Jd,I0),e(Jd,Qp),e(Qp,D0),e(Jd,S0),e(rt,W0),e(rt,Gd),e(Gd,B0),e(Gd,Yd),e(Yd,U0),e(Gd,H0),e(rt,Q0),e(rt,Yu),e(Yu,K0),e(rt,V0),e(rt,wo),e(wo,Zu),e(Zu,Zd),e(Zd,J0),e(wo,G0),e(wo,ef),e(ef,ec),e(ec,Y0),e(wo,Z0),e(wo,tf),e(tf,tc),e(tc,eE),e(wo,tE),e(wo,of),e(of,oc),e(oc,oE),e(rt,nE),e(rt,ao),T(nc,ao,null),e(ao,sE),e(ao,Jn),e(Jn,aE),e(Jn,nf),e(nf,rE),e(Jn,iE),e(Jn,sf),e(sf,lE),e(Jn,dE),e(ao,cE),T(Ra,ao,null),e(ao,pE),T(Xa,ao,null),g(i,l_,_),g(i,Gn,_),e(Gn,za),e(za,af),T(sc,af,null),e(Gn,hE),e(Gn,rf),e(rf,mE),g(i,d_,_),g(i,it,_),T(ac,it,null),e(it,uE),e(it,Yn),e(Yn,fE),e(Yn,lf),e(lf,gE),e(Yn,_E),e(Yn,df),e(df,bE),e(Yn,kE),e(it,yE),e(it,rc),e(rc,vE),e(rc,Kp),e(Kp,wE),e(rc,TE),e(it,ME),e(it,ic),e(ic,$E),e(ic,lc),e(lc,LE),e(ic,xE),e(it,FE),e(it,cf),e(cf,EE),e(it,RE),e(it,To),e(To,pf),e(pf,dc),e(dc,XE),e(To,zE),e(To,hf),e(hf,cc),e(cc,CE),e(To,qE),e(To,mf),e(mf,pc),e(pc,jE),e(To,AE),e(To,uf),e(uf,hc),e(hc,PE),e(it,NE),e(it,ro),T(mc,ro,null),e(ro,OE),e(ro,Zn),e(Zn,IE),e(Zn,ff),e(ff,DE),e(Zn,SE),e(Zn,gf),e(gf,WE),e(Zn,BE),e(ro,UE),T(Ca,ro,null),e(ro,HE),T(qa,ro,null),c_=!0},p(i,[_]){const uc={};_&2&&(uc.$$scope={dirty:_,ctx:i}),is.$set(uc);const _f={};_&2&&(_f.$$scope={dirty:_,ctx:i}),fs.$set(_f);const bf={};_&2&&(bf.$$scope={dirty:_,ctx:i}),gs.$set(bf);const kf={};_&2&&(kf.$$scope={dirty:_,ctx:i}),bs.$set(kf);const fc={};_&2&&(fc.$$scope={dirty:_,ctx:i}),ks.$set(fc);const yf={};_&2&&(yf.$$scope={dirty:_,ctx:i}),vs.$set(yf);const vf={};_&2&&(vf.$$scope={dirty:_,ctx:i}),ws.$set(vf);const gc={};_&2&&(gc.$$scope={dirty:_,ctx:i}),Ms.$set(gc);const wf={};_&2&&(wf.$$scope={dirty:_,ctx:i}),$s.$set(wf);const Tf={};_&2&&(Tf.$$scope={dirty:_,ctx:i}),Ls.$set(Tf);const Mf={};_&2&&(Mf.$$scope={dirty:_,ctx:i}),Fs.$set(Mf);const _c={};_&2&&(_c.$$scope={dirty:_,ctx:i}),Es.$set(_c);const $f={};_&2&&($f.$$scope={dirty:_,ctx:i}),Xs.$set($f);const Lf={};_&2&&(Lf.$$scope={dirty:_,ctx:i}),zs.$set(Lf);const xf={};_&2&&(xf.$$scope={dirty:_,ctx:i}),qs.$set(xf);const Ff={};_&2&&(Ff.$$scope={dirty:_,ctx:i}),js.$set(Ff);const Ef={};_&2&&(Ef.$$scope={dirty:_,ctx:i}),Ps.$set(Ef);const es={};_&2&&(es.$$scope={dirty:_,ctx:i}),Ns.$set(es);const bc={};_&2&&(bc.$$scope={dirty:_,ctx:i}),Os.$set(bc);const Rf={};_&2&&(Rf.$$scope={dirty:_,ctx:i}),Ds.$set(Rf);const Xf={};_&2&&(Xf.$$scope={dirty:_,ctx:i}),Ss.$set(Xf);const kc={};_&2&&(kc.$$scope={dirty:_,ctx:i}),Ws.$set(kc);const zf={};_&2&&(zf.$$scope={dirty:_,ctx:i}),Us.$set(zf);const ts={};_&2&&(ts.$$scope={dirty:_,ctx:i}),Hs.$set(ts);const Cf={};_&2&&(Cf.$$scope={dirty:_,ctx:i}),Qs.$set(Cf);const qf={};_&2&&(qf.$$scope={dirty:_,ctx:i}),Ks.$set(qf);const yc={};_&2&&(yc.$$scope={dirty:_,ctx:i}),Js.$set(yc);const jf={};_&2&&(jf.$$scope={dirty:_,ctx:i}),Gs.$set(jf);const Af={};_&2&&(Af.$$scope={dirty:_,ctx:i}),Ys.$set(Af);const Pf={};_&2&&(Pf.$$scope={dirty:_,ctx:i}),Zs.$set(Pf);const Nf={};_&2&&(Nf.$$scope={dirty:_,ctx:i}),ta.$set(Nf);const Dt={};_&2&&(Dt.$$scope={dirty:_,ctx:i}),oa.$set(Dt);const Vp={};_&2&&(Vp.$$scope={dirty:_,ctx:i}),na.$set(Vp);const Of={};_&2&&(Of.$$scope={dirty:_,ctx:i}),aa.$set(Of);const Io={};_&2&&(Io.$$scope={dirty:_,ctx:i}),ra.$set(Io);const If={};_&2&&(If.$$scope={dirty:_,ctx:i}),ia.$set(If);const Df={};_&2&&(Df.$$scope={dirty:_,ctx:i}),la.$set(Df);const Sf={};_&2&&(Sf.$$scope={dirty:_,ctx:i}),ca.$set(Sf);const Do={};_&2&&(Do.$$scope={dirty:_,ctx:i}),pa.$set(Do);const Wf={};_&2&&(Wf.$$scope={dirty:_,ctx:i}),ha.$set(Wf);const Bf={};_&2&&(Bf.$$scope={dirty:_,ctx:i}),ma.$set(Bf);const Uf={};_&2&&(Uf.$$scope={dirty:_,ctx:i}),fa.$set(Uf);const So={};_&2&&(So.$$scope={dirty:_,ctx:i}),ga.$set(So);const Hf={};_&2&&(Hf.$$scope={dirty:_,ctx:i}),ba.$set(Hf);const Qf={};_&2&&(Qf.$$scope={dirty:_,ctx:i}),ka.$set(Qf);const Kf={};_&2&&(Kf.$$scope={dirty:_,ctx:i}),va.$set(Kf);const Jp={};_&2&&(Jp.$$scope={dirty:_,ctx:i}),wa.$set(Jp);const Vf={};_&2&&(Vf.$$scope={dirty:_,ctx:i}),Ma.$set(Vf);const Mo={};_&2&&(Mo.$$scope={dirty:_,ctx:i}),$a.$set(Mo);const Wo={};_&2&&(Wo.$$scope={dirty:_,ctx:i}),xa.$set(Wo);const Jf={};_&2&&(Jf.$$scope={dirty:_,ctx:i}),Fa.$set(Jf);const Gf={};_&2&&(Gf.$$scope={dirty:_,ctx:i}),Ra.$set(Gf);const Yf={};_&2&&(Yf.$$scope={dirty:_,ctx:i}),Xa.$set(Yf);const Bo={};_&2&&(Bo.$$scope={dirty:_,ctx:i}),Ca.$set(Bo);const Zf={};_&2&&(Zf.$$scope={dirty:_,ctx:i}),qa.$set(Zf)},i(i){c_||(M(l.$$.fragment,i),M(ie.$$.fragment,i),M(S.$$.fragment,i),M(ee.$$.fragment,i),M(_r.$$.fragment,i),M(Mr.$$.fragment,i),M(Fr.$$.fragment,i),M(Ar.$$.fragment,i),M(Vr.$$.fragment,i),M(Jr.$$.fragment,i),M(is.$$.fragment,i),M(Yr.$$.fragment,i),M(Zr.$$.fragment,i),M(oi.$$.fragment,i),M(si.$$.fragment,i),M(ri.$$.fragment,i),M(ii.$$.fragment,i),M(li.$$.fragment,i),M(di.$$.fragment,i),M(hi.$$.fragment,i),M(ui.$$.fragment,i),M(fi.$$.fragment,i),M(gi.$$.fragment,i),M(wi.$$.fragment,i),M(fs.$$.fragment,i),M(gs.$$.fragment,i),M(Ti.$$.fragment,i),M(Mi.$$.fragment,i),M(Ei.$$.fragment,i),M(bs.$$.fragment,i),M(ks.$$.fragment,i),M(Ri.$$.fragment,i),M(Xi.$$.fragment,i),M(Ai.$$.fragment,i),M(vs.$$.fragment,i),M(ws.$$.fragment,i),M(Pi.$$.fragment,i),M(Ni.$$.fragment,i),M(Si.$$.fragment,i),M(Ms.$$.fragment,i),M($s.$$.fragment,i),M(Ls.$$.fragment,i),M(Wi.$$.fragment,i),M(Bi.$$.fragment,i),M(Ki.$$.fragment,i),M(Fs.$$.fragment,i),M(Es.$$.fragment,i),M(Vi.$$.fragment,i),M(Ji.$$.fragment,i),M(el.$$.fragment,i),M(Xs.$$.fragment,i),M(zs.$$.fragment,i),M(tl.$$.fragment,i),M(ol.$$.fragment,i),M(rl.$$.fragment,i),M(qs.$$.fragment,i),M(js.$$.fragment,i),M(il.$$.fragment,i),M(ll.$$.fragment,i),M(Ps.$$.fragment,i),M(hl.$$.fragment,i),M(Ns.$$.fragment,i),M(Os.$$.fragment,i),M(ml.$$.fragment,i),M(ul.$$.fragment,i),M(Ds.$$.fragment,i),M(kl.$$.fragment,i),M(Ss.$$.fragment,i),M(Ws.$$.fragment,i),M(yl.$$.fragment,i),M(vl.$$.fragment,i),M(Us.$$.fragment,i),M(Ll.$$.fragment,i),M(Hs.$$.fragment,i),M(Qs.$$.fragment,i),M(Ks.$$.fragment,i),M(xl.$$.fragment,i),M(Fl.$$.fragment,i),M(Js.$$.fragment,i),M(zl.$$.fragment,i),M(Gs.$$.fragment,i),M(Ys.$$.fragment,i),M(Zs.$$.fragment,i),M(Cl.$$.fragment,i),M(ql.$$.fragment,i),M(ta.$$.fragment,i),M(Nl.$$.fragment,i),M(oa.$$.fragment,i),M(na.$$.fragment,i),M(Ol.$$.fragment,i),M(Il.$$.fragment,i),M(aa.$$.fragment,i),M(Bl.$$.fragment,i),M(ra.$$.fragment,i),M(ia.$$.fragment,i),M(la.$$.fragment,i),M(Ul.$$.fragment,i),M(Hl.$$.fragment,i),M(ca.$$.fragment,i),M(Jl.$$.fragment,i),M(pa.$$.fragment,i),M(ha.$$.fragment,i),M(ma.$$.fragment,i),M(Gl.$$.fragment,i),M(Yl.$$.fragment,i),M(rd.$$.fragment,i),M(fa.$$.fragment,i),M(ga.$$.fragment,i),M(id.$$.fragment,i),M(ld.$$.fragment,i),M(gd.$$.fragment,i),M(ba.$$.fragment,i),M(ka.$$.fragment,i),M(_d.$$.fragment,i),M(bd.$$.fragment,i),M(xd.$$.fragment,i),M(va.$$.fragment,i),M(wa.$$.fragment,i),M(Fd.$$.fragment,i),M(Ed.$$.fragment,i),M(Pd.$$.fragment,i),M(Ma.$$.fragment,i),M($a.$$.fragment,i),M(Nd.$$.fragment,i),M(Od.$$.fragment,i),M(Qd.$$.fragment,i),M(xa.$$.fragment,i),M(Fa.$$.fragment,i),M(Kd.$$.fragment,i),M(Vd.$$.fragment,i),M(nc.$$.fragment,i),M(Ra.$$.fragment,i),M(Xa.$$.fragment,i),M(sc.$$.fragment,i),M(ac.$$.fragment,i),M(mc.$$.fragment,i),M(Ca.$$.fragment,i),M(qa.$$.fragment,i),c_=!0)},o(i){$(l.$$.fragment,i),$(ie.$$.fragment,i),$(S.$$.fragment,i),$(ee.$$.fragment,i),$(_r.$$.fragment,i),$(Mr.$$.fragment,i),$(Fr.$$.fragment,i),$(Ar.$$.fragment,i),$(Vr.$$.fragment,i),$(Jr.$$.fragment,i),$(is.$$.fragment,i),$(Yr.$$.fragment,i),$(Zr.$$.fragment,i),$(oi.$$.fragment,i),$(si.$$.fragment,i),$(ri.$$.fragment,i),$(ii.$$.fragment,i),$(li.$$.fragment,i),$(di.$$.fragment,i),$(hi.$$.fragment,i),$(ui.$$.fragment,i),$(fi.$$.fragment,i),$(gi.$$.fragment,i),$(wi.$$.fragment,i),$(fs.$$.fragment,i),$(gs.$$.fragment,i),$(Ti.$$.fragment,i),$(Mi.$$.fragment,i),$(Ei.$$.fragment,i),$(bs.$$.fragment,i),$(ks.$$.fragment,i),$(Ri.$$.fragment,i),$(Xi.$$.fragment,i),$(Ai.$$.fragment,i),$(vs.$$.fragment,i),$(ws.$$.fragment,i),$(Pi.$$.fragment,i),$(Ni.$$.fragment,i),$(Si.$$.fragment,i),$(Ms.$$.fragment,i),$($s.$$.fragment,i),$(Ls.$$.fragment,i),$(Wi.$$.fragment,i),$(Bi.$$.fragment,i),$(Ki.$$.fragment,i),$(Fs.$$.fragment,i),$(Es.$$.fragment,i),$(Vi.$$.fragment,i),$(Ji.$$.fragment,i),$(el.$$.fragment,i),$(Xs.$$.fragment,i),$(zs.$$.fragment,i),$(tl.$$.fragment,i),$(ol.$$.fragment,i),$(rl.$$.fragment,i),$(qs.$$.fragment,i),$(js.$$.fragment,i),$(il.$$.fragment,i),$(ll.$$.fragment,i),$(Ps.$$.fragment,i),$(hl.$$.fragment,i),$(Ns.$$.fragment,i),$(Os.$$.fragment,i),$(ml.$$.fragment,i),$(ul.$$.fragment,i),$(Ds.$$.fragment,i),$(kl.$$.fragment,i),$(Ss.$$.fragment,i),$(Ws.$$.fragment,i),$(yl.$$.fragment,i),$(vl.$$.fragment,i),$(Us.$$.fragment,i),$(Ll.$$.fragment,i),$(Hs.$$.fragment,i),$(Qs.$$.fragment,i),$(Ks.$$.fragment,i),$(xl.$$.fragment,i),$(Fl.$$.fragment,i),$(Js.$$.fragment,i),$(zl.$$.fragment,i),$(Gs.$$.fragment,i),$(Ys.$$.fragment,i),$(Zs.$$.fragment,i),$(Cl.$$.fragment,i),$(ql.$$.fragment,i),$(ta.$$.fragment,i),$(Nl.$$.fragment,i),$(oa.$$.fragment,i),$(na.$$.fragment,i),$(Ol.$$.fragment,i),$(Il.$$.fragment,i),$(aa.$$.fragment,i),$(Bl.$$.fragment,i),$(ra.$$.fragment,i),$(ia.$$.fragment,i),$(la.$$.fragment,i),$(Ul.$$.fragment,i),$(Hl.$$.fragment,i),$(ca.$$.fragment,i),$(Jl.$$.fragment,i),$(pa.$$.fragment,i),$(ha.$$.fragment,i),$(ma.$$.fragment,i),$(Gl.$$.fragment,i),$(Yl.$$.fragment,i),$(rd.$$.fragment,i),$(fa.$$.fragment,i),$(ga.$$.fragment,i),$(id.$$.fragment,i),$(ld.$$.fragment,i),$(gd.$$.fragment,i),$(ba.$$.fragment,i),$(ka.$$.fragment,i),$(_d.$$.fragment,i),$(bd.$$.fragment,i),$(xd.$$.fragment,i),$(va.$$.fragment,i),$(wa.$$.fragment,i),$(Fd.$$.fragment,i),$(Ed.$$.fragment,i),$(Pd.$$.fragment,i),$(Ma.$$.fragment,i),$($a.$$.fragment,i),$(Nd.$$.fragment,i),$(Od.$$.fragment,i),$(Qd.$$.fragment,i),$(xa.$$.fragment,i),$(Fa.$$.fragment,i),$(Kd.$$.fragment,i),$(Vd.$$.fragment,i),$(nc.$$.fragment,i),$(Ra.$$.fragment,i),$(Xa.$$.fragment,i),$(sc.$$.fragment,i),$(ac.$$.fragment,i),$(mc.$$.fragment,i),$(Ca.$$.fragment,i),$(qa.$$.fragment,i),c_=!1},d(i){t(d),i&&t(k),i&&t(u),L(l),i&&t(fe),i&&t(O),i&&t(K),i&&t(ae),L(ie),i&&t(ge),i&&t(D),i&&t(j),i&&t(he),i&&t(_e),i&&t(me),i&&t(be),i&&t(q),i&&t(V),i&&t(ne),i&&t(y),i&&t(F),i&&t(We),i&&t(qe),L(S),i&&t(Be),i&&t(Pe),i&&t(Ue),L(ee,i),i&&t(He),i&&t(Mt),i&&t(sg),L(_r,i),i&&t(ag),i&&t(St),i&&t(rg),L(Mr,i),i&&t(ig),i&&t(ns),i&&t(lg),L(Fr,i),i&&t(dg),i&&t(Wt),i&&t(cg),L(Ar,i),i&&t(pg),i&&t(Bt),i&&t(hg),i&&t(Kc),i&&t(mg),i&&t(as),i&&t(ug),i&&t(Gc),i&&t(fg),i&&t(Yc),i&&t(gg),i&&t(sn),L(Vr),i&&t(_g),i&&t(Ot),L(Jr),L(is),i&&t(bg),i&&t(rn),L(Yr),i&&t(kg),i&&t(et),L(Zr),L(oi),L(si),L(ri),L(ii),i&&t(yg),i&&t(ln),L(li),i&&t(vg),i&&t(_t),L(di),L(hi),L(ui),i&&t(wg),i&&t(dn),L(fi),i&&t(Tg),i&&t(Ze),L(gi),L(wi),L(fs),L(gs),i&&t(Mg),i&&t(pn),L(Ti),i&&t($g),i&&t(bt),L(Mi),L(Ei),L(bs),L(ks),i&&t(Lg),i&&t(mn),L(Ri),i&&t(xg),i&&t(kt),L(Xi),L(Ai),L(vs),L(ws),i&&t(Fg),i&&t(fn),L(Pi),i&&t(Eg),i&&t(yt),L(Ni),L(Si),L(Ms),L($s),L(Ls),i&&t(Rg),i&&t(_n),L(Wi),i&&t(Xg),i&&t(vt),L(Bi),L(Ki),L(Fs),L(Es),i&&t(zg),i&&t(kn),L(Vi),i&&t(Cg),i&&t(wt),L(Ji),L(el),L(Xs),L(zs),i&&t(qg),i&&t(vn),L(tl),i&&t(jg),i&&t(Tt),L(ol),L(rl),L(qs),L(js),i&&t(Ag),i&&t(Mn),L(il),i&&t(Pg),i&&t(dt),L(ll),L(Ps),L(hl),L(Ns),L(Os),i&&t(Ng),i&&t(Ln),L(ml),i&&t(Og),i&&t(ct),L(ul),L(Ds),L(kl),L(Ss),L(Ws),i&&t(Ig),i&&t(Fn),L(yl),i&&t(Dg),i&&t(pt),L(vl),L(Us),L(Ll),L(Hs),L(Qs),L(Ks),i&&t(Sg),i&&t(Rn),L(xl),i&&t(Wg),i&&t(ht),L(Fl),L(Js),L(zl),L(Gs),L(Ys),L(Zs),i&&t(Bg),i&&t(zn),L(Cl),i&&t(Ug),i&&t(mt),L(ql),L(ta),L(Nl),L(oa),L(na),i&&t(Hg),i&&t(qn),L(Ol),i&&t(Qg),i&&t(ut),L(Il),L(aa),L(Bl),L(ra),L(ia),L(la),i&&t(Kg),i&&t(An),L(Ul),i&&t(Vg),i&&t(ft),L(Hl),L(ca),L(Jl),L(pa),L(ha),L(ma),i&&t(Jg),i&&t(On),L(Gl),i&&t(Gg),i&&t(tt),L(Yl),L(rd),L(fa),L(ga),i&&t(Yg),i&&t(Dn),L(id),i&&t(Zg),i&&t(ot),L(ld),L(gd),L(ba),L(ka),i&&t(e_),i&&t(Wn),L(_d),i&&t(t_),i&&t(nt),L(bd),L(xd),L(va),L(wa),i&&t(o_),i&&t(Un),L(Fd),i&&t(n_),i&&t(st),L(Ed),L(Pd),L(Ma),L($a),i&&t(s_),i&&t(Qn),L(Nd),i&&t(a_),i&&t(at),L(Od),L(Qd),L(xa),L(Fa),i&&t(r_),i&&t(Vn),L(Kd),i&&t(i_),i&&t(rt),L(Vd),L(nc),L(Ra),L(Xa),i&&t(l_),i&&t(Gn),L(sc),i&&t(d_),i&&t(it),L(ac),L(mc),L(Ca),L(qa)}}}const e3={local:"xlmroberta",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.XLMRobertaConfig",title:"XLMRobertaConfig"},{local:"transformers.XLMRobertaTokenizer",title:"XLMRobertaTokenizer"},{local:"transformers.XLMRobertaTokenizerFast",title:"XLMRobertaTokenizerFast"},{local:"transformers.XLMRobertaModel",title:"XLMRobertaModel"},{local:"transformers.XLMRobertaForCausalLM",title:"XLMRobertaForCausalLM"},{local:"transformers.XLMRobertaForMaskedLM",title:"XLMRobertaForMaskedLM"},{local:"transformers.XLMRobertaForSequenceClassification",title:"XLMRobertaForSequenceClassification"},{local:"transformers.XLMRobertaForMultipleChoice",title:"XLMRobertaForMultipleChoice"},{local:"transformers.XLMRobertaForTokenClassification",title:"XLMRobertaForTokenClassification"},{local:"transformers.XLMRobertaForQuestionAnswering",title:"XLMRobertaForQuestionAnswering"},{local:"transformers.TFXLMRobertaModel",title:"TFXLMRobertaModel"},{local:"transformers.TFXLMRobertaForCausalLM",title:"TFXLMRobertaForCausalLM"},{local:"transformers.TFXLMRobertaForMaskedLM",title:"TFXLMRobertaForMaskedLM"},{local:"transformers.TFXLMRobertaForSequenceClassification",title:"TFXLMRobertaForSequenceClassification"},{local:"transformers.TFXLMRobertaForMultipleChoice",title:"TFXLMRobertaForMultipleChoice"},{local:"transformers.TFXLMRobertaForTokenClassification",title:"TFXLMRobertaForTokenClassification"},{local:"transformers.TFXLMRobertaForQuestionAnswering",title:"TFXLMRobertaForQuestionAnswering"},{local:"transformers.FlaxXLMRobertaModel",title:"FlaxXLMRobertaModel"},{local:"transformers.FlaxXLMRobertaForCausalLM",title:"FlaxXLMRobertaForCausalLM"},{local:"transformers.FlaxXLMRobertaForMaskedLM",title:"FlaxXLMRobertaForMaskedLM"},{local:"transformers.FlaxXLMRobertaForSequenceClassification",title:"FlaxXLMRobertaForSequenceClassification"},{local:"transformers.FlaxXLMRobertaForMultipleChoice",title:"FlaxXLMRobertaForMultipleChoice"},{local:"transformers.FlaxXLMRobertaForTokenClassification",title:"FlaxXLMRobertaForTokenClassification"},{local:"transformers.FlaxXLMRobertaForQuestionAnswering",title:"FlaxXLMRobertaForQuestionAnswering"}],title:"XLM-RoBERTa"};function t3(E){return Gq(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class d3 extends Qq{constructor(d){super();Kq(this,d,t3,Zj,Vq,{})}}export{d3 as default,e3 as metadata};
